<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="channels">
		<c:choose>
			<c:when test="${not empty param.mode}">
				<c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
						
		<c:set var="mode" value="" scope="session"/>

		<%@ include file="../include/sql/sip_fix_table.jsp" %>		
		<c:choose>
			<c:when test="${not empty param.id}">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT name, username, secret, callerid_name, callerid_number, mailbox, callgroup, pickupgroup, 
						dtmfmode, host, canreinvite, insecure, nat, context, qualify, disallow, allow, type, call_limit, deny, permit
					FROM sip_account
					WHERE name = "${param.id}"
				</sql:query>
				<c:set var="name" value="${rs.rows[0].name}"/>
				<c:set var="username" value="${rs.rows[0].username}"/>
				<c:set var="secret" value="${rs.rows[0].secret}"/>
				<c:set var="calleridName" value="${rs.rows[0].callerid_name}"/>
				<c:set var="calleridNumber" value="${rs.rows[0].callerid_number}"/>
				<c:set var="mailbox" value="${rs.rows[0].mailbox}"/>
				<c:set var="callgroup" value="${rs.rows[0].callgroup}"/>
				<c:set var="pickupgroup" value="${rs.rows[0].pickupgroup}"/>
				<c:set var="dtmfmode" value="${rs.rows[0].dtmfmode}"/>
				<c:set var="host" value="${rs.rows[0].host}"/>
				<c:set var="canreinvite" value="${rs.rows[0].canreinvite}"/>
				<c:set var="context" value="${rs.rows[0].context}"/>
				<c:set var="qualify" value="${rs.rows[0].qualify}"/>
				<c:set var="disallow" value="${rs.rows[0].disallow}"/>
				<c:set var="allow" value="${rs.rows[0].allow}"/>
				<c:set var="type" value="${rs.rows[0].type}"/>
				<c:set var="insecure" value="${rs.rows[0].insecure}"/>
				<c:set var="nat" value="${rs.rows[0].nat}"/>
				<c:set var="call_limit" value="${rs.rows[0].call_limit}"/>
				<c:set var="deny" value="${rs.rows[0].deny}"/>
				<c:set var="permit" value="${rs.rows[0].permit}"/>
			</c:when>
			<c:otherwise>
				<c:set var="name" value=""/>
				<c:set var="username" value=""/>
				<c:set var="secret" value=""/>
				<c:set var="calleridName" value=""/>
				<c:set var="calleridNumber" value=""/>
				<c:set var="mailbox" value=""/>
				<c:set var="callgroup" value=""/>
				<c:set var="pickupgroup" value=""/>
				<c:set var="dtmfmode" value="info"/>
				<c:set var="host" value="dynamic"/>
				<c:set var="canreinvite" value="no"/>
				<c:set var="insecure" value="no"/>
				<c:set var="nat" value="no"/>
				<c:set var="context" value="default"/>
				<c:set var="qualify" value="no"/>
				<c:set var="disallow" value=""/>
				<c:set var="allow" value=""/>
				<c:set var="type" value="friend"/>
				<c:set var="deny" value=""/>
				<c:set var="permit" value=""/>
				<c:choose>
				<c:when test="${sessionScope.asterisk12}">
					<c:set var="call_limit" value="0"/>
				</c:when>
				<c:otherwise>
					<c:set var="call_limit" value="10"/>
				</c:otherwise>
				</c:choose>
			</c:otherwise>
			</c:choose>
		
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"addiax.error.generic\"}">
					${sessionScope.errorMessage}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		
		<c:choose>
			<c:when test="${mode eq 'edit'}">
			  <%@ include file="../ui/channels/editSip.jsp" %>
			</c:when>
			<c:when test="${mode eq 'view'}">
			  <%@ include file="../ui/channels/viewSip.jsp" %>
			</c:when>
			<c:otherwise>
			  <%@ include file="../ui/channels/viewSip.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
