<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>


<div id="right">
	<fmt:bundle basename="channels">
	
		<c:choose>
			<c:when test="${not empty param.mode}">
				<c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
						
		<c:set var="mode" value="" scope="session"/>
		
		<%@ include file="../include/sql/zap_fix_table.jsp" %>
		<c:if test="${empty sessionScope.stop}">    
			<c:choose>
				<c:when test="${not empty param.id}">
					<sql:query var="rs" dataSource="jdbc/ipcontact">
						SELECT channel, callerid_name, callerid_number, mailbox, callgroup, pickupgroup, context, callwaiting
						FROM zap_channel
						WHERE channel = '${param.id}'
					</sql:query>
					<c:set var="channel" value="${rs.rows[0].channel}"/>
					<c:set var="calleridName" value="${rs.rows[0].callerid_name}"/>
					<c:set var="calleridNumber" value="${rs.rows[0].callerid_number}"/>
					<c:set var="mailbox" value="${rs.rows[0].mailbox}"/>
					<c:set var="callgroup" value="${rs.rows[0].callgroup}"/>
					<c:set var="pickupgroup" value="${rs.rows[0].pickupgroup}"/>
					<c:set var="callwaiting" value="${rs.rows[0].callwaiting}"/>
					<c:set var="context" value="${rs.rows[0].context}"/>
				</c:when>
				<c:otherwise>
					<c:set var="channel" value=""/>
					<c:set var="calleridName" value=""/>
					<c:set var="calleridNumber" value=""/>
					<c:set var="mailbox" value=""/>
					<c:set var="callgroup" value=""/>
					<c:set var="pickupgroup" value=""/>
					<c:set var="callwaiting" value="no"/>
					<c:set var="context" value="default"/>
				</c:otherwise>
			</c:choose>
		</c:if>
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"addzap.error.generic\"}">
					${sessionScope.errorMessage}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		<c:if test="${empty sessionScope.stop}">	
			<c:choose>
				<c:when test="${mode eq \"edit\"}">
				  <%@ include file="../ui/channels/editZap.jsp" %>
				</c:when>
				<c:when test="${mode eq \"view\"}">
				  <%@ include file="../ui/channels/viewZap.jsp" %>
				</c:when>
				<c:otherwise>
				  <%@ include file="../ui/channels/viewZap.jsp" %>
				</c:otherwise>
			</c:choose>
		</c:if>
	</fmt:bundle>
</div>
</body>
</html>
