<%@ page import="org.w3c.dom.*, ipcontact.*" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>

<c:if test="${not empty param.id}">
<%@ include file="../include/sql/exten_fix_table.jsp" %>
	<sql:setDataSource dataSource="jdbc/ipcontact" /> 

	<c:choose>
		<c:when test="${sessionScope.asterisk12}">
			<sql:transaction>
				<sql:query var="rs">
					SELECT voicemail FROM extensions where extension = '${param.id}'
				</sql:query>
				
				<c:if test="${not empty rs.rows}">
					<sql:update>
						DELETE FROM voicemail_account WHERE mailbox = '${rs.rows[0].voicemail}'
					</sql:update>
				</c:if>
		
				<sql:update>
					DELETE FROM extensions WHERE extension = '${param.id}'
				</sql:update>
				
			</sql:transaction>
		</c:when>
		<c:otherwise>
			<sql:transaction>
				<sql:query var="rs">
					SELECT voicemail FROM extension where number = '${param.id}'
				</sql:query>
				
				<c:if test="${not empty rs.rows}">
					<sql:update>
						DELETE FROM voicemail_account WHERE mailbox = '${rs.rows[0].voicemail}'
					</sql:update>
				</c:if>
		
				<sql:update>
					DELETE FROM extension WHERE number = '${param.id}'
				</sql:update>
				
			</sql:transaction>		
		</c:otherwise>
	</c:choose>
	<%
		Document doc;
		Element action;
		String result, extension = request.getParameter("id");
		Network net = (Network)session.getAttribute("connection");
	
		doc = XMLHelper.newDocument();
		action = XMLHelper.newElement(doc, "action", "type", "del extension");
		XMLHelper.addElement(doc, action, "extension", extension);
		doc.appendChild(action);
		result = net.action(doc, "del extension");
		if (result.equals("ok")) {
			session.setAttribute("needReload", "yes");
			session.setAttribute("needExtReload", "yes");
			
			session.setAttribute("message", "extension.deleted");
			session.setAttribute("messageType", "ok");
		}
		else {
			session.setAttribute("message", "extension.error.generic");
			session.setAttribute("error", result);
			session.setAttribute("messageType", "error");
		}
	%>

</c:if>

<c:url var="contact" value="listExtensions.jsp">
	<c:param name="extGt" value="${param.extGt}"/>
	<c:param name="extLt" value="${param.extLt}"/>
	<c:param name="info" value="${param.info}"/>
	<c:param name="infoType" value="${param.infoType}"/>
	<c:param name="protocol" value="${param.protocol}"/>
	<c:param name="vpbx" value="${param.vpbx}"/>
	<c:param name="offset" value="${param.offset}"/>
	<c:param name="rows" value="${param.rows}"/>
</c:url>

<c:redirect url="${contact}"/>
