<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<c:choose>
		<c:when test="${not empty param.id}">
			<sql:query var="rs" dataSource="jdbc/ipcontact">
				SELECT DAYOFMONTH(holiday_date) AS day, MONTH(holiday_date) AS month, YEAR(holiday_date) AS year, id
				FROM holidays
				WHERE id = '${param.id}'
			</sql:query>
			<c:set var="holiday_id" value="${rs.rows[0].id}"/>
			<c:set var="holiday_day" value="${rs.rows[0].day}"/>
			<c:set var="holiday_month" value="${rs.rows[0].month}"/>
			<c:set var="holiday_year" value="${rs.rows[0].year}"/>
		</c:when>
		<c:otherwise>
			<c:set var="holiday_id" value=""/>
			<c:set var="holiday_day" value=""/>
			<c:set var="holiday_month" value=""/>
			<c:set var="holiday_year" value=""/>
		</c:otherwise>
	</c:choose>

	<c:if test="${not empty param.holiday_day}">
		<c:choose>
			<c:when test="${not empty param.holiday_id}">
				<c:catch var="e">
					<sql:update dataSource="jdbc/ipcontact">
						UPDATE holidays set holiday_date = '${param.holiday_year}-${param.holiday_month}-${param.holiday_day}' where id = ${param.holiday_id}
					</sql:update>
				</c:catch>
			</c:when>
			<c:otherwise>
				 <c:catch var="e">
					<sql:update dataSource="jdbc/ipcontact">
						INSERT INTO holidays (holiday_date) VALUES ('${param.holiday_year}-${param.holiday_month}-${param.holiday_day}')
					</sql:update>
				</c:catch>
			</c:otherwise>
		 </c:choose>
		 <c:choose>
			<c:when test="${not empty e}">
				<c:set var="message" scope="session" value="${e}"/>
				<c:set var="messageType" scope="session" value="error"/>
			</c:when>
			<c:otherwise>
				<c:set var="message" scope="session" value="Feriado adicionado com suceso"/>
				<c:set var="messageType" scope="session" value="ok"/>
				<c:redirect url="listHolidays.jsp"/>
			</c:otherwise>
		 </c:choose>

		 <c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				${sessionScope.message}
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
	</c:if>
	<%@ include file="../ui/fast/edit.jsp" %>
</div>
</body>
</html>
