<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<c:if test="${not empty sessionScope.locale}">
	<fmt:setLocale value="${locale}" />
</c:if>
<fmt:bundle basename="groups">
	<c:if test="${not empty param.id}">
		<sql:update dataSource="jdbc/ipcontact">
			DELETE FROM holidays WHERE id = '${param.id}'
		</sql:update>
			
		<c:set var="message" value="Feriado apagado com suceso" scope="session"/>
		<c:set var="messageType" value="ok" scope="session"/>
	</c:if>
	<c:choose>
		<c:when test="${not empty param.rows}">
			<c:url var="contact" value="listHolidays.jsp">
				<c:param name="filter" value="1"/>
				<c:param name="afterDate" value="${param.afterDate}"/>
				<c:param name="afterTime" value="${param.afterTime}"/>
				<c:param name="offset" value="${param.offset}"/>
				<c:param name="rows" value="${param.rows}"/>
			</c:url>
		</c:when>
		<c:otherwise>
			<c:url var="contact" value="listHolidays.jsp">
				<c:param name="filter" value="1"/>
				<c:param name="afterDate" value=""/>
				<c:param name="afterTime" value=""/>
				<c:param name="offset" value=""/>
				<c:param name="rows" value="25"/>
			</c:url>
		</c:otherwise>
	</c:choose>
</fmt:bundle>
<c:redirect url="${contact}"/>

