<%pageContext.setAttribute("path","../");%>
<%@ page import="ipcontact.sections.SyncSections" %>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="fees">
		<c:set var="offset" value="${param.offset}"/>

		<c:if test="${empty offset}">
			<c:set var="offset" value="0"/>
		</c:if>

		<c:if test="${empty rows}">
			<c:set var="rows" value="25"/>
		</c:if>
				
		<sql:query var="rs" dataSource="jdbc/ipcontact">
			SELECT count(*) AS count FROM fees
		</sql:query>

		
		<c:if test="${rs.rows[0].count > (offset + rows)}">
			<c:set var="nextOffset" value="true"/>
		</c:if>

		<%@ include file="../include/sql/fees_fix_table.jsp" %>
		
		<sql:query var="rs" dataSource="jdbc/ipcontact">
			SELECT name, expression, usetime, start_time, end_time,	price, fraction_period, usedate, 
			    DATE_FORMAT(start_date, '%d/%m/%Y') AS start_date, DATE_FORMAT(end_date, '%d/%m/%Y') AS end_date,
			    useday, days, diff_price, price_first, fraction_first
			FROM fees
			ORDER BY usedate DESC, usetime DESC, TIMEDIFF(end_date, start_date), name LIMIT ${rows} OFFSET ${offset}
		</sql:query>
		
		<c:if test="${not empty sessionScope.message}">
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				${sessionScope.message}
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>

		<%@ include file="../ui/fees/list.jsp" %>
	</fmt:bundle>
</div>
</body>
</html>

