<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="groups">
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				${sessionScope.message}
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		<c:choose>
			<c:when test="${empty param.filter}">
				<%@ include file="../ui/group/searchsup.jsp" %>
			</c:when>
		
			<c:otherwise>
				<w:where var="conds">
					<w:condition attribute="username" comparator="${param.supervisorType}" value="${param.supervisor}"/>
					<w:condition condition="(role = 'supervisor' or role = 'manager')"/>
				</w:where>
		
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT users.username, aux_groups.group_id, aux_groups.group_name
					FROM users LEFT JOIN (SELECT supervisors_groups.user_id, groups.group_id, groups.group_name FROM supervisors_groups INNER JOIN groups ON supervisors_groups.group_id = groups.group_id) aux_groups ON users.username = aux_groups.user_id
					${conds} ORDER BY username 
				</sql:query>
				<sql:query var="rs_groups" dataSource="jdbc/ipcontact">
					SELECT group_id, group_name
					FROM groups
				</sql:query>
		
				<form method="get" action="listSupervisors.jsp" name="jumpForm">
					<input type="hidden" name="filter" value="1"/>
					<input type="hidden" name="supervisor" value="${param.supervisor}"/>
					<input type="hidden" name="supervisorType" value="${param.supervisorType}"/>
				</form>
		
				<form method="post" action="delSupervisor.jsp" name="deleteForm" target="_self">
					<input type="hidden" name="supervisor" value="${param.supervisor}"/>
					<input type="hidden" name="user_id" value="${param.user_id}"/>
					<input type="hidden" name="group_id" value="${param.group_id}"/>
					<input type="hidden" name="supervisorType" value="${param.supervisorType}"/>
				</form>
				<%@ include file="../ui/group/listsup.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>

