<sql:query var="rs" dataSource="jdbc/ipcontact">
	SHOW TABLES like 'iax_account';
</sql:query>

<c:choose>
	<c:when test="${rs.rowCount eq \"0\"}">
		<sql:update dataSource="jdbc/ipcontact">
			CREATE TABLE `iax_account` (
			  `id` int(11) NOT NULL auto_increment,
			  `name` varchar(80) NOT NULL default '',
			  `type` varchar(6) NOT NULL default 'friend',
			  `secret` varchar(80) default NULL,
			  `md5secret` varchar(80) default NULL,
			  `callerid_name` varchar(80) default NULL,
			  `callerid_number` varchar(80) default NULL,
			  `context` varchar(80) default NULL,
			  `callgroup` varchar(10) default NULL,
			  `pickupgroup` varchar(10) default NULL,
			  `mailbox` varchar(50) default NULL,
			  `disallow` varchar(100) default 'all',
			  `allow` varchar(100) default 'ulaw;alaw;g729;gsm',
			  `deny` varchar(95) default NULL,
			  `permit` varchar(95) default NULL,
			  `qualify` enum('yes','no') default NULL,
			  `host` varchar(31) NOT NULL default 'dynamic',
			  PRIMARY KEY  (`id`),
			  UNIQUE KEY `name` (`name`),
			  KEY `name_2` (`name`)
			) ENGINE=InnoDB DEFAULT CHARSET=utf8
		</sql:update>
	</c:when>
	<c:otherwise>
		<sql:query var="rs2" dataSource="jdbc/ipcontact">
			SHOW COLUMNS FROM iax_account WHERE field = 'host';
		</sql:query>
		<c:if test="${rs2.rowCount eq \"0\"}">
			<sql:update dataSource="jdbc/ipcontact">
				ALTER TABLE iax_account ADD COLUMN host varchar(31) NOT NULL default 'dynamic';
			</sql:update>
		</c:if>
	</c:otherwise>
</c:choose>