<sql:query var="rs" dataSource="jdbc/ipcontact">
	SHOW TABLES like 'queue';
</sql:query>
<c:choose> 
	<c:when test="${rs.rowCount == 0}">
		<sql:update dataSource="jdbc/ipcontact">
			CREATE TABLE `queue` (
  			`name` varchar(128) NOT NULL default '',
  			`info` varchar(128) default '',
  			`callcenter` tinyint(1) NOT NULL default '0',
  			`musiconhold` varchar(128) default NULL,
  			`announce` varchar(128) default NULL,
  			`context` varchar(128) default NULL,
  			`timeout` int(11) default '15',
  			`monitor_join` tinyint(1) NOT NULL default '0',
  			`monitor_format` enum('wav','wav49','gsm') default NULL,
  			`queue_youarenext` varchar(128) default 'queue-youarenext',
  			`queue_thereare` varchar(128) default 'queue_thereare',
  			`queue_callswaiting` varchar(128) default 'queue-callswaiting',
  			`queue_holdtime` varchar(128) default 'queue-holdtime',
  			`queue_minutes` varchar(128) default 'queue-minutes',
  			`queue_seconds` varchar(128) default 'queue-seconds',
  			`queue_lessthan` varchar(128) default 'queue-lessthan',
  			`queue_reporthold` varchar(128) default 'queue-reporthold',
  			`announce_frequency` int(11) default NULL,
  			`announce_round_seconds` int(11) default NULL,
  			`announce_holdtime` enum('yes','no','once') NOT NULL default 'no',
  			`retry` int(11) default '2',
  			`wrapuptime` int(11) default NULL,
  			`maxlen` int(11) default '0',
  			`servicelevel` int(11) default NULL,
  			`strategy` enum('ringall','roundrobin','rrmemory','random','leastrecent','fewestcalls') NOT NULL default 'rrmemory',
  			`joinempty` enum('yes','no','strict') NOT NULL default 'no',
  			`leavewhenempty` enum('yes','no','strict') NOT NULL default 'no',
  			`eventmemberstatus` enum('yes','no','vars') NOT NULL default 'no',
  			`eventwhencalled` enum('yes','no','vars') NOT NULL default 'yes',
  			`reportholdtime` tinyint(1) NOT NULL default '0',
  			`memberdelay` int(11) default NULL,
  			`weight` int(11) default '0',
  			`timeoutrestart` tinyint(1) NOT NULL default '0',
  			`periodic_announce` varchar(50) default 'queue-periodic-announce',
  			`periodic_announce_frequency` int(11) default NULL,
  			`ringlimit` int(11) default '1',
  			`ringinuse` tinyint(1) NOT NULL default '0',
  			`queue_thankyou` varchar(128) default 'queue-thankyou',
  			`autofill` tinyint(1) NOT NULL default '0',
  			`outgoing` tinyint(1) NOT NULL default '1',
  			PRIMARY KEY  (`name`)
			) ENGINE=InnoDB DEFAULT CHARSET=utf8;
		</sql:update>
	</c:when>
	<c:otherwise>
       	<sql:query var="rs2" dataSource="jdbc/ipcontact">
			SHOW COLUMNS FROM queue WHERE field = 'strategy' and type = "enum('ringall','roundrobin','rrmemory','random','leastrecent','fewestcalls')";
		</sql:query>
			<c:if test="${rs2.rowCount != 0}">	
         		<sql:update dataSource="jdbc/ipcontact">
			    	ALTER TABLE queue MODIFY strategy enum('ringall','roundrobin','rrmemory','random','leastrecent','fewestcalls') NOT NULL default 'rrmemory';
	     		</sql:update>
	     	</c:if>	
	     <sql:query var="rs3" dataSource="jdbc/ipcontact">
			SHOW COLUMNS FROM queue WHERE field = 'joinempty' and type= "enum('yes','no','strict')";
		</sql:query>
			<c:if test="${rs3.rowCount != 0}">	
         		<sql:update dataSource="jdbc/ipcontact">
         			ALTER TABLE queue MODIFY joinempty enum('yes','no','strict') NOT NULL default 'no';
	            </sql:update>
	     	</c:if>
		<sql:query var="rs4" dataSource="jdbc/ipcontact">
			SHOW COLUMNS FROM queue WHERE field = 'leavewhenempty' and type = "enum('yes','no','strict')";
		</sql:query>
	    	<c:if test="${rs4.rowCount != 0}">	
         		<sql:update dataSource="jdbc/ipcontact">
         			ALTER TABLE queue MODIFY leavewhenempty enum('yes','no','strict') NOT NULL default 'no';	
         	    </sql:update>
	     	</c:if>
	    <sql:query var="rs5" dataSource="jdbc/ipcontact">
			SHOW COLUMNS FROM queue WHERE field = 'eventmemberstatus' and type = "enum('yes','no','vars')";
		</sql:query>
	    	<c:if test="${rs5.rowCount != 0}">	
         		<sql:update dataSource="jdbc/ipcontact">
	     			ALTER TABLE queue MODIFY eventmemberstatus enum('yes','no','vars') NOT NULL default 'no';
                </sql:update>
	     	</c:if>
		<sql:query var="rs6" dataSource="jdbc/ipcontact">
			SHOW COLUMNS FROM queue WHERE field = 'eventwhencalled' and type="enum('yes','no','vars')";
		</sql:query> 
			<c:if test="${rs6.rowCount != 0}">	
         		<sql:update dataSource="jdbc/ipcontact">
	     			ALTER TABLE queue MODIFY eventwhencalled enum('yes','no','vars') NOT NULL default 'yes';
	     		</sql:update>
	     	</c:if>				
		<sql:query var="rs7" dataSource="jdbc/ipcontact">
			SHOW COLUMNS FROM queue WHERE field = 'monitor_format' and type="enum('wav','wav49','gsm')";
		</sql:query>
			<c:if test="${rs7.rowCount != 0}">	
         		<sql:update dataSource="jdbc/ipcontact">
	     			ALTER TABLE queue MODIFY monitor_format enum('wav','wav49','gsm') default NULL;
				</sql:update>
	     	</c:if>
	     <sql:query var="rs8" dataSource="jdbc/ipcontact">
			SHOW COLUMNS FROM queue WHERE field = 'announce_holdtime' and type="enum('yes','no','once')";
		</sql:query>
			<c:if test="${rs8.rowCount != 0}">	
         		<sql:update dataSource="jdbc/ipcontact">
	     			ALTER TABLE queue MODIFY announce_holdtime enum('yes','no','once') NOT NULL default 'no';	
		   		</sql:update>
	     	</c:if>
	 </c:otherwise>  
</c:choose>	
