<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="ivr">
		<c:choose>
			<c:when test="${not empty param.mode}">
			  <c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:set var="mode" value="" scope="session"/>

		<c:choose>
			<c:when test="${not empty param.ivr_name}">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT *
					FROM ivr
					WHERE ivr_id = '${param.ivr_id}'
				</sql:query>
				
				<c:choose>
				    <c:when test="${empty rs.rows}">
					<c:catch var="e">
					    <sql:update dataSource="jdbc/ipcontact">
						INSERT INTO ivr (ivr_name) VALUES ('${param.ivr_name}')
					    </sql:update>
					</c:catch>
					
					<c:choose>
					    <c:when test="empty e">
						<c:set var="message" value="ivr.added" scope="session"/>
						<c:set var="messageType" value="ok" scope="session"/>
					    </c:when>
					    <c:otherwise>
						<c:set var="message" value="${e}" scope="session"/>
						<c:set var="messageType" value="error" scope="session"/>
					    </c:otherwise>
					</c:choose>
					
					<c:set var="mode" value="view"/>

					<sql:query var="rs" dataSource="jdbc/ipcontact">
						SELECT ivr_id, ivr_name
						FROM ivr
						WHERE ivr_name = '${param.ivr_name}'
					</sql:query>
					<c:set var="ivr_id" value="${rs.rows[0].ivr_id}"/>
					<c:set var="ivr_name" value="${rs.rows[0].ivr_name}"/>
				    </c:when>
				    <c:otherwise>
					<c:catch var="e">
					    <sql:update dataSource="jdbc/ipcontact">
						UPDATE ivr 
						SET ivr_name = '${param.ivr_name}' 
						WHERE ivr_id = '${param.ivr_id}'
					    </sql:update>
					</c:catch>
					<c:choose>
					    <c:when test="empty e">
						<c:set var="message" value="ivr.edited" scope="session"/>
						<c:set var="messageType" value="ok" scope="session"/>
					    </c:when>
					    <c:otherwise>
						<c:set var="message" value="${e}" scope="session"/>
						<c:set var="messageType" value="error" scope="session"/>
					    </c:otherwise>
					</c:choose>
					<c:set var="mode" value="view"/>
					
					<c:set var="ivr_id" value="${param.ivr_id}"/>
					<c:set var="ivr_name" value="${param.ivr_name}"/>
				    </c:otherwise>
				</c:choose>
			</c:when>
			<c:when test="${not empty param.id}">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT ivr_id, ivr_name
					FROM ivr
					WHERE ivr_name = '${param.id}'
				</sql:query>
				<c:set var="ivr_id" value="${rs.rows[0].ivr_id}"/>
				<c:set var="ivr_name" value="${rs.rows[0].ivr_name}"/>
			</c:when>
			<c:otherwise>
				<c:set var="ivr_id" value=""/>
				<c:set var="ivr_name" value=""/>
			</c:otherwise>
		</c:choose>
		
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"extension.error.generic\"}">
					${sessionScope.error}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>

		<c:choose>
			<c:when test="${mode eq \"edit\"}">
			  <%@ include file="../ui/ivr/edit.jsp" %>
			</c:when>
			<c:when test="${mode eq \"view\"}">
			  <%@ include file="../ui/ivr/view.jsp" %>
			</c:when>
			<c:otherwise>
			  <%@ include file="../ui/ivr/view.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
