<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="operatorsvpbxs">
		 <sql:query var="rs_groups" dataSource="jdbc/ipcontact">
			 SELECT group_id, group_name
			 FROM groups;
		 </sql:query>
		 
		 <c:if test="${not empty sessionScope.message}">
			 <c:choose>
				 <c:when test="${sessionScope.messageType eq \"error\"}">
					 <c:set var="class" value="error"/>
				 </c:when>
				 <c:otherwise>
					 <c:set var="class" value="ok"/>
				 </c:otherwise>
			 </c:choose>
			 <div class="${class}">
				 ${sessionScope.message}
			 </div>
			 <c:set var="message" value="" scope="session"/>
		 </c:if>
		 
		 <c:choose>
			<c:when test='${not empty param.id}'>
				<sql:query var="rs" dataSource="jdbc/ipcontact">			
					SELECT users.username AS username, role, first_name, last_name, group_id 
					FROM users 
					WHERE users.username = '${param.id}'
				</sql:query>
				<c:set var='username' value='${rs.rows[0].username}'/>
				<c:set var='role' value='${rs.rows[0].role}'/>
				<c:set var='first_name' value='${rs.rows[0].first_name}'/>
				<c:set var='last_name' value='${rs.rows[0].last_name}'/>
				<c:set var='group_id' value='${rs.rows[0].group_id}'/>

			</c:when>
			<c:otherwise>
				<c:set var='username' value=''/>
				<c:set var='role' value=''/>
				<c:set var='first_name' value=''/>
				<c:set var='last_name' value=''/>
				<c:set var='group_id' value='1'/>
			</c:otherwise>
		</c:choose>
		<%@ include file="../ui/operators/edit.jsp" %>
	</fmt:bundle>
</div>
</body>
</html>
