		<%pageContext.setAttribute("path","../");%>
		<%@ include file="../menu.jsp" %>
		
		<div id="right">
			<fmt:bundle basename="queues">
				<c:if test="${not empty sessionScope.message}">
					<c:choose>
						<c:when test="${sessionScope.messageType eq \"error\"}">
							<c:set var="class" value="error"/>
						</c:when>
						<c:otherwise>
							<c:set var="class" value="ok"/>
						</c:otherwise>
					</c:choose>
					<div class="${class}">
						<c:choose>
							<c:when test="${sessionScope.message eq \"updated\"}">
								<fmt:message key="extension.updated">
									<fmt:param value="${sessionScope.extension}"/>
								</fmt:message>
							</c:when>
							<c:when test="${sessionScope.message eq \"added\"}">
								<fmt:message key="extension.added">
									<fmt:param value="${sessionScope.extension}"/>
								</fmt:message>
							</c:when>
							<c:when test="${sessionScope.message eq \"deleted\"}">
								<fmt:message key="extension.deleted">
									<fmt:param value="${sessionScope.extension}"/>
								</fmt:message>
							</c:when>
							<c:otherwise>
								${sessionScope.message}
							</c:otherwise>
						</c:choose>
					</div>
					<c:set var="message" value="" scope="session"/>
				</c:if>
				<c:choose>
					<c:when test="${empty param.nameType}">
						<%@ include file="../ui/queues/search.jsp" %>
					</c:when>
					<c:otherwise>
						<w:where var="conds">
							<w:condition attribute="name" comparator="${param.nameType}" value="${param.name}"/>
							<c:if test="${param.groupqueue != \"all\"}">
								<w:condition attribute="groupqueue_id" value="${param.groupqueue}"/>
							</c:if>
						</w:where>
				
						<!-- Default value for number of rows per page -->
						<c:set var="rows" value="${param.rows}"/>
						<c:if test="${empty rows}">
							<c:set var="rows" value="25"/>
						</c:if>
						<!-- Default value for offset value -->
						<c:set var="offset" value="${param.offset}"/>
						<c:if test="${empty offset}">
							<c:set var="offset" value="0"/>
						</c:if>
						
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT count(*) AS count 
							FROM queue 
							${conds}
						</sql:query>
				        				
						<c:if test="${rs.rows[0].count > (offset + param.rows)}">
							<c:set var="nextOffset" value="true"/>
						</c:if>
				
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT name, strategy, musiconhold, announce, maxlen, timeout, groupqueue_id
							FROM queue
							${conds} ORDER BY name LIMIT ${rows} OFFSET ${offset}
						</sql:query>
						<%@ include file="../ui/queues/list.jsp" %>
					</c:otherwise>	
				</c:choose>
			</fmt:bundle>
		</div>
	</body>
</html>

