<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ include file="../include/sql/iax_fix_table.jsp" %>

<c:if test="${not empty param.id}">
	<fmt:bundle basename="sections">
		<sql:setDataSource dataSource="jdbc/ipcontact" /> 
		<sql:query var="rs1" dataSource="jdbc/ipcontact">
			SELECT count(*) as count
			FROM sip_account
			WHERE callgroup = '${param.id}'
		</sql:query>
		<sql:query var="rs2" dataSource="jdbc/ipcontact">
			SELECT count(*) as count
			FROM iax_account
			WHERE callgroup = '${param.id}'
		</sql:query>
		<sql:query var="rs3" dataSource="jdbc/ipcontact">
			SELECT count(*) as count
			FROM zap_channel
			WHERE callgroup = '${param.id}'
		</sql:query>
		<c:if test="${rs1.rows[0].count eq \"0\"}">
			<c:if test="${rs2.rows[0].count eq \"0\"}">
				<c:if test="${rs2.rows[0].count eq \"0\"}">
					<sql:transaction>
						<sql:update>
							DELETE FROM sections WHERE callgroup = '${param.id}'
						</sql:update>
					</sql:transaction>
					<fmt:message key="section.delete.message" var="message">
						<fmt:param value="${param.id}"/>
					</fmt:message>
					<c:set var="message" value="${message}" scope="session"/>
					<c:set var="messageType" value="ok" scope="session"/>
				</c:if>
			</c:if>
		</c:if>
		<c:if test="${empty sessionScope.message}">
			<fmt:message key="section.delete.error" var="message"/>
			<c:set var="message" value="${messsage}" scope="session"/>
			<c:set var="messageType" value="error" scope="session"/>
		</c:if>
	</fmt:bundle>
</c:if>
<c:redirect url="listSections.jsp"/>