<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<sql:query var="rs" dataSource="jdbc/ipcontact">
			SELECT number, user, notes FROM callnotes WHERE uniqueid = '${param.uniqueid}' ORDER BY number
		</sql:query>
		
		<c:if test="${!empty rs.rows}">
			<h2><fmt:message key='stats.log.title'/></h2>
			<table class="data">
				<tr class="tit">
					<th><fmt:message key='stats.data.number'/></th>
					<th><fmt:message key='stats.data.user'/></th>
					<th><fmt:message key='stats.data.note'/></th>
				</tr>
				<c:forEach var="row" varStatus="stat" items="${rs.rows}">
					<c:choose>
						<c:when test="${stat.count % 2 == 0}">
							<tr class="even">
						</c:when>
						<c:otherwise>
							<tr class="odd">
						</c:otherwise>
					</c:choose>
								<td class="data">${row.number}</td>	
								<td class="data">${row.user}</td>	
								<td class="data">${row.notes}</td>	
							</tr>
				</c:forEach>
			</table>
		</c:if>
				
		<sql:query var="rs" dataSource="jdbc/ipcontact">
			SELECT status, user, note FROM callinfo WHERE uniqueid = '${param.uniqueid}'
		</sql:query>
		
		<!-- saque "pending" del select de arriba pues daba problemas con el 0000-00-00 -->
		
		<c:if test="${!empty rs.rows}">
			<c:set var="row" value="${rs.rows[0]}"/>
			<h2><fmt:message key='stats.callend'/></h2>
			<table class="data">
				<tr class="tit">
					<th><fmt:message key='stats.data.state'/></th>
					<th><fmt:message key='stats.data.user'/></th>
					<th><fmt:message key='stats.data.note'/></th>
					<c:if test="${row.status == 2}">
						<th><fmt:message key='stats.data.date'/></th>
					</c:if>	
				</tr>
				<tr class="even">
					<c:choose>
						<c:when test="${row.status == 0}">
							<td class="data"><fmt:message key='stats.ok'/></td>
						</c:when>
						<c:when test="${row.status == 1}">
							<td class="data"><fmt:message key='stats.recall'/></td>	
						</c:when>
						<c:when test="${row.status == 2}">
							<td class="data"><fmt:message key='stats.pending'/></td>	
						</c:when>
						<c:when test="${row.status == 3}">
							<td class="data"><fmt:message key='stats.abandon'/></td>
						</c:when>
					</c:choose>
					<td class="data">${row.user}</td>	
					<td class="data">${row.note}</td>	
					<c:if test="${row.status == 2}">
						<td class="data">${row.pending}</td>	
					</c:if>
				</tr>
			</table>
		</c:if>
		
		<sql:query var="rs" dataSource="jdbc/ipcontact">
			SELECT info FROM log WHERE uniqueid = '${param.uniqueid}'
		</sql:query>
		
		<h2><fmt:message key='stats.detail.title'/></h2>
		
		<c:set var="context" value=""/>
		<c:forTokens var="data" items="${rs.rows[0].info}" delims="\\" varStatus="stat">
			<c:choose>
				<c:when test="${fn:contains(data, '%%')}">
					<c:set var="innerData" value="${fn:split(data, '%%')}"/>
					
					<c:if test="${innerData[0] ne context}">
						<c:if test="${context ne ''}">
							</ul>
						</c:if>
						<p class="log"><fmt:message key='stats.data.context'/>: ${innerData[0]}</p>
						<ul class="log">
						<c:set var="context" value="${innerData[0]}"/>
					</c:if>
					
					<li>${innerData[1]} ${innerData[2]}</li>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${stat.first}">
							<p class="logTit"><c:out value="${data}"/> ID: ${param.uniqueid} &nbsp;<img src="up.gif" onload="agrega(this)"/></p>
							<div class="log">
						</c:when>
						<c:otherwise>
							</ul>
							<p class="log">${data}</p>
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>		
		</c:forTokens>
		</div>
		
		<sql:query var="rs" dataSource="jdbc/ipcontact">
			SELECT uid2 FROM links WHERE uid1 = '${param.uniqueid}'
		</sql:query>
		
		<c:forEach var="row" items="${rs.rows}">
			<sql:query var="rs2" dataSource="jdbc/ipcontact">
				SELECT info FROM log WHERE uniqueid = '${row.uid2}'
			</sql:query>
		
			<c:set var="context" value=""/>
			<c:forTokens var="data" items="${rs2.rows[0].info}" delims="\\" varStatus="stat">
				<c:choose>
					<c:when test="${fn:contains(data, '%%')}">
						<c:set var="innerData" value="${fn:split(data, '%%')}"/>
						
						<c:if test="${innerData[0] ne context}">
							<c:if test="${context ne ''}">
								</ul>
							</c:if>
							<p class="log">Contexto: ${innerData[0]}</p>
							<ul class="log">
							<c:set var="context" value="${innerData[0]}"/>
						</c:if>
						
						<li>${innerData[1]} ${innerData[2]}</li>
					</c:when>
					<c:otherwise>
						<c:choose>
							<c:when test="${stat.first}">
								<p class="logTit"><c:out value="${data}"/> ID: ${row.uid2} &nbsp;<img src="up.gif" onload="agrega(this)"/></p>
								<div class="log">
							</c:when>
							<c:otherwise>
								</ul>
								<p class="log">${data}</p>
							</c:otherwise>
						</c:choose>
					</c:otherwise>
				</c:choose>		
			</c:forTokens>
			</div>
		</c:forEach>
	</fmt:bundle>
</div>
</body>
</html>
