<h2><fmt:message key="addiax.view.title"/> ${name}</h2>
<h3><fmt:message key="addiax.edit.basic"/></h3>
<table class="query">
	<tr class="plain">
		<td class="label"><fmt:message key="addiax.name"/></td>
		<td class="query">${name}<c:if test="${empty name}"><fmt:message key="addiax.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addiax.secret"/></td>
		<td class="query">${secret}<c:if test="${empty secret}"><fmt:message key="addiax.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addiax.callerid"/></td>
		<td class="query">"${calleridName}" <${calleridNumber}><c:if test="${empty calleridName}"><fmt:message key="addiax.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addiax.type"/></td>
		<td class="query">${type}<c:if test="${empty type}"><fmt:message key="addiax.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addiax.context"/></td>
		<td class="query">${context}<c:if test="${empty context}"><fmt:message key="addiax.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addiax.callgroup"/></td>
		<td class="query">${callgroup}<c:if test="${empty callgroup}"><fmt:message key="addiax.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addiax.pickupgroup"/></td>
		<td class="query">${pickupgroup}<c:if test="${empty pickupgroup}"><fmt:message key="addiax.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.host"/></td>
		<td class="query">${host}<c:if test="${empty host}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addiax.disallow"/></td>
		<td class="query">${disallow}<c:if test="${empty disallow}"><fmt:message key="addiax.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addiax.allow"/></td>
		<td class="query">${allow}<c:if test="${empty allow}"><fmt:message key="addiax.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addiax.qualify"/></td>
		<td class="query">
			<c:if test="${qualify eq \"yes\"}">
				<fmt:message key="addiax.yes"/>
			</c:if>
			<c:if test="${qualify eq \"no\"}">
				<fmt:message key="addiax.no"/>
			</c:if>
			<c:if test="${empty qualify}">
				<fmt:message key="addiax.none"/>
			</c:if>
		</td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addiax.mailbox"/></td>
		<td class="query">${mailbox}<c:if test="${empty mailbox}"><fmt:message key="addiax.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.deny"/></td>
		<td class="query">${deny}<c:if test="${empty deny}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.permit"/></td>
		<td class="query">${permit}<c:if test="${empty permit}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
</table>
<br/>
<br/>

<form method="post" action="delIaxChannel.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="rows" value="25"/>
</form>

<form method="post" action="addIaxChannel.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
	<table class="query">
		<tr class="plain">
			<td class="query" colspan="3">
				<fmt:message key="listiax.edit" var="edit"/>
				<input class="boton" type="button" value="${edit}" align="middle" onClick="javascript:edit('${name}')"/>
				&nbsp;&nbsp;
				<fmt:message key="listiax.delete" var="delete"/>
				<fmt:message key="listiax.delete.question" var="question"/>
				<input class="boton" type="button" value="${delete}" align="middle" onClick="javascript:del('${name}','${question}')"/>
				<c:set var="edit" value=""/>
				<c:set var="delete" value=""/>
				<c:set var="question" value=""/>
			</td>
		</tr>
	</table>	
</form>
