<h2><fmt:message key="extension.edit.title"/>:</h2>

<form method="post" action="${path}extensions/addExtension.jsp" name="Protocol" target="_self">
  <input type="hidden" name="protocol"/>
	<input type="hidden" name="extension"/>
	<input type="hidden" name="info"/>
	<input type="hidden" name="vpbx"/>
	<input type="hidden" name="monitor"/>
	<c:if test="${!(sessionScope.asterisk12)}">
		<input type="hidden" name="agent_needed"/>
		<input type="hidden" name="fwmcellular"/>
		<c:if test="${sessionScope.skype}">
			<input type="hidden" name="fwmskype"/>
		</c:if>
		<input type="hidden" name="time_follow"/>
		<input type="hidden" name="start_minutes"/>
		<input type="hidden" name="start_hours"/>
		<input type="hidden" name="end_minutes"/>
		<input type="hidden" name="end_hours"/>
		<input type="hidden" name="date"/>
		<input type="hidden" name="time_cell"/>
		<input type="hidden" name="startminutes_cell"/>
		<input type="hidden" name="starthours_cell"/>
		<input type="hidden" name="endminutes_cell"/>
		<input type="hidden" name="endhours_cell"/>
		<input type="hidden" name="date_cell"/>
   	</c:if>
	<input type="hidden" name="pin"/>
	<input type="hidden" name="local"/>
	<input type="hidden" name="national"/>
	<input type="hidden" name="cellular"/>
	<input type="hidden" name="inter"/>
	<input type="hidden" name="voicemail"/>
	<input type="hidden" name="vm_flag"/>
	<input type="hidden" name="oldExtension"/>
</form>

<form onsubmit="return validateOnSubmit()" method="post" action="../servlet/ipcontact.extensions.AddExtension" name="formulario"/>
  <h3><fmt:message key="extension.data.title"/></h3>
  <table class="query">
	  <tr class="plain">
		  <td class="label"><fmt:message key="extension.data.exten"/>:</td>
			<td class="query">
			  <input type="text" name="extension" size="5" maxlength="16" value="${extension}" onchange="validateNr(this, 'inf_extension', true);" />
			</td>
			<td class="query" id="inf_extension"><fmt:message key="required"/></td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="extension.data.info"/>:</td>
			<td class="query">
				<input type="text" name="info" size="30"  maxlength="64" value="${info}" />
			</td>
			<td class="query"/>
       </tr>

		<tr class="plain">
			<td class="label"><fmt:message key="extension.data.protocol"/>:</td>
			<td class="query">
				<select name="protocol" onchange="refreshProtocol(this.value)">
					<c:choose>
						<c:when test="${chanDahdiCreate}">
							<c:if test="${protocol eq \"dahdi\"}">
								<c:set var="selected" value="selected=\"selected\""/>
							</c:if>
							<option value="dahdi" ${selected}>DAHDI</option>
						</c:when>
						<c:otherwise>
							<c:if test="${protocol eq \"zap\"}">
								<c:set var="selected" value="selected=\"selected\""/>
							</c:if>
							<option value="zap" ${selected}>ZAP</option>
						</c:otherwise>
					</c:choose>
					<c:set var="selected" value=""/>
					
					<c:if test="${protocol eq \"sip\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="sip" ${selected}>SIP</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${protocol eq \"oh323\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="oh323" ${selected}>OH323</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${protocol eq \"iax2\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="iax2" ${selected}>IAX</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${protocol eq \"mgcp\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="mgcp" ${selected}>MGCP</option>
					<c:set var="selected" value=""/>
				</select>
			</td>
			<td class="query"/>
		</tr>

		<c:choose>
			<c:when test="${protocol eq \"zap\" or protocol eq \"dahdi\"}">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT channel FROM zap_channel ORDER BY channel
				</sql:query>
				<tr class="plain">
					<td class="label">
						<fmt:message key="extension.data.channel"/>
						<c:choose>
							<c:when test="${chanDahdiCreate}">
								DAHDI:
							</c:when>
							<c:otherwise>
								ZAP:
							</c:otherwise>
						</c:choose>
					</td>
					<td class="query">
						<select name="superchannel">
							<c:set var="found" value=""/>
							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:if test="${row.channel eq superchannel}">
									<c:set var="found" value="1"/>
									<c:set var="selected" value="selected=\"selected\""/>
								</c:if>
								<option value="${row.channel}" ${selected}>
									${row.channel}
								</option>
								<c:set var="selected" value=""/>
							</c:forEach>
							<c:if test="${empty test}">
								<option value="${superchannel}" selected="selected">${superchannel}</option>
							</c:if>
						</select>
					</td>
					<td class="query"/>
				</tr>
			</c:when>
			<c:when test="${protocol eq \"sip\"}">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT name FROM sip_account ORDER BY name
				</sql:query>
				<tr class="plain">
					<td class="label"><fmt:message key="extension.data.channel"/> SIP:</td>
					<td class="query">
						<select name="superchannel">
							<c:set var="found" value=""/>
							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:if test="${row.name eq superchannel}">
									<c:set var="found" value="1"/>
									<c:set var="selected" value="selected=\"selected\""/>
								</c:if>
								<option value="${row.name}" ${selected}>
									${row.name}
								</option>
								<c:set var="selected" value=""/>
							</c:forEach>
							<c:if test="${empty test}">
								<option value="${superchannel}" selected="selected">${superchannel}</option>
							</c:if>
						</select>
					</td>
					<td class="query"/>
				</tr>
			</c:when>
			<c:when test="${protocol eq \"iax2\"}">
				<%@ include file="../../include/sql/iax_fix_table.jsp" %>
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT name FROM iax_account ORDER BY name
				</sql:query>
				<tr class="plain">
					<td class="label"><fmt:message key="extension.data.channel"/> IAX:</td>
					<td class="query">
						<select name="superchannel">
							<c:set var="found" value=""/>
							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:if test="${row.channel eq superchannel}">
									<c:set var="found" value="1"/>
									<c:set var="selected" value="selected=\"selected\""/>
								</c:if>
								<option value="${row.name}" ${selected}>
									${row.name}
								</option>
								<c:set var="selected" value=""/>
							</c:forEach>
							<c:if test="${empty test}">
								<option value="${superchannel}" selected="selected">${superchannel}</option>
							</c:if>
						</select>
					</td>
					<td class="query"/>
				</tr>
			</c:when>
			<c:otherwise>
				<tr class="plain">
					<td class="labelchecked"><fmt:message key="extension.data.channel"/>:</td>
					<td class="query">
						<input type="text" name="superchannel" size="20" maxlength="32" value="${superchannel}" onchange="checkPresent(this, 'inf_channel')"/> 
					</td>
					<td class="query" id="inf_channel"><fmt:message key="required"/></td>
				</tr>
			</c:otherwise>
		</c:choose>
		
		<tr class="plain">
			<td class="label"><fmt:message key="extension.data.vpbx"/>:</td>
			<td class="query">
				<c:choose>
					<c:when test="${sessionScope.asterisk12}">
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT name, number FROM vpbxs
						</sql:query>
					</c:when>
					<c:otherwise>
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT name, number FROM vpbx
						</sql:query>
					</c:otherwise>
				</c:choose>
				
				<select name="vpbx">
					<c:forEach var="row" items="${rs.rows}">
						<c:if test="${vpbx eq row.number}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${row.number}" ${selected}>${row.name}</option>
						<c:set var="selected" value=""/>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="extension.data.monitor"/>:</td>
			<td class="query">
				<c:if test="${monitor}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="monitor" ${checked} />
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
		<c:if test="${!(sessionScope.asterisk12)}">
			<tr class="plain">
	    		<td class="label"><fmt:message key="extension.data.fwmcellular"/>:</td>
		    	<td class="query">
					<input type="text" name="fwmcellular" size="10" maxlength="9" value="${fwmcellular}"/>
				</td>
				<td class="query"/>
        	</tr>
        	<c:if test="${sessionScope.skype}">
        		<tr class="plain">
	    			<td class="label"><fmt:message key="extension.data.skype"/>:</td>
		    		<td class="query">
						<input type="text" name="fwmskype" size="30" maxlength="64" value="${fwmskype}"/>
					</td>
					<td class="query"/>
        		</tr>
        	</c:if> 
        </c:if>  
	</table>
	<c:if test="${!(sessionScope.asterisk12)}">	
		<h3><fmt:message key="extension.time.title"/></h3>
		<table class="query">
		    <tr class="plain">
			<td class="label"><fmt:message key="extension.time.startime"/>:</td>
			<td class="query">
			    <input type="text" name="start_hours" size="2" maxlength="2" value="${start_hours}"/>
			     :
			    <input type="text" name="start_minutes" size="2" maxlength="2" value="${start_minutes}"/>
			</td>
			<td class="query"/>
		    </tr>
		    <tr class="plain">
			<td class="label"><fmt:message key="extension.time.endtime" />:</td>
			<td class="query">      				
			    <input type="text" name="end_hours" size="2" maxlength="2" value="${end_hours}"/>
			    : 
			    <input type="text" name="end_minutes" size="2" maxlength="2" value="${end_minutes}"/>
			</td>
			<td class="query"/>
		    </tr>
		    <tr class="plain">
			<td class="label"><fmt:message key="extension.time.date" />:</td>
       			<td class="query"> 
			    <c:if test="${date eq \"mon-fri\"}">
				<c:set var="monfri" value="checked=\"checked\""/>
			    </c:if>
			    <c:if test="${date eq \"mon-sat\"}">
				    <c:set var="monsat" value="checked=\"checked\""/>
			    </c:if>		  	
			    <c:if test="${date eq \"mon-sun\"}">
					    <c:set var="monsun" value="checked=\"checked\""/>
				    </c:if>	
			    <c:if test="${date eq \"sat-sun\"}">
					    <c:set var="satsun" value="checked=\"checked\""/>
			    </c:if>  
			    <label><fmt:message key="extension.time.monfri"/></label>
				    <input type="radio" name="date" value="mon-fri" ${monfri} /> 
			    <br/>
			    <label><fmt:message key="extension.time.monsat"/></label>
			    <input type="radio" name="date" value="mon-sat" ${monsat}/>
			    <br/>
			    <label><fmt:message key="extension.time.monsun"/></label>
			    <input type="radio" name="date" value="mon-sun" ${monsun}/>
			    <br/>
			    <label><fmt:message key="extension.time.satsun"/></label>
			    <input type="radio" name="date" value="sat-sun" ${satsun}/>
			    <br/>
	        	</td>   
	        	<td class="query"/>
		    </tr>  
		</table>		
	</c:if>
	</table>
	<c:if test="${!(sessionScope.asterisk12)}">	
		<h3><fmt:message key="extension.timecell.title"/></h3>
		<table class="query">
		    <tr class="plain">
			<td class="label"><fmt:message key="extension.timecell.startime"/>:</td>
			<td class="query">
			    <input type="text" name="starthours_cell" size="2" maxlength="2" value="${starthours_cell}"/>
			     :
			    <input type="text" name="startminutes_cell" size="2" maxlength="2" value="${startminutes_cell}"/>
			</td>
			<td class="query"/>
		    </tr>
		    <tr class="plain">
			<td class="label"><fmt:message key="extension.timecell.endtime" />:</td>
       			<td class="query">      				
			    <input type="text" name="endhours_cell" size="2" maxlength="2" value="${endhours_cell}"/>
			    : 
			    <input type="text" name="endminutes_cell" size="2" maxlength="2" value="${endminutes_cell}"/>
			</td>
       			<td class="query"/>
		    </tr>
		    <tr class="plain">
			<td class="label"><fmt:message key="extension.timecell.date" />:</td>
       			<td class="query"> 
			    <c:if test="${date_cell eq \"mon-fri\"}">
				<c:set var="monfri" value="checked=\"checked\""/>
			    </c:if>
			    <c:if test="${date_cell eq \"mon-sat\"}">
				<c:set var="monsat" value="checked=\"checked\""/>
			    </c:if>		  	
			    <c:if test="${date_cell eq \"mon-sun\"}">
				<c:set var="monsun" value="checked=\"checked\""/>
			    </c:if>	
			    <c:if test="${date_cell eq \"sat-sun\"}">
				<c:set var="satsun" value="checked=\"checked\""/>
			    </c:if>  
			    <label><fmt:message key="extension.timecell.monfri"/></label>
			    <input type="radio" name="date_cell" value="mon-fri" ${monfri} /> 
			    <br/>
			    <label><fmt:message key="extension.timecell.monsat"/></label>
			    <input type="radio" name="date_cell" value="mon-sat" ${monsat}/>
			    <br/>
			    <label><fmt:message key="extension.timecell.monsun"/></label>
			    <input type="radio" name="date_cell" value="mon-sun" ${monsun}/>
			    <br/>
			    <label><fmt:message key="extension.timecell.satsun"/></label>
			    <input type="radio" name="date_cell" value="sat-sun" ${satsun}/>
			    <br/>
	        	</td>   
	        	<td class="query"/>
		    </tr>  
		</table>		
	</c:if>
	<h3><fmt:message key="extension.perm.title"/></h3>
	<table class="query">
		<tr class="plain">
		    <td class="label"><fmt:message key="extension.perm.permission"/>:</td>
		    <td class="query">
			<label for="local"><fmt:message key="extension.perm.local"/></label>

			<c:if test="${local}">
				<c:set var="checked" value="checked=\"checked\""/>
			</c:if>
			<input type="checkbox" name="local" ${checked} />
			<c:set var="checked" value=""/>

			<br/>
			<label for="national"><fmt:message key="extension.perm.national"/></label>

			<c:if test="${national}">
				<c:set var="checked" value="checked=\"checked\""/>
			</c:if>
			<input type="checkbox" name="national" ${checked}/>
			<c:set var="checked" value=""/>

			<br/>
			<label for="cellular"><fmt:message key="extension.perm.cellular"/></label>

			<c:if test="${cellular}">
				<c:set var="checked" value="checked=\"checked\""/>
			</c:if>
			<input type="checkbox" name="cellular" ${checked}/>
			<c:set var="checked" value=""/>

			<br/>
			<label for="inter"><fmt:message key="extension.perm.inter"/></label>

			<c:if test="${inter}">
				<c:set var="checked" value="checked=\"checked\""/>
			</c:if>
			<input type="checkbox" name="inter" ${checked}/>
			<c:set var="checked" value=""/>
		    </td>
		    <td class="query"/>
		</tr>
		<tr class="plain">
		    <td class="label"><fmt:message key="extension.perm.pin"/>:</td>
		    <td class="query">
			<input type="text" name="pin" size="4" maxlength="4" value="${pin}" onchange="validateNr(this, 'inf_pin', false)"/>
		    </td>
		    <td class="query" id="inf_pin"></td>
		</tr>
		<tr class="plain">
		    <td class="label"><fmt:message key="extension.perm.agent"/>:</td>
		    <td class="query">
			<c:if test="${agent_needed}">
			    <c:set var="checked" value="checked=\"checked\""/>
			</c:if>
			<input type="checkbox" name="agent_needed" ${checked}/>
			<c:set var="checked" value=""/>
		    </td>
		    <td class="query" id="inf_pin"></td>
		</tr>
	</table>
	
	<h3><fmt:message key="extension.vm.title"/></h3>
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="extension.vm.account"/>:</td>
			<td class="query">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT mailbox FROM voicemail_account
				</sql:query>
				<select name="voicemail">
				    <option value=""> </option>
					<c:forEach var="row" items="${rs.rows}">
						<c:if test="${voicemail eq row.mailbox}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${row.mailbox}" ${selected}>${row.mailbox}</option>
						<c:set var="selected" value=""/>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="extension.vm.enabled"/>:</td>
	      	<td class="query">
	      		<c:if test="${vm_flag}">
	      			<c:set var="checked" value="checked=\"checked\""/>
	      		</c:if>
				<input type="checkbox" name="vm_flag" ${checked}/>
				<c:set var="checked" value=""/>
       		</td>
	   		<td class="query" id="inf_pin"></td>
		</tr>
	</table>
	
	<br/>
	<br/>
	<table class="query">
		<tr class="plain">
			<td class="query" colspan="3">
				<fmt:message key="extension.submit" var="submit"/>
				<input class="boton" type="submit" value="${submit}" align="middle"/> 
				<c:set var="submit" value=""/>
				<fmt:message key="extension.reset" var="reset"/>
				<input class="boton" type="reset" value="${reset}" align="middle"/>
				<c:set var="reset" value=""/>
			</td>
		</tr>
	</table>	

	<c:choose>
		<c:when test="${not empty param.oldExtension}">
			<input type="hidden" name="oldExtension" value="${param.oldExtension}" />
		</c:when>
		<c:when test="${not empty param.id}">
			<input type="hidden" name="oldExtension" value="${param.id}" />
		</c:when>
		<c:otherwise>
			<input type="hidden" name="oldExtension" value="" />
		</c:otherwise>
	</c:choose>
</form>
