<form method="get" action="listExtensions.jsp" name="jumpForm">
	<input type="hidden" name="extGt" value="${param.extGt}"/>
	<input type="hidden" name="extLt" value="${param.extLt}"/>
	<input type="hidden" name="info" value="${param.info}"/>
	<input type="hidden" name="infoType" value="${param.infoType}"/>
	<input type="hidden" name="protocol" value="${param.protocol}"/>
	<input type="hidden" name="vpbx" value="${param.vpbx}"/>
	<c:if test="${!(sessionScope.asterisk12)}">
		<input type="hidden" name="fwmcellular" value="${param.fwmcellular}"/>
		<c:if test="${sessionScope.skype}">
			<input type="hidden" name="fwmskype" value="${param.fwmskype}"/>
		</c:if>
		<input type="hidden" name="time_follow" value="${param.time_follow}"/>
		<input type="hidden" name="time_cell" value="${param.time_cell}"/>
	</c:if>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${rows}"/>	
</form>

<form method="post" action="delExtension.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="extGt" value="${param.extGt}"/>
	<input type="hidden" name="extLt" value="${param.extLt}"/>
	<input type="hidden" name="info" value="${param.info}"/>
	<input type="hidden" name="infoType" value="${param.infoType}"/>
	<input type="hidden" name="protocol" value="${param.protocol}"/>
	<input type="hidden" name="vpbx" value="${param.vpbx}"/>
	<input type="hidden" name="offset" value="${offset}"/>
	<input type="hidden" name="rows" value="${rows}"/>
</form>

<form method="post" action="addExtension.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
	
</form>

<h2><fmt:message key="extension.list.title"/></h2>

<table class="data">	
	<tr class="tit">
		<th><fmt:message key="extension.data.exten"/></th>
		<th><fmt:message key="extension.data.info"/></th>
		<th><fmt:message key="extension.data.protocol"/></th>
		<th><fmt:message key="extension.data.channel"/></th>
		<th><fmt:message key="extension.vm.title"/></th>
		<th><fmt:message key="extension.vm.enabled"/></th>
		<th><fmt:message key="extension.perm.permission"/></th>
		<th><fmt:message key="extension.data.monitor"/></th>
		<c:if test="${!(sessionScope.asterisk12)}">
			<th><fmt:message key="extension.data.fwmcellular"/></th>
			<c:choose>
				<c:when test="${sessionScope.skype}">
					<th><fmt:message key="extension.data.skype"/></th>
					<th><fmt:message key="extension.time.info"/></th>
					<th><fmt:message key="extension.timecell.info"/></th>
				</c:when>
				<c:otherwise>
					<th><fmt:message key="extension.time.info.cell"/></th>
					<th><fmt:message key="extension.timecell.info.cell"/></th>
				</c:otherwise>
			</c:choose>
		</c:if>
		<c:if test="${sessionScope.role eq \"admin\"}">
			<th/>
			<th/>
		</c:if>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${row.channel_exist eq \"0\"}">
				<tr class="error">
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${stat.count % 2 == 0}">
						<tr class="even">
					</c:when>
					<c:otherwise>
						<tr class="odd">
					</c:otherwise>
				</c:choose>	
			</c:otherwise>
		</c:choose>	
						
		<c:url var="contact_voicemail" value="../extensions/addVoicemail.jsp">
			<c:param name="id" value="${row.voicemail}"/>
			<c:param name="mode" value="view"/>
		</c:url>
		<c:choose>
			<c:when test="${row.protocol eq \"sip\"}">
				<c:url var="contact_channel" value="../channels/addSipChannel.jsp">
					<c:param name="id" value="${row.channel}"/>
					<c:param name="mode" value="view"/>
				</c:url>
			</c:when>
			<c:when test="${row.protocol eq \"zap\" or row.protocol eq \"dahdi\"}">
				<c:url var="contact_channel" value="../channels/addZapChannel.jsp">
					<c:param name="id" value="${row.channel}"/>
					<c:param name="mode" value="view"/>
				</c:url>
			</c:when>
			<c:when test="${row.protocol eq \"iax2\"}">
				<c:url var="contact_channel" value="../channels/addIaxChannel.jsp">
					<c:param name="id" value="${row.channel}"/>
					<c:param name="mode" value="view"/>
				</c:url>
			</c:when>
			<c:otherwise>
				<c:url var="contact_channel" value="../channels/addSipChannel.jsp">
					<c:param name="id" value="${row.channel}"/>
					<c:param name="mode" value="view"/>
				</c:url>
			</c:otherwise>
		</c:choose>	
		
		<td class="data">
			<a class="link" href="javascript:view('${row.extension}')">${row.extension}</a>
		</td>	
		<td class="data">${row.info}</td>	
		<td class="data">${row.protocol}</td>
		<td class="data">
			<c:choose>
				<c:when test="${row.channel_exist eq \"1\"}">
					<a class="link" href="${contact_channel}">${row.channel}</a>
				</c:when>
				<c:otherwise>
					${row.channel}
				</c:otherwise>
			</c:choose>
		</td>
		<td class="data">
			<c:choose>
				<c:when test="${not empty row.voicemail}">
					<a class="link" href="${contact_voicemail}">${row.voicemail}</a>
				</c:when>
				<c:otherwise>
					 - 
				</c:otherwise>
			</c:choose>
		</td>
		<td class="data">
			<c:choose>
				<c:when test="${row.vm_flag}"><fmt:message key="extension.yes"/></c:when>
				<c:otherwise><fmt:message key="extension.no"/></c:otherwise>
			</c:choose>
		</td>	
		<td class="data">
			<c:if test="${row.local}">loc </c:if>
			<c:if test="${row.national}">nac </c:if>
			<c:if test="${row.cellular}">cel </c:if>
			<c:if test="${row.inter}">int </c:if>
			<c:if test="${empty row.local && empty row.national && empty row.cellular && empty row.inter}"> - </c:if>
		</td>
		<td class="data">
			<c:choose>
				<c:when test="${row.monitor}"><fmt:message key="extension.yes"/></c:when>
				<c:otherwise><fmt:message key="extension.no"/></c:otherwise>
			</c:choose>
		</td>
		<c:if test="${!(sessionScope.asterisk12)}">
			<td class="data">${row.fwmcellular}</td>
			<c:if test="${sessionScope.skype}">
				<td class="data">${row.fwmskype}</td>
			</c:if>
				<c:set var="date" value="${fn:split(row.time_follow, ',')}"/>
				<c:set var="time" value="${fn:split(date[0], '-')}"/>
				<c:set var="datecell" value="${fn:split(row.time_cell, ',')}"/>
				<c:set var="timecell" value="${fn:split(datecell[0], '-')}"/>
			<td class="data">${date[0]}
				<c:if test="${date[1] eq \"mon-fri\"}">Lun-Vie </c:if>
	    		<c:if test="${date[1] eq \"mon-sat\"}">Lun-Sab </c:if>
	    		<c:if test="${date[1] eq \"mon-sun\"}">Lun-Dom </c:if>
				<c:if test="${date[1] eq \"sat-sun\"}">Sab-Dom </c:if>
			</td>
			<td class="data">${datecell[0]}
				<c:if test="${datecell[1] eq \"mon-fri\"}">Lun-Vie </c:if>
	    		<c:if test="${datecell[1] eq \"mon-sat\"}">Lun-Sab </c:if>
	    		<c:if test="${datecell[1] eq \"mon-sun\"}">Lun-Dom </c:if>
				<c:if test="${datecell[1] eq \"sat-sun\"}">Sab-Dom </c:if>
			</td>
		</c:if>	
		<c:if test="${sessionScope.role eq \"admin\"}">
			<td class="data">
				<a class="link" href="javascript:edit('${row.extension}')">
					<fmt:message key="extension.edit"/>
				</a>
			</td>
			<td class="data">
				<fmt:message key="extension.delete.question" var="question"/>
				<a class="link" href="javascript:del('${row.extension}','${question}')">
				<fmt:message key="extension.delete"/>
				</a>
				<c:set var="question" value=""/>
			</td>
		</c:if>
	</tr>
	<c:set var="contact_channel" value=""/>
	<c:set var="contact_voicemail" value=""/>
	</c:forEach>
	<c:if test="${rs.rowCount eq \"0\"}">
		<tr>
			<td class="data" colspan="10">
				<fmt:message key="extension.empty"/>
			</td>
		</tr>
	</c:if>
</table>

<util:jump offset="${offset}" rows="${rows}" nextOffset="${nextOffset}"/>
