<fmt:message key="fees.validations.name.required" var="name_required"/>
<fmt:message key="fees.validations.expression.required" var="exp_required"/>
<fmt:message key="fees.validations.price.required" var="price_required"/>
<fmt:message key="fees.validations.fraction.required" var="fraction_required"/>
<fmt:message key="fees.validations.minutes.required" var="minutes_required"/>
<fmt:message key="fees.validations.hours.required" var="hours_required"/>
<fmt:message key="fees.validations.date.required" var="date_required"/>
<fmt:message key="fees.validations.pricefirst" var="var_price_first"/>
<fmt:message key="fees.validations.fractionfirst" var="var_fraction_first"/>

<script type="text/javascript">
<!--
  function validateOnSubmit() {
    if (!validatePresent(document.forms.formulario.name,'inf_name')) {
    	alert("${name_required}");
    	return false;
    }
    if (!validatePresent(document.forms.formulario.expression,'inf_exp')) {
    	alert("${exp_required}");
    	return false;
    }
    if (!validateNr(document.forms.formulario.price,'inf_price', true)) {
    	alert("${price_required}");
    	return false;
    }        
    if (!validateNr(document.forms.formulario.fraction,'inf_fraction', true)) {
    	alert("${fraction_required}");
    	return false;
    }   
    if (!validateNr(document.forms.formulario.start_hours,'inf_start_time', document.forms.formulario.usetime.checked)) {
    	alert("${hours_required}");
    	return false;
    }  
    if (!validateNr(document.forms.formulario.start_minutes,'inf_start_time', document.forms.formulario.usetime.checked)) {
    	alert("${minutes_required}");
    	return false;
    }
    if (!validateNr(document.forms.formulario.end_hours,'inf_end_time', document.forms.formulario.usetime.checked)) {
    	alert("${hours_required}");
    	return false;
    }  
    if (!validateNr(document.forms.formulario.end_minutes,'inf_end_time', document.forms.formulario.usetime.checked)) {
    	alert("${minutes_required}");
    	return false;
    }  
    if (document.forms.formulario.usedate.checked && !validatePresent(document.forms.formulario.start_date, 'inf_start_date')) {
    	alert("${date_required}");
    	return false;
    }
    if (document.forms.formulario.usedate.checked && !validatePresent(document.forms.formulario.end_date, 'inf_end_date')) {
    	alert("${date_required}");
    	return false;
    }
    if (!validateNr(document.forms.formulario.price_first,'inf_price_first', false)) {
    	alert("${var_price_first}");
    	return false;
    }
    if (!validateNr(document.forms.formulario.fraction_first,'inf_fraction_first', false)) {
    	alert("${var_fraction_first}");
    	return false;
    }
    return true;
  };

//-->
</script>
<c:set var="name_required" value=""/>
<c:set var="exp_required" value=""/>
<c:set var="price_required" value=""/>

<c:if test="${not empty sessionScope.message}">
	<c:if test="${sessionScope.messageType eq \"error\"}">
		<c:set var="class" value="error"/>
	</c:if>
	<c:if test="${sessionScope.messageType eq \"ok\"}">
		<c:set var="class" value="ok"/>
	</c:if>
	<div class="${class}">
		${sessionScope.message}
	</div>
	<c:set var="message" value="" scope="session"/>
</c:if>

<h2><fmt:message key="fees.edit.title"/></h2>

<form onsubmit="return validateOnSubmit()" method="post" action="addFee.jsp" name="formulario" target="_self">
	
	<table class="query">
		<tr class="plain">
		    <td class="label"><fmt:message key="fees.name"/></td>
		    <td class="query">
			<input type="text" name="name" size="20" maxlength="50" value="${name}" onchange="validatePresent(this, 'inf_name');"/>
		    </td>
		    <td class="query" id="inf_name"><fmt:message key="fees.required"/></td>
   		</tr>

		<tr class="plain">
		    <td class="label"><fmt:message key="fees.expression"/></td>
		    <td class="query">
			<input type="text" name="expression" size="20" maxlength="50" value="${expression}" onchange="validatePresent(this, 'inf_exp');"/>
		    </td>
		    <td class="query" id="inf_exp"><fmt:message key="fees.required"/></td>
   		</tr>

		<tr class="plain">
		    <td class="label"><fmt:message key="fees.usetime"/></td>
		    <td class="query">
			<c:if test="${usetime}">
			    <c:set var="checked" value="checked=\"checked\""/>
			</c:if>
			<input type="checkbox" name="usetime" ${checked} />
			<c:set var="checked" value=""/>
		    </td>
		    <td class="query"/>
		</tr>
   		
		<tr class="plain">
		    <td class="label"><fmt:message key="fees.starttime" /></td>
		    <td class="query">       				
			<input type="text" name="start_hours" size="2" maxlength="2" value="${start_hours}" onchange="validateNr(this, 'inf_start_time', document.forms.formulario.usetime.checked);"/>
			: 
			<input type="text" name="start_minutes" size="2" maxlength="2" value="${start_minutes}" onchange="validateNr(this, 'inf_start_time', document.forms.formulario.usetime.checked);"/>
		    </td>
		    <td class="query" id="inf_start_time"><c:if test="${empty start_hours}"><fmt:message key="fees.required" /></c:if></td>
		</tr>

		<tr class="plain">
		    <td class="label"><fmt:message key="fees.endtime" /></td>
		    <td class="query">       				
			<input type="text" name="end_hours" size="2" maxlength="2" value="${end_hours}" onchange="validateNr(this, 'inf_end_time', document.forms.formulario.usetime.checked);"/>
			: 
			<input type="text" name="end_minutes" size="2" maxlength="2" value="${end_minutes}" onchange="validateNr(this, 'inf_end_time', document.forms.formulario.usetime.checked);"/>
		    </td>
		    <td class="query" id="inf_end_time"><c:if test="${empty end_hours}"><fmt:message key="fees.required" /></c:if></td>
		</tr>

		<tr class="plain">
		    <td class="label"><fmt:message key="fees.useday"/></td>
		    <td class="query">
			<c:if test="${useday}">
			    <c:set var="checked" value="checked=\"checked\""/>
			</c:if>
			<input type="checkbox" name="useday" ${checked} />
			<c:set var="checked" value=""/>
		    </td>
		    <td class="query"/>
		</tr>

		<tr class="plain">
		    <td class="label"><fmt:message key="fees.days"/></td>
		    <td class="query">
			<select name="days" multiple="multiple">
			    <c:if test="${fn:containsIgnoreCase(days, \"2\")}">
				<c:set var="selected" value="selected=\"selected\""/>
			    </c:if>
			    <option value="2" ${selected} ><fmt:message key="fees.monday"/></option>
			    <c:set var="selected" value=""/>

			    <c:if test="${fn:containsIgnoreCase(days, \"3\")}">
				<c:set var="selected" value="selected=\"selected\""/>
			    </c:if>
			    <option value="3" ${selected} ><fmt:message key="fees.tuesday"/></option>
			    <c:set var="selected" value=""/>

			    <c:if test="${fn:containsIgnoreCase(days, \"4\")}">
				<c:set var="selected" value="selected=\"selected\""/>
			    </c:if>
			    <option value="4" ${selected} ><fmt:message key="fees.wednesday"/></option>
			    <c:set var="selected" value=""/>

			    <c:if test="${fn:containsIgnoreCase(days, \"5\")}">
				<c:set var="selected" value="selected=\"selected\""/>
			    </c:if>
			    <option value="5" ${selected} ><fmt:message key="fees.thursday"/></option>
			    <c:set var="selected" value=""/>

			    <c:if test="${fn:containsIgnoreCase(days, \"6\")}">
				<c:set var="selected" value="selected=\"selected\""/>
			    </c:if>
			    <option value="6" ${selected} ><fmt:message key="fees.friday"/></option>
			    <c:set var="selected" value=""/>

			    <c:if test="${fn:containsIgnoreCase(days, \"7\")}">
				<c:set var="selected" value="selected=\"selected\""/>
			    </c:if>
			    <option value="7" ${selected} ><fmt:message key="fees.saturday"/></option>
			    <c:set var="selected" value=""/>

			    <c:if test="${fn:containsIgnoreCase(days, \"1\")}">
				<c:set var="selected" value="selected=\"selected\""/>
			    </c:if>
			    <option value="1" ${selected} ><fmt:message key="fees.sunday"/></option>
			    <c:set var="selected" value=""/>
			</select>
		    </td>
		    <td class="query"/>
		</tr>
   		
   		<tr class="plain">
		    <td class="label"><fmt:message key="fees.usedate"/></td>
		    <td class="query">
			<c:if test="${usedate}">
			    <c:set var="checked" value="checked=\"checked\""/>
		    	</c:if>
			<input type="checkbox" name="usedate" ${checked} />
			<c:set var="checked" value=""/>
		    </td>
		    <td class="query"/>
		</tr>
   		
		<tr class="plain">
		    <td class="label"><fmt:message key="fees.startdate" /></td>
		    <td class="query">       				
				<input type="text" name="start_date" id="start_date" size="10" maxlength="10" value="${start_date}" onchange="if (document.forms.formulario.usedate.checked) validatePresent(this, 'inf_start_date')"/>	
				<img src='../calendar/calendar.jpg' title='<fmt:message key='stats.data.calendar'/>' alt='<fmt:message key='stats.data.calendar'/>' onclick="scwShow(document.getElementById('start_date'),this);" />		
		    </td>
		    <td class="query" id="inf_start_date"></td>
		</tr>
		
		<tr class="plain">
		    <td class="label"><fmt:message key="fees.enddate" /></td>
		    <td class="query">       				
			<input type="text" name="end_date" id="end_date" size="10" maxlength="10" value="${end_date}" onchange="if (document.forms.formulario.usedate.checked) validatePresent(this, 'inf_end_date')"/>	
			<img src='../calendar/calendar.jpg' title='<fmt:message key='stats.data.calendar'/>' alt='<fmt:message key='stats.data.calendar'/>' onclick="scwShow(document.getElementById('end_date'),this);" />		
		    </td>
		    <td class="query" id="inf_end_date"></td>
		</tr>

		<tr class="plain">
		    <td class="label"><fmt:message key="fees.price"/></td>
		    <td class="query">
			<input type="text" name="price" size="20" maxlength="20" value="${price}" onchange="validateNr(this, 'inf_price', true);"/>
		    </td>
		    <td class="query" id="inf_price"><c:if test="${empty price}"><fmt:message key="fees.required"/></c:if></td>
   		</tr>

		<tr class="plain">
		    <td class="label"><fmt:message key="fees.fraction"/> (<fmt:message key="fees.seconds"/>)</td>
		    <td class="query">
			<input type="text" name="fraction" size="20" maxlength="20" value="${fraction}" onchange="validateNr(this, 'inf_fraction', true);"/>
		    </td>
		    <td class="query" id="inf_fraction"><c:if test="${empty fraction}"><fmt:message key="fees.required"/></c:if></td>
   		</tr>
   		
   		<tr class="plain">
		    <td class="label"><fmt:message key="fees.diffprices"/></td>
		    <td class="query">
			<c:if test="${diff_price}">
			    <c:set var="checked" value="checked=\"checked\""/>
		    	</c:if>
			<input type="checkbox" name="diff_price" ${checked} />
			<c:set var="checked" value=""/>
		    </td>
		    <td class="query"/>
		</tr>
		
		<tr class="plain">
		    <td class="label"><fmt:message key="fees.pricefirst"/></td>
		    <td class="query">
			<input type="text" name="price_first" size="20" maxlength="20" value="${price_first}" onchange="validateNr(this, 'inf_price_first', false);"/>
		    </td>
		    <td class="query" id="inf_price_first"></td>
   		</tr>

		<tr class="plain">
		    <td class="label"><fmt:message key="fees.fractionfirst"/> (<fmt:message key="fees.seconds"/>)</td>
		    <td class="query">
			<input type="text" name="fraction_first" size="20" maxlength="20" value="${fraction_first}" onchange="validateNr(this, 'inf_fraction_first', false);"/>
		    </td>
		    <td class="query" id="inf_fraction_first"></td>
   		</tr>
   		
   		<tr class="plain">
		    <td class="query" colspan="3">
			<c:choose>
			    <c:when test="${empty param.id}">
				<fmt:message key="fees.submit" var="submit"/>
			    </c:when>
			    <c:otherwise>
				<fmt:message key="fees.save" var="submit"/>
			    </c:otherwise>
			</c:choose>
			<input class="boton" type="submit" value="${submit}" align="middle"/> 
			&nbsp;&nbsp; 
			<fmt:message key="fees.reset" var="reset"/>
			<input class="boton" type="reset" value="${reset}" align="middle"/>
			<c:set var="submit" value=""/>
			<c:set var="reset" value=""/>
		    </td>
		</tr>
		<c:if test="${not empty param.id}">
		    <input type="hidden" name="oldFee" value="${param.id}" />
		</c:if>
	</table>
</form>