<fmt:message key="queues.validations.name.required" var="name_required"/>

<script type="text/javascript">
<!--
  function validateOnSubmit() {
    if (!validatePresent(document.forms.formulario.name,'inf_name')) {
    	alert("${name_required}");
    	return false;
    }

    
    return true;
  };

//-->
</script>
<c:set var="name_required" value=""/>

<h2><fmt:message key="queues.edit.title"/></h2>

<jsp:useBean id="files" class="ipcontact.FileList" scope="page"/>
<c:set var="audios" value="${files.list}"/>

<form onsubmit="return validateOnSubmit()" method="post" action="addQueue.jsp" name="formulario" target="_self">
	<h3><fmt:message key="queues.edit.basic"/></h3>	
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="queues.name"/></td>
			<td class="query">
				<input type="text" name="name" size="30" maxlength="128" value="${name}" onchange="validatePresent(this, 'inf_name');"/>
			</td>
			<td class="query" id="inf_name"><fmt:message key="queues.required"/></td>
   		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="queues.info"/></td>
			<td class="query">
				<input type="text" name="info" size="30" maxlength="128" value="${info}"/>
			</td>
			<td class="query"/>
   		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.callcenter"/></td>
			<td class="query">
				<c:if test="${callcenter}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="callcenter" ${checked} />
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="queues.musiconhold"/></td>
			<td class="query">
				<input type="text" name="musiconhold" size="20" maxlength="128" value="${musiconhold}"/>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.timeout"/></td>
			<td class="query">
				<input type="text" name="timeout" size="4" maxlength="4" value="${timeout}"/>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.retry"/></td>
			<td class="query">
				<input type="text" name="retry" size="5" maxlength="5" value="${retry}"/>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.maxlen"/></td>
			<td class="query">
				<input type="text" name="maxlen" size="5" maxlength="5" value="${maxlen}"/>
			</td>
			<td class="query"/>
   		</tr>
		 
		<tr class="plain">
			<td class="label"><fmt:message key="queues.autofill"/></td>
			<td class="query">
				<c:if test="${autofill}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="autofill" ${checked} />
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.strategy"/></td>
			<td class="query">
				<select name="strategy">
					<c:if test="${strategy eq \"ringall\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="ringall" ${selected} ><fmt:message key="queues.strategy.ringall"/></option>
					<c:set var="selected" value=""/>

					<c:if test="${strategy eq \"roundrobin\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="roundrobin" ${selected} ><fmt:message key="queues.strategy.roundrobin"/></option>
					<c:set var="selected" value=""/>

					<c:if test="${strategy eq \"leastrecent\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="leastrecent" ${selected} ><fmt:message key="queues.strategy.leastrecent"/></option>
					<c:set var="selected" value=""/>

					<c:if test="${strategy eq \"fewestcalls\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>					
					<option value="fewestcalls" ${selected} ><fmt:message key="queues.strategy.fewestcalls"/></option>
					<c:set var="selected" value=""/>

					<c:if test="${strategy eq \"random\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="random" ${selected} ><fmt:message key="queues.strategy.random"/></option>
					<c:set var="selected" value=""/>

					<c:if test="${strategy eq \"rrmemory\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="rrmemory" ${selected} ><fmt:message key="queues.strategy.rrmemory"/></option>
					<c:set var="selected" value=""/>
				</select>
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.data.group"/></td>
			<td class="query">
				<select name="groupqueue_id">
					<option value="" ${selected}><fmt:message key="queues.no.group"/></option>
					<c:forEach var="row" items="${rs_groupsqueues.rows}">
						<c:if test="${row.groupqueue_id eq groupqueue_id}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${row.groupqueue_id}" ${selected}>${row.groupqueue_name}</option>
						<c:set var="selected" value=""/>
					</c:forEach>
				</select>
			</td> 
			<td class="query"/>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="queues.popup"/></td>
			<td class="query">
				<input type="text" name="popup" size="30" maxlength="100" value="${popup}"/>
			</td>
			<td class="query"/>
   		</tr>
   		
   	</table>
   	<h3><fmt:message key="queues.edit.advanced"/></h3>
   	<table class="query">
   	
		<tr class="plain">
			<td class="label"><fmt:message key="queues.context"/></td>
			<td class="query">
				<input type="text" name="context" size="20" maxlength="128" value="${context}"/>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.monitor_format"/></td>
			<td class="query">
				<select name="monitor_format">
					<c:if test="${monitor_format eq \"gsm\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="gsm" ${selected} >gsm</option>
					<c:set var="selected" value=""/>

					<c:if test="${monitor_format eq \"wav\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="wav" ${selected} >wav</option>
					<c:set var="selected" value=""/>

					<c:if test="${monitor_format eq \"wav49\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="wav49" ${selected} >wav49</option>
					<c:set var="selected" value=""/>
					 
					<c:if test="${empty monitor_format}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="" ${selected} ><fmt:message key="queues.norecord"/></option>
					<c:set var="selected" value=""/>
				</select>
			</td>
			<td class="query"/>
		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.wrapuptime"/></td>
			<td class="query">
				<input type="text" name="wrapuptime" size="2" maxlength="2" value="${wrapuptime}"/>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.servicelevel"/></td>
			<td class="query">
				<input type="text" name="servicelevel" size="3" maxlength="3" value="${servicelevel}"/>
			</td>
			<td class="query"/>
   		</tr>
   		
   		<tr class="plain">
			<td class="label"><fmt:message key="queues.joinempty"/></td>
			<td class="query">
				<c:if test="${joinempty eq \"yes\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="joinempty" value="yes" ${checked} /><fmt:message key="queues.yes"/>
				<c:set var="checked" value=""/>
				
				<c:if test="${joinempty eq \"no\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="joinempty" value="no" ${checked} /><fmt:message key="queues.no"/>
				<c:set var="checked" value=""/>

				<c:if test="${joinempty eq \"strict\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="joinempty" value="strict" ${checked} /><fmt:message key="queues.strict"/>
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
   		
   		<tr class="plain">
			<td class="label"><fmt:message key="queues.leavewhenempty"/></td>
			<td class="query">
				<c:set var="checked" value=""/>
				<c:if test="${leavewhenempty eq \"yes\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="leavewhenempty" value="yes" ${checked} /><fmt:message key="queues.yes"/>
				<c:set var="checked" value=""/>
				
				<c:if test="${leavewhenempty eq \"no\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="leavewhenempty" value="no" ${checked} /><fmt:message key="queues.no"/>
				<c:set var="checked" value=""/>
								
				<c:if test="${leavewhenempty eq \"strict\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="leavewhenempty" value="strict" ${checked} /><fmt:message key="queues.strict"/>
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.eventmemberstatus"/></td>
			<td class="query">
				<c:set var="checked" value=""/>				
				<c:if test="${eventmemberstatus eq \"yes\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="eventmemberstatus" value="yes" ${checked} /><fmt:message key="queues.yes"/>
				<c:set var="checked" value=""/>
				
				<c:if test="${eventmemberstatus eq \"no\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="eventmemberstatus" value="no" ${checked} /><fmt:message key="queues.no"/>
				<c:set var="checked" value=""/>
								
				<c:if test="${eventmemberstatus eq \"vars\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="eventmemberstatus" value="vars" ${checked} /><fmt:message key="queues.vars"/>
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.eventwhencalled"/></td>
			<td class="query">
				<c:set var="checked" value=""/>
				<c:if test="${eventwhencalled eq \"yes\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="eventwhencalled" value="yes" ${checked} /><fmt:message key="queues.yes"/>
				<c:set var="checked" value=""/>
				
				<c:if test="${eventwhencalled eq \"no\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="eventwhencalled" value="no" ${checked} /><fmt:message key="queues.no"/>
				<c:set var="checked" value=""/>
								
				<c:if test="${eventwhencalled eq \"vars\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="eventwhencalled" value="vars" ${checked} /><fmt:message key="queues.vars"/>
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.memberdelay"/></td>
			<td class="query">
				<input type="text" name="memberdelay" size="2" maxlength="2" value="${memberdelay}"/>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.weight"/></td>
			<td class="query">
				<input type="text" name="weight" size="3" maxlength="3" value="${weight}"/>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.timeoutrestart"/></td>
			<td class="query">
				<c:if test="${timeoutrestart}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="timeoutrestart" ${checked} />
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.ringlimit"/></td>
			<td class="query">
				<input type="text" name="ringlimit" size="2" maxlength="2" value="${ringlimit}"/>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.ringinuse"/></td>
			<td class="query">
				<c:if test="${ringinuse}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="ringinuse" ${checked} />
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
   	</table>
   	
   	<h3><fmt:message key="queues.edit.audios"/></h3>
   	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="queues.announce"/></td>
			<td class="query">
				<select name="announce">
					<option value="">-</option>
					<c:forEach var="row" varStatus="stat" items="${audios}">
						<c:choose>
							<c:when test="${announce eq row}">
								<option value="${row}" selected="selected">${row}</option>
							</c:when>
							<c:otherwise>
								<option value="${row}">${row}</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_youarenext"/></td>
			<td class="query">
				<select name="queue_youarenext">
					<option value="">-</option>
					<c:forEach var="row" varStatus="stat" items="${audios}">
						<c:choose>
							<c:when test="${queue_youarenext eq row}">
								<option value="${row}" selected="selected">${row}</option>
							</c:when>
							<c:otherwise>
								<option value="${row}">${row}</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_thereare"/></td>
			<td class="query">
				<select name="queue_thereare">
					<option value="">-</option>
					<c:forEach var="row" varStatus="stat" items="${audios}">
						<c:choose>
							<c:when test="${queue_thereare eq row}">
								<option value="${row}" selected="selected">${row}</option>
							</c:when>
							<c:otherwise>
								<option value="${row}">${row}</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_callswaiting"/></td>
			<td class="query">
				<select name="queue_callswaiting">
					<option value="">-</option>
					<c:forEach var="row" varStatus="stat" items="${audios}">
						<c:choose>
							<c:when test="${queue_callswaiting eq row}">
								<option value="${row}" selected="selected">${row}</option>
							</c:when>
							<c:otherwise>
								<option value="${row}">${row}</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_holdtime"/></td>
			<td class="query">
				<select name="queue_holdtime">
					<option value="">-</option>
					<c:forEach var="row" varStatus="stat" items="${audios}">
						<c:choose>
							<c:when test="${queue_holdtime eq row}">
								<option value="${row}" selected="selected">${row}</option>
							</c:when>
							<c:otherwise>
								<option value="${row}">${row}</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_minutes"/></td>
			<td class="query">
				<select name="queue_minutes">
					<option value="">-</option>
					<c:forEach var="row" varStatus="stat" items="${audios}">
						<c:choose>
							<c:when test="${queue_minutes eq row}">
								<option value="${row}" selected="selected">${row}</option>
							</c:when>
							<c:otherwise>
								<option value="${row}">${row}</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_seconds"/></td>
			<td class="query">
				<select name="queue_seconds">
					<option value="">-</option>
					<c:forEach var="row" varStatus="stat" items="${audios}">
						<c:choose>
							<c:when test="${queue_seconds eq row}">
								<option value="${row}" selected="selected">${row}</option>
							</c:when>
							<c:otherwise>
								<option value="${row}">${row}</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_lessthan"/></td>
			<td class="query">
				<select name="queue_lessthan">
					<option value="">-</option>
					<c:forEach var="row" varStatus="stat" items="${audios}">
						<c:choose>
							<c:when test="${queue_lessthan eq row}">
								<option value="${row}" selected="selected">${row}</option>
							</c:when>
							<c:otherwise>
								<option value="${row}">${row}</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_thankyou"/></td>
			<td class="query">
				<select name="queue_thankyou">
					<option value="">-</option>
					<c:forEach var="row" varStatus="stat" items="${audios}">
						<c:choose>
							<c:when test="${queue_thankyou eq row}">
								<option value="${row}" selected="selected">${row}</option>
							</c:when>
							<c:otherwise>
								<option value="${row}">${row}</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_reporthold"/></td>
			<td class="query">
				<select name="queue_reporthold">
					<option value="">-</option>
					<c:forEach var="row" varStatus="stat" items="${audios}">
						<c:choose>
							<c:when test="${queue_reporthold eq row}">
								<option value="${row}" selected="selected">${row}</option>
							</c:when>
							<c:otherwise>
								<option value="${row}">${row}</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.announce_frequency"/></td>
			<td class="query">
				<input type="text" name="announce_frequency" size="5" maxlength="5" value="${announce_frequency}"/>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.announce_roundseconds"/></td>
			<td class="query">
				<input type="text" name="announce_round_seconds" size="5" maxlength="5" value="${announce_round_seconds}"/>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.reportholdtime"/></td>
			<td class="query">
				<c:if test="${reportholdtime}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="reportholdtime" ${checked} />
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.announce_holdtime"/></td>
			<td class="query">
				<select name="announce_holdtime">
					<c:if test="${announce_holdtime eq \"yes\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="yes" ${selected} ><fmt:message key="queues.yes"/></option>
					<c:set var="selected" value=""/>

					<c:if test="${announce_holdtime eq \"no\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="no" ${selected} ><fmt:message key="queues.no"/></option>
					<c:set var="selected" value=""/>

					<c:if test="${announce_holdtime eq \"once\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="once" ${selected} ><fmt:message key="queues.once"/></option>
					<c:set var="selected" value=""/>
				</select>
			</td>
			<td class="query"/>
		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.periodic_announce"/></td>
			<td class="query">
				<select name="periodic_announce">
					<option value="">-</option>
					<c:forEach var="row" varStatus="stat" items="${audios}">
						<c:choose>
							<c:when test="${periodic_announce eq row}">
								<option value="${row}" selected="selected">${row}</option>
							</c:when>
							<c:otherwise>
								<option value="${row}">${row}</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.periodic_announce_frequency"/></td>
			<td class="query">
				<input type="text" name="periodic_announce_frequency" size="3" maxlength="3" value="${periodic_announce_frequency}"/>
			</td>
			<td class="query"/>
   		</tr>
   	</table>
   	<br/>
   	<br/>
   	<table class="query">
		<tr class="plain">
			<td class="query">
				<c:choose>
					<c:when test="${empty param.id}">
						<fmt:message key="queues.submit" var="submit"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="queues.save" var="submit"/>
					</c:otherwise>
				</c:choose>
				<input class="boton" type="submit" value="${submit}" align="middle"/>
				&nbsp;&nbsp; 
				<fmt:message key="queues.reset" var="reset"/>
				<input class="boton" type="reset" value="${reset}" align="middle"/>
				<c:set var="submit" value=""/>
				<c:set var="reset" value=""/>
			</td>
		</tr>
	</table>
	<c:if test="${not empty param.id}">
		<input type="hidden" name="oldQueue" value="${param.id}"/>
		<input type="hidden" name="oldCallcenter" value="${callcenter}"/>
	</c:if>
</form>