
<form method="get" action="listQueues.jsp" name="jumpForm">
	<input type="hidden" name="name" value="${param.name}"/>
	<input type="hidden" name="nameType" value="${param.nameType}"/>
	<input type="hidden" name="groupqueue" value="${param.groupqueue}"/>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="delQueue.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="name" value="${param.name}"/>
	<input type="hidden" name="nameType" value="${param.nameType}"/>
	<input type="hidden" name="groupqueue" value="${param.groupqueue}"/>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${param.rows}"/>
</form>

<form method="post" action="addQueue.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
</form>

<h2><fmt:message key="queues.list.title"/></h2>

<table class="data">	
	<tr class="tit">
		<th><fmt:message key="queues.name"/></th>
		<th><fmt:message key="queues.data.group"/></th>
		<th><fmt:message key="queues.strategy"/></th>
		<th><fmt:message key="queues.musiconhold"/></th>
		<th><fmt:message key="queues.announce"/></th>
		<th><fmt:message key="queues.maxlen"/></th>
		<th><fmt:message key="queues.timeout"/></th>
		<c:if test="${sessionScope.role eq \"admin\"}">
			<th/>
			<th/>
		</c:if>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
		<td class="data">
			<a class="link" href="javascript:view('${row.name}')">${row.name}</a>
		</td>	
		<td class="data">
			<c:choose>
				<c:when test="${row.groupqueue_id eq \"\"}">
				    -
				</c:when>  
				<c:otherwise>
					<sql:query var="rs2" dataSource="jdbc/ipcontact">
							SELECT groupqueue_name
							FROM groups_queues WHERE groupqueue_id = '${row.groupqueue_id}' 
					</sql:query>
					${rs2.rows[0].groupqueue_name}
				</c:otherwise>
			</c:choose>
		</td>
   		<td class="data">
			<c:choose>
				<c:when test="${row.strategy eq \"ringall\"}">
					<fmt:message key="queues.strategy.ringall"/>
				</c:when>
				<c:when test="${row.strategy eq \"roundrobin\"}">
					<fmt:message key="queues.strategy.roundrobin"/>
				</c:when>
				<c:when test="${row.strategy eq \"leastrecent\"}">
					<fmt:message key="queues.strategy.leastrecent"/>
				</c:when>
				<c:when test="${row.strategy eq \"fewestcalls\"}">
					<fmt:message key="queues.strategy.fewestcalls"/>
				</c:when>					
				<c:when test="${row.strategy eq \"random\"}">
					<fmt:message key="queues.strategy.random"/>
				</c:when>
				<c:when test="${row.strategy eq \"rrmemory\"}">
					<fmt:message key="queues.strategy.rrmemory"/>
				</c:when>
   			</c:choose>
   		</td>
   		<td class="data">${row.musiconhold}<c:if test="${empty row.musiconhold}"><fmt:message key="queues.empty"/></c:if></td>
   		<td class="data">${row.announce}<c:if test="${empty row.announce}"><fmt:message key="queues.empty"/></c:if></td>
   		<td class="data">${row.maxlen}<c:if test="${empty row.maxlen}"><fmt:message key="queues.empty"/></c:if></td>
   		<td class="data">${row.timeout}<c:if test="${empty row.timeout}"><fmt:message key="queues.empty"/></c:if></td>
   		
		<c:if test="${sessionScope.role eq \"admin\"}">
			<td class="data">
				<a class="link" href="javascript:edit('${row.name}')">
					<fmt:message key="queues.edit"/>
				</a>
			</td>
			<td class="data">
				<fmt:message key="queues.delete.question" var="question"/>
				<a class="link" href="javascript:del('${row.name}','${question}')">
					<fmt:message key="queues.delete"/>
				</a>
				<c:set var="question" value=""/>
			</td>
		</c:if>
	</tr>
	</c:forEach>
</table>

<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>