<form method="get" action="listSections.jsp" name="jumpForm">
	<input type="hidden" name="section" value="${param.section}"/>
	<input type="hidden" name="sectionType" value="${param.sectionType}"/>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${rows}"/>	
</form>

<form method="post" action="delSection.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="section" value="${param.section}"/>
	<input type="hidden" name="sectionType" value="${param.sectionType}"/>
	<input type="hidden" name="offset" value="${offset}"/>
	<input type="hidden" name="rows" value="${rows}"/>
</form>

<form method="post" action="addSection.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
</form>

<h2><fmt:message key="section.list.title"/></h2>

<table class="data">	
	<tr class="tit">
		<th><fmt:message key="section.data.section"/></th>
		<th><fmt:message key="section.data.callgroup"/></th>
		<c:if test="${sessionScope.role eq \"admin\"}">
			<th/>
			<th/>
		</c:if>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
		<td class="data"><a class="link" href="javascript:view('${row.callgroup}')">${row.section}</a></td>
		<td class="data">${row.callgroup}</td>
		<c:if test="${sessionScope.role eq \"admin\"}">
			<td class="data">
				<a class="link" href="javascript:edit('${row.callgroup}')"><fmt:message key="section.edit"/></a>
			</td>
			<td class="data">
				<fmt:message key="section.delete.question" var="question"/>
				<a class="link" href="javascript:del('${row.callgroup}', '${question}')"><fmt:message key="section.delete"/></a>
				<c:set var="question" value=""/>
			</td>
		</c:if>
	</tr>
	</c:forEach>
</table>
<util:jump offset="${offset}" rows="${rows}" nextOffset="${nextOffset}"/>