<form method="get" action="listVoicemail.jsp" name="jumpForm">
	<input type="hidden" name="vmGt" value="${param.vmGt}"/>
	<input type="hidden" name="vmLt" value="${param.vmLt}"/>
	<input type="hidden" name="fullname" value="${param.fullname}"/>
	<input type="hidden" name="fullnameType" value="${param.fullnameType}"/>
	<input type="hidden" name="email" value="${param.email}"/>
	<input type="hidden" name="emailType" value="${param.emailType}"/>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${rows}"/>	
</form>

<form method="post" action="delVoicemail.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="vmGt" value="${param.vmGt}"/>
	<input type="hidden" name="vmLt" value="${param.vmLt}"/>
	<input type="hidden" name="fullname" value="${param.fullname}"/>
	<input type="hidden" name="fullnameType" value="${param.fullnameType}"/>
	<input type="hidden" name="email" value="${param.email}"/>
	<input type="hidden" name="emailType" value="${param.emailType}"/>
	<input type="hidden" name="offset" value="${offset}"/>
	<input type="hidden" name="rows" value="${rows}"/>
</form>

<form method="post" action="addVoicemail.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
</form>
	
<c:if test="${not empty sessionScope.message}">
	<c:if test="${sessionScope.messageType eq \"error\"}">
		<c:set var="class" value="error"/>
	</c:if>
	<c:if test="${sessionScope.messageType eq \"ok\"}">
		<c:set var="class" value="ok"/>
	</c:if>
	<div class="${class}">
		${sessionScope.message}
	</div>
	<c:set var="message" value="" scope="session"/>
</c:if>

<h2><fmt:message key="voicemail.list.title"/></h2>

<table class="data">	
	<tr class="tit">
		<th><fmt:message key="voicemail.data.mailbox"/></th>
		<th><fmt:message key="voicemail.data.fullname"/></th>
		<th><fmt:message key="voicemail.data.email"/></th>
		<th><fmt:message key="voicemail.data.context"/></th>
		<c:if test="${sessionScope.role eq \"admin\"}">
			<th/>
			<th/>
		</c:if>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
		<td class="data">
			<a class="link" href="javascript:view('${row.mailbox}')">${row.mailbox}</a>
		</td>	
		<td class="data">${row.fullname}</td>	
		<td class="data">${row.email}</td>	
		<td class="data">${row.context}</td>	
		<c:if test="${sessionScope.role eq \"admin\"}">
			<td class="data">
				<a class="link" href="javascript:edit('${row.mailbox}')">
					<fmt:message key="extension.edit"/>
				</a>
			</td>
			<td class="data">
				<fmt:message key="voicemail.delete.question" var="question"/>
				<a class="link" href="javascript:del('${row.mailbox}','${question}')">
				<fmt:message key="voicemail.delete"/>
				<c:set var="question" value=""/>
				</a>
			</td>
		</c:if>
	</tr>
	</c:forEach>
	<c:if test="${rs.rowCount eq \"0\"}">
		<tr class="odd">
			<td class="data" colspan="6"><fmt:message key="voicemail.empty"/></td>
		</tr>
	</c:if>
</table>

<util:jump offset='${offset}' rows='${rows}' nextOffset='${nextOffset}'/>
