<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<fmt:bundle basename="users">
	<c:if test="${not empty param.id}">
		<sql:setDataSource dataSource="jdbc/ipcontact" /> 
		<sql:transaction>
			<sql:update>
				DELETE FROM users WHERE username = '${param.id}'
			</sql:update>
			
			<sql:update>
				DELETE FROM authcalls WHERE username = '${param.id}'
			</sql:update>
		</sql:transaction>
		<c:set var="message" value="user.deleted" scope="session"/>
		<c:set var="messageType" value="ok" scope="session"/>
	</c:if>
	
	<c:url var="contact" value="listUsers.jsp">
		<c:param name="user" value="${param.user}"/>
		<c:param name="userType" value="${param.userType}"/>
		<c:param name="name" value="${param.name}"/>
		<c:param name="nameType" value="${param.nameType}"/>
		<c:param name="surname" value="${param.surname}"/>
		<c:param name="surnameType" value="${param.surnameType}"/>
		<c:param name="role" value="${param.role}"/>
		<c:param name="notes" value="${param.notes}"/>
		<c:param name="notesType" value="${param.notesType}"/>
		<c:param name="days" value="${param.days}"/>
		<c:param name="start_hours" value="${param.start_hours}"/>
		<c:param name="start_minutes" value="${param.start_minutes}"/>
		<c:param name="end_hours" value="${param.end_hours}"/>
		<c:param name="end_minutes" value="${param.end_minutes}"/>
		<c:param name="apply_time" value="${param.apply_time}"/>
		<c:param name="offset" value="${param.offset}"/>
		<c:param name="rows" value="${param.rows}"/>
	</c:url>
</fmt:bundle>
<c:redirect url="${contact}"/>

