<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ page contentType="text/html;charset=UTF-8"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
<head>
	<title>Etiquetas</title>
	<link type="text/css" rel="stylesheet" href="include/style-notes.css"/>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	
	<script type="text/javascript" src="include/scripts.js"></script>
</head>
	<c:set var="param.queue" value="ColaGrupo1"/>
	
	<c:if test="${not empty param.queue}">
		<sql:query var="rsQueueLabel" dataSource="jdbc/ipcontact">
			SELECT DISTINCT notes 
			FROM queue_label 
			WHERE queue = '${param.queue}'
		</sql:query>
	</c:if>
	
<!--  EMPIEZA LA PÁGINA  -->
<h3>Llamada de la cola ${param.queue}</h3>
<div class="content">

	<form method="post" action="servlet/AddNotes" name="formulario">
		<table class="data">
			<tr>
				<th class="tit">Evaluación de la llamada:</th>
			</tr>
			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>Uniqueid:</label>
										</td>
										<td class="query">
											<input type="text" size="30" maxlength="30" name="uniqueid" value="${param.uniqueid}" />
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
					<table>
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel"><label>Notas:</label></td>
										<td class="query">
											<select name="notes">
												<c:forEach var="row" items="${rsQueueLabel.rows}">
													<option value="${row.notes}">${row.notes}</option>
												</c:forEach>
											</select>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		
		<br/>
		<table class="action">
		<input type="hidden" name="accion" value="fin"/>
			<tr>
				<td>
					<input class="boton" type="submit" name="submitFin"	id="submitFin" value="Terminar"></input>
				</td>
				<td>
					<input class="boton" type="submit" name="submitCancel" id="submitCancel" value="Cancelar"></input>
				</td>
			</tr>
		</table>
									
	</form>
</div>

	<c:if test="${!empty param.result}">
		<p>${param.result}</p>
	</c:if>

</body>
</html>