<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="others">
		<c:choose>
			<c:when test="${empty param.protocol}">
				<h1><fmt:message key="listextensions.title"/></h1>
		
				<form method="get" action="listExtensions.jsp" target="_self">
					<table class="query">
						<tr class="plain">
							<td class="query"><fmt:message key="listextensions.extensiongt"/>:</td>
							<td class="query"><input type="text" size="5" name="extGt"/></td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listextensions.extensionlt"/>:</td>
							<td class="query"><input type="text" size="5" name="extLt"/></td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listextensions.info"/>:</td>
							<td class="query"><input type="text" size="35" name="info"/></td>
							<td class="query">
								<select name="infoType">
								<option value="1" ><fmt:message key="equal"/></option>
									<option value="2" selected="selected">contiene</option>
									<option value="3" ><fmt:message key="startswith"/></option>
									<option value="4" ><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listextensions.protocol"/>:</td>
							<td class="query">
								<select name="protocol">
									<option value="all" selected="selected"><fmt:message key="all"/></option>
									<option value="zap">Zaptel</option>
									<option value="sip">SIP</option>
									<option value="iax2">IAX</option>
									<option value="h323">H.323</option>
									<option value="mgcp">MGCP</option>
								</select>
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listextensions.vpbx"/>:</td>
							 <td class="query">
								 <c:choose>
									 <c:when test="${sessionScope.asterisk12}">
										 <sql:query var='rs' dataSource='jdbc/ipcontactRO'>
											 SELECT name, number FROM vpbxs
										 </sql:query>
									 </c:when>
									 <c:otherwise>
										 <sql:query var='rs' dataSource='jdbc/ipcontactRO'>
											 SELECT name, number FROM vpbx
										 </sql:query>
									 </c:otherwise>
								 </c:choose>
								 <select name="vpbx">
									<option value="all" selected="selected"><fmt:message key="all"/></option>
									<c:forEach var="row" items="${rs.rows}">
										<option value="${row.number}">${row.name}</option>
									</c:forEach>
								</select>
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listextensions.results"/>:</td>
							<td class="query">
								<input type="radio" name="rows" value="10"/><label>10</label>		
								<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
								<input type="radio" name="rows" value="50"/><label>50</label>		
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query" colspan="3">
								<input class="boton" type="submit" name="submit" value="<fmt:message key="listextensions.submit"/>"/>
							</td>
						</tr>
					</table>
				</form>
			</c:when>
		
			<c:otherwise>
		
				<w:where var='conds'>
					 <c:choose>
						<c:when test="${sessionScope.asterisk12}">
							<w:condition attribute="extension" comparator=">=" value="${param.extGt}"/>
							<w:condition attribute="extension" comparator="<=" value="${param.extLt}"/>
						</c:when>
						<c:otherwise>
							<w:condition attribute="e.number" comparator=">=" value="${param.extGt}"/>
							<w:condition attribute="e.number" comparator="<=" value="${param.extLt}"/>
						</c:otherwise>
					</c:choose>
					<w:condition attribute='info' comparator='${param.infoType}' value='${param.info}'/>
					<c:if test='${param.protocol != "all"}'>
						<w:condition attribute='protocol' value='${param.protocol}'/>
					</c:if>
					<c:if test='${param.vpbx != "all"}'>
						<w:condition attribute='vpbx' value='${param.vpbx}'/>
					</c:if>
				</w:where>
		
				<c:set var="offset" value="${param.offset}"/>
		
				<c:if test="${empty offset}">
					<c:set var="offset" value="0"/>
				 </c:if>
				 
				 <c:choose>
					 <c:when test="${sessionScope.asterisk12}">
						 <sql:query var="rs" dataSource="jdbc/ipcontactRO">
							 SELECT count(*) AS count FROM extensions INNER JOIN vpbxs on number = vpbx ${conds}
						 </sql:query>
					 </c:when>
					 <c:otherwise>
						 <sql:query var="rs" dataSource="jdbc/ipcontactRO">
							 SELECT count(*) AS count FROM extension e INNER JOIN vpbx on vpbx.number = e.vpbx ${conds}
						 </sql:query>
					 </c:otherwise>
				 </c:choose>
				 
				 <c:if test='${rs.rows[0].count > (offset + param.rows)}'>
					<c:set var="nextOffset" value="true"/>
				 </c:if>
				 
				  <c:choose>
					  <c:when test="${sessionScope.asterisk12}">
						  <sql:query var="rs" dataSource="jdbc/ipcontactRO">
							  SELECT extension, info, voicemail, protocol, channel, vm_flag, name, local, national, cellular, inter
							  FROM extensions
							  INNER JOIN vpbxs on number = vpbx
							  LEFT JOIN extenprofile on exten = extension
							  ${conds} ORDER BY extension LIMIT ${param.rows} OFFSET ${offset}
						  </sql:query>
					  </c:when>
					  <c:otherwise>
						 <sql:query var="rs" dataSource="jdbc/ipcontactRO">
							 SELECT e.number AS extension, info, voicemail, protocol, channel, vm_flag, name, 
								local, longdist, cellular, inter
							 FROM extension e
							 INNER JOIN vpbx on vpbx.number = e.vpbx
							 ${conds} ORDER BY e.number LIMIT ${param.rows} OFFSET ${offset}
						 </sql:query>
					 </c:otherwise>
				 </c:choose>
				 
				 <form method="get" action="listExtensions.jsp" name="jumpForm">
					<input type="hidden" name="extGt" value="${param.extGt}"/>
					<input type="hidden" name="extLt" value="${param.extLt}"/>
					<input type="hidden" name="info" value="${param.info}"/>
					<input type="hidden" name="infoType" value="${param.infoType}"/>
					<input type="hidden" name="protocol" value="${param.protocol}"/>
					<input type="hidden" name="vpbx" value="${param.vpbx}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
		
				<form method="post" action="delExtension.jsp" name="deleteForm" target="_self">
					<input type="hidden" name="id"/>
					<input type="hidden" name="extGt" value="${param.extGt}"/>
					<input type="hidden" name="extLt" value="${param.extLt}"/>
					<input type="hidden" name="info" value="${param.info}"/>
					<input type="hidden" name="infoType" value="${param.infoType}"/>
					<input type="hidden" name="protocol" value="${param.protocol}"/>
					<input type="hidden" name="vpbx" value="${param.vpbx}"/>
					<input type="hidden" name="offset" value="${offset}"/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
		
				<form method="post" action="addExtension.jsp" name="editForm" target="_self">
					<input type="hidden" name="id"/>
				</form>
			
				<c:if test="${not empty sessionScope.message}">
					<h3>${sessionScope.message}</h3>
					<c:set var='message' value='' scope='session'/>
				</c:if>
		
				<h2><fmt:message key="listextensions.title"/></h2>
		
				<table class="data">	
					<tr class="tit">
						<th><fmt:message key="listextensions.data.extension"/></th>
						<th><fmt:message key="listextensions.data.info"/></th>
						<th><fmt:message key="listextensions.data.voicemail"/></th>
						<th><fmt:message key="listextensions.data.protocol"/></th>
						<th><fmt:message key="listextensions.data.channel"/></th>
						<th><fmt:message key="listextensions.data.enabledmail"/></th>
						<th><fmt:message key="listextensions.data.vpbx"/></th>
						<th><fmt:message key="listextensions.data.permissions"/></th>
					</tr>
		
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<c:choose>
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>	
						<td class="data">${row.extension}</td>	
						<td class="data">${row.info}</td>	
						<td class="data">${row.voicemail}</td>	
						<td class="data">${row.protocol}</td>	
						<td class="data">${row.channel}</td>	
						<td class="data">
							<c:choose>
								<c:when test="${row.vm_flag}"><fmt:message key="yes"/></c:when>
								<c:otherwise><fmt:message key="no"/></c:otherwise>
							</c:choose>
						</td>	
						<td class="data">${row.name}</td>	
						<td class="data">
							<c:if test='${row.local}'>loc </c:if>
							<c:if test='${row.longdist}'>nac </c:if>
							<c:if test='${row.cellular}'>cel </c:if>
							<c:if test='${row.inter}'>int </c:if>
						</td>
					</tr>
					</c:forEach>
				</table>
		
				<util:jump offset='${offset}' rows='${param.rows}' nextOffset='${nextOffset}'/>
				
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>

