<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<div id="right">
	<c:if test="${not empty param.accion}">
        <c:set var="values" value=""/>
        <c:choose>
	        <c:when test="${param.accion eq \"delete\"}">
                <c:forEach var="parameter" varStatus="stat" items="${param}">
                    <c:if test="${fn:startsWith(parameter, \"user_\")}">
                        <c:if test="${fn:endsWith(parameter, \"=on\")}">
                            <c:choose>
                                <c:when test="${not empty values}">
                                    <c:set var="values" value="${values},'${fn:substringAfter(fn:substringBefore(parameter,\"=\"),\"user_\")}'"/>
                                </c:when>
                                <c:otherwise>
                                    <c:set var="values" value="'${fn:substringAfter(fn:substringBefore(parameter,\"=\"),\"user_\")}'"/>
                                </c:otherwise>
                            </c:choose>
                        </c:if>
                    </c:if>
                </c:forEach>
                <c:if test="${not empty values}">
                    <sql:update var="rs_asigned" dataSource="jdbc/ipcontact">
                        DELETE FROM queue_users where username in(${values}) and queue='${param.queue}'
                    </sql:update>
                </c:if>
	        </c:when>
	        
	        <c:when test="${param.accion eq \"asign\"}">
	            <c:forEach var="parameter" varStatus="stat" items="${param}">
	                <c:if test="${fn:startsWith(parameter, \"user_\")}">
                        <c:if test="${fn:endsWith(parameter, \"=on\")}">
                            <c:choose>
                                <c:when test="${not empty values}">
                                    <c:set var="values" value="${values},('${fn:substringAfter(fn:substringBefore(parameter,\"=\"),\"user_\")}','${param.queue}',0)"/>
                                </c:when>
                                <c:otherwise>
                                    <c:set var="values" value="('${fn:substringAfter(fn:substringBefore(parameter,\"=\"),\"user_\")}','${param.queue}',0)"/>
                                </c:otherwise>
                            </c:choose>
                        </c:if>
                    </c:if>
                </c:forEach>
                <c:if test="${not empty values}">
		            <sql:update var="rs_asigned" dataSource="jdbc/ipcontact">
		                INSERT INTO queue_users VALUES ${values}
		            </sql:update>
	            </c:if>
	        </c:when>
	    </c:choose>
	</c:if>
    <fmt:bundle basename="queues">
        <%  
            Document doc;
            Element action;
            String [] [] result;
            
            doc = XMLHelper.newDocument();
            action = XMLHelper.newElement(doc, "query", "type", "get queues");
            doc.appendChild(action);
            result = net.actionArray(doc, 7);
            if (result != null) {
                for (int i = 0; i < result.length; i++) {
                    result[i][3] = Utilities.convertSecondsToTime(result[i][3]);
                    result[i][4] = Utilities.convertSecondsToTime(result[i][4]);
                }
            }
            
            pageContext.setAttribute("result", result);
        %>
            
        <c:if test="${not empty sessionScope.message}">
            <c:choose>
                <c:when test="${sessionScope.messageType eq \"error\"}">
                    <c:set var="class" value="error"/>
                </c:when>
                <c:otherwise>
                    <c:set var="class" value="ok"/>
                </c:otherwise>
            </c:choose>
            <div class="${class}">
                ${sessionScope.message}
            </div>
            <c:set var="message" value="" scope="session"/>
        </c:if>
        <h1><fmt:message key="addmassagents.title"/></h1>
        <c:choose>
	        <c:when test="${empty param.queue}">
		        <h2><fmt:message key="addmassagents.queues.title"/></h2>
		        <div>
			        <table class="query">
			            <tr class="tit">
			                <th class="query"><fmt:message key="addmassagents.queue.queue"/></th>
			                <th class="query"><fmt:message key="addmassagents.queue.procesed"/></th>
			                <th class="query"><fmt:message key="addmassagents.queue.abandoned"/></th>
			                <th class="query"><fmt:message key="addmassagents.queue.waitingaverage"/></th>
			                <th class="query"><fmt:message key="addmassagents.queue.maxwaiting"/></th>
			            </tr>               
				        <c:choose>
				            <c:when test="${empty result}">
				                <tr>
				                   <td class="odd" colspan="5">
				                       <fmt:message key="addmassagents.queue.empty"/>
				                   </td>
			                   </tr>
				            </c:when>
				            <c:otherwise>
				                <c:forEach var="row" varStatus="stat" items="${result}">
							        <c:choose>
							            <c:when test="${stat.count % 2 == 0}">
							                <tr class="even">
							            </c:when>
							            <c:otherwise>
							                <tr class="odd">
							            </c:otherwise>
							        </c:choose>
							            <td class="data"><a href="addMassAgents.jsp?queue=${row[0]}">${row[0]}</a></td>
			                            <td class="data">${row[1]}</td>
			                            <td class="data">${row[2]}</td>
			                            <td class="data">${row[3]}</td>
			                            <td class="data">${row[4]}</td>
				                    </tr>
				                </c:forEach>
				            </c:otherwise>
				        </c:choose>
			        </table>
		        </div>
				<br/>
				<br/>
			</c:when>
	        <c:otherwise>
                <c:set var="aviableOffset" value="${param.aviableOffset}"/>
                <c:set var="asignedOffset" value="${param.signedOffset}"/>
                <c:if test="${empty aviableOffset}">
                    <c:set var="aviableOffset" value="0"/>
                </c:if>
                <c:if test="${empty asignedOffset}">
                    <c:set var="asignedOffset" value="0"/>
                </c:if>
                
		        <sql:query var="rs_asigned" dataSource="jdbc/ipcontact">
		            select username, first_name, last_name 
		            from users
		            where username in (select username from queue_users where queue='${param.queue}')
		        </sql:query>
                <c:choose>
		            <c:when test="${sessionScope.role eq \"admin\"}">
		                <sql:query var="rs_users" dataSource="jdbc/ipcontact">
		                    SELECT first_name, last_name, username
		                    FROM agents
		                    INNER JOIN users ON username = user
                            WHERE username NOT IN (
                                SELECT username 
                                FROM queue_users 
                                WHERE queue='${param.queue}'
                            )
                            AND disabled = 0
		                    ORDER BY first_name
		                </sql:query>
		            </c:when>
		            <c:when test="${sessionScope.role eq \"supervisor\"}">
		                <sql:query var="rs_users" dataSource="jdbc/ipcontact">
		                    SELECT first_name, last_name, username
		                    FROM agents
		                    INNER JOIN users on username = user
		                    INNER JOIN supervisors_groups USING (group_id)
                            WHERE username NOT IN (
                                SELECT username 
                                FROM queue_users 
                                WHERE queue='${param.queue}'
                            )
		                    AND user_id = '${sessionScope.username}'
		                    AND disabled = 0
		                    ORDER BY first_name
		                </sql:query>
		            </c:when>
		        </c:choose>

                <div class="borde">
                    <fmt:message key="addmassagents.queue.queue"/>: ${param.queue}
                    <br/>
                </div>
                <br/>
				<div style="width:45%;float:left;">
	                <!-- Tabla izquierda -->
	                <form method="post" action="addMassAgents.jsp" name="asigned" target="_self">
	                    <input type="hidden" name="queue" value="${param.queue}"/>
	                    <input type="hidden" name="accion" value="delete"/>
			            <table class="data">
                            <tr class="tit">
                                <th colspan="3"><fmt:message key="addmassagents.asignedusers.title"/></th>
                            </tr>
			                <tr class="tit">
			                    <th><fmt:message key="addmassagents.asignedusers.user"/></th>
			                    <th><fmt:message key="addmassagents.asignedusers.name"/></th>
			                    <th/>
			                </tr>
			                <c:forEach var="row" varStatus="stat" items="${rs_asigned.rows}">
			                    <c:choose>
			                        <c:when test="${stat.count % 2 == 0}">
			                            <tr class="even">
			                        </c:when>
			                        <c:otherwise>
			                            <tr class="odd">
			                        </c:otherwise>
			                    </c:choose> 
				                    <td class="data">
				                        ${row.username}
				                    </td>
				                    <td class="data">
				                        ${row.last_name} ${ros.first_name}
				                    </td>
				                    <td>
		                                <input type="checkbox" name="user_${row.username}"/>
				                    </td>
			                    </tr>
			                </c:forEach>
			                <c:if test="${rs_asigned.rowCount == 0}">
	                            <tr class="even">
	                                <td colspan="3">
	                                    <fmt:message key="addmassagents.asignedusers.empty"/>
	                                </td>
	                            </tr>
			                </c:if>
			                <tr class="tit">
	                            <td colspan="3">
	                                <fmt:message key="addmassagents.asignedusers.submit" var="submit"/>
	                                <input type="submit" value="${submit}">
	                                <c:set var="submit" value=""/>
	                            </td>
			                </tr>
			            </table>
		            </form>
		        </div>
				        
				        <!-- Tabla derecha -->
		        <div style="width:45%;float:left;">
	                <form method="post" action="addMassAgents.jsp" name="asign" target="_self">
	                    <input type="hidden" name="queue" value="${param.queue}"/>
	                    <input type="hidden" name="accion" value="asign"/>
	                    <table class="data" style="vertical-align:super;">
                            <tr class="tit">
                                <th colspan="3"><fmt:message key="addmassagents.aviableusers.title"/></th>
                            </tr>
	                        <tr class="tit">
	                            <th><fmt:message key="addmassagents.aviableusers.user"/></th>
	                            <th><fmt:message key="addmassagents.aviableusers.name"/></th>
	                            <th/>
	                        </tr>
	                        <c:forEach var="row" varStatus="stat" items="${rs_users.rows}">
	                            <c:choose>
	                                <c:when test="${stat.count % 2 == 0}">
	                                    <tr class="even">
	                                </c:when>
	                                <c:otherwise>
	                                    <tr class="odd">
	                                </c:otherwise>
	                            </c:choose> 
		                            <td class="data">
		                                ${row.username}
		                            </td>
		                            <td class="data">
		                                ${row.last_name} ${ros.first_name}
		                            </td>
		                            <td>
		                                <input type="checkbox" name="user_${row.username}"/>
		                            </td>
	                            </tr>
	                        </c:forEach>
	                        <c:if test="${rs_users.rowCount == 0}">
	                            <tr class="even">
	                                <td colspan="3">
	                                    <fmt:message key="addmassagents.aviableusers.empty"/>
	                                </td>
	                            </tr>
	                        </c:if>
	                        <tr class="tit">
	                            <td colspan="3">
	                                <fmt:message key="addmassagents.aviableusers.submit" var="submit"/>
	                                <input type="submit" value="${submit}">
	                                <c:set var="submit" value=""/>
	                            </td>
	                        </tr>
		            </table>
				</div>
	        </c:otherwise>
        </c:choose>
    </fmt:bundle>
</div>
</body>
</html>