		<%pageContext.setAttribute("path","../../");%>
		<%@ include file="../../menu.jsp" %>
		
		<div id="right">
			<fmt:bundle basename="statistics">
				<h1><fmt:message key="listgraphs.title"/></h1>
		
				<c:choose>
					<c:when test='${empty param.range}'>
						 <c:choose>
							 <c:when test="${sessionScope.asterisk12}">
								 <sql:query var="rs" dataSource="jdbc/ipcontact">
									 SELECT number, info FROM pstnlines ORDER BY number
								 </sql:query>
							 </c:when>
							 <c:otherwise>
								 <sql:query var="rs" dataSource="jdbc/ipcontact">
									 SELECT number, info FROM pstnline ORDER BY number
								 </sql:query>
							 </c:otherwise>
						 </c:choose>
						
						<form method="post" name="formulario" action="listGraphs.jsp" target="_self">
							<table class="query">
								<tr class="plain">
									<td class="query"><fmt:message key="listgraphs.from"/>:</td>
									<td class="query">
										<input name='afterDate' id='afterDate' type='text' size='10'/>
										<input name='afterTime' id='afterTime' type='text' size='5'/>
										<script type="text/javascript">
										<!--
											if (document.formulario.afterDate.value.length == 0)
												document.formulario.afterDate.value=getCurrentDate();
											if (document.formulario.afterTime.value.length == 0)
												document.formulario.afterTime.value="00:00";
										-->
										</script>
										<img src='../../calendar/calendar.jpg' title='<fmt:message key="listgraphs.calendar"/>' alt='<fmt:message key="listgraphs.calendar"/>' onclick="scwShow(document.getElementById('afterDate'),this);" />
									</td>
								</tr>
								<tr class="plain">
									<td class="query"><fmt:message key="listgraphs.to"/>:</td>
									<td class="query">
										<input name='beforeDate' id='beforeDate' type='text' size='10'/>
										<input name='beforeTime' id='beforeTime' type='text' size='5'/>
										<script type="text/javascript">
										<!--
											if (document.formulario.beforeDate.value.length == 0)
												document.formulario.beforeDate.value=getCurrentDate();
											if (document.formulario.beforeTime.value.length == 0)
												document.formulario.beforeTime.value=getCurrentTime();
										-->
										</script>
										<img src='../../calendar/calendar.jpg' title='<fmt:message key="listgraphs.calendar"/>' alt='<fmt:message key="listgraphs.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
									</td>
								</tr>
				
						<c:if test="${!empty rs}">			
								<tr class="plain">
									<td class="query"><fmt:message key="listgraphs.pstn"/></td>
									<td class="query">
										<select name="line">
											<option value="all" selected="selected"><fmt:message key="all"/></option>
											<c:forEach var="row" items="${rs.rows}">
												<option value="${row.number}">${row.info}</option>
											</c:forEach>
										</select>
									</td>
								</tr>
						</c:if>
				
								<tr class="plain">
									<td class="query"><fmt:message key="listgraphs.target"/>:</td>
									<td class="query">
										<select name="incoming">
											<option value="all" selected="selected"><fmt:message key="all"/></option>
											<option value="0"><fmt:message key="listgraphs.outgoing"/></option>
											<option value="1"><fmt:message key="listgraphs.incoming"/></option>
											<option value="2"><fmt:message key="listgraphs.internal"/></option>
											<option value="3">Call center</option>
											<option value="4">Informes</option>
											<option value="5">0800</option>
											<option value="6">0900</option>
										</select>
									</td>
								</tr>
				
								<tr class="plain">
									<td class="query"><fmt:message key="listgraphs.groupby"/>:</td>
									<td class="query">
										<select name="range">
											<option value="monthly" selected="selected"><fmt:message key="listgraphs.day"/></option>
											<option value="daily"><fmt:message key="listgraphs.hour"/></option>
											<option value="hourly"><fmt:message key="listgraphs.minute"/></option>
										</select>
									</td>
								</tr>
				
								<tr class="plain">
									<td class="query" colspan="3">
										<input class="boton" type="submit" name="submit" value="<fmt:message key="listgraphs.show"/>"/>
									</td>
								</tr>
							</table>
						</form>
					</c:when>
				
					<c:otherwise>
						<c:choose>
							<c:when test="${param.range == 'monthly'}">
								<fmt:message key="listgraphs.day" var="xtitle"/>
							</c:when>
							<c:when test="${param.range == 'daily'}">
								<fmt:message key="listgraphs.hour" var="xtitle"/>
							</c:when>
							<c:when test="${param.range == 'hourly'}">
								<fmt:message key="listgraphs.minute" var="xtitle"/>
							</c:when>
						</c:choose>
				
						<br/>
				
						<h3>
							<fmt:message key="listgraphs.results.title">
								<fmt:param value="${param.afterDate}"/>
								<fmt:param value="${param.afterTime}"/>
								<fmt:param value="${param.beforeDate}"/>
								<fmt:param value="${param.beforeTime}"/>
							</fmt:message>
						</h3>
						
						<table cellpadding="25">
							<tr>
								<td>
									<fmt:message key="listgraphs.number" var="ytitle"/>
									<fmt:message key="listgraphs.numberofcalls" var="title"/>
									
									<c:url var="chart1" value="../../servlet/ipcontact.clearing.Charts">
										<c:param name="afterDate" value="${param.afterDate}"/>
										<c:param name="afterTime" value="${param.afterTime}"/>
										<c:param name="beforeDate" value="${param.beforeDate}"/>
										<c:param name="beforeTime" value="${param.beforeTime}"/>
										<c:param name="range" value="${param.range}"/>
										<c:param name="line" value="${param.line}"/>
										<c:param name="incoming" value="${param.incoming}"/>
										<c:param name="count" value="1"/>
										<c:param name="width" value="550"/>
										<c:param name="height" value="300"/>
										<c:param name="title" value="${title}"/>
										<c:param name="xtitle" value="${xtitle}"/>
										<c:param name="ytitle" value="${ytitle}"/>
									</c:url>
				
									<img src="${chart1}"/>
								</td>
							</tr>
				
							<tr>
								<td>
									<fmt:message key="listgraphs.minutes" var="ytitle"/>
									<fmt:message key="listgraphs.durationaverage" var="title"/>
									
									<c:url var="chart2" value="../../servlet/ipcontact.clearing.Charts">
										<c:param name="afterDate" value="${param.afterDate}"/>
										<c:param name="afterTime" value="${param.afterTime}"/>
										<c:param name="beforeDate" value="${param.beforeDate}"/>
										<c:param name="beforeTime" value="${param.beforeTime}"/>
										<c:param name="range" value="${param.range}"/>
										<c:param name="line" value="${param.line}"/>
										<c:param name="incoming" value="${param.incoming}"/>
										<c:param name="count" value="0"/>
										<c:param name="width" value="550"/>
										<c:param name="height" value="300"/>
										<c:param name="title" value="${title}"/>
										<c:param name="xtitle" value="${xtitle}"/>
										<c:param name="ytitle" value="${ytitle}"/>
									</c:url>
				
									<img src="${chart2}"/>
								</td>
							</tr>
				
						<c:choose>
							<c:when test="${param.incoming == 'all'}">
								<tr>
									<td>
										<fmt:message key="listgraphs.callsdirection" var="title"/>
										<fmt:message key="listgraphs.incoming" var="in"/>
										<fmt:message key="listgraphs.outgoing" var="out"/>
										<fmt:message key="listgraphs.internal" var="loc"/>

										<c:url var="chart3" value="../../servlet/ipcontact.clearing.Charts">
											<c:param name="afterDate" value="${param.afterDate}"/>
											<c:param name="afterTime" value="${param.afterTime}"/>
											<c:param name="beforeDate" value="${param.beforeDate}"/>
											<c:param name="beforeTime" value="${param.beforeTime}"/>
											<c:param name="range" value="pieDirection"/>
											<c:param name="line" value="${param.line}"/>
											<c:param name="width" value="550"/>
											<c:param name="height" value="300"/>
											<c:param name="title" value="${title}"/>
											<c:param name="in" value="${in}"/>
											<c:param name="out" value="${out}"/>
											<c:param name="loc" value="${loc}"/>
										</c:url>

										<img src="${chart3}"/>
									</td>
								</tr>
						    </c:when>
							 
							<c:when test="${param.incoming >= '3'}">
								<tr>
									<td>
										<c:url var="chart7" value="../../servlet/ipcontact.clearing.Charts">
											<c:param name="afterDate" value="${param.afterDate}"/>
											<c:param name="afterTime" value="${param.afterTime}"/>
											<c:param name="beforeDate" value="${param.beforeDate}"/>
											<c:param name="beforeTime" value="${param.beforeTime}"/>
											<c:param name="range" value="pieQueue"/>
											<c:param name="line" value="${param.line}"/>
											<c:param name="width" value="550"/>
											<c:param name="height" value="300"/>
											<c:param name="title" value="Distribucin de las llamadas"/>
											<c:param name="incoming" value="${param.incoming}"/>
										</c:url>

										<img src="${chart7}"/>
									</td>
								</tr>
						    </c:when>
						</c:choose>
				
						<c:choose>
							<c:when test="${param.incoming != '2' && param.line == 'all'}">
								<tr>
									<td>
										<fmt:message key="listgraphs.pstnuse" var="title"/>
										
										<c:url var="chart4" value="../../servlet/ipcontact.clearing.Charts">
											<c:param name="afterDate" value="${param.afterDate}"/>
											<c:param name="afterTime" value="${param.afterTime}"/>
											<c:param name="beforeDate" value="${param.beforeDate}"/>
											<c:param name="beforeTime" value="${param.beforeTime}"/>
											<c:param name="range" value="pieLine"/>
											<c:param name="width" value="550"/>
											<c:param name="height" value="300"/>
											<c:param name="incoming" value="${param.incoming}"/>
											<c:param name="title" value="${title}"/>
										</c:url>
				
										<img src="${chart4}"/>
									</td>
								</tr>
				
								<tr>
									<td>
										<fmt:message key="listgraphs.pstns" var="xtitle"/>
										<fmt:message key="listgraphs.percentage" var="ytitle"/>
										<fmt:message key="listgraphs.pstntime" var="title"/>
									
										<c:url var="chart5" value="../../servlet/ipcontact.clearing.Charts">
											<c:param name="afterDate" value="${param.afterDate}"/>
											<c:param name="afterTime" value="${param.afterTime}"/>
											<c:param name="beforeDate" value="${param.beforeDate}"/>
											<c:param name="beforeTime" value="${param.beforeTime}"/>
											<c:param name="range" value="externalSum${param.range}"/>
											<c:param name="line" value="${param.line}"/>
											<c:param name="width" value="550"/>
											<c:param name="height" value="300"/>
											<c:param name="incoming" value="${param.incoming}"/>
											<c:param name="title" value="${title}"/>
											<c:param name="xtitle" value="${xtitle}"/>
											<c:param name="ytitle" value="${ytitle}"/>
										</c:url>
				
										<img src="${chart5}"/>
									</td>
								</tr>
							</c:when>
							<c:when test="${param.incoming != '2'}">
								<tr>
									<td>
										<fmt:message key="listgraphs.lineuse" var="title"/>
										<fmt:message key="listgraphs.inUse" var="inUse"/>
										<fmt:message key="listgraphs.noUse" var="noUse"/>
										<fmt:message key="listgraphs.minutes" var="minutes"/>
										<fmt:message key="listgraphs.hours" var="hours"/>
										
										<c:url var="chart6" value="../../servlet/ipcontact.clearing.Charts">
											<c:param name="afterDate" value="${param.afterDate}"/>
											<c:param name="afterTime" value="${param.afterTime}"/>
											<c:param name="beforeDate" value="${param.beforeDate}"/>
											<c:param name="beforeTime" value="${param.beforeTime}"/>
											<c:param name="range" value="pieTime${param.range}"/>
											<c:param name="line" value="${param.line}"/>
											<c:param name="width" value="550"/>
											<c:param name="height" value="300"/>
											<c:param name="incoming" value="${param.incoming}"/>
											<c:param name="title" value="${title}"/>
											<c:param name="inUse" value="${inUse}"/>
											<c:param name="noUse" value="${noUse}"/>
											<c:param name="minutes" value="${minutes}"/>
											<c:param name="hours" value="${hours}"/>
										</c:url>
				
										<img src="${chart6}"/>
									</td>
								</tr>	
							</c:when>
						</c:choose>
				
						</table>
					</c:otherwise>
				</c:choose>
			</fmt:bundle>
		</div>
	</body>
</html>

