<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">
    <fmt:bundle basename="statistics">
	<h1><fmt:message key="listfax.title"/></h1>
		
	<c:choose>
	    <c:when test="${empty param.afterDate}">
	  
	    	<sql:query var="rs" dataSource="jdbc/uras">
				SELECT DISTINCT nombre 
				FROM id_ura 
				ORDER BY nombre
			</sql:query>
	    
		<c:if test="${not empty sessionScope.message}">
			<div class="ok">
				<fmt:message key="listfax.saved"/> ${sessionScope.message}
			</div>
			<br/>
			<c:set var="message" scope="session" value =""/>
		</c:if>
		
		<form method="post" name="formulario" action="listFax.jsp" target="_self">
		    <table class="query">
			<tr class="plain">
			    <td class="query"><fmt:message key="listfax.from"/>:</td>
			    <td class="query">
				<input name='afterDate' id='afterDate' type='text' size='10'/>
				<input name='afterTime' id='afterTime' type='text' size='5'/>
				<script type="text/javascript">
				<!--
				    if (document.formulario.afterDate.value.length == 0)
					document.formulario.afterDate.value=getCurrentDate();
				    if (document.formulario.afterTime.value.length == 0)
					document.formulario.afterTime.value="00:00";
				-->
				</script>
				<img src='../../calendar/calendar.jpg' title='<fmt:message key="listfax.calendar"/>' alt='<fmt:message key="listfax.calendar"/>' onclick="scwShow(document.getElementById('afterDate'),this);" />
			    </td>
			    <td class="query"></td>
			</tr>
			<tr class="plain">
			    <td class="query"><fmt:message key="listfax.to"/>:</td>
			    <td class="query">
				<input name='beforeDate' id='beforeDate' type='text' size='10'/>
				<input name='beforeTime' id='beforeTime' type='text' size='5'/>
				<script type="text/javascript">
				<!--
				    if (document.formulario.beforeDate.value.length == 0)
					document.formulario.beforeDate.value=getCurrentDate();
				    if (document.formulario.beforeTime.value.length == 0)
					document.formulario.beforeTime.value=getCurrentTime();
				-->
				</script>
				<img src='../../calendar/calendar.jpg' title='<fmt:message key="listfax.calendar"/>' alt='<fmt:message key="listfax.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
			    </td>
			    <td class="query"></td>
			</tr>
			<tr class="plain">
			    <td class="query"><fmt:message key="listfax.origin"/>:</td>
			    <td class="query"><input type="text" size="35" name="origen"/></td>
			    <td class="query">
				<select name="origentype">
				    <option value="1"><fmt:message key="equal"/></option>
				    <option value="2" selected="selected"><fmt:message key="contain"/></option>
				    <option value="3" ><fmt:message key="startswith"/></option>
				    <option value="4" ><fmt:message key="endswith"/></option>
				</select> 
			    </td>
			</tr>
			<tr class="plain">
			    <td class="query"><fmt:message key="listfax.ura"/>:</td>
			    	<td class="query">
				    <select name="ura">
						<option value="all" selected="selected"><fmt:message key="all"/></option>
						<c:forEach var="row" varStatus="stat" items="${rs.rows}">
					    	<option value="${row.nombre}">${row.nombre}</option>
						</c:forEach>
				    </select> 
				</td>
				<td class="query"/>
			 </tr>
			 <tr class="plain">
			    <td class="query"><fmt:message key="listfax.cartao"/>:</td>
			    <td class="query"><input type="text" size="35" name="cartao"/></td>
			    <td class="query">
				<select name="cartaotype">
				    <option value="1"><fmt:message key="equal"/></option>
				    <option value="2" selected="selected"><fmt:message key="contain"/></option>
				    <option value="3" ><fmt:message key="startswith"/></option>
				    <option value="4" ><fmt:message key="endswith"/></option>
				</select> 
			    </td>
			</tr>
			<tr class="plain">
			    <td class="query"><fmt:message key="listfax.numberfax"/>:</td>
			    <td class="query"><input type="text" size="35" name="numerofax"/></td>
			    <td class="query">
				<select name="numerofaxtype">
				    <option value="1"><fmt:message key="equal"/></option>
				    <option value="2" selected="selected"><fmt:message key="contain"/></option>
				    <option value="3" ><fmt:message key="startswith"/></option>
				    <option value="4" ><fmt:message key="endswith"/></option>
				</select> 
			    </td>
			</tr>
			<tr class="plain">
			    <td class="query"><fmt:message key="listcdr.results"/>:</td>
			    <td class="query">
				<input type="radio" name="rows" value="10"/><label>10</label>		
				<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
				<input type="radio" name="rows" value="50"/><label>50</label>		
			    </td>
			    <td class="query"></td>
			</tr>
			<tr class="plain">
			    <td class="query" colspan="3">
				<input class="boton" type="submit" name="submit" value="<fmt:message key="listfax.submit"/>"/>
			    </td>
			</tr>
		    </table>
		</form>
		</c:when>
		
	    <c:otherwise>
	    
	  		<h3>
		    	<table>
					<tr>
			    		<td><fmt:message key="listfax.from"/>:</td>
			    		<td>${param.afterDate}</td>
			    		<td>${param.afterTime}</td>
					</tr>
					<tr>
			    		<td><fmt:message key="listfax.to"/>:</td>
			    		<td>${param.beforeDate}</td>
			    		<td>${param.beforeTime}</td>
					</tr>
		    	</table>
			</h3>
	    	<w:where var='conds'>
		    	<w:condition attribute='calldate' afterDate='${param.afterDate}' afterTime='${param.afterTime}'/>
		    	<w:condition attribute='calldate' beforeDate='${param.beforeDate}' beforeTime='${param.beforeTime}'/>
		    	<w:condition attribute='source' comparator='${param.origentype}' value='${param.origen}'/>
				<c:if test='${param.ura != "all"}'>
					<w:condition attribute='nombre' value='${param.ura}'/>
		    	</c:if>
				<w:condition attribute='tarjeta' comparator='${param.cartaotype}' value='${param.cartao}'/>
				<w:condition attribute='numero_fax' comparator='${param.numerofaxtype}' value='${param.numerofax}'/>	    
		    </w:where>
		    
		    <c:set var="offset" value="${param.offset}"/>

			<c:if test="${empty offset}">
		    	<c:set var="offset" value="0"/>
			</c:if>
			
			<sql:query var="rs" dataSource="jdbc/uras">
		    	SELECT count(DISTINCT datos_ura.uniqueid) AS count
		    	FROM datos_ura 
				INNER JOIN datos_fax using(uniqueid) 
				INNER JOIN id_ura ON id_ura.id=datos_ura.ura
				${conds}
			</sql:query>

			<c:if test='${rs.rows[0].count > (offset + param.rows)}'>
		    	<c:set var="nextOffset" value="true"/>
			</c:if>
			
			<c:set var="query" scope="session" value=
				"SELECT DISTINCT DATE_FORMAT(calldate, '%d/%m/%Y %T') as calldatef, source, nombre, tarjeta, numero_fax 
				 FROM datos_ura 
				 INNER JOIN datos_fax using(uniqueid) 
				 INNER JOIN id_ura ON id_ura.id=datos_ura.ura
				 ${conds}
				 ORDER BY calldate DESC"
			/> 

			<sql:query var="rs" dataSource="jdbc/uras">
		    	${query} LIMIT ${param.rows} OFFSET ${offset}
			</sql:query>

			<c:set var="sql" scope="session" value="${query}"/>
			
			<form method="post" action="listFax.jsp" name="jumpForm">
		    	<input type="hidden" name="afterDate" value="${param.afterDate}"/>
		    	<input type="hidden" name="afterTime" value="${param.afterTime}"/>
		    	<input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
		    	<input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
		    	<input type="hidden" name="origen" value="${param.origen}"/>
		    	<input type="hidden" name="origentype" value="${param.origentype}"/>
		    	<input type="hidden" name="ura" value="${param.ura}"/>
		    	<input type="hidden" name="cartao" value="${param.cartao}"/>
		    	<input type="hidden" name="cartaotype" value="${param.cartaotype}"/>
		    	<input type="hidden" name="numerofax" value="${param.numerofax}"/>
		    	<input type="hidden" name="numerofaxtype" value="${param.numerofaxtype}"/>
		   		<input type="hidden" name="result" value="${param.result}"/>
		    	<input type="hidden" name="offset" value=""/>
		    	<input type="hidden" name="rows" value="${param.rows}"/>	
		    </form>
			
		    <table class="data">	
		    	<tr class="tit">
					<th><fmt:message key="listfax.data.date"/></th>
					<th><fmt:message key="listfax.data.origin"/></th>
					<th><fmt:message key="listfax.data.ura"/></th>
					<th><fmt:message key="listfax.data.cartao"/></th>
					<th><fmt:message key="listfax.data.numberfax"/></th>
				</tr>
				
				<c:forEach var="row" varStatus="stat" items="${rs.rows}">
					<c:choose>
			    		<c:when test="${stat.count % 2 == 0}">
							<tr class="even">
			    		</c:when>
			    		<c:otherwise>
							<tr class="odd">
			   	 		</c:otherwise>
					</c:choose>	
					<td class="data">${row.calldatef}</td>	
					<td class="data">${row.source}</td>	
					<td class="data">${row.nombre}</td>	
					<td class="data">${row.tarjeta}</td>	
					<td class="data">${row.numero_fax}</td>
					
				</c:forEach>
				
				</table>
				
				<util:jump offset='${offset}' rows='${param.rows}' nextOffset='${nextOffset}'/>

				<c:url var="linkPDF" value="../../servlet/ipcontact.Reports">
		    		<c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="fast/cdr_fax.xml"/>
		    		<c:param name="reportType" value="pdf"/>					
		    		<c:param name="filename" value="cdrfax"/>
		    		<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
		    		<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
		    		<c:param name="db" value="java:comp/env/jdbc/uras"/>
		    		<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
		    		</c:if>
				</c:url>

				<c:url var="linkXLS" value="../../servlet/ipcontact.Reports">
		    		<c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="fast/cdr_fax.xml"/>
		    		<c:param name="reportType" value="xls"/>					
		    		<c:param name="filename" value="cdrfax"/>
		    		<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
		    		<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
		    		<c:param name="db" value="java:comp/env/jdbc/uras"/>
		    		<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
		    		</c:if>
				</c:url>

				<c:url var="linkCSV" value="../../servlet/ipcontact.Reports">
		    		<c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="fast/cdr_fax.xml"/>
		    		<c:param name="reportType" value="csv"/>					
		    		<c:param name="filename" value="cdrfax"/>
		    		<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
		    		<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
		    		<c:param name="db" value="java:comp/env/jdbc/uras"/>
		    		<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
		    		</c:if>
				</c:url>
		
				<%@ include file="../../include/export.jsp" %>
		
	    </c:otherwise>
	    
	</c:choose>
    </fmt:bundle>
</div>
</body>
</html>
	   
	   
	  
			
			    
			    
			    
			
			