<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<h1><fmt:message key="outcalls.title"/></h1>
		<c:choose>
			<c:when test="${empty param.afterDate}">
				<form method="post" name="formulario" action="outCalls.jsp" target="_self">
					<table class="query">
						<tr class="plain">
							<td class="query"><fmt:message key="outcalls.from"/>:</td>
							<td class="query">
								<input name='afterDate' id='afterDate' type='text' size='10'/>
								<input name='afterTime' id='afterTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.afterDate.value.length == 0)
										document.formulario.afterDate.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value="00:00";
								-->
								</script>
								<fmt:message key="outcalls.calendar" var="calendar"/>
								<img src="../../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('afterDate'),this);" />
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="outcalls.to"/>:</td>
							<td class="query">
								<input name='beforeDate' id='beforeDate' type='text' size='10'/>
								<input name='beforeTime' id='beforeTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src="../../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('beforeDate'),this);" />
								<c:set var="calendar" value=""/>
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="outcalls.timeless"/>:</td>
							<td class="query">
								<input name='timeLess' id='timeLess' type='text' size='10'/>s
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="outcalls.timemore"/>:</td>
							<td class="query">
								<input name='timeMore' id='timeLess' type='text' size='10'/>s
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<c:choose>
								<c:when test="${sessionScope.role eq 'admin'}">
									<sql:query var="rs" dataSource="jdbc/ipcontactRO">
										SELECT group_id, group_name
										FROM groups
									</sql:query>
								</c:when>
								<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
									<sql:query var="rs" dataSource="jdbc/ipcontactRO">
										SELECT group_id, group_name 
										FROM groups 
										INNER JOIN supervisors_groups USING(group_id) 
										WHERE user_id='${sessionScope.username}';
									</sql:query>
								</c:when>
							</c:choose>
							<td class="query"><fmt:message key="outcalls.groups"/>:</td>
							<td class="query">
								<select name="group">
									<option value="all" selected="selected"><fmt:message key="all"/></option>
									<c:forEach var="row" varStatus="stat" items="${rs.rows}">
										<option value="${row.group_id}">${row.group_name}</option>
									</c:forEach>
								</select> 
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="outcalls.groupby"/>:</td>
							<td class="query">
								<select name="groupby">
									<option value="none" selected="selected"><fmt:message key="outcalls.none"/></option>
									<option value="hour_period"><fmt:message key="outcalls.hourperiod"/></option>
									<option value="hour"><fmt:message key="outcalls.hour"/></option>
									<option value="day"><fmt:message key="outcalls.day"/></option>
									<option value="month"><fmt:message key="outcalls.month"/></option>
									<option value="extension"><fmt:message key="outcalls.extension"/></option>
									<option value="extension_day"><fmt:message key="outcalls.extension_day"/></option>
									<option value="extension_month"><fmt:message key="outcalls.extension_month"/></option>
								</select> 
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
						    <td class="query"><fmt:message key="listcdr.results"/>:</td>
						    <td class="query">
							<input type="radio" name="rows" value="10"/><label>10</label>		
							<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
							<input type="radio" name="rows" value="50"/><label>50</label>		
						    </td>
						    <td class="query"></td>
						</tr>
						<tr class="plain">
			    			<td class="query" colspan="3">
								<fmt:message key="reportqueuedata.submit" var="submit"/>
								<input class="boton" type="submit" value="${submit}"/>
								<c:set var="submit" value=""/>
			    		    </td>
			    		</tr>
					</table>
				</form>
			</c:when>
			<c:otherwise>
				<w:where var='conds'>
		   			<w:condition attribute='calldate' afterDate='${param.afterDate}' afterTime='${param.afterTime}'/>
		   			<w:condition attribute='calldate' beforeDate='${param.beforeDate}' beforeTime='${param.beforeTime}'/>
					<c:if test="${param.group ne \"all\"}">
						<w:condition attribute='group_id' value='${param.group}'/>
					</c:if>
					<w:condition attribute='direction' value='out'/>
				</w:where>
				<c:set var="sql" scope="session" value="SELECT group_name, "/>
				<sql:query var="rsResult" dataSource="jdbc/ipcontactRO">
					SELECT 
						group_name, 
						<c:choose>
							<c:when test="${param.groupby eq \"day\"}">
								<c:set var="sql" scope="session" value="${sql}CAST(DATE_FORMAT(calldate,'%d/%m/%Y') AS CHAR) AS day,"/>
								CAST(DATE_FORMAT(calldate,'%d/%m/%Y') AS CHAR) AS day, 
							</c:when>
							<c:when test="${param.groupby eq \"month\"}">
								<c:set var="sql" scope="session" value="${sql}CAST(DATE_FORMAT(calldate, '%m/%Y') AS CHAR) AS month,"/>
								CAST(DATE_FORMAT(calldate, '%m/%Y') AS CHAR) AS month, 
							</c:when>
							<c:when test="${param.groupby eq \"extension\"}">
								<c:set var="sql" scope="session" value="${sql}src AS extension,"/>
								src AS extension, 
							</c:when>
							<c:when test="${param.groupby eq \"extension_day\"}">
								<c:set var="sql" scope="session" value="${sql}CAST(DATE_FORMAT(calldate,'%d/%m/%Y') AS CHAR) AS day, src AS extension,"/>
								CAST(DATE_FORMAT(calldate,'%d/%m/%Y') AS CHAR) AS day, src AS extension, 
							</c:when>
							<c:when test="${param.groupby eq \"extension_month\"}">
								<c:set var="sql" scope="session" value="${sql}CAST(DATE_FORMAT(calldate,'%m/%Y') AS CHAR) AS month, src AS extension,"/>
								CAST(DATE_FORMAT(calldate, '%m/%Y') AS CHAR) AS month, src AS extension, 
							</c:when>
							<c:when test="${param.groupby eq \"hour\"}">
								<c:set var="sql" scope="session" value="${sql}CAST(TIME_FORMAT(calldate,'%H:00') AS CHAR) AS hour,"/>
								CAST(TIME_FORMAT(calldate, '%H:00') AS CHAR) AS hour,
							</c:when>
							<c:when test="${param.groupby eq \"hour_period\"}">
								<c:set var="sql" scope="session" value="${sql}CAST(DATE_FORMAT(calldate,'%d/%m/%Y - %H:00') AS CHAR) AS hour,"/>
								CAST(DATE_FORMAT(calldate, '%d/%m/%Y - %H:00') AS CHAR) AS hour,
							</c:when>
						</c:choose>
						<c:set var="sql" scope="session" value="${sql}CAST(SEC_TO_TIME(SUM(duration)) AS CHAR) AS total, 
							                         CAST(SEC_TO_TIME(SUM(duration)/COUNT(*)) AS CHAR) AS average, 
							                         COUNT(*) AS quantity 
							                     FROM cdr  
							                     INNER JOIN callinfo USING(uniqueid) 
							                     INNER JOIN groups USING(group_id) 
							                     ${conds} 
							                     AND group_id IS NOT NULL "/>

						CAST(SEC_TO_TIME(SUM(duration)) AS CHAR) AS total, 
						CAST(SEC_TO_TIME(SUM(duration)/COUNT(*)) AS CHAR) AS average, 
						COUNT(*) AS quantity 
					FROM cdr 
					INNER JOIN callinfo USING(uniqueid) 
					INNER JOIN groups USING(group_id) 
					${conds} 
					AND group_id IS NOT NULL 
					<c:if test="${not empty param.timeMore}">
						<c:set var="sql" scope="session" value="${sql}AND duration >= SEC_TO_TIME('${param.timeMore}') "/>
						AND duration >= SEC_TO_TIME('${param.timeMore}') 
					</c:if>
					<c:if test="${not empty param.timeLess}">
						<c:set var="sql" scope="session" value="${sql}AND duration <= SEC_TO_TIME('${param.timeLess}') "/>
						AND duration <= SEC_TO_TIME('${param.timeLess}') 
					</c:if>
					<c:choose>
						<c:when test="${param.groupby eq \"day\"}">
							<c:set var="sql" scope="session" value="${sql}GROUP BY day, group_id;"/>
							GROUP BY day, group_id;
						</c:when>
						<c:when test="${param.groupby eq \"month\"}">
							<c:set var="sql" scope="session" value="${sql}GROUP BY month, group_id;"/>
							GROUP BY month, group_id;
						</c:when>
						<c:when test="${param.groupby eq \"extension\"}">
							<c:set var="sql" scope="session" value="${sql}GROUP BY group_id, extension;"/>
							GROUP BY group_id, extension;
						</c:when>
						<c:when test="${param.groupby eq \"extension_day\"}">
							<c:set var="sql" scope="session" value="${sql}GROUP BY day, group_id, extension;"/>
							GROUP BY day, group_id, extension;
						</c:when>
						<c:when test="${param.groupby eq \"extension_month\"}">
							<c:set var="sql" scope="session" value="${sql}GROUP BY month, group_id, extension;"/>
							GROUP BY month, group_id, extension;
						</c:when>
						<c:when test="${param.groupby eq \"hour\"}">
							<c:set var="sql" scope="session" value="${sql}GROUP BY hour, group_id;"/>
							GROUP BY hour, group_id;
						</c:when>
						<c:when test="${param.groupby eq \"hour_period\"}">
							<c:set var="sql" scope="session" value="${sql}GROUP BY DATE_FORMAT(calldate,'%d/%m/%Y - %H:00'), group_id;"/>
							GROUP BY DATE_FORMAT(calldate,'%d/%m/%Y - %H:00'), group_id;
						</c:when>
						<c:otherwise>
							<c:set var="sql" scope="session" value="${sql}GROUP BY group_id;"/>
							GROUP BY group_id;
						</c:otherwise>
					</c:choose>
				</sql:query>

				<form method="post" action="outCalls.jsp" name="jumpForm">
				    <input type="hidden" name="afterDate" value="${param.afterDate}"/>
				    <input type="hidden" name="afterTime" value="${param.afterTime}"/>
				    <input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
				    <input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
				    <input type="hidden" name="timeless" value="${param.timeless}"/>
				    <input type="hidden" name="timemore" value="${param.timemore}"/>
				    <input type="hidden" name="group" value="${param.group}"/>
				    <input type="hidden" name="groupby" value="${param.groupby}"/>
				    <input type="hidden" name="offset" value=""/>
				    <input type="hidden" name="rows" value="${param.rows}"/>
				</form>

				<table class="data">	
				    <tr class="tit">
					<th><fmt:message key="outcalls.data.groupname"/></th>
					<c:choose>
						<c:when test="${param.groupby eq \"day\"}">
							<th><fmt:message key="outcalls.data.day"/></th>
						</c:when>
						<c:when test="${param.groupby eq \"month\"}">
							<th><fmt:message key="outcalls.data.month"/></th>
						</c:when>
						<c:when test="${param.groupby eq \"extension\"}">
							<th><fmt:message key="outcalls.data.extension"/></th>
						</c:when>
						<c:when test="${param.groupby eq \"extension_day\"}">
							<th><fmt:message key="outcalls.data.day"/></th>
							<th><fmt:message key="outcalls.data.extension"/></th>
						</c:when>
						<c:when test="${param.groupby eq \"extension_month\"}">
							<th><fmt:message key="outcalls.data.month"/></th>
							<th><fmt:message key="outcalls.data.extension"/></th>
						</c:when>
						<c:when test="${param.groupby eq \"hour\"}">
							<th><fmt:message key="outcalls.data.hour"/></th>
						</c:when>
						<c:when test="${param.groupby eq \"hour_period\"}">
							<th><fmt:message key="outcalls.hourperiod"/></th>
						</c:when>
					</c:choose>
					<th><fmt:message key="outcalls.data.total"/></th>
					<th><fmt:message key="outcalls.data.average"/></th>
					<th><fmt:message key="outcalls.data.quantity"/></th>
				    </tr>
				
				    <c:forEach var="row" varStatus="stat" items="${rsResult.rows}">
					<c:choose>
					    <c:when test="${stat.count % 2 == 0}">
						<tr class="even">
					    </c:when>
					    <c:otherwise>
						<tr class="odd">
					    </c:otherwise>
					</c:choose>	
					<td class="data">${row.group_name}</td>	
					<c:choose>
						<c:when test="${param.groupby eq \"day\"}">
							<td class="data">${row.day}</td>
						</c:when>
						<c:when test="${param.groupby eq \"month\"}">
							<td class="data">${row.month}</td>
						</c:when>
						<c:when test="${param.groupby eq \"extension\"}">
							<td class="data">${row.extension}</td>
						</c:when>
						<c:when test="${param.groupby eq \"extension_day\"}">
							<td class="data">${row.day}</td>
							<td class="data">${row.extension}</td>
						</c:when>
						<c:when test="${param.groupby eq \"extension_month\"}">
							<td class="data">${row.month}</td>
							<td class="data">${row.extension}</td>
						</c:when>
						<c:when test="${param.groupby eq \"hour\"}">
							<td class="data">${row.hour}</td>
						</c:when>
						<c:when test="${param.groupby eq \"hour_period\"}">
							<td class="data">${row.hour}</td>
						</c:when>
					</c:choose>
					<td class="data">${row.total}</td>
					<td class="data">${row.average}</td>
					<td class="data">${row.quantity}</td>
				    </tr>
				    </c:forEach>
				</table>
				<util:jump offset='${offset}' rows='${param.rows}' nextOffset='${nextOffset}'/>

				<c:url var="linkPDF" value="../../servlet/ipcontact.Reports">
				    <c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="outcalls_${param.groupby}.xml"/>
				    <c:param name="reportType" value="pdf"/>					
				    <c:param name="filename" value="ativos"/>
				    <c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
				    </c:if>
				</c:url>

				<c:url var="linkXLS" value="../../servlet/ipcontact.Reports">
				    <c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="outcalls_${param.groupby}.xml"/>
				    <c:param name="reportType" value="xls"/>					
				    <c:param name="filename" value="ativos"/>
				    <c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
				    </c:if>
				</c:url>

				<c:url var="linkCSV" value="../../servlet/ipcontact.Reports">
				    <c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="outcalls_${param.groupby}.xml"/>
				    <c:param name="reportType" value="csv"/>					
				    <c:param name="filename" value="ativos"/>
				    <c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
				    </c:if>
				</c:url>
				
				<%@ include file="../../include/export.jsp" %>
			</c:otherwise>
		</c:choose>
    </fmt:bundle>
</div>
</body>
</html>
