<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
    <fmt:bundle basename="fees">
	<h1><fmt:message key="fees.report.title"/></h1>
	<c:choose>
	    <c:when test="${empty param.afterDate}">

		<c:choose>
		    <c:when test="${sessionScope.role eq \"admin\"}">
				<sql:query var="rs" dataSource="jdbc/ipcontactRO">
			    	SELECT * 
			    	FROM groups
			    	ORDER BY group_name
				</sql:query>
		    </c:when>
		    <c:otherwise>
				<sql:query var="rs" dataSource="jdbc/ipcontactRO">
			    	SELECT * 
			    	FROM groups
			    	INNER JOIN supervisors_groups USING (group_id) 
			    	WHERE user_id='${sessionScope.username}'
			    	ORDER BY group_name
				</sql:query>
		    </c:otherwise>
		</c:choose>

		<form method="get" name="formulario" action="feesReport.jsp">
		    <table class="query">
			<tr class="plain">
			    <td class="query"> <fmt:message key="fees.report.from"/>: </td>
			    <td class="query">
				<input name="afterDate" id="date" type="text" size="10"/>
				<input name="afterTime" id="afterTime" type="text" size="5"/>
				<script type="text/javascript">
				<!--
				    if (document.formulario.date.value.length == 0)
					    document.formulario.date.value=getCurrentDate();
				    if (document.formulario.afterTime.value.length == 0)
					    document.formulario.afterTime.value="00:00";
				-->
				</script>
				<fmt:message key="fees.calendar" var="calendar"/>
				<img src="../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" 
					onclick="scwShow(document.getElementById('date'),this);" />
				<c:set var="calendar" value=""/>
			    </td>
			</tr>
			<tr class="plain">
			    <td class="query"> <fmt:message key="fees.report.to"/>: </td>
			    <td class="query">
				<input name="beforeDate" id="beforeDate" type="text" size="10"/>
				<input name="beforeTime" id="beforeTime" type="text" size="5"/>
				<script type="text/javascript">
				<!--
				    if (document.formulario.beforeDate.value.length == 0)
					    document.formulario.beforeDate.value=getCurrentDate();
				    if (document.formulario.beforeTime.value.length == 0)
					    document.formulario.beforeTime.value=getCurrentTime();
				-->
				</script>
				<fmt:message key="fees.calendar" var="calendar"/>
				<img src="../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" 
					onclick="scwShow(document.getElementById('beforeDate'),this);" />
				<c:set var="calendar" value=""/>
			    </td> 
			</tr>
			<tr class="plain">
			    <td class="query"><fmt:message key="fees.report.group"/>:</td>
			    <td class="query">
				<select name="group">
				    <option value="all" selected="selected"><fmt:message key="all.male"/></option>
				    <c:forEach var="row" items="${rs.rows}">
					<option value="${row.group_id}">${row.group_name}</option>
				    </c:forEach>
				</select>
			    </td>
			</tr>
			
			<tr class="plain">
				<td class="query"> <fmt:message key="fees.report.groupby"/>: </td>
				<td class="query">
					<select name="groupby">
						<option value="no"><fmt:message key="fees.report.nogroup"/></option>
						<option value="horasuma"><fmt:message key="fees.report.hoursum"/></option>
						<option value="hora"><fmt:message key="fees.report.hour"/></option>
						<option value="dia"><fmt:message key="fees.report.day"/></option>
						<option value="mes"><fmt:message key="fees.report.month"/></option>
					</select>
				</td>
			</tr>
			
			<tr class="plain">
			    <td class="query" colspan="2">
				<fmt:message key="fees.report.submit" var="submit"/>
				<input class="boton" type="submit" value="${submit}"/>
				<c:set var="submit" value=""/>
			    </td>
			</tr>
		</table>
		</form>
	    </c:when>
	    <c:otherwise>                           
		<c:set var="offset" value="${param.offset}"/>

		<c:if test="${empty offset}">
		    <c:set var="offset" value="0"/>
		</c:if>

		<h3>
		    <table>
			<tr>
			    <td><fmt:message key="fees.report.from"/>:</td>
			    <td>${param.afterDate}</td>
			    <td>${param.afterTime}</td>
			</tr>
			<tr>
			    <td><fmt:message key="fees.report.to"/>:</td>
			    <td>${param.beforeDate}</td>
			    <td>${param.beforeTime}</td>
			</tr>
		    </table>
		</h3>

		<fmt:message key="fees.report.others" var="others"/>

		<w:where var="conds">
		    <w:condition attribute="calldate" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
		    <w:condition attribute="calldate" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
		    <w:condition attribute="direction" value="out"/>
		    <c:choose>
				<c:when test="${param.group != \"all\"}">
			    	<w:condition attribute="group_id" value="${param.group}"/>
				</c:when>
				<c:otherwise>
			    	<c:if test="${sessionScope.role ne \"admin\"}">
						<w:condition condition="group_id IN (SELECT group_id FROM supervisors_groups WHERE user_id='${sessionScope.username}')"/>
			    	</c:if>
				</c:otherwise>
		     </c:choose>
		</w:where>

		<c:set var="query" value="SELECT tipo, CAST(SEC_TO_TIME(SUM(billsec)) AS CHAR) AS minutos, "/>
		
		<c:choose>
			<c:when test="${param.groupby ne 'no'}">
				<c:set var="query" value="${query} Grupo, " />
			</c:when>
		</c:choose>
		
		<c:set var="query" value="${query}CAST(SEC_TO_TIME(AVG(billsec)) AS CHAR) AS promedio, "/>
		
		<c:set var="query" value="${query}ROUND(SUM(CEILING(((billsec-fraction_first)/fraction)) * valor + valor_first),2) AS costo, "/>
		
		<c:set var="query" value="${query}count(*) AS cantidad, ROUND(valor_computo,2) AS costo_minuto, ROUND(valor_computo_first,3) AS costo_first, fraction, fraction_first FROM "/>
		<c:set var="query" value="${query}(SELECT dst, billsec, "/>

		<%@ include file="../include/sql/fees_fix_table.jsp" %>
		<sql:query var="rsReg" dataSource="jdbc/ipcontactRO">
		    SELECT * FROM fees ORDER BY usedate DESC, usetime DESC, TIMEDIFF(end_date, start_date)
		</sql:query>

		<c:choose>
		    <c:when test="${rsReg.rowCount eq \"0\"}">
				<c:set var="query" value="${query} '${others}' AS tipo, "/>
		    </c:when>
		    <c:otherwise>
				<c:set var="query" value="${query} CASE "/>
				<c:forEach var="row" varStatus="stat" items="${rsReg.rows}">
					<c:choose>
						<c:when test="${row.usetime and row.start_time <= row.end_time}">
				    		<c:set var="time1" value =" AND TIME(calldate) >= '${row.start_time}' AND TIME(calldate) <= '${row.end_time}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time1" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usetime and row.start_time > row.end_time}">
				    		<c:set var="time2" value =" AND (TIME(calldate) >= '${row.start_time}' OR TIME(calldate) <= '${row.end_time}')"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time2" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usedate}">
				    		<c:set var="date" value =" AND DATE(calldate) >= '${row.start_date}' AND DATE(calldate) <= '${row.end_date}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="date" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.useday}">
				    		<c:set var="day" value =" AND DAYOFWEEK(calldate) IN (${row.days})"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="day" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:set var="query" value="${query} when dst REGEXP '${row.expression}' 
						${time1} ${time2} ${date} ${day} then '${row.name}' "/>
				</c:forEach>
				<c:set var="query" value="${query} else '${others}' end AS tipo, "/>
		    </c:otherwise>
		</c:choose>

		<c:choose>
		    <c:when test="${rsReg.rowCount eq \"0\"}">
				<c:set var="query" value="${query}0 AS valor, "/>
		    </c:when>
		    <c:otherwise>
				<c:set var="query" value="${query}CASE "/>
				<c:forEach var="row" varStatus="stat" items="${rsReg.rows}">
			    	<c:choose>
						<c:when test="${row.usetime and row.start_time <= row.end_time}">
				    		<c:set var="time1" value =" AND TIME(calldate) >= '${row.start_time}' AND TIME(calldate) <= '${row.end_time}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time1" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usetime and row.start_time > row.end_time}">
				   	 		<c:set var="time2" value =" AND (TIME(calldate) >= '${row.start_time}' OR TIME(calldate) <= '${row.end_time}')"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time2" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usedate}">
				    		<c:set var="date" value =" AND DATE(calldate) >= '${row.start_date}' AND DATE(calldate) <= '${row.end_date}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="date" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.useday}">
				    		<c:set var="day" value =" AND DAYOFWEEK(calldate) IN (${row.days})"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="day" value=""/>
						</c:otherwise>
			    	</c:choose>
			    		
			    	<c:choose>
			    		<c:when test="${row.diff_price}">
			    			<c:set var="query" value="${query} when dst REGEXP '${row.expression}' and billsec <= ${row.fraction_first}
								${time1} ${time2} ${date} ${day} then 0 "/>
								
							<c:set var="query" value="${query} when dst REGEXP '${row.expression}' and billsec > ${row.fraction_first}  
								${time1} ${time2} ${date} ${day} then ${row.price} "/>
			    		</c:when>
			    		<c:otherwise>
			    			<c:set var="query" value="${query} when dst REGEXP '${row.expression}' 
								${time1} ${time2} ${date} ${day} then ${row.price} "/>
						</c:otherwise>
					</c:choose>
				</c:forEach>
				<c:set var="query" value="${query} else 0 end AS valor, "/>
		    </c:otherwise>
		</c:choose>
		
		<c:choose>
		    <c:when test="${rsReg.rowCount eq \"0\"}">
				<c:set var="query" value="${query}0 AS valor_first, "/>
		    </c:when>
		    <c:otherwise>
				<c:set var="query" value="${query}CASE "/>
				<c:forEach var="row" varStatus="stat" items="${rsReg.rows}">
			    	<c:choose>
						<c:when test="${row.usetime and row.start_time <= row.end_time}">
				    		<c:set var="time1" value =" AND TIME(calldate) >= '${row.start_time}' AND TIME(calldate) <= '${row.end_time}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time1" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usetime and row.start_time > row.end_time}">
				   	 		<c:set var="time2" value =" AND (TIME(calldate) >= '${row.start_time}' OR TIME(calldate) <= '${row.end_time}')"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time2" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usedate}">
				    		<c:set var="date" value =" AND DATE(calldate) >= '${row.start_date}' AND DATE(calldate) <= '${row.end_date}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="date" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.useday}">
				    		<c:set var="day" value =" AND DAYOFWEEK(calldate) IN (${row.days})"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="day" value=""/>
						</c:otherwise>
			    	</c:choose>
			    		
			    	<c:choose>
			    		<c:when test="${row.diff_price}">
			    			<c:set var="query" value="${query} when dst REGEXP '${row.expression}' and billsec > 0 
							${time1} ${time2} ${date} ${day} then ${row.price_first} "/>
			    		</c:when>
			    		<c:otherwise>
			    			<c:set var="query" value="${query} when dst REGEXP '${row.expression}'  
							${time1} ${time2} ${date} ${day} then 0 "/>
						</c:otherwise>
					</c:choose>
			    </c:forEach>
				<c:set var="query" value="${query} else 0 end AS valor_first, "/>
		    </c:otherwise>
		</c:choose>
		
		<c:choose>
		    <c:when test="${rsReg.rowCount eq \"0\"}">
				<c:set var="query" value="${query}0 AS valor_computo, "/>
		    </c:when>
		    <c:otherwise>
				<c:set var="query" value="${query}CASE "/>
				<c:forEach var="row" varStatus="stat" items="${rsReg.rows}">
			    	<c:choose>
						<c:when test="${row.usetime and row.start_time <= row.end_time}">
				    		<c:set var="time1" value =" AND TIME(calldate) >= '${row.start_time}' AND TIME(calldate) <= '${row.end_time}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time1" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usetime and row.start_time > row.end_time}">
				   	 		<c:set var="time2" value =" AND (TIME(calldate) >= '${row.start_time}' OR TIME(calldate) <= '${row.end_time}')"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time2" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usedate}">
				    		<c:set var="date" value =" AND DATE(calldate) >= '${row.start_date}' AND DATE(calldate) <= '${row.end_date}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="date" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.useday}">
				    		<c:set var="day" value =" AND DAYOFWEEK(calldate) IN (${row.days})"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="day" value=""/>
						</c:otherwise>
			    	</c:choose>
			    		
			    	<c:set var="query" value="${query} when dst REGEXP '${row.expression}' 
					${time1} ${time2} ${date} ${day} then ${row.price} "/>
				</c:forEach>
				<c:set var="query" value="${query} else 0 end AS valor_computo, "/>
		    </c:otherwise>
		</c:choose>
		
		<c:choose>
		    <c:when test="${rsReg.rowCount eq \"0\"}">
				<c:set var="query" value="${query}0 AS valor_computo_first, "/>
		    </c:when>
		    <c:otherwise>
				<c:set var="query" value="${query}CASE "/>
				<c:forEach var="row" varStatus="stat" items="${rsReg.rows}">
			    	<c:choose>
					<c:when test="${row.usetime and row.start_time <= row.end_time}">
				    	<c:set var="time1" value =" AND TIME(calldate) >= '${row.start_time}' AND TIME(calldate) <= '${row.end_time}'"/>
					</c:when>
					<c:otherwise>
				    	<c:set var="time1" value=""/>
					</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usetime and row.start_time > row.end_time}">
				   	 		<c:set var="time2" value =" AND (TIME(calldate) >= '${row.start_time}' OR TIME(calldate) <= '${row.end_time}')"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time2" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usedate}">
				    		<c:set var="date" value =" AND DATE(calldate) >= '${row.start_date}' AND DATE(calldate) <= '${row.end_date}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="date" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.useday}">
				    		<c:set var="day" value =" AND DAYOFWEEK(calldate) IN (${row.days})"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="day" value=""/>
						</c:otherwise>
			    	</c:choose>
			    		
			    	<c:set var="query" value="${query} when dst REGEXP '${row.expression}' 
					${time1} ${time2} ${date} ${day} then ${row.price_first} "/>
				</c:forEach>
				<c:set var="query" value="${query} else 0 end AS valor_computo_first, "/>
		    </c:otherwise>
		</c:choose>
	
		<c:choose>
		    <c:when test="${rsReg.rowCount eq \"0\"}">
			    <c:set var="query" value="${query}60 AS fraction, "/>
		    </c:when>
		    <c:otherwise>
				<c:set var="query" value="${query}CASE "/>
				<c:forEach var="row" varStatus="stat" items="${rsReg.rows}">
			    	<c:choose>
						<c:when test="${row.usetime and row.start_time <= row.end_time}">
				    		<c:set var="time1" value =" AND TIME(calldate) >= '${row.start_time}' AND TIME(calldate) <= '${row.end_time}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time1" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usetime and row.start_time > row.end_time}">
				    		<c:set var="time2" value =" AND (TIME(calldate) >= '${row.start_time}' OR TIME(calldate) <= '${row.end_time}')"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time2" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usedate}">
				    		<c:set var="date" value =" AND DATE(calldate) >= '${row.start_date}' AND DATE(calldate) <= '${row.end_date}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="date" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.useday}">
				    		<c:set var="day" value =" AND DAYOFWEEK(calldate) IN (${row.days})"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="day" value=""/>
						</c:otherwise>
			    	</c:choose>
						
			    	<c:set var="query" value="${query}
			    		when dst REGEXP '${row.expression}' ${time1} ${time2} ${date} ${day} then ${row.fraction_period} "/>				    
					</c:forEach>
				
				<c:set var="query" value="${query}else 60 end AS fraction, "/>
			</c:otherwise>
		</c:choose>
				
		<c:choose>
		    <c:when test="${rsReg.rowCount eq \"0\"}">
			    <c:set var="query" value="${query}0 AS fraction_first "/>
		    </c:when>
		    <c:otherwise>
				<c:set var="query" value="${query}CASE "/>
				<c:forEach var="row" varStatus="stat" items="${rsReg.rows}">
			    	<c:choose>
						<c:when test="${row.usetime and row.start_time <= row.end_time}">
				    		<c:set var="time1" value =" AND TIME(calldate) >= '${row.start_time}' AND TIME(calldate) <= '${row.end_time}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time1" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usetime and row.start_time > row.end_time}">
				    		<c:set var="time2" value =" AND (TIME(calldate) >= '${row.start_time}' OR TIME(calldate) <= '${row.end_time}')"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="time2" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.usedate}">
				    		<c:set var="date" value =" AND DATE(calldate) >= '${row.start_date}' AND DATE(calldate) <= '${row.end_date}'"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="date" value=""/>
						</c:otherwise>
			    	</c:choose>

			    	<c:choose>
						<c:when test="${row.useday}">
				    		<c:set var="day" value =" AND DAYOFWEEK(calldate) IN (${row.days})"/>
						</c:when>
						<c:otherwise>
				    		<c:set var="day" value=""/>
						</c:otherwise>
			    	</c:choose>
						
			    	<c:choose>
			    		<c:when test="${row.diff_price}">
			    			<c:set var="query" value="${query}
			    				when dst REGEXP '${row.expression}' ${time1} ${time2} ${date} ${day} then ${row.fraction_first} "/>				    			    
			    		</c:when>
			    		<c:otherwise>
			    			<c:set var="query" value="${query}
			    				when dst REGEXP '${row.expression}' ${time1} ${time2} ${date} ${day} then 0 "/>				    			    
			    		</c:otherwise>
			    	</c:choose>	
				</c:forEach>
				<c:set var="query" value="${query}else 0 end AS fraction_first "/>
				
			</c:otherwise>
		</c:choose>

		
		<c:set var="afterDateTokens"  value="${fn:split(param.afterDate,'/')}" />
		<c:set var="beforeDateTokens"  value="${fn:split(param.beforeDate,'/')}" />
		
		<c:choose>
			<c:when test="${param.groupby eq 'horasuma'}">
				<c:set var="group1" value="CAST(CONCAT(HOUR(calldate), ':00') AS CHAR) AS Grupo "/>
				<c:set var="group2" value="HOUR(calldate) AS grupo2 "/>
			</c:when>
			<c:when test="${param.groupby eq 'hora'}">
				<c:set var="group1" value="CAST(CONCAT(DATE_FORMAT(calldate, '%d/%m/%Y'), ' ', HOUR(calldate), ':00') AS CHAR) AS Grupo "/>
				<c:set var="group2" value="CAST(CAST(CONCAT(DATE(calldate), ' ', HOUR(calldate), ':00') AS DATETIME) AS CHAR) AS grupo2 "/>
			</c:when>
			<c:when test="${param.groupby eq 'dia'}">
				<c:set var="group1" value="DATE_FORMAT(calldate, '%d/%m/%Y') AS Grupo "/>
				<c:set var="group2" value="DATE(calldate) AS grupo2 "/>
			</c:when>
			<c:when test="${param.groupby eq 'mes'}">
				<c:set var="group1" value="CAST(CONCAT(MONTH(calldate), '/', YEAR(calldate)) AS CHAR) AS Grupo "/>
				<c:set var="group2" value="CAST(CONCAT(YEAR(calldate), '-', MONTH(calldate), '-01') AS DATE) AS grupo2 "/>
				<c:set var="conds"  value="${conds}AND CAST(CONCAT(YEAR(calldate), '-', MONTH(calldate), '-01') AS DATE) >= '${afterDateTokens[2]}-${afterDateTokens[1]}-01' "/>
				<c:set var="conds"  value="${conds}AND CAST(CONCAT(YEAR(calldate), '-', MONTH(calldate), '-01') AS DATE) <= '${beforeDateTokens[2]}-${beforeDateTokens[1]}-01' "/>
			</c:when>
		</c:choose>
		
		<c:choose>
			<c:when test="${param.groupby ne 'no'}">
				<c:set var="query" value="${query}, ${group1}, ${group2}" />
			</c:when>
		</c:choose>
		
		<c:set var="query" value="${query}FROM cdr INNER JOIN callinfo USING (uniqueid) "/>
		<c:set var="query" value="${query} ${conds}) AS x "/>
		
		<c:choose>
			<c:when test="${param.groupby eq 'no'}">
				<c:set var="query" value="${query}GROUP BY tipo;"/>
			</c:when>
			<c:otherwise>
				<c:set var="query" value="${query}GROUP BY tipo, grupo2;"/>
			</c:otherwise>
		</c:choose>
				
		<sql:query var="rs" dataSource="jdbc/ipcontactRO">
		    ${query}
		</sql:query>

		<c:set var="sql" scope="session" value="${query}"/>

		<table class="data">
		    <tr class="tit">
			<th><fmt:message key="fees.report.target"/></th>
			<c:choose>
				<c:when test="${param.groupby eq 'horasuma'}">
					<th> <fmt:message key="fees.report.hoursum"/> </th>
				</c:when>
				<c:when test="${param.groupby eq 'dia'}">
					<th> <fmt:message key="fees.report.day"/> </th>
				</c:when>
				<c:when test="${param.groupby eq 'hora'}">
					<th> <fmt:message key="fees.report.hour"/> </th>
				</c:when>
				<c:when test="${param.groupby eq 'mes'}">
					<th> <fmt:message key="fees.report.month"/> </th>
				</c:when>
			</c:choose>
			<th><fmt:message key="fees.report.totaltime"/></th>
			<th><fmt:message key="fees.report.averagetime"/></th>
			<th><fmt:message key="fees.report.price"/></th>
			<th><fmt:message key="fees.report.minute"/></th>
			<th><fmt:message key="fees.report.fraction"/></th>
			<th><fmt:message key="fees.report.minute_first"/></th>
			<th><fmt:message key="fees.report.fraction_first"/></th>
			<th><fmt:message key="fees.report.quantity"/></th>
		    </tr>

		    <c:forEach var="row" varStatus="stat" items="${rs.rows}">
			<c:choose>      
			    <c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			    </c:when>
			    <c:otherwise>
				<tr class="odd">
			    </c:otherwise>
			</c:choose>

			<td class="data">${row.tipo}</td>
			<c:choose>
				<c:when test="${param.groupby ne 'no'}">
					<td class="data">${row.grupo}</td>
				</c:when>
			</c:choose>
			<td class="data">${row.minutos}</td>                                                                    
			<td class="data">${row.promedio}</td>
			<td class="data">${row.costo}</td>
			<td class="data">${row.costo_minuto}</td>
			<td class="data">${row.fraction} <fmt:message key="fees.report.seconds"/></td>
			<c:choose>
				<c:when test="${row.fraction_first == '0'}">
					<td class="data">N/D</td>
					<td class="data">N/D</td>
				</c:when>
				<c:otherwise>
					<td class="data">${row.costo_first}</td>
					<td class="data">${row.fraction_first} <fmt:message key="fees.report.seconds"/></td>
				</c:otherwise>
			</c:choose>
			<td class="data">${row.cantidad}</td>

		    </c:forEach>
		    <c:if test="${rs.rowCount eq \"0\"}">
			<tr class="even">
			    <td colspan="7" class="data">
				<fmt:message key="fees.report.empty"/>
			    </td>
			</tr>
		    </c:if>
		</table>
		
		<c:choose>
			<c:when test="${param.groupby ne 'no'}">
				<c:choose>
					<c:when test="${param.groupby eq 'horasuma'}">
						<c:set var="template" value="fees_hoursum.xml"/>
					</c:when>
					<c:when test="${param.groupby eq 'dia'}">
						<c:set var="template" value="fees_day.xml"/>
					</c:when>
					<c:when test="${param.groupby eq 'hora'}">
						<c:set var="template" value="fees_hour.xml"/>
					</c:when>
					<c:when test="${param.groupby eq 'mes'}">
						<c:set var="template" value="fees_month.xml"/>
					</c:when>
				</c:choose>
			</c:when>
			<c:otherwise>
				<c:set var="template" value="fees.xml"/>
			</c:otherwise>
		</c:choose>
		
		<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
			<c:param name="reportFile" value="portrait-report.xml"/>
			<c:param name="template" value="${template}"/>
		    <c:param name="reportType" value="pdf"/>					
		    <c:param name="filename" value="tarifas"/>
		    <c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
		    <c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
		    <c:if test="${not empty sessionScope.locale}">
			    <c:param name="locale" value="${sessionScope.locale}"/>
		    </c:if>
		</c:url>

		<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
		    <c:param name="reportFile" value="portrait-report.xml"/>
			<c:param name="template" value="${template}"/>
		    <c:param name="reportType" value="xls"/>					
		    <c:param name="filename" value="tarifas"/>
		    <c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
		    <c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
		    <c:if test="${not empty sessionScope.locale}">
			    <c:param name="locale" value="${sessionScope.locale}"/>
		    </c:if>
		</c:url>

		<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
		    <c:param name="reportFile" value="portrait-report.xml"/>
			<c:param name="template" value="${template}"/>
		    <c:param name="reportType" value="csv"/>					
		    <c:param name="filename" value="tarifas"/>
		    <c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
		    <c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
		    <c:if test="${not empty sessionScope.locale}">
			    <c:param name="locale" value="${sessionScope.locale}"/>
		    </c:if>
		</c:url>

		<%@ include file="../include/export.jsp" %>	
	    </c:otherwise>                  
	</c:choose>
    </fmt:bundle>
</div>
</body>
</html>
