<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<c:choose>
			<c:when test="${empty param.afterDate}">
				
				<c:choose>
					<c:when test="${sessionScope.role eq 'admin'}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users ON username = user
							ORDER BY first_name
						</sql:query>
					</c:when>
					<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users on username = user
							INNER JOIN supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							ORDER BY first_name
						</sql:query>
					</c:when>
				</c:choose>
			
				<h1><fmt:message key="reportagentactivity.title"/></h1>
				<form method="get" name="formulario" action="reportAgentActivity.jsp" target="_self">
		 			<table class="query">
			                  	<tr class="plain">
							<td class="query"><fmt:message key="reportagentactivity.from"/>: </td>
							<td class="query">
								<input name='afterDate' id='date' type='text' size='10'/>
								<input name='afterTime' id='afterTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.date.value.length == 0)
										document.formulario.date.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value="00:00";
								-->
								</script>
								<img src='../../calendar/calendar.jpg' title='<fmt:message key="reportagentactivity.calendar"/>' alt='<fmt:message key="reportagentactivity.calendar"/>' onclick="scwShow(document.getElementById('date'),this);" />
							</td>
						</tr>
						<tr class="plain">
							<td class="query"> <fmt:message key="reportagentactivity.to"/>: </td>
							<td class="query">
								<input name='beforeDate' id='beforeDate' type='text' size='10'/>
								<input name='beforeTime' id='beforeTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src='../../calendar/calendar.jpg' title='<fmt:message key="reportagentactivity.calendar"/>' alt='<fmt:message key="reportagentactivity.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
							</td> 
						</tr>	
						<tr class="plain">
							<td class="query"><fmt:message key="reportagentactivity.agents"/>:</td>
							<td class="query">
								<select name="agent">
									<option value="all" selected="selected"><fmt:message key="all"/></option>
									<c:forEach var="row" items="${rs.rows}">
										<option value="${row.username}">${row.first_name} ${row.last_name}</option>
									</c:forEach>
								</select>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"> <fmt:message key="reportagentactivity.groupby"/>: </td>
							<td class="query">
								<select name="group">
									<option value="no"><fmt:message key="reportagentactivity.nogroup"/></option>
									<option value="hora"><fmt:message key="reportagentactivity.hour"/></option>
									<option value="dia"><fmt:message key="reportagentactivity.day"/></option>
								</select>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="reportagentactivity.variables"/>: </td>
							<td class="query">
								<select name="variables" multiple="multiple" size="5">
									<option value="TotalTime" selected><fmt:message key="reportagentactivity.data.totaltime"/></option>
									<option value="WorkedTime" selected><fmt:message key="reportagentactivity.data.workedtime"/></option>
									<option value="PausedTime" selected><fmt:message key="reportagentactivity.data.pausedtime"/></option>
									<option value="Active" selected><fmt:message key="reportagentactivity.data.active"/></option>
									<option value="Paused" selected><fmt:message key="reportagentactivity.data.paused"/></option>
									<option value="Free" selected><fmt:message key="reportagentactivity.data.free"/></option>
									<option value="Calls" selected><fmt:message key="reportagentactivity.data.calls"/></option>
									<option value="CallsAverage" selected><fmt:message key="reportagentactivity.data.callsaverage"/></option>
									<option value="CallsByHour" selected><fmt:message key="reportagentactivity.data.callsbyhour"/></option>
									<option value="LocalCalls" selected><fmt:message key="reportagentactivity.data.localcalls"/></option>
									<option value="IncomingCalls" selected><fmt:message key="reportagentactivity.data.incomingcalls"/></option>
									<option value="IncomingDuration" selected><fmt:message key="reportagentactivity.data.incomingduration"/></option>
									<option value="OutgoingCalls" selected><fmt:message key="reportagentactivity.data.outgoingcalls"/></option>
									<option value="OutgoingDuration" selected><fmt:message key="reportagentactivity.data.outgoingduration"/></option>
								</select>
							</td>
						</tr>
						<tr class="plain">
				        	<td class="query" colspan="2">
								<input class="boton" type="submit" value="<fmt:message key="reportagentactivity.submit"/>"/>
				            </td>
				      	</tr>
					</table>
				</form>			
			</c:when>
			
			<c:otherwise>
				
				<jsp:useBean id="agentActivity" class="ipcontact.kaufman.ReportAgentActivityBean" scope="page">
					<jsp:setProperty name="agentActivity" property="*"/> 
					<c:set target='${agentActivity}' property='user' value='${sessionScope.username}'/>
					<c:set target='${agentActivity}' property='role' value='${sessionScope.role}'/>
					<!--c:set target='${agentActivity}' property='useAgentTime' value='false'/-->
				</jsp:useBean>
		
				<c:set var="table" scope="session" value="${agentActivity.data}"/>
					
				<h3><fmt:message key="reportagentactivity.title"/></h3>
				<h3>
					<table>
						<tr>
							<td><fmt:message key="reportagentactivity.from"/>: </td>
							<td>${param.afterDate}</td>
							<td>${param.afterTime}</td>
						</tr>
						<tr>
							<td><fmt:message key="reportagentactivity.to"/>: </td>
							<td>${param.beforeDate}</td>
							<td>${param.beforeTime}</td>
						</tr>
					</table>
				</h3>
				<table class="data">
					<tr class="tit">
						<th><fmt:message key="reportagentactivity.data.agent"/> </th>
						<c:choose>
							<c:when test="${param.group eq 'dia'}">
								<th> <fmt:message key="reportagentactivity.day"/> </th>
							</c:when>
							<c:when test="${param.group eq 'hora'}">
								<th> <fmt:message key="reportagentactivity.hour"/> </th>
							</c:when>
						</c:choose>
						
						<c:forEach var="column" begin="0" items="${paramValues.variables}">
							<th>
								<c:choose>
									<c:when test="${column eq \"TotalTime\"}">
										<fmt:message key="reportagentactivity.data.totaltime"/>
									</c:when>
									<c:when test="${column eq \"WorkedTime\"}">
										<fmt:message key="reportagentactivity.data.workedtime"/>
									</c:when>
									<c:when test="${column eq \"PausedTime\"}">
										<fmt:message key="reportagentactivity.data.pausedtime"/>
									</c:when>
									<c:when test="${column eq \"Active\"}">
										<fmt:message key="reportagentactivity.data.active"/>
									</c:when>
									<c:when test="${column eq \"Paused\"}">
										<fmt:message key="reportagentactivity.data.paused"/>
									</c:when>
									<c:when test="${column eq \"Free\"}">
										<fmt:message key="reportagentactivity.data.free"/>
									</c:when>
									<c:when test="${column eq \"Calls\"}">
										<fmt:message key="reportagentactivity.data.calls"/>
									</c:when>
									<c:when test="${column eq \"CallsAverage\"}">
										<fmt:message key="reportagentactivity.data.callsaverage"/>
									</c:when>
									<c:when test="${column eq \"CallsByHour\"}">
										<fmt:message key="reportagentactivity.data.callsbyhour"/>
									</c:when>
									<c:when test="${column eq \"LocalCalls\"}">
										<fmt:message key="reportagentactivity.data.localcalls"/>
									</c:when>
									<c:when test="${column eq \"IncomingCalls\"}">
										<fmt:message key="reportagentactivity.data.incomingcalls"/>
									</c:when>
									<c:when test="${column eq \"IncomingDuration\"}">
										<fmt:message key="reportagentactivity.data.incomingduration"/>
									</c:when>
									<c:when test="${column eq \"OutgoingCalls\"}">
										<fmt:message key="reportagentactivity.data.outgoingcalls"/>
									</c:when>
									<c:when test="${column eq \"OutgoingDuration\"}">
										<fmt:message key="reportagentactivity.data.outgoingduration"/>
									</c:when>
								</c:choose>
							</th>
						</c:forEach>
					
					</tr>
					<c:forEach var="row" varStatus="stat" items="${table}">
						<c:choose>	
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						
						<c:choose>
							<c:when test="${empty row.username}">
								<td class="data">Total</td>	
							</c:when>
							<c:otherwise>
								<td class="data">${row.first_name} ${row.last_name} (${row.username})</td>					
							</c:otherwise>
						</c:choose>
						<c:if test="${param.group eq 'dia' || param.group eq 'hora'}">
							<c:choose>
								<c:when test="${not empty row.grupo}">
									<td class="data">${row.grupo}</td>
								</c:when>
								<c:otherwise>
									<td class="data"><fmt:message key="total"/></td>
								</c:otherwise>
							</c:choose>
						</c:if>
						
						<c:forEach var="column" begin="0" items="${paramValues.variables}">
							<td class="data">
								<c:choose>
									<c:when test="${column eq \"TotalTime\"}">
										${row.total}
									</c:when>
									<c:when test="${column eq \"WorkedTime\"}">
										${row.total_activity}
									</c:when>
									<c:when test="${column eq \"PausedTime\"}">
										${row.total_pause}
									</c:when>
									<c:when test="${column eq \"Active\"}">
										${row.busy_time_percent}
									</c:when>
									<c:when test="${column eq \"Paused\"}">
										${row.pause_time_percent}
									</c:when>
									<c:when test="${column eq \"Free\"}">
										${row.idle_time_percent}
									</c:when>
									<c:when test="${column eq \"Calls\"}">
										${row.processed_calls} - ${row.answered_calls}  - ${row.lost_calls} - ${row.dnd_calls}
									</c:when>
									<c:when test="${column eq \"CallsAverage\"}">
										${row.avg_processed_calls}
									</c:when>
									<c:when test="${column eq \"CallsByHour\"}">
										${row.processed_calls_hour}
									</c:when>
									<c:when test="${column eq \"LocalCalls\"}">
										${row.calls_lo} - ${row.time_calls_lo}
									</c:when>
									<c:when test="${column eq \"IncomingCalls\"}">
										${row.calls_cc_in} - ${row.calls_no_cc_in}
									</c:when>
									<c:when test="${column eq \"IncomingDuration\"}">
										${row.time_calls_cc_in} - ${row.time_calls_no_cc_in}
									</c:when>
									<c:when test="${column eq \"OutgoingCalls\"}">
										${row.calls_cc_out} - ${row.calls_no_cc_out}
									</c:when>
									<c:when test="${column eq \"OutgoingDuration\"}">
										${row.time_calls_cc_out} - ${row.time_calls_no_cc_out}
									</c:when>
								</c:choose>
							</td>
						</c:forEach>
					</tr>
					</c:forEach>
				</table>
				
				<c:choose>
					<c:when test="${param.group eq 'hora'}">
						<c:set var="template" value="agents_hour.xml"/>
					</c:when>
					<c:when test="${param.group eq 'dia'}">
						<c:set var="template" value="agents_day.xml"/>
					</c:when>
					<c:otherwise>
						<c:set var="template" value="agents.xml"/>
					</c:otherwise>
				</c:choose>
				
				<c:url var="linkPDF" value="../../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="${template}"/>
					<c:param name="reportType" value="pdf"/>					
					<c:param name="filename" value="agentes"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
					<c:forEach var="var" items="${paramValues.variables}">
						<c:param name="columns" value="${var}"/>
					</c:forEach>
				</c:url>
				
				<c:url var="linkXLS" value="../../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="${template}"/>
					<c:param name="reportType" value="xls"/>					
					<c:param name="filename" value="agentes"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
					<c:forEach var="var" items="${paramValues.variables}">
						<c:param name="columns" value="${var}"/>
					</c:forEach>
				</c:url>
				
				<c:url var="linkCSV" value="../../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="${template}"/>
					<c:param name="reportType" value="csv"/>					
					<c:param name="filename" value="agentes"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
					<c:forEach var="var" items="${paramValues.variables}">
						<c:param name="columns" value="${var}"/>
					</c:forEach>
				</c:url>
				
				<%@ include file="../../include/export.jsp" %>		
					
			</c:otherwise>	
		</c:choose>				
	</fmt:bundle>																		
</div>
</body>
</html>
