<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<c:choose>
			<c:when test="${empty param.afterDate}">
				
				<c:choose>
					<c:when test="${sessionScope.role eq 'admin'}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users ON username = user
							ORDER BY first_name
						</sql:query>
					</c:when>
					<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users on username = user
							INNER JOIN supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							ORDER BY first_name
						</sql:query>
					</c:when>
				</c:choose>
			
				<h1>Reporte de Horas</h1>
				<form method="get" name="formulario" action="reportHourActivity.jsp" target="_self">
		 			<table class="query">
			                  	<tr class="plain">
							<td class="query"><fmt:message key="reportagentactivity.from"/>: </td>
							<td class="query">
								<input name='afterDate' id='date' type='text' size='10'/>
								<input name='afterTime' id='afterTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.date.value.length == 0)
										document.formulario.date.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value="00:00";
								-->
								</script>
								<img src='../../calendar/calendar.jpg' title='<fmt:message key="reportagentactivity.calendar"/>' alt='<fmt:message key="reportagentactivity.calendar"/>' onclick="scwShow(document.getElementById('date'),this);" />
							</td>
						</tr>
						<tr class="plain">
							<td class="query"> <fmt:message key="reportagentactivity.to"/>: </td>
							<td class="query">
								<input name='beforeDate' id='beforeDate' type='text' size='10'/>
								<input name='beforeTime' id='beforeTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src='../../calendar/calendar.jpg' title='<fmt:message key="reportagentactivity.calendar"/>' alt='<fmt:message key="reportagentactivity.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
							</td> 
						</tr>	
						<tr class="plain">
							<td class="query"><fmt:message key="reportagentactivity.agents"/>:</td>
							<td class="query">
								<select name="agent">
									<option value="all" selected="selected"><fmt:message key="all"/></option>
									<c:forEach var="row" items="${rs.rows}">
										<option value="${row.username}">${row.first_name} ${row.last_name}</option>
									</c:forEach>
								</select>
							</td>
						</tr>
						<tr class="plain">
				        	<td class="query" colspan="2">
								<input class="boton" type="submit" value="<fmt:message key="reportagentactivity.submit"/>"/>
				            </td>
				      	</tr>
					</table>
				</form>			
			</c:when>
			
			<c:otherwise>
				
				<jsp:useBean id="agentActivity" class="ipcontact.kaufman.ReportHourActivityBean" scope="page">
					<jsp:setProperty name="agentActivity" property="*"/> 
					<c:set target='${agentActivity}' property='user' value='${sessionScope.username}'/>
					<c:set target='${agentActivity}' property='role' value='${sessionScope.role}'/>
				</jsp:useBean>
		
				<c:set var="table" scope="session" value="${agentActivity.data}"/>
					
				<h3><fmt:message key="reportagentactivity.title"/></h3>
				<h3>
					<table>
						<tr>
							<td><fmt:message key="reportagentactivity.from"/>: </td>
							<td>${param.afterDate}</td>
							<td>${param.afterTime}</td>
						</tr>
						<tr>
							<td><fmt:message key="reportagentactivity.to"/>: </td>
							<td>${param.beforeDate}</td>
							<td>${param.beforeTime}</td>
						</tr>
					</table>
				</h3>
				<table class="data">
					<tr class="tit">
						<th><fmt:message key="reportagentactivity.data.agent"/> </th>
						<th>Tiempo</th>		
					</tr>
					<c:forEach var="row" varStatus="stat" items="${table}">
						<c:choose>	
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						<td class="data">${row.agent}</td>
						<td class="data">${row.total}</td>
						</tr>					
					</c:forEach>
				</table>
			</c:otherwise>	
		</c:choose>				
	</fmt:bundle>																		
</div>
</body>
</html>
