<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
    <fmt:bundle basename="statistics">
	<h1><fmt:message key="listcdr.title"/></h1>
		
	<c:choose>
	    <c:when test='${empty param.rows}'>

		<c:if test="${not empty sessionScope.message}">
			<div class="ok">
				<fmt:message key="listcdr.saved"/> ${sessionScope.message}
			</div>
			<br/>
			<c:set var="message" scope="session" value =""/>
		</c:if>
		
		<form method="post" name="formulario" action="listCdr.jsp" target="_self">
		    <table class="query">
			<tr class="plain">
			    <td class="query"><fmt:message key="listcdr.from"/>:</td>
			    <td class="query">
				<input name='afterDate' id='afterDate' type='text' size='10'/>
				<input name='afterTime' id='afterTime' type='text' size='5'/>
				<script type="text/javascript">
				<!--
				    if (document.formulario.afterDate.value.length == 0)
					document.formulario.afterDate.value=getCurrentDate();
				    if (document.formulario.afterTime.value.length == 0)
					document.formulario.afterTime.value="00:00";
				-->
				</script>
				<img src='../calendar/calendar.jpg' title='<fmt:message key="listcdr.calendar"/>' alt='<fmt:message key="listcdr.calendar"/>' onclick="scwShow(document.getElementById('afterDate'),this);" />
			    </td>
			    <td class="query"></td>
			</tr>
			<tr class="plain">
			    <td class="query"><fmt:message key="listcdr.to"/>:</td>
			    <td class="query">
				<input name='beforeDate' id='beforeDate' type='text' size='10'/>
				<input name='beforeTime' id='beforeTime' type='text' size='5'/>
				<script type="text/javascript">
				<!--
				    if (document.formulario.beforeDate.value.length == 0)
					document.formulario.beforeDate.value=getCurrentDate();
				    if (document.formulario.beforeTime.value.length == 0)
					document.formulario.beforeTime.value=getCurrentTime();
				-->
				</script>
				<img src='../calendar/calendar.jpg' title='<fmt:message key="listcdr.calendaar"/>' alt='<fmt:message key="listcdr.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
			    </td>
			    <td class="query"></td>
			</tr>
			<tr class="plain">
			    <td class="query"><fmt:message key="listcdr.recorded"/>:</td>
			    <td class="query">
					<input type="radio" name="record" value="all" checked="checked"/>
					<label><fmt:message key="all"/></label>
					<input type="radio" name="record" value="yes"/>
					<label><fmt:message key="yes"/></label>
					<input type="radio" name="record" value="no"/>
					<label><fmt:message key="no"/></label>
			    </td>
			    <td class="query"></td>
			</tr>
			<tr class="plain">
				<td class="query"><fmt:message key="listcdr.calls"/>:</td>
				<td class="query">
					<input type="radio" name="calls" value="all" checked="checked"/>
					<label><fmt:message key="calls.all"/></label>
					<input type="radio" name="calls" value="in"/>
					<label><fmt:message key="calls.incoming"/></label>
					<input type="radio" name="calls" value="out"/>
					<label><fmt:message key="calls.outgoing"/></label>
					<input type="radio" name="calls" value="lo"/>
					<label><fmt:message key="calls.local"/></label>
				</td>
				<td class="query"></td>
			</tr>
			<tr class="plain">
			    <td class="query"><fmt:message key="listcdr.originid"/>:</td>
			    <td class="query"><input type="text" size="35" name="clid"/></td>
			    <td class="query">
				<select name="clidtype">
				    <option value="1" ><fmt:message key="equal"/></option>
				    <option value="2" selected="selected"><fmt:message key="contain"/></option>
				    <option value="3" ><fmt:message key="startswith"/></option>
				    <option value="4" ><fmt:message key="endswith"/></option>
				</select> 
			    </td>
			</tr>
			<tr class="plain">
			    <td class="query"><fmt:message key="listcdr.origin"/>:</td>
			    <td class="query"><input type="text" size="35" name="src"/></td>
			    <td class="query">
				<select name="srctype">
				    <option value="1"><fmt:message key="equal"/></option>
				    <option value="2" selected="selected"><fmt:message key="contain"/></option>
				    <option value="3" ><fmt:message key="startswith"/></option>
				    <option value="4" ><fmt:message key="endswith"/></option>
				</select> 
			    </td>
			</tr>
			<tr class="plain">
			    <td class="query"><fmt:message key="listcdr.targetid"/>:</td>
			    <td class="query"><input type="text" size="35" name="called"/></td>
			    <td class="query">
				<select name="calledtype">
				    <option value="1" ><fmt:message key="equal"/></option>
				    <option value="2" selected="selected"><fmt:message key="contain"/></option>
				    <option value="3" ><fmt:message key="startswith"/></option>
				    <option value="4" ><fmt:message key="endswith"/></option>
				</select> 
			    </td>
			</tr>
			<tr class="plain">
			    <td class="query"><fmt:message key="listcdr.target"/>:</td>
			    <td class="query"><input type="text" size="35" name="dst"/></td>
			    <td class="query">
				<select name="dsttype">
				    <option value="1" ><fmt:message key="equal"/></option>
				    <option value="2" selected="selected"><fmt:message key="contain"/></option>
				    <option value="3" ><fmt:message key="startswith"/></option>
				    <option value="4" ><fmt:message key="endswith"/></option>
				</select> 
			    </td>
			</tr>
			
			<c:if test="${sessionScope.sadar}">
				<tr class="plain">
					<td class="query"><fmt:message key="listcdr.targetcel"/>:</td>
					<td class="query">
						<select name="dstcel">
							<option value="all" selected="selected"><fmt:message key="allm"/></option>
							<option value="ANCEL">ANCEL</option>
							<option value="MOVISTAR">MOVISTAR</option>
							<option value="CLARO">CLARO</option>
						</select> 
					</td>
					<td class="query"/>
				</tr>
			</c:if>
		
			<tr class="plain">
				<td class="query"><fmt:message key="listcdr.timeless"/>:</td>
				<td class="query">
					<input name='timeless' id='timeless' type='text' size='10'/>seg.
				</td>
				<td class="query"></td>
			</tr>
						
			<tr class="plain">
				<td class="query"><fmt:message key="listcdr.timemore"/>:</td>
				<td class="query">
					<input name='timemore' id='timeless' type='text' size='10'/>seg.
				</td>
				<td class="query"></td>
			</tr>
			
			<tr class="plain">
			    <td class="query"><fmt:message key="listcdr.data.code"/>:</td>
			    <td class="query"><input type="text" size="35" name="code"/></td>
			    <td class="query">
				<select name="codetype">
				    <option value="1" ><fmt:message key="equal"/></option>
				    <option value="2" selected="selected"><fmt:message key="contain"/></option>
				    <option value="3" ><fmt:message key="startswith"/></option>
				    <option value="4" ><fmt:message key="endswith"/></option>
				</select> 
			    </td>
			</tr>
			
			<c:if test="${sessionScope.role != 'operator'}">
			    <tr class="plain">
				<c:choose>
				    <c:when test="${sessionScope.role eq 'admin'}">
					<sql:query var="rs" dataSource="jdbc/ipcontactRO">
					    SELECT first_name, last_name, username
					    FROM agents
					    INNER JOIN users ON username = user
					    ORDER BY first_name
					</sql:query>
				    </c:when>
				    <c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
					<sql:query var="rs" dataSource="jdbc/ipcontactRO">
					    SELECT first_name, last_name, username
					    FROM agents
					    INNER JOIN users on username = user
					    INNER JOIN supervisors_groups USING (group_id)
					    WHERE user_id = '${sessionScope.username}'
					    ORDER BY first_name
					</sql:query>
				    </c:when>
				</c:choose>
				<td class="query">Agente:</td>
				<td class="query">
				    <select name="agent">
					<option value="all" selected="selected"><fmt:message key="all"/></option>
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
					    <option value="${row.username}">${row.first_name} ${row.last_name}</option>
					</c:forEach>
				    </select> 
				</td>
				<td class="query"/>
			    </tr>
			    <tr class="plain">
				<c:choose>
				    <c:when test="${sessionScope.role eq 'admin'}">
					<sql:query var="rs" dataSource="jdbc/ipcontactRO">
						SELECT * FROM groups
					</sql:query>
				    </c:when>
				    <c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
					<sql:query var="rs" dataSource="jdbc/ipcontactRO">
						SELECT * FROM groups 
						INNER JOIN supervisors_groups USING(group_id) 
						WHERE user_id = '${sessionScope.username}'
					</sql:query>
				    </c:when>
				</c:choose>
				<td class="query"><fmt:message key="listcdr.group"/></td>
				<td class="query">
				    <select name="group">
					<option value="all" selected="selected"><fmt:message key="all"/></option>
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
					    <option value="${row.group_id}">${row.group_name}</option>
					</c:forEach>
				    </select> 
				</td>
				<td class="query"/>
			    </tr>
			</c:if>
		
			<tr class="plain">
			    <% 	
					Document doc;
					Element action;
					String [] [] result;

					doc = XMLHelper.newDocument();
					action = XMLHelper.newElement(doc, "query", "type", "get queues");
					doc.appendChild(action);
					result = net.actionArray(doc, 7);
					pageContext.setAttribute("result", result);
			    %>
			    <td class="query"><fmt:message key="listcdr.queue"/>:</td>
			    <td class="query">
				<select name="queue">
				    <option value="all" selected="selected"><fmt:message key="all"/></option>
				    <c:forEach var="row" items="${result}">
					<option value="${row[0]}">${row[0]}</option>
				    </c:forEach>
				</select>
			    </td>
			    <td class="query"/>
			</tr>
		
			<tr class="plain">
			    <td class="query"><fmt:message key="listcdr.section"/>:</td>
			    <td class="query">
				<select name="section">
				    <option value="cc"><fmt:message key="listcdr.callcenter"/></option>
				    <option value="no_cc"><fmt:message key="listcdr.nocallcenter"/></option>
				    <option value="cc_lost"><fmt:message key="listcdr.callcenterlost"/></option>
				    <option value="all" selected="selected"><fmt:message key="all"/></option>
				</select>
			    </td>
			    <td class="query"></td>
			</tr>
			
			<tr class="plain">
				<td class="query"><fmt:message key="listcdr.result"/>:</td>
				<td class="query">
				<select name="result">
					<option value="all"><fmt:message key="allm"/></option>
					<option value="answered"><fmt:message key="listcdr.data.answered"/></option>
					<option value="noanswer"><fmt:message key="listcdr.data.noanswered"/></option>
					<option value="busy"><fmt:message key="listcdr.data.busy"/></option>
					<option value="failed"><fmt:message key="listcdr.data.failed"/></option>
					<option value="lost"><fmt:message key="listcdr.data.lost"/></option>
					<option value="agenthangup"><fmt:message key="listcdr.data.agenthangup"/></option>
				</select>
				</td>
			    <td class="query"></td>
			</tr>	
			
			<tr class="plain">
			    <td class="query"><fmt:message key="listcdr.results"/>:</td>
			    <td class="query">
				<input type="radio" name="rows" value="10"/><label>10</label>		
				<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
				<input type="radio" name="rows" value="50"/><label>50</label>		
			    </td>
			    <td class="query"></td>
			</tr>
			<tr class="plain">
			    <td class="query" colspan="3">
				<input class="boton" type="submit" name="submit" value="<fmt:message key="listcdr.submit"/>"/>
			    </td>
			</tr>
		    </table>
		</form>
	    </c:when>
		
	    <c:otherwise>
		
		<w:where var='conds'>
		    <w:condition attribute='calldate' afterDate='${param.afterDate}' afterTime='${param.afterTime}'/>
		    <w:condition attribute='calldate' beforeDate='${param.beforeDate}' beforeTime='${param.beforeTime}'/>
		    <w:condition attribute='ci.cidname' comparator='${param.clidtype}' value='${param.clid}'/>
		    <w:condition attribute='ci.dnidname' comparator='${param.calledtype}' value='${param.called}'/>
		    <w:condition attribute='ci.cid' comparator='${param.srctype}' value='${param.src}'/>
		    <w:condition attribute='ci.dnid' comparator='${param.dsttype}' value='${param.dst}'/>
		    <c:if test='${param.agent != "all"}'>
				<w:condition attribute='ci.agent' value='${param.agent}'/>
		    </c:if>
		    <c:if test='${param.group != "all"}'>
				<w:condition attribute='ci.group_id' value='${param.group}'/>
		    </c:if>
		    <c:if test='${param.queue != "all"}'>
				<w:condition attribute='ci.queue' value='${param.queue}'/>
		    </c:if>
		    <c:if test='${param.record == "no"}'>
				<w:condition condition='callmonitor.uniqueid is null'/>
		    </c:if>
		    <c:if test="${param.calls eq \"in\"}">
				<w:condition attribute="ci.direction" value="${param.calls}"/>
			</c:if>
    		<c:if test="${param.calls eq \"out\"}">
				<w:condition attribute="ci.direction" value="${param.calls}"/>
    		</c:if>
    		<c:if test="${param.calls eq \"lo\"}">
				<w:condition attribute="ci.direction" value="${param.calls}"/>
    		</c:if>
    		
    		<c:if test="${param.result eq 'lost'}">
    			<w:condition attribute="ci.status" value="3"/>
    		</c:if>
    		<c:if test="${param.result eq 'agenthangup'}">
    			<w:condition attribute="ci.status" value="2"/>
    		</c:if>
    		<c:if test="${param.result eq 'answered'}">
    			<w:condition attribute="disposition" value="ANSWERED"/>
    		</c:if>
    		<c:if test="${param.result eq 'noanswer'}">
    			<w:condition attribute="disposition" value="NO ANSWER"/>
    		</c:if>
    		<c:if test="${param.result eq 'busy'}">
    			<w:condition attribute="disposition" value="BUSY"/>
    		</c:if>
    		<c:if test="${param.result eq 'failed'}">
    			<w:condition attribute="disposition" value="FAILED"/>
    		</c:if>
			
			<c:choose>
				<c:when test='${param.section == "cc"}'>
					<w:condition condition='ci.queue like "cc%"'/>
				</c:when>
				<c:when test='${param.section == "cc_lost"}'>
					<w:condition condition='ci.queue like "cc%"'/>
					<w:condition attribute='ci.status' value='3'/>
				</c:when>
				<c:when test='${param.section == "no_cc"}'>
					<w:condition condition='ci.queue not like "cc%"'/>
				</c:when>
		    </c:choose>
		    <c:if test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
				<c:choose>
					<c:when test="${param.section eq 'cc' or param.section eq 'all'}">
						<w:condition attribute='user_id' value='${sessionScope.username}'/>
					</c:when>
					<c:when test="${param.section eq 'no_cc'}">
						<w:condition condition="e.vpbx IN (SELECT vpbx from operators_vpbxs where user_id = '${sessionScope.username}')"/>
					</c:when>
				</c:choose>
		    </c:if>
		    <w:condition attribute='accountcode' comparator='${param.codetype}' value='${param.code}'/>
		</w:where>
		
		<c:if test="${sessionScope.sadar}"> 
			<c:choose>
    			<c:when test="${param.dstcel eq 'ANCEL'}">
    				<c:set var="conds" value="${conds} AND (ci.dnid LIKE '098%' OR ci.dnid LIKE '099%')"/>
    			</c:when>
    			<c:when test="${param.dstcel eq 'MOVISTAR'}">
    				<c:set var="conds" value="${conds} AND (ci.dnid LIKE '094%' OR ci.dnid LIKE '095%')"/>
    			</c:when>
    			<c:when test="${param.dstcel eq 'CLARO'}">
    				<c:set var="conds" value="${conds} AND (ci.dnid LIKE '096%' OR ci.dnid LIKE '097%')"/>
    			</c:when>
    		</c:choose>
    	</c:if>
		
		<c:if test="${not empty param.timemore}">
			<c:set var="conds" value="${conds} AND duration >= SEC_TO_TIME('${param.timemore}') "/>
		</c:if>
		<c:if test="${not empty param.timeless}">
			<c:set var="conds" value="${conds} AND duration <= SEC_TO_TIME('${param.timeless}') "/>
		</c:if>
		
		<c:set var="offset" value="${param.offset}"/>

		<c:if test="${empty offset}">
		    <c:set var="offset" value="0"/>
		</c:if>

		<c:set var="join" value="LEFT JOIN callinfo AS ci ON ci.uniqueid = cdr.uniqueid"/>

		<c:choose>
		    <c:when test="${param.record == 'all' || param.record == 'no'}">
				<c:set var="join" value="${join} LEFT JOIN callmonitor ON callmonitor.uniqueid = cdr.uniqueid"/>
		    </c:when>
		    <c:when test="${param.record == 'yes'}">
				<c:set var="join" value="${join} JOIN callmonitor ON callmonitor.uniqueid = cdr.uniqueid"/>
		    </c:when>
		</c:choose>
				
		<c:if test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
		    <c:choose>
				<c:when test="${param.section eq 'cc' or param.section eq 'all'}">
					<c:set var="join" value="${join} LEFT JOIN supervisors_groups sg ON sg.group_id = ci.group_id"/>
				</c:when>
				<c:when test="${param.section eq 'no_cc'}">
					<c:choose>
						<c:when test="${sessionScope.asterisk12}">
							<c:set var="join" value="${join} LEFT JOIN extensions e ON (e.extension = src OR e.extension = dst)"/>
						</c:when>
						<c:otherwise>
							<c:set var="join" value="${join} LEFT JOIN extension e ON (e.number = src OR e.number = dst)"/>
						</c:otherwise>
					</c:choose>
				</c:when>
		    </c:choose>
		</c:if>

		<sql:query var="rs" dataSource="jdbc/ipcontactRO">
		    SELECT count(DISTINCT cdr.uniqueid) AS count FROM cdr ${join} ${conds}
		</sql:query>

		<c:if test='${rs.rows[0].count > (offset + param.rows)}'>
		    <c:set var="nextOffset" value="true"/>
		</c:if>
				
		<!-- tarifas -->
		<%@ include file="../include/sql/fees_fix_table.jsp" %>
		<sql:query var="rsReg" dataSource="jdbc/ipcontactRO">
		    SELECT * FROM fees ORDER BY usedate DESC, usetime DESC, TIMEDIFF(end_date, start_date)
		</sql:query>

		<c:choose>
		    <c:when test="${rsReg.rowCount == 0}">
			<c:set var="expressions" value="0"/>
		    </c:when>
		    <c:otherwise>
			<c:set var="expressions" value="CASE "/>
			<c:forEach var="row" varStatus="stat" items="${rsReg.rows}">
			    <c:choose>
				<c:when test="${row.usetime and row.start_time <= row.end_time}">
				    <c:set var="time1" value =" AND TIME(calldate) >= '${row.start_time}' AND TIME(calldate) <= '${row.end_time}'"/>
				</c:when>
				<c:otherwise>
				    <c:set var="time1" value=""/>
				</c:otherwise>
			    </c:choose>

			    <c:choose>
				<c:when test="${row.usetime and row.start_time > row.end_time}">
				    <c:set var="time2" value =" AND (TIME(calldate) >= '${row.start_time}' OR TIME(calldate) <= '${row.end_time}')"/>
				</c:when>
				<c:otherwise>
				    <c:set var="time2" value=""/>
				</c:otherwise>
			    </c:choose>

			    <c:choose>
				<c:when test="${row.usedate}">
				    <c:set var="date" value =" AND DATE(calldate) >= '${row.start_date}' AND DATE(calldate) <= '${row.end_date}'"/>
				</c:when>
				<c:otherwise>
				    <c:set var="date" value=""/>
				</c:otherwise>
			    </c:choose>

			    <c:choose>
				<c:when test="${row.useday}">
				    <c:set var="day" value =" AND DAYOFWEEK(calldate) IN (${row.days})"/>
				</c:when>
				<c:otherwise>
				    <c:set var="day" value=""/>
				</c:otherwise>
			    </c:choose>
			    
			    
			    <c:choose>
			    	<c:when test="${row.diff_price}">
						<c:set var="expressions" value="${expressions} 
							when dst REGEXP '${row.expression}' and direction = 'out' and billsec > ${row.fraction_first} ${time1} ${time2} ${date} ${day} 
							then CAST(CONCAT(CEILING((billsec - ${row.fraction_first}) /${row.fraction_period})* ${row.price} + ${row.price_first} ,'(${row.name})') AS CHAR)"/>
								
						<c:set var="expressions" value="${expressions} 
							when dst REGEXP '${row.expression}' and direction = 'out' and billsec > 0 and billsec <= ${row.fraction_first} ${time1} ${time2} ${date} ${day} 
							then CAST(CONCAT(${row.price_first},' (${row.name})') AS CHAR)"/>
					</c:when>
					<c:otherwise>
						<c:set var="expressions" value="${expressions} when dst REGEXP '${row.expression}' and 
							direction = 'out' ${time1} ${time2} ${date} ${day} 
							then CAST(CONCAT(CEILING(billsec/${row.fraction_period}) * ${row.price},' (${row.name})') AS CHAR)"/>
					</c:otherwise>
				</c:choose>
			</c:forEach>
			<c:set var="expressions" value="${expressions} else '' end "/>
		    </c:otherwise>
		</c:choose>
		<!-- end tarifas -->
				
		<c:set var="sql" scope="session" value=
		    "SELECT DISTINCT DATE_FORMAT(cdr.calldate, '%d/%m/%Y %T') as calldatef, ci.cid, ci.cidname, cdr.disposition, 
			ci.dnidname, ci.dnid, ci.queue, CAST(SEC_TO_TIME(ci.wait_time) AS CHAR) AS wait_time , ci.agent, ci.status, 
			callmonitor.uniqueid as recordid, DATE(callmonitor.begin) AS recorddate, callmonitor.filename,
			CAST(SEC_TO_TIME(cdr.duration) AS CHAR) AS duration, cdr.accountcode, cdr.uniqueid,  
			CAST(SEC_TO_TIME(cdr.billsec) AS CHAR) AS feeTime, ${expressions} as fee 
		    FROM cdr 
		    ${join} ${conds}
			GROUP BY uniqueid
			ORDER BY calldate DESC"
		/>

		<sql:query var="rs" dataSource="jdbc/ipcontactRO">
		    ${sessionScope.sql} LIMIT ${param.rows} OFFSET ${offset}
		</sql:query>
					
		<form method="post" action="listCdr.jsp" name="jumpForm">
		    <input type="hidden" name="afterDate" value="${param.afterDate}"/>
		    <input type="hidden" name="afterTime" value="${param.afterTime}"/>
		    <input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
		    <input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
		    <input type="hidden" name="clid" value="${param.clid}"/>
		    <input type="hidden" name="clidtype" value="${param.clidtype}"/>
		    <input type="hidden" name="src" value="${param.src}"/>
		    <input type="hidden" name="srctype" value="${param.srctype}"/>
		    <input type="hidden" name="called" value="${param.called}"/>
		    <input type="hidden" name="calledtype" value="${param.calledtype}"/>
		    <input type="hidden" name="dst" value="${param.dst}"/>
		    <input type="hidden" name="dsttype" value="${param.dsttype}"/>
		    <input type="hidden" name="dstcel" value="${param.dstcel}"/>
		    <input type="hidden" name="timeless" value="${param.timeless}"/>
			<input type="hidden" name="timemore" value="${param.timemore}"/>
			<input type="hidden" name="code" value="${param.code}"/>
		    <input type="hidden" name="codetype" value="${param.codetype}"/>
		    <input type="hidden" name="agent" value="${param.agent}"/>
		    <input type="hidden" name="group" value="${param.group}"/>
		    <input type="hidden" name="queue" value="${param.queue}"/>
		    <input type="hidden" name="record" value="${param.record}"/>
		    <input type="hidden" name="calls" value="${param.calls}"/>
		    <input type="hidden" name="result" value="${param.result}"/>
		    <input type="hidden" name="offset" value=""/>
		    <input type="hidden" name="rows" value="${param.rows}"/>	
		    <input type="hidden" name="section" value="${param.section}"/>	
		</form>

    <c:choose>
      <c:when test="${sessionScope.visa}">
        <form method="get" action="logQueryClean.jsp" name="formularioLog" target="_self"> 
        	<input type="hidden" name="uniqueid" value="">
        </form>
      </c:when>
      <c:otherwise>
        <form method="get" action="logQuery.jsp" name="formularioLog" target="_self"> 
        	<input type="hidden" name="uniqueid" value="">
        </form>
      </c:otherwise>
    </c:choose>
		
		<form method="post" action="recordQuery.jsp" name="record" target="_self"> 
		    <input type="hidden" name="uniqueid" value="">
		</form>

		<table class="data">	
		    <tr class="tit">
			<th><fmt:message key="listcdr.data.date"/></th>
			<th><fmt:message key="listcdr.data.originid"/></th>
			<th><fmt:message key="listcdr.data.origin"/></th>
			<th><fmt:message key="listcdr.data.targetid"/></th>
			<th><fmt:message key="listcdr.data.target"/></th>
			<th><fmt:message key="listcdr.data.duration"/></th>
			<th><fmt:message key="listcdr.data.code"/></th>
			<th><fmt:message key="listcdr.data.queue"/></th>
			<th><fmt:message key="listcdr.data.wait_time"/></th>
			<th><fmt:message key="listcdr.data.agent"/></th>
			<th><fmt:message key="listcdr.data.result"/></th>
			<th><fmt:message key="listcdr.data.record"/></th>
			<c:if test="${rsReg.rowCount != 0}">
			    <th><fmt:message key="listcdr.data.fee"/></th>
			    <th><fmt:message key="listcdr.data.feetime"/></th>
			</c:if>
			<th></th>
		    </tr>
		
		    <c:forEach var="row" varStatus="stat" items="${rs.rows}">
			<c:choose>
			    <c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			    </c:when>
			    <c:otherwise>
				<tr class="odd">
			    </c:otherwise>
			</c:choose>	
			<td class="data">${row.calldatef}</td>	
			<td class="data">${row.cidname}</td>	
			<td class="data">${row.cid}</td>	
			<td class="data">${row.dnidname}</td>	
			<td class="data">${row.dnid}</td>	
			<td class="data">${row.duration}</td>	
			<td class="data">${row.accountcode}</td>	
			<c:set var="uid" value="${row.uniqueid}"/>
			<td class="data">${row.queue}</td>	
			<td class="data">${row.wait_time}</td>	
			<td class="data">${row.agent}</td>	
			<td class="data">
			    <c:choose>
					<c:when test="${row.status == 3}">
						<fmt:message key="listcdr.data.lost"/>
					</c:when>
					<c:when test="${row.status == 2}">
						<fmt:message key="listcdr.data.agenthangup"/>
					</c:when>
					<c:when test="${row.disposition eq 'ANSWERED'}">
						<fmt:message key="listcdr.data.answered"/>
					</c:when>
					<c:when test="${row.disposition eq 'NO ANSWER'}">
						<fmt:message key="listcdr.data.noanswered"/>
					</c:when>
					<c:when test="${row.disposition eq 'BUSY'}">
						<fmt:message key="listcdr.data.busy"/>
					</c:when>
					<c:when test="${row.disposition eq 'FAILED'}">
						<fmt:message key="listcdr.data.failed"/>
					</c:when>
					<c:otherwise>
						${row.disposition}
					</c:otherwise>
			    </c:choose>
			</td>	
			<td class="data">
			    <c:choose>
				<c:when test="${!empty row.recordid}">
				    <a class="link" href='javascript:recordSubmit("${uid}")'><fmt:message key="listcdr.listen"/></a>
				</c:when>
				<c:otherwise>
				    <fmt:message key="listcdr.none"/>
				</c:otherwise>
			    </c:choose>
			</td>	
			<c:if test="${rsReg.rowCount != 0}">
			    <c:choose>
				<c:when test="${empty row.fee}">
				    <td class="data"><fmt:message key="listcdr.none"/></td>
				    <td class="data"><fmt:message key="listcdr.none"/></td>
				</c:when>
				<c:otherwise>
				    <td class="data">${row.fee}</td>
				    <td class="data">${row.feeTime}</td>
				</c:otherwise>
			    </c:choose>
			</c:if>
			<td class="data">
			    <a class="link" href='javascript:logSubmit("${uid}")'><fmt:message key="listcdr.details"/></a>
			</td>
		    </tr>
		    </c:forEach>
		</table>
		
		<util:jump offset='${offset}' rows='${param.rows}' nextOffset='${nextOffset}'/>

		<c:set var="report" value="landscape-report.xml"/>
		<c:choose>
		    <c:when test="${rsReg.rowCount == 0}">
				<c:set var="template" value="cdr.xml"/>
		    </c:when>
		    <c:otherwise>
				<c:set var="template" value="cdr_fee.xml"/>
		    </c:otherwise>
		</c:choose>

		<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
		    <c:param name="reportFile" value="${report}"/>
			<c:param name="template" value="${template}"/>
		    <c:param name="reportType" value="pdf"/>					
		    <c:param name="filename" value="cdr"/>
		    <c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
		    <c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
		    <c:if test="${not empty sessionScope.locale}">
				<c:param name="locale" value="${sessionScope.locale}"/>
		    </c:if>
		</c:url>

		<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
		    <c:param name="reportFile" value="${report}"/>
			<c:param name="template" value="${template}"/>
		    <c:param name="reportType" value="xls"/>					
		    <c:param name="filename" value="cdr"/>
		    <c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
		    <c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
		    <c:if test="${not empty sessionScope.locale}">
				<c:param name="locale" value="${sessionScope.locale}"/>
		    </c:if>
		</c:url>

		<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
		    <c:param name="reportFile" value="${report}"/>
			<c:param name="template" value="${template}"/>
		    <c:param name="reportType" value="csv"/>					
		    <c:param name="filename" value="cdr"/>
		    <c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
		    <c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
		    <c:if test="${not empty sessionScope.locale}">
				<c:param name="locale" value="${sessionScope.locale}"/>
		    </c:if>
		</c:url>
		
		<c:set var="showMassSave" value="true"/>
		<%@ include file="../include/export.jsp" %>
		<c:set var="sqlQuery" scope="session" value="${sql}"/>
	    </c:otherwise>
	</c:choose>
    </fmt:bundle>
</div>
</body>
</html>


