<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		
		<c:choose>
			<c:when test="${empty param.afterDate}">
				
			<c:choose>
				<c:when test="${sessionScope.role eq 'admin'}">
					<sql:query var="rs" dataSource="jdbc/ipcontactRO">
						SELECT DISTINCT queue 
						FROM queue_users
						ORDER BY queue
					</sql:query>
				</c:when>
				<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
					<sql:query var="rs" dataSource="jdbc/ipcontactRO">
						SELECT DISTINCT queue 
						FROM queue_users 
						INNER JOIN users USING (username)
						INNER JOIN supervisors_groups USING (group_id)
						WHERE user_id = '${sessionScope.username}'
						ORDER BY queue
					</sql:query>
				</c:when>
			</c:choose>
				
				<h1><fmt:message key="reportmissedcalls.title"/></h1>
				
				<form method="get" name="formulario" action="reportMissedCalls.jsp">
		 			<table class="query">
			            <tr class="plain">
							<td class="query"> <fmt:message key="reportmissedcalls.from"/>: </td>
							<td class="query">
								<input name='afterDate' id='date' type='text' size='10'/>
								<input name='afterTime' id='afterTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.date.value.length == 0)
										document.formulario.date.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value="00:00";
								-->
								</script>
								<img src='../calendar/calendar.jpg' title='<fmt:message key="reportmissedcalls.calendar"/>' alt='<fmt:message key="reportmissedcalls.calendar"/>' onclick="scwShow(document.getElementById('date'),this);" />
							</td>
						</tr>
						<tr class="plain">
							<td class="query"> <fmt:message key="reportmissedcalls.to"/>: </td>
							<td class="query">
								<input name='beforeDate' id='beforeDate' type='text' size='10'/>
								<input name='beforeTime' id='beforeTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src='../calendar/calendar.jpg' title='<fmt:message key="reportmissedcalls.calendar"/>' alt='<fmt:message key="reportmissedcalls.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
							</td> 
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="reportmissedcalls.queue"/>:</td>
							<td class="query">
								<select name="queue">
									<option value="all" selected="selected"><fmt:message key="all"/></option>
									<c:forEach var="row" items="${rs.rows}">
										<option value="${row.queue}">${row.queue}</option>
									</c:forEach>
								</select>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="reportmissedcalls.groupby"/>:</td>
							<td class="query">
								<select name="groupby">
									<option value="nil" selected="selected"></option>
									<option value="callerid">Caller ID</option>
									<option value="wait"><fmt:message key="reportmissedcalls.waittime"/></option>
									<option value="day"><fmt:message key="reportmissedcalls.day"/></option>
									<option value="day+callerid"><fmt:message key="reportmissedcalls.day+callerid"/></option>
									<option value="day+wait"><fmt:message key="reportmissedcalls.day+waittime"/></option>
								</select>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="reportmissedcalls.results"/>:</td>
							<td class="query">
								<input type="radio" name="rows" value="10"/><label>10</label>		
								<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
								<input type="radio" name="rows" value="50"/><label>50</label>		
							</td>
						</tr>
						<tr class="plain">
				        	<td class="query" colspan="2">
				            	<input class="boton" type="submit" value="<fmt:message key="reportmissedcalls.submit"/>"/>
				            </td>
				        </tr>
					</table>
				</form>			
			</c:when>
			
			<c:otherwise>				
				<h3><fmt:message key="reportmissedcalls.title"/></h3>
				
				<c:set var="offset" value="${param.offset}"/>
		
				<c:if test="${empty offset}">
					<c:set var="offset" value="0"/>
				</c:if>
		
				<jsp:useBean id="missedCalls" class="ipcontact.reports.ReportMissedCallsCompleteBean" scope="page">
					<jsp:setProperty name="missedCalls" property="*"/> 
					<c:set target='${missedCalls}' property='user' value='${sessionScope.username}'/>
					<c:set target='${missedCalls}' property='role' value='${sessionScope.role}'/>
				</jsp:useBean>
			
				<c:set var="count" value="${missedCalls.count}"/>
				<c:set var='table' scope="session" value='${missedCalls.data}'/>
				<c:set var='headers' value='${missedCalls.headers}'/>
						
				<c:if test='${count > (offset + param.rows)}'>
				  	<c:set var="nextOffset" value="true"/>
				</c:if>
				
				<form method="get" action="reportMissedCalls.jsp" name="jumpForm">
					<input type="hidden" name="afterTime" value="${param.afterTime}"/>
					<input type="hidden" name="afterDate" value="${param.afterDate}"/>
					<input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
					<input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
					<input type="hidden" name="queue" value="${param.queue}"/>
					<input type="hidden" name="groupby" value="${param.groupby}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
				
				<h3>
					<table>
						<tr>
							<td> <fmt:message key="reportmissedcalls.from"/>:</td>
							<td>${param.afterDate}</td>
							<td>${param.afterTime}</td>
						</tr>
						<tr>
							<td> <fmt:message key="reportmissedcalls.to"/>:</td>
							<td>${param.beforeDate}</td>
							<td>${param.beforeTime}</td>
						</tr>
					</table>
				</h3>
				
				<table class="data">
					<tr class="tit">
						<c:forEach var="row" items="${headers}">
							<th><fmt:message key="${row}"/></th>
						</c:forEach>
					</tr>
					
					<c:forEach var="row" varStatus="stat" begin="${offset}" end="${offset + param.rows - 1}" items="${table}">
						<c:choose>	
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						<c:choose>
							<c:when test="${param.groupby eq 'nil'}">
								<td class="data">${row.Numero}</td>
								<td class="data">${row.Cola}</td>
								<td class="data">${row.Espera}</td>
								<td class="data">${row.Fecha}</td>
							</c:when>
							<c:when test="${param.groupby eq 'callerid'}">
								<c:choose>
									<c:when test="${empty row.Cola}">
										<td class="data"><fmt:message key="total"/></td>
									</c:when>
									<c:otherwise>
										<td class="data">${row.Cola}</td>
									</c:otherwise>
								</c:choose>
								<c:choose>
									<c:when test="${empty row.Numero}">
										<td class="data"><fmt:message key="total"/></td>
									</c:when>
									<c:otherwise>
										<td class="data">${row.Numero}</td>
									</c:otherwise>
								</c:choose>
								<td class="data">${row.Cantidad_Llamadas}</td>
								<td class="data">${row.Espera}</td>
								<td class="data">${row.Primera_Llamada}</td>
								<td class="data">${row.Ultima_Llamada}</td>
							</c:when>
							<c:when test="${param.groupby eq 'wait'}">
								<c:choose>
									<c:when test="${empty row.queue}">
										<td class="data"><fmt:message key="total"/></td>
									</c:when>
									<c:otherwise>
										<td class="data">${row.queue}</td>
									</c:otherwise>
								</c:choose>
								<c:choose>
									<c:when test="${empty row.Espera}">
										<td class="data"><fmt:message key="total"/></td>
									</c:when>
									<c:otherwise>
										<td class="data">${row.Espera}</td>
									</c:otherwise>
								</c:choose>
								<td class="data">${row.Count}</td>
							</c:when>
							<c:when test="${param.groupby eq 'day'}">
								<c:choose>
									<c:when test="${empty row.Dia}">
										<td class="data"><fmt:message key="total"/></td>
									</c:when>
									<c:otherwise>
										<td class="data">${row.Dia}</td>
									</c:otherwise>
								</c:choose>
								<c:choose>
									<c:when test="${empty row.Cola}">
										<td class="data"><fmt:message key="total"/></td>
									</c:when>
									<c:otherwise>
										<td class="data">${row.Cola}</td>
									</c:otherwise>
								</c:choose>
								<td class="data">${row.Cantidad_Llamadas}</td>
								<td class="data">${row.Espera}</td>
								<td class="data">${row.Primera_Llamada}</td>
								<td class="data">${row.Ultima_Llamada}</td>
							</c:when>
							<c:when test="${param.groupby eq 'day+callerid'}">
								<c:choose>
									<c:when test="${empty row.Dia}">
										<td class="data"><fmt:message key="total"/></td>
									</c:when>
									<c:otherwise>
										<td class="data">${row.Dia}</td>
									</c:otherwise>
								</c:choose>
								<c:choose>
									<c:when test="${empty row.Cola}">
										<td class="data"><fmt:message key="total"/></td>
									</c:when>
									<c:otherwise>
										<td class="data">${row.Cola}</td>
									</c:otherwise>
								</c:choose>
								<c:choose>
									<c:when test="${empty row.Numero}">
										<td class="data"><fmt:message key="total"/></td>
									</c:when>
									<c:otherwise>
										<td class="data">${row.Numero}</td>
									</c:otherwise>
								</c:choose>
								<td class="data">${row.Cantidad_Llamadas}</td>
								<td class="data">${row.Espera}</td>
								<td class="data">${row.Primera_Llamada}</td>
								<td class="data">${row.Ultima_Llamada}</td>
							</c:when>
							<c:when test="${param.groupby eq 'day+wait'}">
								<c:choose>
									<c:when test="${empty row.Dia}">
										<td class="data"><fmt:message key="total"/></td>
									</c:when>
									<c:otherwise>
										<td class="data">${row.Dia}</td>
									</c:otherwise>
								</c:choose>
								<c:choose>
									<c:when test="${empty row.queue}">
										<td class="data"><fmt:message key="total"/></td>
									</c:when>
									<c:otherwise>
										<td class="data">${row.queue}</td>
									</c:otherwise>
								</c:choose>
								<c:choose>
									<c:when test="${empty row.Espera}">
										<td class="data"><fmt:message key="total"/></td>
									</c:when>
									<c:otherwise>
										<td class="data">${row.Espera}</td>
									</c:otherwise>
								</c:choose>
								<td class="data">${row.Count}</td>
							</c:when>
						</c:choose>
					</c:forEach>
				</table>
				
				<util:jump offset='${offset}' rows='${param.rows}' nextOffset='${nextOffset}'/>
				
				<c:choose>
					<c:when test="${param.groupby eq 'nil'}">
						<c:set var="template" value="lost.xml"/>
					</c:when>
					<c:when test="${param.groupby eq 'callerid'}">
						<c:set var="template" value="lost_callerid.xml"/>
					</c:when>
					<c:when test="${param.groupby eq 'wait'}">
						<c:set var="template" value="lost_wait.xml"/>
					</c:when>
					<c:when test="${param.groupby eq 'day'}">
						<c:set var="template" value="lost_day.xml"/>
					</c:when>
					<c:when test="${param.groupby eq 'day+callerid'}">
						<c:set var="template" value="lost_day_callerid.xml"/>
					</c:when>
					<c:when test="${param.groupby eq 'day+wait'}">
						<c:set var="template" value="lost_day_wait.xml"/>
					</c:when>
				</c:choose>
				
				<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="${template}"/>
					<c:param name="reportType" value="pdf"/>					
					<c:param name="filename" value="perdidas"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
				</c:url>
				
				<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="${template}"/>
					<c:param name="reportType" value="xls"/>					
					<c:param name="filename" value="perdidas"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
				</c:url>
				
				<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="${template}"/>
					<c:param name="reportType" value="csv"/>					
					<c:param name="filename" value="perdidas"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
				</c:url>
				
				<%@ include file="../include/export.jsp" %>	
			</c:otherwise>			
																											
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
