		<%pageContext.setAttribute("path","../");%>
		<%@ taglib uri="/WEB-INF/query.tld" prefix="w" %>
		<%@ include file="../menu.jsp" %>
		
		<div id="right">
			<fmt:bundle basename="channels">
				<h2><fmt:message key="listiax.title"/></h2>
				
				<c:if test="${not empty sessionScope.message}">
					<c:choose>
						<c:when test="${sessionScope.messageType eq \"error\"}">
							<c:set var="class" value="error"/>
						</c:when>
						<c:otherwise>
							<c:set var="class" value="ok"/>
						</c:otherwise>
					</c:choose>
					<div class="${class}">
						${sessionScope.message}
					</div>
					<c:set var="message" value="" scope="session"/>
				</c:if>
				<br/>
				<c:choose>
					<c:when test="${empty param.rows}">
						<%@ include file="../ui/channels/searchIax.jsp" %>
					</c:when>
				
					<c:otherwise>
						<w:where var="conds">
							<w:condition attribute="name" comparator="${param.nameType}" value="${param.name}"/>
							<w:condition attribute='callerid_name' comparator='${param.calleridNameType}' value='${param.calleridName}'/>
							<w:condition attribute='callerid_number' comparator='${param.calleridNumberType}' value='${param.calleridNumber}'/>
						</w:where>
						
						<c:set var="offset" value="${param.offset}"/>
				
						<c:if test="${empty offset}">
							<c:set var="offset" value="0"/>
						</c:if>
				
						<%@ include file="../include/sql/iax_fix_table.jsp" %>
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT count(*) AS count FROM iax_account ${conds}
						</sql:query>
				
						<c:set var="registros" value="${rs.rows[0].count}"/>
						
						<c:if test="${rs.rows[0].count > (offset + param.rows)}">
							<c:set var="nextOffset" value="true"/>
						</c:if>
				
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT name, callerid_name, callerid_number, mailbox, disallow, allow, type
							FROM iax_account
						    ${conds} ORDER BY iax_account.name LIMIT ${param.rows} OFFSET ${offset}
						</sql:query>
						<%@ include file="../ui/channels/listIax.jsp" %>
					</c:otherwise>
					
				</c:choose>
			</fmt:bundle>
		</div>
	</body>
</html>

