<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="extensions">
		<script type="text/javascript" src="${path}include/extension_form.js"></script>
		
		<c:choose>
			<c:when test="${not empty param.mode}">
			  <c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:set var="mode" value="" scope="session"/>
		
		<%@ include file="../include/sql/exten_fix_table.jsp" %>	
		<c:choose>
			<c:when test="${not empty param.id}">
				<c:choose>
					<c:when test="${sessionScope.asterisk12}">
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT extension, info, protocol, channel, vpbx, monitor, pin, local, national, 
							  cellular, inter, voicemail, password, email, attach, vm_flag
							FROM extensions
							LEFT JOIN extenprofile on exten = extension
							LEFT JOIN voicemail_account on voicemail = mailbox
							WHERE extension = "${param.id}"
						</sql:query>
					</c:when>
					<c:otherwise>  
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT number AS extension, info, protocol, channel, vpbx, monitor, pin, local, longdist AS national, 
							  cellular, inter, voicemail, password, email, attach, vm_flag, fwmcellular, fwmskype, time_follow, time_cell,
							  agent_needed
							FROM extension
							LEFT JOIN voicemail_account on voicemail = mailbox
							WHERE number = "${param.id}"
						</sql:query>
					</c:otherwise>
				</c:choose>
				<c:set var="extension" value="${rs.rows[0].extension}"/>
				<c:set var="info" value="${rs.rows[0].info}"/>
				<c:set var="protocol" value="${rs.rows[0].protocol}"/>
				<c:set var="channel" value="${rs.rows[0].channel}"/>
				<c:set var="superchannel" value="${channel}"/>
				<c:set var="vpbx" value="${rs.rows[0].vpbx}"/>
				<c:set var="monitor" value="${rs.rows[0].monitor}"/>
				<c:if test="${!(sessionScope.asterisk12)}">
					<c:set var="agent_needed" value="${rs.rows[0].agent_needed}"/>
					<c:set var="fwmcellular" value="${rs.rows[0].fwmcellular}"/>
					<c:if test="${sessionScope.skype}">
						<c:set var="fwmskype" value="${rs.rows[0].fwmskype}"/>
					</c:if>
					<c:set var="time_follow" value="${rs.rows[0].time_follow}"/>
					<c:set var="time_cell" value="${rs.rows[0].time_cell}"/>
					<c:choose>
						<c:when test="${empty time_follow}">
				 			<c:set var="start_hours" value="09"/>      
							<c:set var="start_minutes" value="00"/>
							<c:set var="end_hours" value="21"/>
							<c:set var="end_minutes" value="00"/>
							<c:set var="date" value="mon-fri"/>
						</c:when>
						<c:otherwise>
							<c:set var="data" value="${fn:split(time_follow, ',')}"/>
							<c:set var="time" value="${fn:split(data[0], '-')}"/>
							<c:set var="start" value="${fn:split(time[0], ':')}"/>
							<c:set var="end" value="${fn:split(time[1], ':')}"/>	
							<c:set var="start_hours" value="${start[0]}"/>      
							<c:set var="start_minutes" value="${start[1]}"/>
							<c:set var="end_hours" value="${end[0]}"/>
							<c:set var="end_minutes" value="${end[1]}"/>
							<c:set var="date" value="${data[1]}"/>
						</c:otherwise>
					</c:choose>    
					<c:choose>
						<c:when test="${empty time_cell}">
				 			<c:set var="starthours_cell" value="09"/>      
							<c:set var="startminutes_cell" value="00"/>
						    	<c:set var="endhours_cell" value="21"/>
							<c:set var="endminutes_cell" value="00"/>
							<c:set var="date_cell" value="mon-fri"/>
						</c:when>
						<c:otherwise>
							<c:set var="datacell" value="${fn:split(time_cell, ',')}"/>
							<c:set var="timecell" value="${fn:split(datacell[0], '-')}"/>
							<c:set var="startcell" value="${fn:split(timecell[0], ':')}"/>
							<c:set var="endcell" value="${fn:split(timecell[1], ':')}"/>	
							<c:set var="starthours_cell" value="${startcell[0]}"/>      
							<c:set var="startminutes_cell" value="${startcell[1]}"/>
							<c:set var="endhours_cell" value="${endcell[0]}"/>
							<c:set var="endminutes_cell" value="${endcell[1]}"/>
							<c:set var="date_cell" value="${datacell[1]}"/>
						</c:otherwise>
					</c:choose> 
				</c:if>
				<c:set var="pin" value="${rs.rows[0].pin}"/>
				<c:set var="local" value="${rs.rows[0].local}"/>
				<c:set var="national" value="${rs.rows[0].national}"/>
				<c:set var="cellular" value="${rs.rows[0].cellular}"/>		
				<c:set var="inter" value="${rs.rows[0].inter}"/>
				<c:set var="voicemail" value="${rs.rows[0].voicemail}"/>
				<c:set var="password" value="${rs.rows[0].password}"/>
				<c:set var="email" value="${rs.rows[0].email}"/>
				<c:set var="attach" value="${rs.rows[0].attach}"/>	
				<c:set var="vm_flag" value="${rs.rows[0].vm_flag}"/>	
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty param.protocol}">
						<c:set var="protocol" value="${param.protocol}"/>
						<c:set var="extension" value="${param.extension}"/>
						<c:set var="info" value="${param.info}"/>
						<c:set var="vpbx" value="${param.vpbx}"/>
						<c:set var="monitor" value="${param.monitor}"/>
						<c:if test="${!(sessionScope.asterisk12)}">
							<c:set var="agent_needed" value="${param.agent_needed}"/>
							<c:set var="fwmcellular" value="${param.fwmcellular}"/>
							<c:if test="${sessionScope.skype}">
								<c:set var="fwmskype" value="${param.fwmskype}"/>
							</c:if>
							<c:set var="start_hours" value="${param.start_hours}"/>
							<c:set var="start_minutes" value="${param.start_minutes}"/>
							<c:set var="end_minutes" value="${param.end_minutes}"/>
							<c:set var="end_hours" value="${param.end_hours}"/>
							<c:set var="date" value="${param.date}"/>
							<c:set var="starthours_cell" value="${param.starthours_cell}"/>
							<c:set var="startminutes_cell" value="${param.startminutes_cell}"/>
							<c:set var="endminutes_cell" value="${param.endminutes_cell}"/>
							<c:set var="endhours_cell" value="${param.endhours_cell}"/>
							<c:set var="date_cell" value="${param.date_cell}"/>
						</c:if>		
						<c:set var="pin" value="${param.pin}"/>
						<c:set var="local" value="${param.local}"/>
						<c:set var="national" value="${param.national}"/>
						<c:set var="cellular" value="${param.cellular}"/>
						<c:set var="inter" value="${param.inter}"/>
						<c:set var="voicemail" value="${param.voicemail}"/>
						<c:set var="password" value="${param.password}"/>
						<c:set var="email" value="${param.email}"/>
						<c:set var="attach" value="${param.attach}"/>	
						<c:set var="vm_flag" value="${param.vm_flag}"/>
					</c:when>
					<c:otherwise>
						<c:set var="protocol" value="zap"/>
						<c:set var="extension" value=""/>
						<c:set var="info" value=""/>
						<c:set var="superchannel" value=""/>
						<c:set var="vpbx" value=""/>
						<c:set var="monitor" value=""/>
						<c:if test="${!(sessionScope.asterisk12)}">
						    <c:set var="agent_needed" value=""/>
						    <c:set var="fwmcellular" value=""/>
						    <c:if test="${sessionScope.skype}">
						    	<c:set var="fwmskype" value=""/>
						    </c:if>	
						    <c:set var="time_follow" value=""/>
						    <c:set var="start_hours" value="09"/>
						    <c:set var="start_minutes" value="00"/>
						    <c:set var="end_hours" value="21"/>
						    <c:set var="end_minutes" value="00"/>
						    <c:set var="date" value="mon-fri"/>
						    <c:set var="time_cell" value=""/>
						    <c:set var="starthours_cell" value="09"/>
						    <c:set var="startminutes_cell" value="00"/>
						    <c:set var="endhours_cell" value="21"/>
						    <c:set var="endminutes_cell" value="00"/>
						    <c:set var="date_cell" value="mon-fri"/>
						</c:if>
						<c:set var="pin" value=""/>
						<c:set var="local" value=""/>
						<c:set var="national" value=""/>
						<c:set var="cellular" value=""/>
						<c:set var="inter" value=""/>
						<c:set var="voicemail" value=""/>
						<c:set var="password" value=""/>
						<c:set var="email" value=""/>
						<c:set var="attach" value=""/>	
						<c:set var="vm_flag" value=""/>				
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"extension.error.generic\"}">
					${sessionScope.error}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>

		<c:choose>
			<c:when test="${mode eq 'edit'}">
			  <%@ include file="../ui/extensions/edit.jsp" %>
			</c:when>
			<c:when test="${mode eq 'view'}">
			  <%@ include file="../ui/extensions/view.jsp" %>
			</c:when>
			<c:otherwise>
			  <%@ include file="../ui/extensions/view.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
