<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="extensions">
		<c:choose>
			<c:when test="${not empty param.mode}">
			  <c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:set var="mode" value="" scope="session"/>
		
		<c:choose>
			<c:when test="${not empty param.id}">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT mailbox, fullname, password, context, email, attach, deletevoicemail
					FROM voicemail_account
					WHERE mailbox = "${param.id}"
				</sql:query>
				<c:set var="context" value="${rs.rows[0].context}"/>
				<c:set var="mailbox" value="${rs.rows[0].mailbox}"/>
				<c:set var="password" value="${rs.rows[0].password}"/>
				<c:set var="fullname" value="${rs.rows[0].fullname}"/>
				<c:set var="email" value="${rs.rows[0].email}"/>
				<c:set var="pager" value="${rs.rows[0].pager}"/>
				<c:set var="attach" value="${rs.rows[0].attach}"/>
				<c:set var="deletevoicemail" value="${rs.rows[0].deletevoicemail}"/>
	
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty param.protocol}">
						<c:set var="context" value="${param.context}"/>
						<c:set var="mailbox" value="${param.mailbox}"/>
						<c:set var="password" value="${param.password}"/>
						<c:set var="fullname" value="${param.fullname}"/>
						<c:set var="email" value="${param.email}"/>
						<c:set var="pager" value="${param.pager}"/>
						<c:set var="attach" value="${param.attach}"/>
						<c:set var="deletevoicemail" value="${param.deletevociemail}"/>
					</c:when>
					<c:otherwise>
						<c:set var="context" value="default"/>
						<c:set var="mailbox" value=""/>
						<c:set var="password" value=""/>
						<c:set var="fullname" value=""/>
						<c:set var="email" value=""/>
						<c:set var="pager" value=""/>
						<c:set var="attach" value="no"/>
						<c:set var="deletevoicemail" value="no"/>			
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>

		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"addiax.error.generic\"}">
					${sessionScope.error}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		
		<c:choose>
			<c:when test="${mode eq 'edit'}">
			  <%@ include file="../ui/voicemails/edit.jsp" %>
			</c:when>
			<c:when test="${mode eq 'view'}">
			  <%@ include file="../ui/voicemails/view.jsp" %>
			</c:when>
			<c:otherwise>
			  <%@ include file="../ui/voicemails/view.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
