		<%pageContext.setAttribute("path","../");%>
		<%@ include file="../menu.jsp" %>
		
		<div id="right">
			<fmt:bundle basename="extensions">
				<c:if test="${not empty sessionScope.message}">
					<c:choose>
						<c:when test="${sessionScope.messageType eq \"error\"}">
							<c:set var="class" value="error"/>
						</c:when>
						<c:otherwise>
							<c:set var="class" value="ok"/>
						</c:otherwise>
					</c:choose>
					<div class="${class}">
						${sessionScope.message}
					</div>
					<c:set var="message" value="" scope="session"/>
				</c:if>

				<c:choose>
					<c:when test="${empty param.rows}">
						<%@ include file="../ui/voicemails/search.jsp" %>
					</c:when>
					<c:otherwise>
						<w:where var='conds'>
							<w:condition attribute="mailbox" comparator=">=" value="${param.vmGt}"/>
							<w:condition attribute="mailbox" comparator="<=" value="${param.vmLt}"/>
							<w:condition attribute="fullname" comparator="${param.fullnameType}" value="${param.fullname}"/>
							<w:condition attribute="email" comparator="${param.emailType}" value="${param.email}"/>
						</w:where>
				
						<!-- Default value for number of rows per page -->
						<c:set var="rows" value="${param.rows}"/>
						<c:if test="${empty rows}">
							<c:set var="rows" value="25"/>
						</c:if>
						<!-- Default value for offset value -->
						<c:set var="offset" value="${param.offset}"/>
						<c:if test="${empty offset}">
							<c:set var="offset" value="0"/>
						</c:if>
				
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT count(*) AS count FROM voicemail_account ${conds}
						</sql:query>
				
						<c:if test="${rs.rows[0].count > (offset + rows)}">
							<c:set var="nextOffset" value="true"/>
						</c:if>
				
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT *
							FROM voicemail_account
						    ${conds} ORDER BY mailbox LIMIT ${rows} OFFSET ${offset}
						</sql:query>
						<%@ include file="../ui/voicemails/list.jsp" %>
					</c:otherwise>
				</c:choose>
			</fmt:bundle>
		</div>
	</body>
</html>