<%pageContext.setAttribute("path","../");%>
<%@ page import="ipcontact.sections.SyncSections" %>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="fees">
		<c:choose>
			<c:when test="${not empty param.mode}">
			  <c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:set var="mode" value="" scope="session"/>

		<c:choose>
			<c:when test="${not empty param.id}">
				<%@ include file="../include/sql/fees_fix_table.jsp" %>
		
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT name, expression, usetime, start_time, end_time, price, fraction_period, usedate, 
						DATE_FORMAT(start_date, '%d/%m/%Y') AS start_date, DATE_FORMAT(end_date, '%d/%m/%Y') AS end_date,
						useday, days, diff_price, price_first, fraction_first
					FROM fees
					WHERE name = '${param.id}'
				</sql:query>
				<c:set var="name" value="${rs.rows[0].name}"/>
				<c:set var="expression" value="${rs.rows[0].expression}"/>
				<c:set var="usetime" value="${rs.rows[0].usetime}"/>
				<c:set var="start_hours" value="${fn:substring(rs.rows[0].start_time,0,2)}"/>
				<c:set var="start_minutes" value="${fn:substring(rs.rows[0].start_time,3,5)}"/>
				<c:set var="end_hours" value="${fn:substring(rs.rows[0].end_time,0,2)}"/>
				<c:set var="end_minutes" value="${fn:substring(rs.rows[0].end_time,3,5)}"/>
				<c:set var="price" value="${rs.rows[0].price}"/>
				<c:set var="fraction" value="${rs.rows[0].fraction_period}"/>
				<c:set var="usedate" value="${rs.rows[0].usedate}"/>
				<c:set var="start_date" value="${rs.rows[0].start_date}"/>
				<c:set var="end_date" value="${rs.rows[0].end_date}"/>
				<c:set var="useday" value="${rs.rows[0].useday}"/>
				<c:set var="days" value="${rs.rows[0].days}"/>
				<c:set var="diff_price" value="${rs.rows[0].diff_price}"/>
				<c:set var="price_first" value="${rs.rows[0].price_first}"/>
				<c:set var="fraction_first" value="${rs.rows[0].fraction_first}"/>
			</c:when>
			<c:otherwise>
				<c:set var="name" value=""/>
				<c:set var="expression" value=""/>
				<c:set var="usetime" value="true"/>
				<c:set var="start_hours" value="09"/>
				<c:set var="start_minutes" value="00"/>
				<c:set var="end_hours" value="21"/>
				<c:set var="end_minutes" value="00"/>
				<c:set var="price" value=""/>
				<c:set var="fraction" value=""/>
				<c:set var="usedate" value="false"/>
				<c:set var="start_date" value=""/>
				<c:set var="end_date" value=""/>
				<c:set var="useday" value=""/>
				<c:set var="days" value=""/>
				<c:set var="diff_price" value="false"/>
				<c:set var="price_first" value=""/>
				<c:set var="fraction_first" value=""/>
			</c:otherwise>
		</c:choose>
		<c:if test="${not empty sessionScope.message}">
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				${sessionScope.message}
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>

		<c:choose>
			<c:when test="${mode eq \"edit\"}">
				<c:if test="${not empty param.name}">
					<%@ include file="../include/sql/fees_fix_table.jsp" %>
					
					<c:set var="start_hours" value="${param.start_hours}"/>
					<c:set var="start_minutes" value="${param.start_minutes}"/>
					
					<c:set var="end_hours" value="${param.end_hours}"/>
					<c:set var="end_minutes" value="${param.end_minutes}"/>
			
					<c:if test="${start_hours > 23}">
						<c:set var="start_hours" value="00"/>
					</c:if>		
					<c:choose>
						<c:when test="${empty start_minutes}">
							<c:set var="start_minutes" value="00"/>
						</c:when>
						<c:otherwise>
							<c:if test="${start_minutes > 59}">
								<c:set var="start_minutes" value="59"/>
							</c:if>
						</c:otherwise>
					</c:choose>
					<c:choose>
						<c:when test="${empty end_hours}">
							<c:set var="end_hours" value="00"/>
						</c:when>
						<c:otherwise>
							<c:if test="${end_hours > 23}">
								<c:set var="end_hours" value="00"/>
							</c:if>
						</c:otherwise>
					</c:choose>
					<c:choose>
						<c:when test="${empty end_minutes}">
							<c:set var="end_minutes" value="00"/>
						</c:when>
						<c:otherwise>
							<c:if test="${end_minutes > 59}">
								<c:set var="end_minutes" value="59"/>
							</c:if>
						</c:otherwise>
					</c:choose>
					<c:choose>
						<c:when test="${param.usetime eq \"on\"}">
							<c:set var="usetime" value="1"/>
						</c:when>
						<c:otherwise>
							<c:set var="usetime" value="0"/>
						</c:otherwise>
					</c:choose>
					<c:choose>
						<c:when test="${param.usedate eq \"on\"}">
							<c:set var="usedate" value="1"/>
						</c:when>
						<c:otherwise>
							<c:set var="usedate" value="0"/>
						</c:otherwise>
					</c:choose>
					<c:choose>
						<c:when test="${param.useday eq \"on\"}">
							<c:set var="useday" value="1"/>
						</c:when>
						<c:otherwise>
							<c:set var="useday" value="0"/>
						</c:otherwise>
					</c:choose>
					<c:choose>
						<c:when test="${empty param.start_date}">
							<c:set var="new_start_date" value="null"/>
						</c:when>
						<c:otherwise>
							<c:set var="tokens" value="${fn:split(param.start_date, '/')}"/>
							<c:set var="new_start_date" value="'${tokens[2]}-${tokens[1]}-${tokens[0]}'"/>
						</c:otherwise>
					</c:choose>
					<c:choose>
						<c:when test="${empty param.end_date}">
							<c:set var="new_end_date" value="null"/>
						</c:when>
						<c:otherwise>
							<c:set var="tokens" value="${fn:split(param.end_date, '/')}"/>
							<c:set var="new_end_date" value="'${tokens[2]}-${tokens[1]}-${tokens[0]}'"/>
						</c:otherwise>
					</c:choose>
					<c:choose>
						<c:when test="${empty paramValues.days}">
							<c:set var="str_days" value="NULL"/>
						</c:when>
						<c:otherwise>
							<c:forEach items="${paramValues.days}" var="day" varStatus="status">
							    <c:choose>
								<c:when test="${status.first}">
								    <c:set var="str_days" value="${day}"/>
								</c:when>
								<c:otherwise>
								    <c:set var="str_days" value="${str_days},${day}"/>
								</c:otherwise>
							    </c:choose>
							</c:forEach>
						</c:otherwise>
					</c:choose>
					
					<c:choose>
						<c:when test="${param.diff_price eq \"on\"}">
							<c:set var="diff_price" value="1"/>
						</c:when>
						<c:otherwise>
							<c:set var="diff_price" value="0"/>
						</c:otherwise>
					</c:choose>
					
					<c:choose>
						<c:when test="${empty param.price_first}">
							<c:set var="price_first" value="0"/>
						</c:when>
						<c:otherwise>
							<c:set var="price_first" value="${param.price_first}"/>
						</c:otherwise>
					</c:choose>
					
					<c:choose>
						<c:when test="${empty param.fraction_first}">
							<c:set var="fraction_first" value="0"/>
						</c:when>
						<c:otherwise>
							<c:set var="fraction_first" value="${param.fraction_first}"/>
						</c:otherwise>
					</c:choose>
										
					<c:choose>
						<c:when test="${empty param.oldFee}">
							<c:catch var="e">
								<sql:update dataSource="jdbc/ipcontact">
									INSERT INTO fees (name,expression,usetime,start_time,end_time,price,fraction_period,
										usedate,start_date,end_date,useday,days,diff_price,price_first,fraction_first) 
									VALUES(
									  '${param.name}',
									  '${param.expression}',
									   ${usetime},
									  '${start_hours}:${start_minutes}:00',
									  '${end_hours}:${end_minutes}:00',
									  '${param.price}',
									   ${param.fraction},
									   ${usedate},
  									   ${new_start_date},
									   ${new_end_date},
									   ${useday},
									   '${str_days}',
									   ${diff_price},
									   ${price_first},
									   ${fraction_first}
									 )
								</sql:update>
							</c:catch>
							<c:choose>
								<c:when test="${not empty e}">
									<c:set var="message" scope="session" value="${e}"/>
									<c:set var="messageType" scope="session" value="error"/>
								</c:when>
								<c:otherwise>
									<fmt:message key="fees.added" var="message"/>
									<c:set var="message" scope="session" value="${message}"/>
									<c:set var="messageType" scope="session" value="ok"/>
									<c:redirect url="listFees.jsp"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:catch var="e">
								<sql:update dataSource="jdbc/ipcontact">
									UPDATE fees SET 
									  name = '${param.name}',
									  expression ='${param.expression}',
									  usetime = ${usetime},
									  start_time='${start_hours}:${start_minutes}:00',
									  end_time='${end_hours}:${end_minutes}:00',
									  price='${param.price}',
									  fraction_period=${param.fraction},
									  usedate = ${usedate},
									  start_date = ${new_start_date},
									  end_date = ${new_end_date},
									  useday = ${useday},
									  days = '${str_days}',
									  diff_price=${diff_price},
									  price_first=${price_first},
									  fraction_first=${fraction_first}
									WHERE name='${param.oldFee}'
								</sql:update>
							</c:catch>
							<c:choose>
								<c:when test="${not empty e}">
									<c:set var="message" scope="session" value="${e}"/>
									<c:set var="messageType" scope="session" value="error"/>
								</c:when>
								<c:otherwise>
									<fmt:message key="fees.updated" var="message"/>
									<c:set var="message" scope="session" value="${message}"/>
									<c:set var="messageType" scope="session" value="ok"/>
									<c:redirect url="listFees.jsp"/>
								</c:otherwise>
							</c:choose>
						</c:otherwise>
					</c:choose>
				</c:if>
				<%@ include file="../ui/fees/edit.jsp" %>
			</c:when>
			<c:when test="${mode eq \"view\"}">
			  	<%@ include file="../ui/fees/view.jsp" %>
			</c:when>
			<c:otherwise>
			  	<%@ include file="../ui/fees/view.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
