<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="groups">
		<c:choose>
			<c:when test="${not empty param.mode}">
			  <c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:set var="mode" value="" scope="session"/>

		<c:choose>
			<c:when test="${not empty param.id}">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT groupqueue_id, groupqueue_name
					FROM groups_queues
					WHERE groupqueue_name = '${param.id}'
				</sql:query>
				<c:set var="groupqueue_id" value="${rs.rows[0].groupqueue_id}"/>
				<c:set var="groupqueue_name" value="${rs.rows[0].groupqueue_name}"/>
			</c:when>
			<c:otherwise>
				<c:set var="groupqueue_id" value=""/>
				<c:set var="groupqueue_name" value=""/>
			</c:otherwise>
		</c:choose>
		
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"extension.error.generic\"}">
					${sessionScope.error}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>

		<c:choose>
			<c:when test="${mode eq \"edit\"}">
			  <%@ include file="../ui/group/editqueue.jsp" %>
			</c:when>
			<c:when test="${mode eq \"view\"}">
			  <%@ include file="../ui/group/viewqueue.jsp" %>
			</c:when>
			<c:otherwise>
			  <%@ include file="../ui/group/viewqueue.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
