<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="hunt">
		<c:choose>
			<c:when test="${not empty param.mode}">
			  <c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:set var="mode" value="" scope="session"/>
			
		<c:choose>
			<c:when test='${not empty param.id}'>
				<c:choose>
					 <c:when test="${sessionScope.asterisk12}">	
						 <sql:query var="rs" dataSource="jdbc/ipcontact">
							 SELECT number, vpbx, info, id
							 FROM hunt_group
							 WHERE id = '${param.id}'
						 </sql:query>
						  <c:set var='id' value='${rs.rows[0].id}'/>
					 </c:when>
					 <c:otherwise>
						 <sql:query var="rs" dataSource="jdbc/ipcontact">
							 SELECT h.number AS number, h.info AS info, GROUP_CONCAT(v.name SEPARATOR ', ') AS vpbx
							 FROM hunt h
							 LEFT JOIN vpbx_hunt ON hunt_number = h.number
							 LEFT JOIN vpbx v ON v.number = vpbx_number
							 WHERE h.number = '${param.id}'
							 GROUP BY h.number
						 </sql:query>
					 </c:otherwise>
				</c:choose>
				<c:set var='number' value='${rs.rows[0].number}'/>
				<c:set var='vpbx' value='${rs.rows[0].vpbx}'/>
				<c:set var='info' value='${rs.rows[0].info}'/>
			</c:when>
			<c:otherwise>
				<c:set var='number' value=''/>
				<c:set var='vpbx' value=''/>
				<c:set var='info' value=''/>
			</c:otherwise>
		</c:choose>
	
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"extension.error.generic\"}">
					${sessionScope.error}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
	
		<c:choose>
			<c:when test="${mode eq 'edit'}">
			  <%@ include file="../ui/hunt/edit.jsp" %>
			</c:when>
			<c:when test="${mode eq 'view'}">
			  <%@ include file="../ui/hunt/view.jsp" %>
			</c:when>
			<c:otherwise>
			  <%@ include file="../ui/hunt/view.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
