		<%pageContext.setAttribute("path","../");%>
		<%@ include file="../menu.jsp" %>
		
		<div id="right">
			<fmt:bundle basename="operatorsvpbxs">
				<c:if test="${not empty sessionScope.message}">
					<c:choose>
						<c:when test="${sessionScope.messageType eq \"error\"}">
							<c:set var="class" value="error"/>
						</c:when>
						<c:otherwise>
							<c:set var="class" value="ok"/>
						</c:otherwise>
					</c:choose>
					<div class="${class}">
						${sessionScope.message}
					</div>
					<c:set var="message" value="" scope="session"/>
				</c:if>
				<c:choose>
					<c:when test="${empty param.group}">
						<%@ include file="../ui/operators/search.jsp" %>
					</c:when>
				
					<c:otherwise>
						<w:where var="conds">
							<w:condition attribute="users.username" comparator="${param.userType}" value="${param.user}"/>
							<w:condition attribute="first_name" comparator="${param.nameType}" value="${param.name}"/>
							<w:condition attribute="last_name" comparator="${param.surnameType}" value="${param.surname}"/>
							<w:condition condition="role='supervisor' or role='operator'"/>
							
							<c:if test="${param.group != \"all\"}">
								<w:condition attribute="groups.group_id" value="${param.group}"/>
							</c:if>
						</w:where>
				
						<c:set var="offset" value="${param.offset}"/>
				
						<c:if test="${empty offset}">
							<c:set var="offset" value="0"/>
						</c:if>
				
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT count(*) AS count 
							FROM users 
							INNER JOIN groups ON users.group_id = groups.group_id 
							${conds}
						</sql:query>
				
						<c:if test="${rs.rows[0].count > (offset + param.rows)}">
							<c:set var="nextOffset" value="true"/>
						</c:if>

						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT users.username AS username, role, first_name, last_name, group_name, agents.user AS agent
							FROM users 
							INNER JOIN groups ON users.group_id = groups.group_id
							LEFT JOIN agents ON user = users.username
							${conds} ORDER BY username LIMIT ${param.rows} OFFSET ${offset}
						</sql:query>
						<%@ include file="../ui/operators/list.jsp" %>
					</c:otherwise>
				</c:choose>
			</fmt:bundle>
		</div>
	</body>
</html>