<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<%@ page import="org.w3c.dom.*" %>
<%@ page import="ipcontact.*" %>

<div id="right">
	<fmt:bundle basename="queues">
		<c:choose>
			<c:when test="${not empty param.mode}">
			  <c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:set var="mode" value="" scope="session"/>
		
		<sql:query var="rs_groupsqueues" dataSource="jdbc/ipcontact">
			SELECT groupqueue_id, groupqueue_name
			FROM groups_queues;
		</sql:query>

		<c:if test="${not empty sessionScope.message}">
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				${sessionScope.message}
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		
		<c:choose>
			<c:when test="${not empty param.id}">
				<%@ include file="../include/sql/queues_fix_table.jsp" %>
		
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT *
					FROM queue
					WHERE name = '${param.id}'
				</sql:query>
				<c:set var="name" value="${rs.rows[0].name}"/>
				<c:set var="info" value="${rs.rows[0].info}"/>
				<c:set var="outgoing" value="${rs.rows[0].outgoing}"/>
				<c:set var="callcenter" value="${rs.rows[0].callcenter}"/>
				<c:set var="musiconhold" value="${rs.rows[0].musiconhold}"/>
				<c:set var="announce" value="${rs.rows[0].announce}"/>
				<c:set var="context" value="${rs.rows[0].context}"/>
				<c:set var="timeout" value="${rs.rows[0].timeout}"/>
				<c:set var="monitor_join" value="${rs.rows[0].monitor_join}"/>
				<c:set var="monitor_format" value="${rs.rows[0].monitor_format}"/>
				<c:set var="queue_youarenext" value="${rs.rows[0].queue_youarenext}"/>
				<c:set var="queue_thereare" value="${rs.rows[0].queue_thereare}"/>
				<c:set var="queue_callswaiting" value="${rs.rows[0].queue_callswaiting}"/>
				<c:set var="queue_holdtime" value="${rs.rows[0].queue_holdtime}"/>
				<c:set var="queue_minutes" value="${rs.rows[0].queue_minutes}"/>
				<c:set var="queue_seconds" value="${rs.rows[0].queue_seconds}"/>
				<c:set var="queue_lessthan" value="${rs.rows[0].queue_lessthan}"/>
				<c:set var="queue_thankyou" value="${rs.rows[0].queue_thankyou}"/>
				<c:set var="queue_reporthold" value="${rs.rows[0].queue_reporthold}"/>
				<c:set var="announce_frequency" value="${rs.rows[0].announce_frequency}"/>
				<c:set var="announce_round_seconds" value="${rs.rows[0].announce_round_seconds}"/>
				<c:set var="announce_holdtime" value="${rs.rows[0].announce_holdtime}"/>
				<c:set var="retry" value="${rs.rows[0].retry}"/>
				<c:set var="wrapuptime" value="${rs.rows[0].wrapuptime}"/>
				<c:set var="maxlen" value="${rs.rows[0].maxlen}"/>
				<c:set var="servicelevel" value="${rs.rows[0].servicelevel}"/>
				<c:set var="strategy" value="${rs.rows[0].strategy}"/>
				<c:set var="joinempty" value="${rs.rows[0].joinempty}"/>
				<c:if test="${empty joinempty}">
				 		<c:set var="joinempty" value="yes"/>      
				</c:if>
				<c:set var="leavewhenempty" value="${rs.rows[0].leavewhenempty}"/>
				<c:if test="${empty leavewhenempty}">
				 		<c:set var="leavewhenempty" value="no"/>      
				</c:if>
				<c:set var="eventmemberstatus" value="${rs.rows[0].eventmemberstatus}"/>
				<c:if test="${empty eventmemberstatus}">
				 		<c:set var="eventmemberstatus" value="no"/>      
				</c:if>
				<c:set var="eventwhencalled" value="${rs.rows[0].eventwhencalled}"/>
				<c:if test="${empty eventwhencalled}">
				 		<c:set var="eventwhencalled" value="yes"/>      
				</c:if>
				<c:set var="reportholdtime" value="${rs.rows[0].reportholdtime}"/>
				<c:set var="memberdelay" value="${rs.rows[0].memberdelay}"/>
				<c:set var="weight" value="${rs.rows[0].weight}"/>
				<c:set var="timeoutrestart" value="${rs.rows[0].timeoutrestart}"/>
				<c:set var="periodic_announce" value="${rs.rows[0].periodic_announce}"/>
				<c:set var="periodic_announce_frequency" value="${rs.rows[0].periodic_announce_frequency}"/>
				<c:set var="ringlimit" value="${rs.rows[0].ringlimit}"/>
				<c:set var="ringinuse" value="${rs.rows[0].ringinuse}"/>
				<c:set var="autofill" value="${rs.rows[0].autofill}"/>
				<c:set var="groupqueue_id" value="${rs.rows[0].groupqueue_id}"/>
				<c:set var="popup" value="${rs.rows[0].popup}"/>
			</c:when>
			<c:otherwise>
				<c:set var="name" value=""/>
				<c:set var="info" value=""/>
				<c:set var="outgoing" value=""/>
				<c:set var="callcenter" value=""/>
				<c:set var="musiconhold" value=""/>
				<c:set var="announce" value=""/>
				<c:set var="context" value=""/>
				<c:set var="timeout" value="10"/>
				<c:set var="monitor_join" value="true"/>
				<c:set var="monitor_format" value=""/>
				<c:set var="queue_youarenext" value=""/>
				<c:set var="queue_thereare" value=""/>
				<c:set var="queue_callswaiting" value=""/>
				<c:set var="queue_holdtime" value=""/>
				<c:set var="queue_minutes" value=""/>
				<c:set var="queue_seconds" value=""/>
				<c:set var="queue_lessthan" value=""/>
				<c:set var="queue_thankyou" value=""/>
				<c:set var="queue_reporthold" value=""/>
				<c:set var="announce_frequency" value=""/>
				<c:set var="announce_round_seconds" value=""/>
				<c:set var="announce_holdtime" value=""/>
				<c:set var="retry" value=""/>
				<c:set var="wrapuptime" value=""/>
				<c:set var="maxlen" value="0"/>
				<c:set var="servicelevel" value=""/>
				<c:set var="strategy" value=""/>
				<c:set var="joinempty" value="yes"/>
				<c:set var="leavewhenempty" value="no"/>
				<c:set var="eventmemberstatus" value="no"/>
				<c:set var="eventwhencalled" value="yes"/>
				<c:set var="reportholdtime" value=""/>
				<c:set var="memberdelay" value=""/>
				<c:set var="weight" value=""/>
				<c:set var="timeoutrestart" value=""/>
				<c:set var="periodic_announce" value=""/>
				<c:set var="periodic_announce_frequency" value=""/>
				<c:set var="ringlimit" value=""/>
				<c:set var="ringinuse" value=""/>
				<c:set var="autofill" value="true"/>
				<c:set var="groupqueue_id" value=""/>
				<c:set var="popup" value=""/>
			</c:otherwise>
		</c:choose>

		<c:choose>
			<c:when test="${mode eq \"edit\"}">
				<c:if test="${not empty param.name}">
					<%@ include file="../include/sql/queues_fix_table.jsp" %>
				
					<c:choose>
						<c:when test="${empty param.oldQueue}">
							<c:catch var="e">
								<sql:update dataSource="jdbc/ipcontact">
									INSERT INTO queue (
									  name,info,callcenter,musiconhold,announce,context,timeout,
									  monitor_format, queue_youarenext,queue_thereare,queue_callswaiting,queue_holdtime,
									  queue_minutes, queue_seconds,queue_lessthan,queue_thankyou,queue_reporthold,
									  announce_frequency, announce_round_seconds,announce_holdtime,retry,wrapuptime,
									  maxlen,servicelevel, strategy,joinempty,leavewhenempty,eventmemberstatus,
									  eventwhencalled,reportholdtime, memberdelay,weight,timeoutrestart,
									  periodic_announce,periodic_announce_frequency,ringlimit,ringinuse, autofill, 
									  groupqueue_id, popup
									)
									VALUES(
									  '${param.name}',
									  '${param.info}',
									  <c:choose>
									  	<c:when test="${param.callcenter eq \"on\"}">
									  		1,
									  	</c:when>
									  	<c:otherwise>
									  		0,
									  	</c:otherwise>
									  </c:choose>
									  '${param.musiconhold}',
									  '${param.announce}',
									  '${param.context}',
									  ${param.timeout}<c:if test="${empty param.timeout}">null</c:if>,
										<c:choose>
											<c:when test="${empty param.monitor_format}">
												null
											</c:when>
											<c:otherwise>
												'${param.monitor_format}'
											</c:otherwise>
										</c:choose>,
									  '${param.queue_youarenext}',
									  '${param.queue_thereare}',
									  '${param.queue_callswaiting}',
									  '${param.queue_holdtime}',
									  '${param.queue_minutes}',
									  '${param.queue_seconds}',
									  '${param.queue_lessthan}',
									  '${param.queue_thankyou}',
									  '${param.queue_reporthold}',
									  ${param.announce_frequency}<c:if test="${empty param.announce_frequency}">null</c:if>,
									  ${param.announce_round_seconds}<c:if test="${empty param.announce_round_seconds}">null</c:if>,
									  '${param.announce_holdtime}',
									  ${param.retry}<c:if test="${empty param.retry}">null</c:if>,
									  ${param.wrapuptime}<c:if test="${empty param.wrapuptime}">null</c:if>,
									  ${param.maxlen}<c:if test="${empty param.maxlen}">null</c:if>,
									  ${param.servicelevel}<c:if test="${empty param.servicelevel}">null</c:if>,
									  '${param.strategy}',
									  '${param.joinempty}',
									  '${param.leavewhenempty}',
									  '${param.eventmemberstatus}',
									  '${param.eventwhencalled}',
									  <c:choose>
									  	<c:when test="${param.reportholdtime eq \"on\"}">
									  		1,
									  	</c:when>
									  	<c:otherwise>
									  		0,
									  	</c:otherwise>
									  </c:choose>
									  ${param.memberdelay}<c:if test="${empty param.memberdelay}">null</c:if>,
									  ${param.weight}<c:if test="${empty param.weight}">null</c:if>,
									  <c:choose>
									  	<c:when test="${param.timeoutrestart eq \"on\"}">
									  		1,
									  	</c:when>
									  	<c:otherwise>
									  		0,
									  	</c:otherwise>
									  </c:choose>
									  '${param.periodic_announce}',
									  ${param.periodic_announce_frequency}<c:if test="${empty param.periodic_announce_frequency}">null</c:if>,
									  ${param.ringlimit}<c:if test="${empty param.ringlimit}">null</c:if>,
									  <c:choose>
									  	<c:when test="${param.ringinuse eq \"on\"}">
									  		1,
									  	</c:when>
									  	<c:otherwise>
									  		0,
									  	</c:otherwise>
									  </c:choose>
									  <c:choose>
									  	<c:when test="${param.autofill eq \"on\"}">
									  		1,
									  	</c:when>
									  	<c:otherwise>
									  		0,
									  	</c:otherwise>
									  </c:choose>
									  <c:choose>
									  	<c:when test="${param.groupqueue_id eq \"\"}">
									  		null,
									  	</c:when>
									  	<c:otherwise>
									  		'${param.groupqueue_id}',
									  	</c:otherwise>
									  </c:choose>
									  <c:choose>
									  	<c:when test="${param.popup eq \"\"}">
									  		null
									  	</c:when>
									  	<c:otherwise>
									  		'${param.popup}'
									  	</c:otherwise>
									  </c:choose>
									 )
								</sql:update>
								 
								<% 	
									Document doc;
									Element action;
									
									doc = XMLHelper.newDocument();
									action = XMLHelper.newElement(doc, "action", "type", "add queue");
									XMLHelper.addElement(doc, action, "queue", request.getParameter("name").toString());
									XMLHelper.addElement(doc, action, "status", 
											("on".equals(request.getParameter("callcenter")) ? "callcenter" : ""));
									doc.appendChild(action);

									String result = net.action(doc, "add queue");	
									pageContext.setAttribute("result", result);
								%>
							</c:catch>
							<c:choose>
								<c:when test="${not empty e}">
									<c:set var="message" scope="session" value="${e}"/>
									<c:set var="messageType" scope="session" value="error"/>
								</c:when>
								<c:otherwise>
									<fmt:message key="queues.added" var="message"/>
									<c:set var="message" scope="session" value="${message}"/>
									<c:set var="messageType" scope="session" value="ok"/>
									<c:redirect url="listQueues.jsp"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:catch var="e">
								<sql:update dataSource="jdbc/ipcontact">
									UPDATE queue SET 
									  name = '${param.name}',
									  info = '${param.info}',
									  <c:choose>
									  	<c:when test="${param.callcenter eq \"on\"}">
									  		callcenter = 1,
									  	</c:when>
									  	<c:otherwise>
											callcenter = 0,
									  	</c:otherwise>
									  </c:choose>
									  musiconhold = '${param.musiconhold}',
									  announce = '${param.announce}',
									  context = '${param.context}',
									  timeout = ${param.timeout}<c:if test="${empty param.timeout}">0</c:if>,
									  <c:choose>
									  	<c:when test="${param.monitor_join eq \"on\"}">
									  		monitor_join = 1,
									  	</c:when>
									  	<c:otherwise>
											monitor_join = 0,
									  	</c:otherwise>
									  </c:choose>
									  monitor_format = 
									   <c:choose>
											<c:when test="${empty param.monitor_format}">
												null
											</c:when>
											<c:otherwise>
												'${param.monitor_format}'
											</c:otherwise>
										</c:choose>,
									  queue_youarenext = '${param.queue_youarenext}',
									  queue_thereare = '${param.queue_thereare}',
									  queue_callswaiting = '${param.queue_callswaiting}',
									  queue_holdtime = '${param.queue_holdtime}',
									  queue_minutes = '${param.queue_minutes}',
									  queue_seconds = '${param.queue_seconds}',
									  queue_lessthan = '${param.queue_lessthan}',
									  queue_thankyou = '${param.queue_thankyou}',
									  queue_reporthold = '${param.queue_reporthold}',
									  announce_frequency = ${param.announce_frequency}<c:if test="${empty param.announce_frequency}">0</c:if>,
									  announce_round_seconds = ${param.announce_round_seconds}<c:if test="${empty param.announce_round_seconds}">0</c:if>,
									  announce_holdtime = '${param.announce_holdtime}',
									  retry = ${param.retry}<c:if test="${empty param.retry}">0</c:if>,
									  wrapuptime = ${param.wrapuptime}<c:if test="${empty param.wrapuptime}">0</c:if>,
									  maxlen = ${param.maxlen}<c:if test="${empty param.maxlen}">0</c:if>,
									  servicelevel = ${param.servicelevel}<c:if test="${empty param.servicelevel}">0</c:if>,
									  strategy = '${param.strategy}',
									  joinempty = '${param.joinempty}',
									  leavewhenempty = '${param.leavewhenempty}',
									  eventmemberstatus = '${param.eventmemberstatus}',
									  eventwhencalled = '${param.eventwhencalled}',
									  <c:choose>
									  	<c:when test="${param.reportholdtime eq \"on\"}">
									  		reportholdtime = 1,
									  	</c:when>
									  	<c:otherwise>
											reportholdtime = 0,
									  	</c:otherwise>
									  </c:choose>									  
									  memberdelay = ${param.memberdelay}<c:if test="${empty param.memberdelay}">0</c:if>,
									  weight = ${param.weight}<c:if test="${empty param.weight}">0</c:if>,
									  <c:choose>
									  	<c:when test="${param.timeoutrestart eq \"on\"}">
									  		timeoutrestart = 1,
									  	</c:when>
									  	<c:otherwise>
											timeoutrestart = 0,
									  	</c:otherwise>
									  </c:choose>
									  periodic_announce = '${param.periodic_announce}',
									  periodic_announce_frequency = ${param.periodic_announce_frequency}<c:if test="${empty param.periodic_announce_frequency}">0</c:if>,
									  ringlimit = ${param.ringlimit}<c:if test="${empty param.ringlimit}">0</c:if>,
									  <c:choose>
									  	<c:when test="${param.ringinuse eq \"on\"}">
									  		ringinuse = 1,
									  	</c:when>
									  	<c:otherwise>
											ringinuse = 0,
									  	</c:otherwise>
									  </c:choose>
									  <c:choose>
									  	<c:when test="${param.autofill eq \"on\"}">
									  		autofill = 1,
									  	</c:when>
									  	<c:otherwise>
											autofill = 0,
									  	</c:otherwise>
									  </c:choose>
									  <c:choose>
									  	<c:when test="${param.groupqueue_id eq \"\"}">
									  		groupqueue_id = null,
									  	</c:when>
									  	<c:otherwise>
									  		groupqueue_id = '${param.groupqueue_id}',
									  	</c:otherwise>
									  </c:choose>
									  <c:choose>
									  	<c:when test="${param.popup eq \"\"}">
									  		popup = null
									  	</c:when>
									  	<c:otherwise>
									  		popup = '${param.popup}'
									  	</c:otherwise>
									  </c:choose>
									WHERE name='${param.oldQueue}'
								</sql:update>

								<c:choose>
									<c:when test="${(param.oldQueue ne param.name)
										|| (!param.oldCallcenter && param.callcenter eq \"on\")
										|| (param.oldCallcenter && param.callcenter ne \"on\")}">
										<%
											Document doc;
											Element action;

											doc = XMLHelper.newDocument();
											action = XMLHelper.newElement(doc, "action", "type", "del queue");
											XMLHelper.addElement(doc, action, "queue", request.getParameter("oldQueue").toString());
											doc.appendChild(action);

											String result = net.action(doc, "del queue");

											doc = XMLHelper.newDocument();
											action = XMLHelper.newElement(doc, "action", "type", "add queue");
											XMLHelper.addElement(doc, action, "queue", request.getParameter("name").toString());
											XMLHelper.addElement(doc, action, "status",
													("on".equals(request.getParameter("callcenter")) ? "callcenter" : ""));
											doc.appendChild(action);

											result = net.action(doc, "add queue");
											pageContext.setAttribute("result", result);
										%>
									</c:when>
									<c:otherwise>
										<%
											Document doc;
											Element action;

											doc = XMLHelper.newDocument();
											action = XMLHelper.newElement(doc, "action", "type", "add queue");
											XMLHelper.addElement(doc, action, "queue", request.getParameter("name").toString());
											XMLHelper.addElement(doc, action, "status",
													("on".equals(request.getParameter("callcenter")) ? "callcenter" : ""));
											doc.appendChild(action);

											String result = net.action(doc, "add queue");
											pageContext.setAttribute("result", result);
										%>
									</c:otherwise>
								</c:choose>

							</c:catch>
							<c:choose>
								<c:when test="${not empty e}">
									<c:set var="message" scope="session" value="${e}"/>
									<c:set var="messageType" scope="session" value="error"/>
								</c:when>
								<c:otherwise>
									<fmt:message key="queues.updated" var="message"/>
									<c:set var="message" scope="session" value="${message}"/>
									<c:set var="messageType" scope="session" value="ok"/>
									<c:redirect url="listQueues.jsp?nameType=1"/>
								</c:otherwise>
							</c:choose>
						</c:otherwise>
					</c:choose>
				</c:if>
				
				<c:if test="${not empty sessionScope.message}">
					<c:if test="${sessionScope.messageType eq \"error\"}">
						<c:set var="class" value="error"/>
					</c:if>
					<c:if test="${sessionScope.messageType eq \"ok\"}">
						<c:set var="class" value="ok"/>
					</c:if>
					<div class="${class}">
						${sessionScope.message}
					</div>
					<c:set var="message" value="" scope="session"/>
				</c:if>
		
				<%@ include file="../ui/queues/edit.jsp" %>
			</c:when>
			<c:when test="${mode eq \"view\"}">
				<c:if test="${not empty sessionScope.message}">
					<c:if test="${sessionScope.messageType eq \"error\"}">
						<c:set var="class" value="error"/>
					</c:if>
					<c:if test="${sessionScope.messageType eq \"ok\"}">
						<c:set var="class" value="ok"/>
					</c:if>
					<div class="${class}">
						${sessionScope.message}
					</div>
					<c:set var="message" value="" scope="session"/>
				</c:if>
			  	<%@ include file="../ui/queues/view.jsp" %>
			</c:when>
			<c:otherwise>
			  	<%@ include file="../ui/queues/view.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
