<%pageContext.setAttribute("path","");%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ include file="../menu.jsp" %>
<fmt:bundle basename="base">
<div id="right">
	<c:if test="${not empty sessionScope.message}">
	<div <c:if test="${sessionScope.messageType eq \"error\"}">class="error"</c:if><c:if test="${sessionScope.messageType eq \"ok\"}">class="ok"</c:if>>
		${sessionScope.message}
	</div>
		<c:set var='message' value='' scope='session'/>
	</c:if>
	<c:choose>
		<c:when test="${not empty sessionScope.needLogout}">
			<p class="reloadMessage">
				<fmt:message key="restart.continue1"/><a href="${path}logout.jsp"><fmt:message key="restart.there"/></a><fmt:message key="restart.continue2"/>
			</p>
			<c:set var='message' value='' scope='session'/>
		</c:when>
		<c:otherwise>
			<c:choose>
				<c:when test="${empty param.submit}">
					<h1><fmt:message key="restart.atention"/></h1>
					<p>
						<fmt:message key="restart.warning"/>
						<br/><fmt:message key="restart.question"/>
					</p>
			
					<form method="get" action="restart.jsp" target="_self">
						<input class="boton" type="submit" name="submit" value="<fmt:message key='restart.submit'/>"/>
					</form>
				</c:when>
				<c:otherwise>
					<%
						try {
							Restart rst = new Restart();
							String path = getServletContext().getRealPath("/");
							rst.setRoute(path + session.getAttribute("customDir").toString());
							rst.setSip(session.getAttribute("sipFile").toString());
							rst.setZap(session.getAttribute("zapFile").toString());							
							String resultado = rst.restart(session);
							session.setAttribute("message", resultado);
							session.setAttribute("messageType", "ok");
						} catch(Exception e) {
							session.setAttribute("message", e.getMessage());
							session.setAttribute("messageType", "error");
							e.printStackTrace();
						}
					%>
					<c:redirect url="restart.jsp"/>
				</c:otherwise>
			</c:choose>
		</c:otherwise>
	</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
