<fmt:message key="addsip.validations.name" var="valname"/>
<fmt:message key="addsip.validations.username" var="valusername"/>
<fmt:message key="addsip.validations.calleridNumber" var="valcalleridNumber"/>
<fmt:message key="addsip.validations.calleridName" var="valcalleridName"/>
<fmt:message key="addsip.validations.host" var="valhost"/>

<script type="text/javascript">
<!--
  // moveOptionsUp
  //
  // move the selected options up one location in the select list
  //
  function moveOptionsUp(selectId) {
    var selectList = document.forms.formulario.allow;
    var selectOptions = selectList.getElementsByTagName('option');
    for (var i = 1; i < selectOptions.length; i++) {
      var opt = selectOptions[i];
      if (opt.selected) {
        selectList.removeChild(opt);
        selectList.insertBefore(opt, selectOptions[i - 1]);
      }
    }
  }
  // moveOptionsDown
  //
  // move the selected options down one location in the select list
  //
  function moveOptionsDown(selectId) {
    var selectList = document.forms.formulario.allow;
    var selectOptions = selectList.getElementsByTagName('option');
    for (var i = selectOptions.length - 2; i >= 0; i--) {
      var opt = selectOptions[i];
      if (opt.selected) {
        var nextOpt = selectOptions[i + 1];
        opt = selectList.removeChild(opt);
        nextOpt = selectList.replaceChild(opt, nextOpt);
        selectList.insertBefore(nextOpt, opt);
      }
    }
  }

  function addCallgroup() {
	if (document.forms.formulario.callgroups.value != "") {
		document.forms.formulario.callgroup.value = document.forms.formulario.callgroups.value;
		document.forms.formulario.callgroups.selectedIndex = 0;
	}
  }

  function addPickupgroup() {
	if (document.forms.formulario.pickupgroups.value != "") {
	  	if (document.forms.formulario.pickupgroup.value == ""){
			document.forms.formulario.pickupgroup.value = document.forms.formulario.pickupgroups.value;
		} else {
			document.forms.formulario.pickupgroup.value = document.forms.formulario.pickupgroup.value + ',' + document.forms.formulario.pickupgroups.value;	
		}
		document.forms.formulario.pickupgroups.selectedIndex = 0;
	}
  }
    				
  var voicemail = false;

  function validateOnSubmit() {

    if (!validatePresent(document.forms.formulario.name, 'inf_name')) {
    	alert("${valname}");
    	return false;
    }
    if (!validatePresent(document.forms.formulario.username, 'inf_username')) {
    	alert("${valusername}");
    	return false;
    }

    if (!validatePresent(document.forms.formulario.calleridName, 'inf_calleridname')) {
    	alert("${valcalleridName}");
    	return false;
    }

    if (!validateNr(document.forms.formulario.calleridNumber, 'inf_calleridnumber', true)) {
    	alert("${valcalleridNumber}");
    	return false;
    }
    
    if (!validatePresent(document.forms.formulario.host, 'inf_host')) {
    	alert("${valhost}");
    	return false;
    }
    
    return true;
  };

//-->
</script>

<c:set var="valname" value=""/>
<c:set var="valusername" value=""/>
<c:set var="valcalleridName" value=""/>
<c:set var="valcalleridNumber" value=""/>
<c:set var="valhost" value=""/>

<h2><fmt:message key="addsip.edit.title"/></h2>

<form onsubmit="return validateOnSubmit()" method="post" action="../servlet/ipcontact.channels.AddSipChannel" name="formulario" target="_self"/>
	<h3><fmt:message key="addsip.edit.basic"/></h3>
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.name"/></td>
			<td class="query">
				<input type="text" name="name" size="15" maxlength="80" value="${name}" onchange="validatePresent(this, 'inf_name', true);" />
			</td>
			<td class="query" id="inf_name">
				<c:if test="${empty name}">
					<fmt:message key="addsip.required"/>
				</c:if>
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.username"/></td>
			<td class="query">
				<input type="text" name="username" size="15" maxlength="80" value="${username}" onchange="validatePresent(this, 'inf_username', true);" />
			</td>
			<td class="query" id="inf_username">
				<c:if test="${empty username}">
					<fmt:message key="addsip.required"/>
				</c:if>
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.secret"/></td>
			<td class="query">
				<input type="password" name="secret" size="10" maxlength="80" value="${secret}" />
			</td>
			<td class="query" id="inf_secret"/>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addsip.calleridname"/></td>
			<td class="query">
				<input type="text" name="calleridName" size="15" maxlength="80" value="${calleridName}" onchange="validatePresent(this, 'inf_calleridname', true)" />
			</td>
			<td class="query" id="inf_calleridname">
				<c:if test="${empty calleridName}">
					<fmt:message key="addsip.required"/>
				</c:if>
			</td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.calleridnumber"/></td>
			<td class="query">
				<input type="text" name="calleridNumber" size="15" maxlength="80" value="${calleridNumber}" onchange="validateNr(this, 'inf_calleridnumber', true)" />
			</td>
			<td class="query" id="inf_calleridnumber">
				<c:if test="${empty calleridNumber}">
					<fmt:message key="addsip.required"/>
				</c:if>
			</td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.mailbox"/></td>
			<td class="query">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT mailbox, context FROM voicemail_account
				</sql:query>
				<select name="mailbox">
					<option value=""> </option>
					<c:forEach var="row" items="${rs.rows}">
						<c:set var="mailboxcontext"  value="${row.mailbox}@${row.context}"/>
						<c:if test="${mailbox eq mailboxcontext}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${row.mailbox}@${row.context}" ${selected}>${row.mailbox}@${row.context}</option>
						<c:set var="selected" value=""/>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.callgroup"/></td>
			<td class="query">
				<input type="text" name="callgroup" size="10" maxlength="10" value="${callgroup}"/>
			</td>
			<td class="query">
				<%@ include file="../../include/sql/sections_fix_table.jsp" %>
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT section, callgroup FROM sections
				</sql:query>
				<select name="callgroups" onchange="addCallgroup()">
					<option value="" selected="selected">
						<fmt:message key="addsip.none"/>
					</option>
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<option value="${row.callgroup}">
							${row.section}
						</option>
					</c:forEach>
				</select>
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.pickupgroup"/></td>
			<td class="query">
				<input type="text" name="pickupgroup" size="20" maxlength="20" value="${pickupgroup}"/>
			</td>
			<td class="query">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT section, callgroup FROM sections
				</sql:query>
				<select name="pickupgroups" onchange="addPickupgroup()">
					<option value="" selected="selected">
						<fmt:message key="addsip.none"/>
					</option>
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<option value="${row.callgroup}">
							${row.section}
						</option>
					</c:forEach>
				</select>
			</td>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addsip.dtmfmode"/></td>
			<td class="query">
				<select name="dtmfmode">
					<c:if test="${dtmfmode eq \"info\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="info" ${selected} >info</option>
					<c:set var="selected" value=""/>

					<c:if test="${dtmfmode eq \"rfc2833\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="rfc2833" ${selected} >rfc2833</option>
					<c:set var="selected" value=""/>

					<c:if test="${dtmfmode eq \"inband\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="inband" ${selected} >inband</option>
					<c:set var="selected" value=""/>
				</select>
			</td>
			<td class="query"/>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addsip.host"/></td>
			<td class="query">
				<input type="text" name="host" size="15" maxlength="31" value="${host}" onChange="validatePresent(this, 'inf_host', true)"/>
			</td>
			<td class="query" id="inf_host">
				<c:if test="${empty host}">
					<fmt:message key="addsip.required"/>
				</c:if>
			</td>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addsip.canreinvite"/></td>
			<td class="query">
				<c:if test="${empty canreinvite}">
					<c:set var="canreinvite" value="no"/>
				</c:if>
				<c:if test="${canreinvite eq \"yes\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="canreinvite" value="yes" ${checked}/><fmt:message key="addsip.yes"/>
				<c:set var="checked" value=""/>
				
				<c:if test="${canreinvite eq \"no\"}">
						<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="canreinvite" value="no" ${checked}/><fmt:message key="addsip.no"/>
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addsip.context"/></td>
			<td class="query">
				<input type="text" name="context" size="15" maxlength="80" value="${context}" />
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.qualify"/></td>
			<td class="query">
				<c:if test="${empty qualify}">
					<c:set var="qualify" value="no"/>
				</c:if>
				
				<c:if test="${qualify eq \"yes\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="qualify" value="yes" ${checked} /><fmt:message key="addsip.yes"/>
				<c:set var="checked" value=""/>
				
				<c:if test="${qualify eq \"no\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="qualify" value="no" ${checked} /><fmt:message key="addsip.no"/>
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.disallow"/></td>
			<td class="query">
				<select name="disallow" multiple="multiple">
					<c:if test="${fn:containsIgnoreCase(disallow, \"all\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="all" ${selected} ><fmt:message key="addiax.all"/></option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"ulaw\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="ulaw" ${selected} >ulaw</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"alaw\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="alaw" ${selected} >alaw</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"g723\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>					
					<option value="g723" ${selected} >g723</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"g726\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="g726" ${selected} >g726</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"g729\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="g729" ${selected} >g729</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"gsm\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="gsm" ${selected} >gsm</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${fn:containsIgnoreCase(disallow, \"speex\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="speex" ${selected} >speex</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${fn:containsIgnoreCase(disallow, \"ilbc\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="speex" ${selected} >ilbc</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"h263\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="h263" ${selected} >h263</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"h263p\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="h263p" ${selected} >h263p</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"h264\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="h264" ${selected} >h264</option>
					<c:set var="selected" value=""/>
				</select>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.allow"/></td>
			<td class="query">
				<select name="allow" multiple="multiple">
					<c:if test="${fn:containsIgnoreCase(allow, \"all\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="all" ${selected} ><fmt:message key="addiax.all"/></option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(allow, \"ulaw\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="ulaw" ${selected} >ulaw</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(allow, \"alaw\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="alaw" ${selected} >alaw</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(allow, \"g723\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>					
					<option value="g723" ${selected} >g723</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(allow, \"g726\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="g726" ${selected} >g726</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(allow, \"g729\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="g729" ${selected} >g729</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(allow, \"gsm\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="gsm" ${selected} >gsm</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${fn:containsIgnoreCase(allow, \"speex\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="speex" ${selected} >speex</option>
					<c:set var="selected" value=""/>
					<c:if test="${fn:containsIgnoreCase(allow, \"h263\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					
					<c:if test="${fn:containsIgnoreCase(disallow, \"ilbc\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="speex" ${selected} >ilbc</option>
					<c:set var="selected" value=""/>

					<option value="h263" ${selected} >h263</option>
					<c:if test="${fn:containsIgnoreCase(allow, \"h263p\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="h263p" ${selected} >h263p</option>

					<c:if test="${fn:containsIgnoreCase(disallow, \"h264\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="h264" ${selected} >h264</option>
					<c:set var="selected" value=""/>
				</select>
				<br/>
				<img src="../statistics/up.gif" alt="Move Up" onclick="moveOptionsUp()" />
				<img src="../statistics/down.gif" alt="Move Down" onclick="moveOptionsDown()" />
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.type"/></td>
			<td class="query">
				<select name="type">
					<c:if test="${empty type or type eq \"friend\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="friend"  ${selected}>friend</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${empty type or type eq \"peer\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="peer" ${selected} >peer</option>
					<c:set var="selected" value=""/>

					<c:if test="${empty type or type eq \"user\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>					
					<option value="user" ${selected} >user</option>
					<c:set var="selected" value=""/>
				</select>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.nat"/></td>
			<td class="query">
				<c:if test="${empty nat}">
					<c:set var="nat" value="no"/>
				</c:if>
				
				<c:if test="${nat eq \"no\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="nat" value="no" ${checked} />no
				<c:set var="checked" value=""/>

				<c:if test="${nat eq \"yes\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="nat" value="yes" ${checked} />yes
				<c:set var="checked" value=""/>
				
				<c:if test="${nat eq \"never\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="nat" value="never" ${checked} />never
				<c:set var="checked" value=""/>
				
				<c:if test="${nat eq \"route\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="nat" value="route" ${checked} />route
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
	</table>

	<h3><fmt:message key="addsip.edit.advanced"/></h3>
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.insecure"/></td>
			<td class="query">
				<c:if test="${empty insecure}">
					<c:set var="insecure" value="no"/>
				</c:if>
				<c:if test="${insecure eq \"no\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="insecure" value="no" ${checked} />no
				<c:set var="checked" value=""/>

				<c:if test="${insecure eq \"yes\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>	
				<input type="radio" name="insecure" value="yes" ${checked} />yes
				<c:set var="checked" value=""/>
				
				<c:if test="${insecure eq \"port\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="insecure" value="port" ${checked} />port
				<c:set var="checked" value=""/>
				
				<c:if test="${insecure eq \"invite\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="insecure" value="invite" ${checked} />invite
				<c:set var="checked" value=""/>
				
				<c:if test="${insecure eq \"very\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="insecure" value="very" ${checked} />very
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.deny"/></td>
			<td class="query">
				<input type="text" name="deny" size="10" maxlength="31" value="${deny}"/>
			</td>
			<td/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.permit"/></td>
			<td class="query">
				<input type="text" name="permit" size="10" maxlength="31" value="${permit}"/>
			</td>
			<td/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.calllimit"/></td>
			<td class="query">
				<input type="text" name="call_limit" size="5" maxlength="5" value="${call_limit}"/>
			</td>
			<td/>
		</tr>
	</table>
	<br/>
	<br/>
	<table class="query">
		<tr class="plain">
			<td class="query"colspan="3">
				<c:if test="${empty username}">
					<fmt:message key="submit" var="submit"/>
				</c:if>
				<c:if test="${not empty username}">
					<fmt:message key="save" var="submit"/>
				</c:if>
				<input  class="boton" type="submit" value="${submit}" align="middle"/> &nbsp;&nbsp;
				<c:set var="submit" value=""/>
				&nbsp;&nbsp;
				<fmt:message key="reset" var="reset"/>
				<input class="boton" type="reset" value="${reset}" align="middle"/>
				<c:set var="reset" value=""/>
			</td>
		</tr>
	</table>
	<c:if test="${not empty param.id}">
		<input type="hidden" name="oldName" value="${param.id}" />
	</c:if>
</form>
