<form method="get" action="listSipChannels.jsp" name="jumpForm">
	<input type="hidden" name="name" value="${param.name}"/>
	<input type="hidden" name="nameType" value="${param.nameType}"/>
	<input type="hidden" name="calleridName" value="${param.calleridName}"/>
	<input type="hidden" name="calleridNameType" value="${param.calleridNameType}"/>
	<input type="hidden" name="calleridNumber" value="${param.calleridNumber}"/>
	<input type="hidden" name="calleridNumberType" value="${param.calleridNumberType}"/>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="delSipChannel.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="name" value="${param.name}"/>
	<input type="hidden" name="nameType" value="${param.nameType}"/>
    <input type="hidden" name="calleridName" value="${param.calleridName}"/>
    <input type="hidden" name="calleridNameType" value="${param.calleridNameType}"/>
    <input type="hidden" name="calleridNumber" value="${param.calleridNumber}"/>
    <input type="hidden" name="calleridNumberType" value="${param.calleridNumberType}"/>
	<input type="hidden" name="offset" value="${param.offset}"/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="addSipChannel.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
</form>

<c:if test="${not empty sessionScope.message}">
	<c:if test="${sessionScope.messageType eq \"error\"}">
		<c:set var="class" value="error"/>
	</c:if>
	<c:if test="${sessionScope.messageType eq \"ok\"}">
		<c:set var="class" value="ok"/>
	</c:if>
	<div class="${class}">
		${sessionScope.message}
	</div>
	<c:set var="message" value="" scope="session"/>
</c:if>

<table class="data">	
	<tr class="tit">
		<th><fmt:message key="listsip.name"/></th>
		<th><fmt:message key="listsip.username"/></th>
		<th><fmt:message key="listsip.callerid"/></th>
		<th><fmt:message key="listsip.mailbox"/></th>
		<th><fmt:message key="listsip.dtmfmode"/></th>
		<th><fmt:message key="listsip.disallow"/></th>
		<th><fmt:message key="listsip.allow"/></th>
		<th><fmt:message key="listsip.type"/></th>
		<c:if test="${sessionScope.role eq \"admin\"}">
			<th/>
			<th/>
		</c:if>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
		<td class="data"><a class="link" href="javascript:view('${row.name}')">${row.name}</a></td>
		<td class="data">${row.username}</td>
		<td class="data">"${row.callerid_name}" <${row.callerid_number}></td>	
		<td class="data">${row.mailbox}</td>	
		<td class="data">${row.dtmfmode}</td>	
		<td class="data">${row.disallow}</td>	
		<td class="data">${row.allow}</td>	
		<td class="data">${row.type}</td>	
		<c:if test="${sessionScope.role eq \"admin\"}">
			<td class="data">
				<a class="link" href="javascript:edit('${row.name}')"><fmt:message key="listsip.edit"/></a>
			</td>
			<td class="data">
				<fmt:message key="listsip.delete.question" var="question"/>
				<a class="link" href="javascript:del('${row.name}', '${question}')">
					<fmt:message key="listsip.delete"/>
				</a>
			</td>
		</c:if>
	</tr>
	</c:forEach>
	<c:if test="${rs.rowCount eq \"0\"}">
		<tr class="odd">
			<td class="data" colspan="10"><fmt:message key="listsip.empty"/></td>
		</tr>
	</c:if>
</table>

<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>