<form method="get" action="listFees.jsp" name="jumpForm">
	<input type="hidden" name="fee" value="${param.fee}"/>
	<input type="hidden" name="feeType" value="${param.feeType}"/>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="delFee.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="fee" value="${param.fee}"/>
	<input type="hidden" name="feeType" value="${param.feeType}"/>
	<input type="hidden" name="offset" value="${offset}"/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="addFee.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
</form>

<h2><fmt:message key="fees.list.title"/></h2>

<table class="data">
	<tr class="tit">
		<th><fmt:message key="fees.name"/></th>
		<th><fmt:message key="fees.expression"/></th>
		<th><fmt:message key="fees.usetime"/></th>
		<th><fmt:message key="fees.starttime"/></th>
		<th><fmt:message key="fees.endtime"/></th>
		<th><fmt:message key="fees.usedate"/></th>
		<th><fmt:message key="fees.startdate"/></th>
		<th><fmt:message key="fees.enddate"/></th>
		<th><fmt:message key="fees.price"/></th>
		<th><fmt:message key="fees.fraction"/></th>
		<th><fmt:message key="fees.diffprices"/></th>
		<th><fmt:message key="fees.pricefirst"/></th>
		<th><fmt:message key="fees.fractionfirst"/></th>
		<th/>
		<th/>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
		<td class="data"><a class="link" href="javascript:view('${row.name}')">${row.name}</a></td>
		<td class="data">${row.expression}</td>
		<td class="data">
			<c:choose>
				<c:when test="${row.usetime eq \"true\"}">
					<fmt:message key="fees.yes"/>
				</c:when>
				<c:otherwise>
					<fmt:message key="fees.no"/>
				</c:otherwise>
			</c:choose>
		</td>
		<td class="data">${row.start_time}</td>
		<td class="data">${row.end_time}</td>
		<td class="data">
			<c:choose>
				<c:when test="${row.usedate eq \"true\"}">
					<fmt:message key="fees.yes"/>
				</c:when>
				<c:otherwise>
					<fmt:message key="fees.no"/>
				</c:otherwise>
			</c:choose>
		</td>
		<td class="data">${row.start_date}</td>
		<td class="data">${row.end_date}</td>
		<td class="data">${row.price}</td>
		<td class="data">${row.fraction_period} <fmt:message key="fees.seconds"/></td>
		<td class="data">
			<c:choose>
				<c:when test="${row.diff_price eq 'true'}">
					<fmt:message key="fees.yes"/>
				</c:when>
				<c:otherwise>
					<fmt:message key="fees.no"/>
				</c:otherwise>
			</c:choose>
		</td>
		<c:choose>
			<c:when test="${row.diff_price eq 'true'}">
				<td class="data">${row.price_first}</td>
				<td class="data">${row.fraction_first} <fmt:message key="fees.seconds"/></td>
			</c:when>
			<c:otherwise>
				<td class="data">N/D</td>
				<td class="data">N/D</td>
			</c:otherwise>
		</c:choose>
		<td class="data">
			<a class="link" href="javascript:edit('${row.name}')"><fmt:message key="fees.edit"/></a>
		</td>
		<td class="data">
			<fmt:message key="fees.delete.question" var="question"/>
			<a class="link" href="javascript:del('${row.name}', '${question}')"><fmt:message key="fees.delete"/></a>
			<c:set var="question" value=""/>
		</td>
	</tr>
	</c:forEach>
	<c:if test="${rs.rowCount eq \"0\"}">
		<tr class="even">
			<td colspan="12" class="data">
				<fmt:message key="fees.empty"/>
			</td>
		</tr>
	</c:if>
</table>

<util:jump offset="${offset}" rows="${rows}" nextOffset="${nextOffset}"/>