<fmt:message key="hunt.validations.number.required" var="valnumberreq"/>
<fmt:message key="hunt.validations.number.invalid" var="valnumberinv"/>
<fmt:message key="hunt.validations.vpbx.invalid" var="valvpbx"/>
<script type="text/javascript">
<!--

  function validateOnSubmit() {

  <c:if test="${sessionScope.asterisk12}">
    if (!validatePresent(document.forms.formulario.number, 'inf_number')) {
    	alert("${valnumberreq}");
    	return false;
    }
    if (!validateNr(document.forms.formulario.number, 'inf_number', true)) {
    	alert("${valnumberinv}");
    	return false;
    }
   </c:if>

    if (!validateNr(document.forms.formulario.vpbx, 'inf_vpbx', true)) {
    	alert("${valvpbx}");
    	return false;
    }

    return true;
  };
//-->
</script>
<c:set var="valnumberreq" value=""/>
<c:set var="valnumberinv" value=""/>
<c:set var="valvpbx" value=""/>

<h2><fmt:message key="hunt.edit.title"/>:</h2>

<form onsubmit="return validateOnSubmit()" method="post" action="../servlet/ipcontact.pstn.AddHuntGroup" name="formulario" target="_self"/>

	<table class="query">
		<c:choose>
			<c:when test="${sessionScope.asterisk12}">
				<tr class="plain">
					<td class="label"><fmt:message key="hunt.data.number"/></td>
					<td class="query">
						<input type="text" name="number" size="5" maxlength="6" value="${number}" onchange="validateNr(this, 'inf_number', true);" />
					</td>
					<td class="query" id="inf_number"><fmt:message key="hunt.required"/></td>
				</tr>
			</c:when>
			<c:otherwise>
				<input type="hidden" name="number" value="${number}"/>
			</c:otherwise>
		</c:choose>
   
		<c:if test="${sessionScope.asterisk12}">	
		   <tr class="plain">
			   <td class="label"><fmt:message key="hunt.data.vpbx"/></td>
			   <td class="query">
				   <sql:query var="rs" dataSource="jdbc/ipcontact">
					   SELECT name, number FROM vpbxs
				   </sql:query>
				   <select name="vpbx">
					   <c:forEach var="row" items="${rs.rows}">
						   <c:if test="${vpbx eq row.number}"> 
							   <c:set var="selected" value="selected=\"selected\""/>
							</c:if>
						   <option value="${row.number}" ${selected}>${row.name}</option>
						   <c:set var="selected" value=""/>
					   </c:forEach>
				   </select>
			   </td>
			   <td class="query" id="inf_vpbx"><fmt:message key="hunt.required"/></td>
		   </tr>
		</c:if>

		<tr class="plain">
			<td class="label"><fmt:message key="hunt.data.info"/></td>
			<td class="query">
				<input type="text" name="info" size="30" maxlength="100" value="${info}" />
			</td>
			<td class="query" id="inf_info"></td>
		</tr>

		<c:if test="${not sessionScope.asterisk12}">
			<tr class="plain">
				 <td class="label"><fmt:message key="hunt.data.vpbx"/></td>
				 <td class="query">
					 <sql:query var="rs" dataSource="jdbc/ipcontact">
						 SELECT number, name FROM vpbx
					 </sql:query>
					  <select name="vpbx" multiple="multiple" onChange="validateNr(this, 'inf_vpbx', true)">
						 <c:forEach var="row" varStatus="stat" items="${rs.rows}">
							<c:set var="selected" value=""/>
							<c:if test="${fn:contains(vpbx, row.name)}">
								<c:set var="selected" value="selected=\"selected\""/>
							</c:if>
							<option value="${row.number}" ${selected}>${row.name}</option>
						 </c:forEach>
					 </select>
				 </td>
				 <td class="query" id="inf_vpbx"><fmt:message key="hunt.required"/></td>
			 </tr>
		</c:if>
		 
		<tr class="plain">
			<td class="query" colspan="3">
				<c:choose>
					<c:when test="${not empty param.id}">
						<fmt:message key="hunt.edit" var="submit"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="hunt.data.submit" var="submit"/>
					</c:otherwise>
				</c:choose>
				<input class="boton" type="submit" value="${submit}" align="middle"/> &nbsp;&nbsp;
				&nbsp;&nbsp; 
				<fmt:message key="hunt.data.reset" var="reset"/>
				<input class="boton" type="reset" value="${reset}" align="middle"/>
				
				<c:set var="submit" value=""/>
				<c:set var="reset" value=""/>
			</td>
		</tr>

	</table>

	<c:if test="${not empty param.id}">
		<input type="hidden" name="oldId" value="${param.id}" />
	</c:if>
</form>