<h2><fmt:message key="hunt.list.title"/></h2>			
<form method="get" action="listHuntGroups.jsp" target="_self">
	<table class="query">
		<c:if test="${sessionScope.asterisk12}">
			 <tr class="plain">
				 <td class="label"><fmt:message key="hunt.list.range"/>:</td>
				 <td class="query">
					 <table>
						 <tr class="plain">
							 <td class="query"><fmt:message key="hunt.list.gt"/></td>
							 <td class="query"><input type="text" size="5" name="numGt"/></td>
							 <td class="query"/>
							 <td class="query"><fmt:message key="hunt.list.lt"/></td>
							 <td class="query"><input type="text" size="5" name="numLt"/></td>
							 <td class="query"/>
						 </tr>
					 </table>
				 </td>
				 <td class="query"/>
			 </tr>
		</c:if>
		<tr class="plain">
			<td class="label"><fmt:message key="hunt.list.info"/>:</td>
			<td class="query"><input type="text" size="35" name="info"/></td>
			<td class="query">
				<select name="infoType">
					<option value="1" ><fmt:message key="hunt.list.equal"/></option>
					<option value="2" selected="selected"><fmt:message key="hunt.list.contain"/></option>
					<option value="3" ><fmt:message key="hunt.list.startwith"/></option>
					<option value="4" ><fmt:message key="hunt.list.endwith"/></option>
				</select> 
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="hunt.data.vpbx"/>:</td>
			<td class="query">
				<c:choose>
					 <c:when test="${sessionScope.asterisk12}">	
						 <sql:query var="rs" dataSource="jdbc/ipcontact">
							 SELECT name, number FROM vpbxs
						 </sql:query>
					 </c:when>
					 <c:otherwise>
						  <sql:query var="rs" dataSource="jdbc/ipcontact">
							 SELECT name, name AS number FROM vpbx
						 </sql:query>
					 </c:otherwise>
				</c:choose>
				<select name="vpbx">
					<option value="all" selected="selected"><fmt:message key="hunt.all"/></option>
					<c:forEach var="row" items="${rs.rows}">
						<option value="${row.number}">${row.name}</option>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="hunt.list.results"/>:</td>
			<td class="query">
				<input type="radio" name="rows" value="10"/><label>10</label>		
				<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
				<input type="radio" name="rows" value="50"/><label>50</label>		
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="query" colspan="3">
				<fmt:message key="hunt.list.submit" var="submit"/>
				<input class="boton" type="submit" name="submit" value="${submit}"/>
				<c:set var="submit" value=""/>
			</td>
		</tr>
	</table>
</form>