<form method="post" action="delOperator.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="username" value="${username}"/>
</form>

<form method="post" action="addOperator.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
	<input type="hidden" name="username" value="${username}"/>
</form>

<h2><fmt:message key='operatorsvpbxs.view.title'/>: ${username}</h2>

<h3><fmt:message key='operatorsvpbxs.data.title'/></h3>
<table class="query">
	<tr class="plain">
		<td class="label"><fmt:message key='operatorsvpbxs.data.name'/>: </td>
		<td class="query">
		<c:if test="${not empty last_name}">${last_name}, </c:if>${first_name}</td>
		<td class="query"/>
	</tr>   			
	<tr class="plain">
		<td class="label"><fmt:message key='operatorsvpbxs.data.rol'/>: </td>
		<td class="query">
		  <c:choose>
				<c:when test="${role eq 'user' or empty role}"><fmt:message key='operatorsvpbxs.data.user'/></c:when>
				<c:when test="${role eq 'operator'}"><fmt:message key='operatorsvpbxs.data.operator'/></c:when>
				<c:when test="${role eq 'supervisor'}"><fmt:message key='operatorsvpbxs.data.supervisor'/></c:when>
				<c:when test="${role eq 'admin'}"><fmt:message key='operatorsvpbxs.data.admin'/></c:when>
		  </c:choose>
		</td>
		<td class="query"/>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key='operatorsvpbxs.data.group'/>: </td>
		<td class="query">
			<c:forEach var="row" items="${rs_groups.rows}">
				<c:if test='${row.group_id eq group_id}'>${row.group_name}</c:if>
			</c:forEach>
		</td> 
		<td class="query"/>
	</tr>
</table>
<br/>
<br/>

<w:where var='conds1'>
	<w:condition attribute='user_id' comparator='1' value='${username}'/>
</w:where>

<c:choose>
	<c:when test="${sessionScope.asterisk12}">		
		<sql:query var="rs1" dataSource="jdbc/ipcontact">
			select number, phone_number, name 
			from vpbxs 
			where number in (select vpbx from operators_vpbxs ${conds1})
		</sql:query>
		
		<sql:query var="rs2" dataSource="jdbc/ipcontact">
			select number, phone_number, name 
			from vpbxs
			where number not in (select vpbx from operators_vpbxs ${conds1})
		</sql:query>
	</c:when>
	<c:otherwise>
		<sql:query var="rs1" dataSource="jdbc/ipcontact">
			SELECT number, phone AS phone_number, name 
			FROM vpbx 
			WHERE number in (SELECT vpbx FROM operators_vpbxs ${conds1})
		</sql:query>
		
		<sql:query var="rs2" dataSource="jdbc/ipcontact">
			SELECT number, phone AS phone_number, name 
			FROM vpbx
			WHERE number not in (SELECT vpbx FROM operators_vpbxs ${conds1})
		</sql:query>
	</c:otherwise>
</c:choose>

<table>
	<tr>
		<td>
			<table class="data">
				<tr class="tit">
					<th colspan="3"><fmt:message key='operatorsvpbxs.uservpbxs'/> ${username}</th>
				</tr>
				<tr><td colspan="3"></td></tr>
				<tr class="tit">
					<th><fmt:message key='operatorsvpbxs.data.phone'/></th>
					<th><fmt:message key='operatorsvpbxs.data.name'/></th>
					<th/>
				</tr>
				<c:forEach var="row" varStatus="stat" items="${rs1.rows}">
					<c:choose>
						<c:when test="${stat.count % 2 == 0}">
							<tr class="even">
						</c:when>
						<c:otherwise>
							<tr class="odd">
						</c:otherwise>
					</c:choose>	
					<td class="data">
						${row.phone_number}
					</td>
					<td class="data">
						${row.name}
					</td>
					<td>
						<a class='link' href='javascript:del("${row.number}", "<fmt:message key='operatorsvpbxs.delete.question'><fmt:param value='${username}'/></fmt:message>")'>
							<fmt:message key='operatorsvpbxs.delete'/>
						</a>
					</td>
					</tr>
				</c:forEach>
			</table>
		</td>
		<td>
			<table class="data" style="vertical-align:super;">
				<tr class="tit">
					<th colspan="3"><fmt:message key='operatorsvpbxs.vpbxs'/></th>
				</tr>
				<tr><td colspan="3"></td></tr>
				<tr class="tit">
					<th><fmt:message key='operatorsvpbxs.data.phone'/></th>
					<th><fmt:message key='operatorsvpbxs.data.name'/></th>
					<th/>
				</tr>
				<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
					<c:choose>
						<c:when test="${stat.count % 2 == 0}">
							<tr class="even">
						</c:when>
						<c:otherwise>
							<tr class="odd">
						</c:otherwise>
					</c:choose>	
					<td class="data">
						${row.phone_number}
					</td>
					<td class="data">
						${row.name}
					</td>
					<td>
						<a class='link' href='javascript:edit("${row.number}")'>
							<fmt:message key='operatorsvpbxs.edit'/>
						</a>
					</td>
					</tr>
				</c:forEach>
			</table>
		</td>
	</tr>
</table>