<sql:query var="rs" dataSource="jdbc/ipcontact">
	SELECT group_name, group_id
	FROM groups
	ORDER BY group_name
</sql:query>
	
<h2><fmt:message key='operatorsvpbxs.list.title'/></h2>

<form method="get" action="listOperators.jsp" target="_self">
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key='operatorsvpbxs.data.title'/>:</td>
			<td class="query"><input type="text" size="35" name="user"/></td>
			<td class="query">
				<select name="userType">
					<option value="1" ><fmt:message key='equal'/></option>
					<option value="2" selected="selected"><fmt:message key='contain'/></option>
					<option value="3" ><fmt:message key='startwith'/></option>
					<option value="4" ><fmt:message key='endwith'/></option>
				</select> 
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key='operatorsvpbxs.data.name'/>:</td>
			<td class="query"><input type="text" size="35" name="name"/></td>
			<td class="query">
				<select name="nameType">
					<option value="1" ><fmt:message key='equal'/></option>
					<option value="2" selected="selected"><fmt:message key='contain'/></option>
					<option value="3" ><fmt:message key='startwith'/></option>
					<option value="4" ><fmt:message key='endwith'/></option>
				</select> 
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key='operatorsvpbxs.data.lastname'/>:</td>
			<td class="query"><input type="text" size="35" name="surname"/></td>
			<td class="query">
				<select name="surnameType">
					<option value="1" ><fmt:message key='equal'/></option>
					<option value="2" selected="selected"><fmt:message key='contain'/></option>
					<option value="3" ><fmt:message key='startwith'/></option>
					<option value="4" ><fmt:message key='endwith'/></option>
				</select> 
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key='operatorsvpbxs.data.group'/>:</td>
			<td class="query">
				<select name="group">
					<option selected='selected' value="all"><fmt:message key='all'/></option>
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<option value="${row.group_id}">${row.group_name}</option>
					</c:forEach>
				</select> 
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key='operatorsvpbxs.list.results'/>:</td>
			<td class="query">
				<input type="radio" name="rows" value="10"/><label>10</label>		
				<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
				<input type="radio" name="rows" value="50"/><label>50</label>		
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="query" colspan="3">
				<input class="boton" type="submit" name="submit" value="<fmt:message key='operatorsvpbxs.list.submit'/>"/>
			</td>
		</tr>
	</table>
</form>