	<h2><fmt:message key="queues.view.title"/>: ${name}</h2>
	<h3><fmt:message key="queues.edit.basic"/></h3>	
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="queues.info"/></td>
			<td class="query">${info}<c:if test="${empty info}"><fmt:message key="queues.empty"/></c:if></td>
	   	</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.callcenter"/></td>
			<td class="query">
			<c:choose>
				<c:when test="${callcenter}">
					<fmt:message key="queues.yes"/>
				</c:when>
				<c:otherwise>
					<fmt:message key="queues.no"/>
				</c:otherwise>
			</c:choose>
			</td>
		</tr>
		 
		<tr class="plain">
			<td class="label"><fmt:message key="queues.musiconhold"/></td>
			<td class="query">${musiconhold}<c:if test="${empty musiconhold}"><fmt:message key="queues.empty"/></c:if></td>
	   	</tr>
	   	
		<tr class="plain">
			<td class="label"><fmt:message key="queues.timeout"/></td>
			<td class="query">
				<c:choose>
					<c:when test="${not empty timeout}">
						${timeout} <fmt:message key="queues.seconds"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="queues.empty"/>
					</c:otherwise>
				</c:choose>
			</td>
	   	</tr>
	   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.retry"/></td>
			<td class="query">
				<c:choose>
					<c:when test="${not empty timeout}">
						${retry} <fmt:message key="queues.seconds"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="queues.empty"/>
					</c:otherwise>
				</c:choose>
			</td>
	   	</tr>
	   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.maxlen"/></td>
			<td class="query">${maxlen}<c:if test="${empty maxlen}"><fmt:message key="queues.empty"/></c:if></td>
	   	</tr>
			 
		<tr class="plain">
			<td class="label"><fmt:message key="queues.autofill"/></td>
			<td class="query">
			<c:choose>
				<c:when test="${autofill}">
					<fmt:message key="queues.yes"/>
				</c:when>
				<c:otherwise>
					 <fmt:message key="queues.no"/>
				</c:otherwise>	
			</c:choose>
			</td>
		</tr>
	   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.strategy"/></td>
			<td class="query">
				 <c:choose>
					 <c:when test="${strategy eq \"ringall\"}">
						 <fmt:message key="queues.strategy.ringall"/>
					 </c:when>
					 
					 <c:when test="${strategy eq \"roundrobin\"}">
						 <fmt:message key="queues.strategy.roundrobin"/>
					 </c:when>
					 
					 <c:when test="${strategy eq \"leastrecent\"}">
						 <fmt:message key="queues.strategy.leastrecent"/>
					 </c:when>
					 
					 <c:when test="${strategy eq \"fewestcalls\"}">
						 <fmt:message key="queues.strategy.fewestcalls"/>
					 </c:when>
					 
					 <c:when test="${strategy eq \"random\"}">
						 <fmt:message key="queues.strategy.random"/>
					 </c:when>
					 
					 <c:when test="${strategy eq \"rrmemory\"}">
						 <fmt:message key="queues.strategy.rrmemory"/>
					 </c:when>
					 
					 <c:otherwise>
						 <fmt:message key="queues.empty"/>
					 </c:otherwise>
				 </c:choose>
			</td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.data.group"/></td>
			<td class="query">
				<c:choose>
					<c:when test="${groupqueue_id eq \"\"}">
				    -
					</c:when>  
					<c:otherwise>
						<c:forEach var="row" items="${rs_groupsqueues.rows}">
							<c:if test="${row.groupqueue_id eq groupqueue_id}">${row.groupqueue_name}</c:if>
						</c:forEach>
					</c:otherwise>
				</c:choose>
			</td> 
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="queues.popup"/></td>
			<td class="query">
				<c:choose>
					<c:when test="${not empty popup}">
						${popup}
					</c:when>
					<c:otherwise>
						<fmt:message key="queues.empty"/>
					</c:otherwise>
				</c:choose>
			</td>
	   	</tr>

	</table>
	
	<h3><fmt:message key="queues.edit.advanced"/></h3>	
	<table class="query">
	   	<tr class="plain">
			<td class="label"><fmt:message key="queues.context"/></td>
			<td class="query">${context}<c:if test="${empty context}"><fmt:message key="queues.empty"/></c:if></td>
	   	</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.monitor_format"/></td>
			<td class="query">${monitor_format}<c:if test="${empty monitor_format}"><fmt:message key="queues.norecord"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.wrapuptime"/></td>
			<td class="query">
				<c:if test="${not empty wrapuptime}">
					${wrapuptime} <fmt:message key="queues.seconds"/>
				</c:if>
				<c:if test="${empty wrapuptime}">
					<fmt:message key="queues.empty"/>
				</c:if>
			</td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.servicelevel"/></td>
			<td class="query">
				<c:if test="${not empty servicelevel}">
					${servicelevel} <fmt:message key="queues.seconds"/>
				</c:if>
				<c:if test="${empty servicelevel}">
					<fmt:message key="queues.empty"/>
				</c:if>
			</td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.joinempty"/></td>
			<td class="query">
				<c:choose>
					<c:when test="${joinempty eq \"yes\"}">
						<fmt:message key="queues.yes"/>
					</c:when>
					<c:when test="${joinempty eq \"no\"}">
						<fmt:message key="queues.no"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="queues.strict"/>
					</c:otherwise>
				</c:choose>
			</td>
   		</tr>
   		
   		<tr class="plain">
			<td class="label"><fmt:message key="queues.leavewhenempty"/></td>
			<td class="query">
				<c:choose>
					<c:when test="${leavewhenempty eq \"yes\"}">
						<fmt:message key="queues.yes"/>
					</c:when>
					<c:when test="${leavewhenempty eq \"no\"}">
						<fmt:message key="queues.no"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="queues.strict"/>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.eventmemberstatus"/></td>
			<td class="query">
				<c:choose>
					<c:when test="${eventmemberstatus eq \"yes\"}">
						<fmt:message key="queues.yes"/>
					</c:when>				
					<c:when test="${eventmemberstatus eq \"no\"}">
						<fmt:message key="queues.no"/>
					</c:when>											
					<c:otherwise>
						<fmt:message key="queues.vars"/>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.eventwhencalled"/></td>
			<td class="query">
				<c:choose>
					<c:when test="${eventwhencalled eq \"yes\"}">
						<fmt:message key="queues.yes"/>
					</c:when>				
					<c:when test="${eventwhencalled eq \"no\"}">
						<fmt:message key="queues.no"/>
					</c:when>											
					<c:otherwise>
						<fmt:message key="queues.vars"/>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.memberdelay"/></td>
			<td class="query">
				<c:if test="${not empty memberdelay}">
					${memberdelay} <fmt:message key="queues.seconds"/>
				</c:if>
				<c:if test="${empty memberdelay}">
					<fmt:message key="queues.empty"/>
				</c:if>
			</td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.weight"/></td>
			<td class="query">${weight}<c:if test="${empty weight}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.ringlimit"/></td>
			<td class="query">${ringlimit}<c:if test="${empty ringlimit}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.timeoutrestart"/></td>
			<td class="query">
				<c:choose>
					<c:when test="${timeoutrestart}">
						<fmt:message key="queues.yes"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="queues.no"/>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.ringinuse"/></td>
			<td class="query">
				<c:choose>
					<c:when test="${ringinuse}">
						<fmt:message key="queues.yes"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="queues.no"/>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
	</table>
	
	<h3><fmt:message key="queues.edit.audios"/></h3>	
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="queues.announce"/></td>
			<td class="query">${announce}<c:if test="${empty announce}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_youarenext"/></td>
			<td class="query">${queue_youarenext}<c:if test="${empty queue_youarenext}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_thereare"/></td>
			<td class="query">${queue_thereare}<c:if test="${empty queue_thereare}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_callswaiting"/></td>
			<td class="query">${queue_callswaiting}<c:if test="${empty queue_callswaiting}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_holdtime"/></td>
			<td class="query">${queue_holdtime}<c:if test="${empty queue_holdtime}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_minutes"/></td>
			<td class="query">${queue_minutes}<c:if test="${empty queue_minutes}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_seconds"/></td>
			<td class="query">${queue_seconds}<c:if test="${empty queue_seconds}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_lessthan"/></td>
			<td class="query">${queue_lessthan}<c:if test="${empty queue_lessthan}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_thankyou"/></td>
			<td class="query">${queue_thankyou}<c:if test="${empty queue_thankyou}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.queue_reporthold"/></td>
			<td class="query">${queue_reporthold}<c:if test="${empty queue_reporthold}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.announce_frequency"/></td>
			<td class="query">${announce_frequency}<c:if test="${empty announce_frequency}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.announce_roundseconds"/></td>
			<td class="query">${announce_round_seconds}<c:if test="${empty announce_round_seconds}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.reportholdtime"/></td>
			<td class="query">
				<c:choose>
					<c:when test="${reportholdtime}">
						<fmt:message key="queues.yes"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="queues.no"/>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
		 
		<tr class="plain">
			<td class="label"><fmt:message key="queues.announce_holdtime"/></td>
			<td class="query">
				<c:choose>
					<c:when test="${announce_holdtime eq \"yes\"}">
						<fmt:message key="queues.yes"/>
					</c:when>
					<c:when test="${announce_holdtime eq \"no\"}">
						<fmt:message key="queues.no"/>
					</c:when>
					<c:when test="${announce_holdtime eq \"once\"}">
						<fmt:message key="queues.once"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="queues.empty"/>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.periodic_announce"/></td>
			<td class="query">${periodic_announce}<c:if test="${empty periodic_announce}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
		<tr class="plain">
			<td class="label"><fmt:message key="queues.periodic_announce_frequency"/></td>
			<td class="query">${periodic_announce_frequency}<c:if test="${empty periodic_announce_frequency}"><fmt:message key="queues.empty"/></c:if></td>
   		</tr>
   		
	</table>
	
	<br/>
	<br/>

	<form method="post" action="delQueue.jsp" name="deleteForm" target="_self">
		<input type="hidden" name="id"/>
	</form>
  	<form method="post" action="addQueue.jsp" name="editForm" target="_self">
		<input type="hidden" name="mode"/>
		<input type="hidden" name="id"/>
	<table class="query">
		<tr class="plain">
			<td class="query" colspan="3">
				<fmt:message key="queues.edit" var="edit"/>
				<input class="boton" type="button" value="${edit}" align="middle"
					onClick="javascript:edit('${name}')"/>
				&nbsp;&nbsp; 
				<fmt:message key="queues.delete" var="delete"/>
				<fmt:message key="queues.delete.question" var="question"/>
				<input class="boton" type="button" value="${delete}" align="middle" 
					onClick="javascript:del('${name}','${question}')"/>
			</td>
		</tr>
	</table>	
</form>
