<form method="get" action="listCdr.jsp" name="jumpForm">
	<input type="hidden" name="afterDate" value="${param.afterDate}"/>
	<input type="hidden" name="afterTime" value="${param.afterTime}"/>
	<input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
	<input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
	<input type="hidden" name="clid" value="${param.clid}"/>
	<input type="hidden" name="clidtype" value="${param.clidtype}"/>
	<input type="hidden" name="src" value="${param.src}"/>
	<input type="hidden" name="srctype" value="${param.srctype}"/>
	<input type="hidden" name="called" value="${param.called}"/>
	<input type="hidden" name="calledtype" value="${param.calledtype}"/>
	<input type="hidden" name="dst" value="${param.dst}"/>
	<input type="hidden" name="dsttype" value="${param.dsttype}"/>
	<input type="hidden" name="dstcel" value="${param.dstcel}"/>
	<input type="hidden" name="timeless" value="${param.timeless}"/>
	<input type="hidden" name="timemore" value="${param.timemore}"/>
	<input type="hidden" name="code" value="${param.code}"/>
	<input type="hidden" name="codetype" value="${param.codetype}"/>
	<input type="hidden" name="agent" value="${param.agent}"/>
	<input type="hidden" name="group" value="${param.group}"/>
	<input type="hidden" name="queue" value="${param.queue}"/>
	<input type="hidden" name="record" value="${param.record}"/>
	<input type="hidden" name="calls" value="${param.calls}"/>
	<input type="hidden" name="result" value="${param.result}"/>	
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
	<input type="hidden" name="section" value="${param.section}"/>	
</form>

<c:choose>
  <c:when test="${sessionScope.visa}">
    <form method="get" action="logQueryClean.jsp" name="formularioLog" target="_self"> 
    	<input type="hidden" name="uniqueid" value="">
    </form>
  </c:when>
  <c:otherwise>
    <form method="get" action="logQuery.jsp" name="formularioLog" target="_self"> 
    	<input type="hidden" name="uniqueid" value="">
    </form>
  </c:otherwise>
</c:choose>

<form method="get" action="recordQuery.jsp" name="record" target="_self"> 
	<input type="hidden" name="uniqueid" value="">
</form>

<table class="data">	
	<tr class="tit">
		<th><fmt:message key="stats.data.date"/></th>
		<th><fmt:message key="stats.data.originid"/></th>
		<th><fmt:message key="stats.data.origin"/></th>
		<th><fmt:message key="stats.data.targetid"/></th>
		<th><fmt:message key="stats.data.target"/></th>
		<th><fmt:message key="stats.data.duration"/></th>
		<th><fmt:message key="stats.data.code"/></th>
		<th><fmt:message key="stats.cdr.queue"/></th>
		<th><fmt:message key="stats.cdr.wait_time"/></th>
		<th><fmt:message key="stats.cdr.agent"/></th>
		<th><fmt:message key="stats.data.result"/></th>
		<th><fmt:message key="stats.data.record"/></th>
		<c:if test="${rsReg.rowCount != 0}">
			<th><fmt:message key="stats.data.fee"/></th>
			<th><fmt:message key="stats.data.feetime"/></th>
		</c:if>
		<th></th>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
					<td class="data">${row.calldatef}</td>	
					<td class="data">${row.cidname}<c:if test="${empty row.cidname}"> - </c:if></td>
					<td class="data">${row.cid}<c:if test="${empty row.cid}"> - </c:if></td>
					<td class="data">${row.dnidname}<c:if test="${empty row.dnidname}"> - </c:if></td>
					<td class="data">${row.dnid}<c:if test="${empty row.dnid}"> - </c:if></td>
					<td class="data">${row.duration}</td>	
					<td class="data">${row.accountcode}<c:if test="${empty row.accountcode}"> - </c:if></td>
					<c:set var="uid" value="${row.uniqueid}"/>
					<td class="data">${row.queue}<c:if test="${empty row.queue}"> - </c:if></td>
					<td class="data">${row.wait_time}<c:if test="${empty row.queue}"> - </c:if></td>	
					<td class="data">${row.agent}<c:if test="${empty row.agent}"> - </c:if></td>
					<td class="data">
						<c:choose>
							<c:when test="${row.status == 3}">
								<fmt:message key="stats.lost"/>
							</c:when>
							<c:when test="${row.status == 2}">
								<fmt:message key="stats.agenthangup"/>
							</c:when>
							<c:when test="${row.disposition eq \"ANSWERED\"}">
								<fmt:message key="stats.answered"/>
							</c:when>
							<c:when test="${row.disposition eq \"NO ANSWER\"}">
								<fmt:message key="stats.noanswered"/>
							</c:when>
							<c:when test="${row.disposition eq \"BUSY\"}">
								<fmt:message key="stats.busy"/>
							</c:when>
							<c:when test="${row.disposition eq \"FAILED\"}">
								<fmt:message key="stats.failed"/>
							</c:when>
							<c:otherwise>
								${row.disposition}
							</c:otherwise>
						</c:choose>
					</td>	
					<td class="data">
						<c:choose>
							<c:when test="${!empty row.recordid}">
								<a class="link" href="javascript:recordSubmit('${uid}')"><fmt:message key="stats.listen"/></a>
							</c:when>
							<c:otherwise>
								<fmt:message key="stats.none"/>
							</c:otherwise>
						</c:choose>
					</td>	
					<c:if test="${rsReg.rowCount != 0}">
						<c:choose>
							<c:when test="${empty row.fee}">
								<td class="data"><fmt:message key="stats.none"/></td>
								<td class="data"><fmt:message key="stats.none"/></td>
							</c:when>
							<c:otherwise>
								<td class="data">${row.fee}</td>
								<td class="data">${row.feeTime}</td>
							</c:otherwise>
						</c:choose>
					</c:if>
					<td class="data">
						<a class="link" href="javascript:logSubmit('${uid}')"><fmt:message key="stats.details"/></a>
					</td>
				</tr>
	</c:forEach>
</table>

<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>
	
<c:choose>
	<c:when test="${rsReg.rowCount == 0}">
		<c:set var="template" value="cdr.xml"/>
	</c:when>
	<c:otherwise>
		<c:set var="template" value="cdr_fee.xml"/>
	</c:otherwise>
</c:choose>

<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
	<c:param name="reportFile" value="landscape-report.xml"/>
	<c:param name="template" value="${template}"/>
	<c:param name="reportType" value="pdf"/>					
	<c:param name="filename" value="cdr"/>
	<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
	<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
	<c:if test="${not empty sessionScope.locale}">
		<c:param name="locale" value="${sessionScope.locale}"/>
	</c:if>
</c:url>

<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
	<c:param name="reportFile" value="landscape-report.xml"/>
	<c:param name="template" value="${template}"/>
	<c:param name="reportType" value="xls"/>					
	<c:param name="filename" value="cdr"/>
	<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
	<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
	<c:if test="${not empty sessionScope.locale}">
		<c:param name="locale" value="${sessionScope.locale}"/>
	</c:if>
</c:url>

<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
	<c:param name="reportFile" value="landscape-report.xml"/>
	<c:param name="template" value="${template}"/>
	<c:param name="reportType" value="csv"/>					
	<c:param name="filename" value="cdr"/>
	<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
	<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
	<c:if test="${not empty sessionScope.locale}">
		<c:param name="locale" value="${sessionScope.locale}"/>
	</c:if>
</c:url>

<%@ include file="../../include/export.jsp" %>
<c:set var="sqlQuery" scope="session" value="${sql}"/>
