<form method="get" action="listUsers.jsp" name="jumpForm">
	<input type="hidden" name="user" value="${param.user}"/>
	<input type="hidden" name="userType" value="${param.userType}"/>
	<input type="hidden" name="name" value="${param.name}"/>
	<input type="hidden" name="nameType" value="${param.nameType}"/>
	<input type="hidden" name="surname" value="${param.surname}"/>
	<input type="hidden" name="surnameType" value="${param.surnameType}"/>
	<input type="hidden" name="notes" value="${param.notes}"/>
	<input type="hidden" name="notesType" value="${param.notesType}"/>
	<input type="hidden" name="role" value="${param.role}"/>
	<input type="hidden" name="group" value="${param.group}"/>
	<input type="hidden" name="enabled" value="${param.enabled}"/>
	<input type="hidden" name="days" value="${param.days}"/>
	<input type="hidden" name="start_hours" value="${param.start_hours}"/>
	<input type="hidden" name="start_minutes" value="${param.start_minutes}"/>
	<input type="hidden" name="end_hours" value="${param.end_hours}"/>
	<input type="hidden" name="end_minutes" value="${param.end_minutes}"/>
	<input type="hidden" name="apply_time" value="${param.apply_time}"/>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="delUser.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="user" value="${param.user}"/>
	<input type="hidden" name="userType" value="${param.userType}"/>
	<input type="hidden" name="name" value="${param.name}"/>
	<input type="hidden" name="nameType" value="${param.nameType}"/>
	<input type="hidden" name="surname" value="${param.surname}"/>
	<input type="hidden" name="surnameType" value="${param.surnameType}"/>
	<input type="hidden" name="notes" value="${param.notes}"/>
	<input type="hidden" name="notesType" value="${param.notesType}"/>
	<input type="hidden" name="role" value="${param.role}"/>
	<input type="hidden" name="group" value="${param.group}"/>
	<input type="hidden" name="enabled" value="${param.enabled}"/>
	<input type="hidden" name="days" value="${param.days}"/>
	<input type="hidden" name="start_hours" value="${param.start_hours}"/>
	<input type="hidden" name="start_minutes" value="${param.start_minutes}"/>
	<input type="hidden" name="end_hours" value="${param.end_hours}"/>
	<input type="hidden" name="end_minutes" value="${param.end_minutes}"/>
	<input type="hidden" name="apply_time" value="${param.apply_time}"/>
	<input type="hidden" name="offset" value="${offset}"/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="addUser.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
</form>

<h2><fmt:message key="user.data.title"/></h2>

<table class="data">	
	<tr class="tit">
		<th><fmt:message key="user.data.user"/></th>
		<th><fmt:message key="user.data.name"/></th>
		<c:choose>
			<c:when test="${sessionScope.fast eq \"true\"}"><th>CPF</th></c:when>
			<c:otherwise><th><fmt:message key="user.data.notes"/></th></c:otherwise>
		</c:choose>
		<th><fmt:message key="user.data.rol"/></th>
		<th><fmt:message key="user.data.agent"/></th>
		<th><fmt:message key="user.data.group"/></th>
		<th><fmt:message key="user.data.enabled"/></th>
		<th><fmt:message key="user.auth.permission"/></th>
		<th><fmt:message key="user.login.title2"/></th>
		<th/>
		<th/>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
		<td class="data">
			<a class="link" href="javascript:view('${row.username}')">${row.username}</a>
		</td>	
		<td class="data">${row.first_name} ${row.last_name}</td>
		<td class="data">${row.user_notes}</td>
		<c:choose>
			<c:when test="${row.role eq \"admin\"}">
			    <td class="data"><fmt:message key="user.data.admin"/></td>
			</c:when>
			<c:when test="${row.role eq \"supervisor\"}">
			    <td class="data"><fmt:message key="user.data.supervisor"/></td>
			</c:when>
			<c:when test="${row.role eq \"operator\"}">
				<td class="data"><fmt:message key="user.data.operator"/></td>
			</c:when>
			<c:when test="${row.role eq \"user\"}">
				<td class="data"><fmt:message key="user.data.user"/></td>
			</c:when>
			<c:when test="${row.role eq \"coordenador\"}">
				<td class="data"><fmt:message key="user.data.coordenador"/></td>
			</c:when>
			<c:when test="${row.role eq \"manager\"}">
				<td class="data"><fmt:message key="user.data.manager"/></td>
			</c:when>
			<c:when test="${row.role eq \"RH\"}">
				<td class="data">RH</td>
			</c:when>
		</c:choose>
		<c:choose>
			<c:when test="${empty row.agent}">
				<td class="data"><fmt:message key="no"/></td>
			</c:when>
			<c:otherwise>
				<td class="data"><fmt:message key="yes"/></td>
			</c:otherwise>
		</c:choose>	
		<td class="data">${row.group_name}</td>
		<td class="data">
		    <c:choose>
			<c:when test="${not row.disabled}"> <fmt:message key="user.yes"/> </c:when>
			<c:otherwise> <fmt:message key="user.no"/> </c:otherwise>
		    </c:choose>
		</td>
		<td class="data">
			<c:if test="${row.enabled}">
				<c:if test="${row.local}">loc </c:if>
				<c:if test="${row.national}">nac </c:if>
				<c:if test="${row.cellular}">cel </c:if>
				<c:if test="${row.inter}">int </c:if>
			</c:if>
		</td> 
		
		<c:choose>
			<c:when test="${row.apply_time}">
				<td class="data">
					<c:if test="${fn:containsIgnoreCase(row.loginMode, \"2\")}">Lun</c:if>
					<c:if test="${fn:containsIgnoreCase(row.loginMode, \"3\")}">Mar</c:if>
					<c:if test="${fn:containsIgnoreCase(row.loginMode, \"4\")}">Mie</c:if>
					<c:if test="${fn:containsIgnoreCase(row.loginMode, \"5\")}">Jue</c:if>
					<c:if test="${fn:containsIgnoreCase(row.loginMode, \"6\")}">Vie</c:if>
					<c:if test="${fn:containsIgnoreCase(row.loginMode, \"7\")}">Sab</c:if>
					<c:if test="${fn:containsIgnoreCase(row.loginMode, \"1\")}">Dom</c:if>
					${row.loginBegin}-${row.loginEnd}
				</td>
			</c:when>
			<c:otherwise>
				<td class="data">N/D</td>
			</c:otherwise>
		</c:choose>
						
		<c:if test="${sessionScope.role eq \"admin\" or sessionScope.role eq \"coordenador\"}">
			<td class="data">
				<a class="link" href="javascript:edit('${row.username}')">
					<fmt:message key="user.edit"/>
				</a>
			</td>
			<td class="data">
				<fmt:message key="user.delete.question" var="question"/>
				<a class="link" href="javascript:del('${row.username}','${question}')">
					<fmt:message key="user.delete"/>
				</a>
				<c:set var="question" value=""/>
			</td>
		</c:if>
	</tr>
	</c:forEach>
	<c:if test="${rs.rowCount eq \"0\"}">
		<tr>
			<td class="data" colspan="8">
				<fmt:message key="user.epmty"/>
			</td>
		</tr>
	</c:if>
</table>

<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>