<h2><fmt:message key="vpbx.view.title"/>: ${name}</h2>
<table class="query">
	<tr class="plain">
		<td class="label"><fmt:message key="vpbx.data.number"/></td>
		<td class="query">${number}<c:if test="${empty number}"><fmt:message key="vpbx.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="vpbx.data.phone"/></td>
		<td class="query">${phone_number}<c:if test="${empty phone_number}"><fmt:message key="vpbx.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="vpbx.data.name"/></td>
		<td class="query">${name}<c:if test="${empty name}"><fmt:message key="vpbx.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="vpbx.data.family"/></td>
		<td class="query">${family}<c:if test="${empty family}"><fmt:message key="vpbx.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="vpbx.data.mainmenu"/></td>
		<td class="query">${mainmenu}<c:if test="${empty mainmenu}"><fmt:message key="vpbx.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="vpbx.data.operator"/></td>
		<td class="query">${operator}<c:if test="${empty operator}"><fmt:message key="vpbx.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="vpbx.data.dialoptslocal"/></td>
		<td class="query">${dial_opts_local}<c:if test="${empty dial_opts_local}"><fmt:message key="vpbx.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="vpbx.data.dialoptsextern"/></td>
		<td class="query">${dial_opts_extern}<c:if test="${empty dial_opts_extern}"><fmt:message key="vpbx.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="vpbx.data.dialoptsreturn"/></td>
		<td class="query">${dial_opts_return}<c:if test="${empty dial_opts_return}"><fmt:message key="vpbx.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="vpbx.data.localvoicemail"/></td>
		<td class="query">${vm_select_local}<c:if test="${empty vm_select_local}"><fmt:message key="vpbx.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="vpbx.data.externvoicemail"/></td>
		<td class="query">${vm_select_extern}<c:if test="${empty vm_select_extern}"><fmt:message key="vpbx.none"/></c:if></td>
	</tr>
</table>
<br/>
<br/>

<form method="post" action="delVpbx.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="rows" value="25"/>
</form>

<form method="post" action="addVpbx.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
	<table class="query">
		<tr class="plain">
			<td class="query" colspan="3">
				<c:choose>
					<c:when test="${not empty number}">
						<fmt:message key="vpbx.edit" var="edit"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="vpbx.data.submit" var="edit"/>
					</c:otherwise>
				</c:choose>
				<input class="boton" type="button" value="${edit}" align="middle" onClick="javascript:edit('${number}')"/>
				&nbsp;&nbsp; 
				<fmt:message key="vpbx.delete" var="delete"/>
				<fmt:message key="vpbx.delete.question" var="question"/>
				<input class="boton" type="button" value="${delete}" align="middle" onClick="javascript:del('${number}','${question}')"/>
				<c:set var="edit" value=""/>
				<c:set var="delete" value=""/>
				<c:set var="question" value=""/>
			</td>
		</tr>
	</table>	
</form>