function validateCPF     (vfld,   // element to be validated
        ifld,   // id of element to receive info/error msg
        reqd)   // true if required
{
	var numbers = /^[0-9\.]+$/;
	var stat = commonCheck (vfld, ifld, reqd);
	if (stat != proceed) return stat;

	if (!numbers.test(vfld.value)) {
		msg (ifld, "query", "ERROR: Sem pontos ou hífem");
		vfld.focus();
		return false;
	}
	msg (ifld, "warn", "");
	return true;
};

function refreshCPF(cpf) {

	if (!validateCPF(document.forms.formulario.cpf, 'inf_cpf', true)) {
		alert("O CPF nao e valido");
		return false;
	} else { 
		if (cpf.length != 11){
			alert("O CPF nao e valido");
			return false;
		}
		else {
			//Calcula primer dígito verificador
			val=0;
			for (i=0; i < 9; i++){
				val += parseInt(cpf.charAt(i))* (10-i);
			}
			rev = val%11;
			v9 = 11-rev;
	
			if (v9==10 || v9==11){
				v9 = 0;
			}
	
			//Calcula segundo dígito verificador
			val = 0;
			for (i=0; i<10; i++){
				val += parseInt(cpf.charAt(i))*(11-i);
			}
			rev = val%11;
			v10 = 11-rev;
	
			if (v10==10 || v10==11){
				v10 = 0;
			}
	
			if (!((v9 == parseInt(cpf.charAt(9))) && (v10 == parseInt(cpf.charAt(10))))){
				alert("O CPF nao e valido");
				return false;
			}
		}
	}
	return true;
};


function validateOnSubmit() {
	
	refreshCPF(document.forms.formulario.cpf.value);
	if (!validatePresent(document.forms.formulario.name, 'inf_name')) {
		alert("O campo nome no pode ser vazio");
		return false;
	}
	
};
	


