// Agrego un expander muy simple que permite ahorrar el tener
// que entrar a la página institucional para ir a un grupo de
// trabajo específico.
//
// Quiero aclarar de que yo soy partidario de usar javascript
// en pequeñas cantidades y siempre y cuando, esto no implique
// una perdida de accesibilidad del sitio.

// Este script se encuentra bajo la licencia GPLv3.

function expansor_comprime(nodo){
  var bloque=nodo.parentNode.nextSibling;
  while(bloque!=null && bloque.nodeType!=1)
    bloque=bloque.nextSibling;
  bloque.style.display="none";
  nodo.setAttribute("src", "down.gif");
}

function expansor_expande(nodo){
  var bloque=nodo.parentNode.nextSibling;
  while(bloque!=null && bloque.nodeType!=1)
    bloque=bloque.nextSibling;
  if(bloque.style.display=="none"){
    bloque.style.display="";
    nodo.setAttribute("src", "up.gif");
  } else expansor_comprime(nodo);
}

var expansor_ob_cantidad=0;
var expansor_ob_lista = new Array();

function expansor_corre_lista(){
  while(expansor_ob_cantidad>0)
    expansor_comprime(expansor_ob_lista[--expansor_ob_cantidad]);
}

function expansor_ie_expande(){
  expansor_expande(event.srcElement);
}

function agrega(obj){
  expansor_ob_lista[expansor_ob_cantidad++]=obj;
  // Nuestro amigo el IE siempre comportandose de forma diferente :-)
  if(navigator.appName=="Microsoft Internet Explorer")
    obj.attachEvent("onclick", expansor_ie_expande);
  else obj.setAttribute("onclick", "expansor_expande(this)");

  //obj.removeAttribute("onload"); No funciona en IE.
  obj.setAttribute("onload", "");
  setTimeout('expansor_corre_lista()', 1);
}
