<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>
<%@ page import="java.util.Map" %>

<div id="right">

<h1>Listado de eficiencia por agente</h1>

<c:choose>
	<c:when test='${empty param.afterDate}'>
		<form name="formulario" method="get" action="listEffic.jsp" target="_self">
			<table class="query">
				<tr class="plain">
					<td class="query"> Posterior a: </th>
					<td class="query"> 
						<input name='afterDate' id='afterDate' type='text' size='10'/>
						<script type="text/javascript">
						<!--
							if (document.formulario.afterDate.value.length == 0)
								document.formulario.afterDate.value=getCurrentDate();
						-->
						</script>
						<img src='../../calendar/calendar.jpg' title='Calendario' alt='Calendario' onclick="scwShow(document.getElementById('afterDate'),this);" />
					</td> 
				</tr>
				<tr class="plain">
					<td class="query"> Anterior a: </td>
					<td class="query"> 
						<input name='beforeDate' id='beforeDate' type='text' size='10'/>
						<script type="text/javascript">
						<!--
							if (document.formulario.beforeDate.value.length == 0)
								document.formulario.beforeDate.value=getCurrentDate();
						-->
						</script>
						<img src='../../calendar/calendar.jpg' title='Calendario' alt='Calendario' onclick="scwShow(document.getElementById('beforeDate'),this);" />
					</td> 
				</tr>
				<tr class="plain">
					<td class="query"> Agrupar por: </td>
					<td class="query">
						<select name="group">
							<option value="Dia">D&iacute;a</option>
							<option value="Hora">Hora</option>
						</select>
					</td>	
				</tr>
				<tr class="plain">
					<td class="query" colspan="2">
						<input class="boton" type="submit" value="Enviar"/>
					</td>
				</tr>
			</table>
		</form>
	</c:when>

	<c:otherwise>

		<jsp:useBean id="workTime" class="ipcontact.clearing.EfficBean" scope="page">
			<jsp:setProperty name="workTime" property="*"/> 
		</jsp:useBean>

		<c:set var='table' value='${workTime.table}' scope='session'/>

		<h2>Eficiencia de los agentes entre el ${param.afterDate} y el ${param.beforeDate}</h2>

		<table class="data">
			<tr class="tit">
				<th>Agente</th>
				<th>${param.group}</th>
				<th>Llamadas atendidas</th>
				<th>Tiempo trabajado (minutos)</th>
			</tr>
			<c:forEach var='item' varStatus='stat' items='${table}'>
				<c:set var='map' value='${item.value}'/>
				<% int size=((Map)pageContext.getAttribute("map")).size(); %>
				<c:forEach var='item2' varStatus='stat2' items='${item.value}'>
					<c:choose>	
						<c:when test="${stat.count % 2 == 0}">
							<tr class="even">
						</c:when>
						<c:otherwise>
							<tr class="odd">
						</c:otherwise>
					</c:choose>
					<c:if test='${stat2.first}'>
						<td rowspan=<%=size%>>${item.key}</td>
					</c:if>
						<td>${item2.key}</td>
						<td>${item2.value[0]}</td>
						<td>${item2.value[1]}</td>
					</tr>
				</c:forEach>
			</c:forEach>
		</table>

		<p>
			<a href="tableEffic.jsp">Texto separado por comas</a>
		</p>
	</c:otherwise>
</c:choose>

</div>
</body>
</html>


