<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<c:choose>
			<c:when test="${empty param.afterDate}">
				<c:choose>
					<c:when test="${sessionScope.role eq 'admin'}">
						<sql:query var="rsAgents" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users ON username = user
							ORDER BY first_name
						</sql:query>
				    <sql:query var="rsQueues" dataSource="jdbc/ipcontactRO">
				    	SELECT DISTINCT queue 
				    	FROM queue_users
				    	ORDER BY queue
				    </sql:query>
					</c:when>
					<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
						<sql:query var="rsAgetns" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users on username = user
							INNER JOIN supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							ORDER BY first_name
						</sql:query>
				    <sql:query var="rsQueues" dataSource="jdbc/ipcontactRO">
				    	SELECT DISTINCT queue 
				    	FROM queue_users 
				    	INNER JOIN users USING (username)
				    	INNER JOIN supervisors_groups USING (group_id)
				    	WHERE user_id = '${sessionScope.username}'
				    	ORDER BY queue
				    </sql:query>
					</c:when>
				</c:choose>
			
				<h1><fmt:message key="listnotes.title"/></h1>
				<form method="get" name="formulario" action="listNotes.jsp" target="_self">
		 			<table class="query">
            <tr class="plain">
            	<td class="query"><fmt:message key="reportagentactivity.from"/>: </td>
            	<td class="query">
            		<input name='afterDate' id='date' type='text' size='10'/>
            		<input name='afterTime' id='afterTime' type='text' size='5'/>
            		<script type="text/javascript">
            		<!--
            			if (document.formulario.date.value.length == 0)
            				document.formulario.date.value=getCurrentDate();
            			if (document.formulario.afterTime.value.length == 0)
            				document.formulario.afterTime.value="00:00";
            		-->
            		</script>
                <fmt:message key="reportagentactivity.calendar" var="calendar"/>
                <img src="../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('date'),this);" />
            	</td>
            </tr>
            <tr class="plain">
            	<td class="query"> <fmt:message key="reportagentactivity.to"/>: </td>
            	<td class="query">
            		<input name='beforeDate' id='beforeDate' type='text' size='10'/>
            		<input name='beforeTime' id='beforeTime' type='text' size='5'/>
            		<script type="text/javascript">
            		<!--
            			if (document.formulario.beforeDate.value.length == 0)
            				document.formulario.beforeDate.value=getCurrentDate();
            			if (document.formulario.beforeTime.value.length == 0)
            				document.formulario.beforeTime.value=getCurrentTime();
            		-->
            		</script>
                <img src='../calendar/calendar.jpg' title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('beforeDate'),this);" />
                <c:set var="calendar" value=""/>
            	</td> 
            </tr>	
            <tr class="plain">
            	<td class="query"><fmt:message key="reportagentactivity.agents"/>:</td>
            	<td class="query">
            		<select name="agent">
            			<option value="all" selected="selected"><fmt:message key="all"/></option>
            			<c:forEach var="row" items="${rsAgents.rows}">
            				<option value="${row.username}">${row.first_name} ${row.last_name}</option>
            			</c:forEach>
            		</select>
            	</td>
            </tr>
            <tr class="plain">
            	<td class="query"><fmt:message key="reportqueuedata.queue"/>:</td>
            	<td class="query">
            		<select name="queue">
            			<option value="all" selected="selected"><fmt:message key="all"/></option>
            			<c:forEach var="row" items="${rsQueues.rows}">
            				<option value="${row.queue}">${row.queue}</option>
            			</c:forEach>
            		</select>
            	</td>
            </tr>
	          <tr class="plain">
	          	<td class="query"><fmt:message key="listcdr.results"/>:</td>
	          	<td class="query">
	          		<input type="radio" name="rows" value="10"/><label>10</label>		
	          		<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
	          		<input type="radio" name="rows" value="50"/><label>50</label>		
	          	</td>
	          </tr>
            <tr class="plain">
              <td class="query" colspan="2">
            		<input class="boton" type="submit" value="<fmt:message key="reportagentactivity.submit"/>"/>
              </td>
            </tr>
					</table>
				</form>			
			</c:when>
  	  <c:otherwise>
				<c:set var="offset" value="${param.offset}"/>
				
				<c:if test="${empty offset}">
					<c:set var="offset" value="0"/>
				</c:if>
				
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT count(*) AS count 
					FROM users 
					INNER JOIN groups ON users.group_id = groups.group_id 
					${conds}
				</sql:query>
				
				<c:if test="${rs.rows[0].count > (offset + param.rows)}">
					<c:set var="nextOffset" value="true"/>
				</c:if>

	      <w:where var="conds">
	        <w:condition attribute="calldate" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
	        <w:condition attribute="calldate" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
          <c:if test="${param.agent ne \"all\"}">
            <w:condition attribute="agent" value="${param.agent}"/>
          </c:if>
          <c:if test="${param.queue ne \"all\"}">
            <w:condition attribute="queue" value="${param.queue}"/>
          </c:if>
        </w:where>
        <c:set var="sql" value="SELECT count(*) AS cantidad_llamadas, notes FROM cdr INNER JOIN callinfo USING(uniqueid) "/>
        <c:set var="sql" value="${sql} INNER JOIN callnotes USING(uniqueid) ${conds} AND queue in (SELECT queue FROM queue_label) GROUP BY notes"/>
				<sql:query var="rsNotes" dataSource="jdbc/ipcontactRO">
          SELECT count(*) AS cantidad_llamadas, notes 
          FROM cdr 
          INNER JOIN callinfo USING(uniqueid) 
          INNER JOIN callnotes USING(uniqueid) 
          ${conds} 
          AND queue in (
            SELECT queue FROM queue_label
            ) 
          GROUP BY notes 
          LIMIT ${param.rows} OFFSET ${offset}
        </sql:query>

        <form method="get" action="listNotes.jsp" name="jumpForm">
        	<input type="hidden" name="queue" value="${param.queue}"/>
        	<input type="hidden" name="agent" value="${param.agent}"/>
        	<input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
        	<input type="hidden" name="afterDate" value="${param.afterDate}"/>
        	<input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
        	<input type="hidden" name="afterTime" value="${param.afterTime}"/>
        	<input type="hidden" name="offset" value=""/>
        	<input type="hidden" name="rows" value="${param.rows}"/>	
        </form>

				<table class="data">
					<tr class="tit">
						<th><fmt:message key="recordquery.data.note"/> </th>
						<th>Cantidad de llamadas </th>
					</tr>
					<c:forEach var="row" varStatus="stat" items="${rsNotes.rows}">
						<c:choose>	
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
            <td class="data">${row.notes}</td>					
            <td class="data">${row.cantidad_llamadas}</td>					
					</tr>
					</c:forEach>
				</table>

        <util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>
				
				<c:url var="linkPDF" value="../../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="notes.xml"/>
					<c:param name="reportType" value="pdf"/>					
					<c:param name="filename" value="notes"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
					<c:param name="sql" value="${var}"/>
				</c:url>
				
				<c:url var="linkXLS" value="../../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="notes.xml"/>
					<c:param name="reportType" value="xls"/>					
					<c:param name="filename" value="notes"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
					<c:param name="sql" value="${var}"/>
				</c:url>
				
				<c:url var="linkCSV" value="../../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="notes.xml"/>
					<c:param name="reportType" value="csv"/>					
					<c:param name="filename" value="notes"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
					<c:param name="sql" value="${var}"/>
				</c:url>
				
				<%@ include file="../../include/export.jsp" %>		
    	</c:otherwise>			
    </c:choose>
  </fmt:bundle>
</div>
</body>
</html>
