<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<c:choose>
			<c:when test="${empty param.afterDate}">
			
				<c:choose>
					<c:when test="${sessionScope.role eq 'admin'}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username 
							FROM agents INNER JOIN users ON users.username = agents.user 
							ORDER BY first_name;
						</sql:query>
					</c:when>
					<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users on username = user
							INNER JOIN supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							ORDER BY first_name
						</sql:query>
					</c:when>
				</c:choose>
				
				<c:choose>
					<c:when test="${sessionScope.role eq 'admin'}">
						<sql:query var="rsQueue" dataSource="jdbc/ipcontactRO">
							SELECT DISTINCT queue 
							FROM queue_users
						</sql:query>
					</c:when>
					<c:otherwise>
						<sql:query var="rsQueue" dataSource="jdbc/ipcontactRO">
							SELECT DISTINCT queue 
							FROM queue_users 
							INNER JOIN users using(username) 
							INNER JOIN supervisors_groups using(group_id) 
							WHERE user_id='${sessionScope.username}'
							ORDER by queue
						</sql:query>
					</c:otherwise>
				</c:choose>
				
				<h1><fmt:message key="agentslogged.title"/></h1>
				
				<form method="get" name="formulario" action="agentsLogged.jsp">
	 				<table class="query">
		            	<tr class="plain">
							<td class="query"> <fmt:message key="agentslogged.from"/>: </td>
							<td class="query">
								<input name='afterDate' id='date' type='text' size='10'/>
								<input name='afterTime' id='afterTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.date.value.length == 0)
										document.formulario.date.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value="00:00";
								-->
								</script>
								<img src='../../calendar/calendar.jpg' title='<fmt:message key="agentslogged.calendar"/>' alt='<fmt:message key="agentslogged.calendar"/>' onclick="scwShow(document.getElementById('date'),this);" />
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"> <fmt:message key="agentslogged.to"/>: </td>
							<td class="query">
								<input name='beforeDate' id='beforeDate' type='text' size='10'/>
								<input name='beforeTime' id='beforeTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src='../../calendar/calendar.jpg' title='<fmt:message key="agentslogged.calendar"/>' alt='<fmt:message key="agentslogged.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
							</td> 
							<td class="query"/>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="agentslogged.agent"/>:</td>
							<td class="query">
								<select name="agent">
								<option value="all" selected="selected"><fmt:message key="allm"/></option>
									<c:forEach var="row" items="${rs.rows}">
										<option value="${row.username}">${row.first_name} ${row.last_name}</option>
									</c:forEach>
								</select>
							</td>
							<td class="query"/>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="agentslogged.queue"/>:</td>
							<td class="query">
								<select name="queue">
									<option value="all" selected="selected"><fmt:message key="allm"/></option>
									<c:forEach var="row" items="${rsQueue.rows}">
										<option value="${row.queue}">${row.queue}</option>
									</c:forEach>
								</select>
							</td>
							<td class="query"/>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="agentslogged.groupbyqueue"/>:</td>
							<td class="query">
								<select name="group_queue">
									<option value="no"><fmt:message key="agentslogged.nogroup"/></option>
									<option value="all" selected="selected"><fmt:message key="agentslogged.allqueue"/></option>
								</select>
							</td>
							<td class="query"/>
						</tr>
						
						<tr class="plain">
							<td class="query"> <fmt:message key="agentslogged.groupby"/>: </td>
							<td class="query">
								<select name="group">
									<option value="no"><fmt:message key="agentslogged.nogroup"/></option>
									<option value="hora"><fmt:message key="agentslogged.hour"/></option>
									<option value="dia"><fmt:message key="agentslogged.day"/></option>
								</select>
							</td>
							<td class="query"/>
						</tr>
						
						<tr class="plain">
			        		<td class="query" colspan="2">
			        			<input class="boton" type="submit" value="<fmt:message key='agentslogged.submit'/>"/>
			            	</td>
			            	<td class="query"/>
			        	</tr>
					</table>
				</form>
			</c:when>
				
			<c:otherwise>
			
				<jsp:useBean id="agentsLogged" class="ipcontact.fast.ReportAgentsLoggedBean" scope="page">
					<jsp:setProperty name="agentsLogged" property="*"/> 
					<c:set target='${agentsLogged}' property='user' value='${sessionScope.username}'/>
					<c:set target='${agentsLogged}' property='role' value='${sessionScope.role}'/>
				</jsp:useBean>
		
				<c:set var="table" scope="session" value="${agentsLogged.data}"/>
					
				<h3><fmt:message key="agentslogged.title"/></h3>
				<h3>
					<table>
						<tr>
							<td><fmt:message key="agentslogged.from"/>: </td>
							<td>${param.afterDate}</td>
							<td>${param.afterTime}</td>
						</tr>
						<tr>
							<td><fmt:message key="agentslogged.to"/>: </td>
							<td>${param.beforeDate}</td>
							<td>${param.beforeTime}</td>
						</tr>
					</table>
				</h3>
				
				<table class="data">
					<tr class="tit">
						<c:if test="${param.group_queue ne 'no'}">
							<th> <fmt:message key="agentslogged.queue"/> </th>
						</c:if>
						<c:choose>
							<c:when test="${param.group eq 'dia'}">
								<th> <fmt:message key="agentslogged.day"/> </th>
							</c:when>
							<c:when test="${param.group eq 'hora'}">
								<th> <fmt:message key="agentslogged.hour"/> </th>
							</c:when>
						</c:choose>
						<th> <fmt:message key="agentslogged.logged"/> </th>
					</tr>
				
					<c:forEach var="row" varStatus="stat" items="${table}">
						<c:choose>	
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						
						<c:if test="${param.group_queue ne 'no'}">
							<c:choose>
								<c:when test="${not empty row.queue}">
									<td class="data">${row.queue}</td>
								</c:when>
								<c:otherwise>
									<td class="data"><fmt:message key="total"/></td>
								</c:otherwise>
							</c:choose>
						</c:if>
						<c:if test="${param.group ne 'no'}">
							<c:choose>
								<c:when test="${not empty row.grupo}">
									<td class="data">${row.grupo}</td>
								</c:when>
								<c:otherwise>
									<td class="data"><fmt:message key="total"/></td>
								</c:otherwise>
							</c:choose>
						</c:if>
						<td class="data">${row.cantidad_agentes}</td>
						</tr>
					</c:forEach>
				</table>
				
				<c:choose>
					<c:when test="${param.group_queue eq 'no'}">
						<c:choose>
							<c:when test="${param.group ne 'no'}">
								 <c:choose>
									<c:when test="${param.group eq 'dia'}">
										<c:set var="template" value="agentslogged_day.xml"/>
									</c:when>
									<c:when test="${param.group eq 'hora'}">
										<c:set var="template" value="agentslogged_hour.xml"/>
									</c:when>
								</c:choose>
							</c:when>
							<c:otherwise>
								<c:set var="template" value="agentslogged.xml"/>
							</c:otherwise>
						</c:choose>
					</c:when>
					<c:otherwise>
						<c:choose>
							<c:when test="${param.group ne 'no'}">
								 <c:choose>
									<c:when test="${param.group eq 'dia'}">
										<c:set var="template" value="agentslogged_queue_day.xml"/>
									</c:when>
									<c:when test="${param.group eq 'hora'}">
										<c:set var="template" value="agentslogged_queue_hour.xml"/>
									</c:when>
								</c:choose>
							</c:when>
							<c:otherwise>
								<c:set var="template" value="agentslogged_queue.xml"/>
							</c:otherwise>
						</c:choose>
					</c:otherwise>
				</c:choose>
						
				<c:url var="linkPDF" value="../../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="fast/${template}"/>
					<c:param name="reportType" value="pdf"/>					
					<c:param name="filename" value="agentesLogados"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
				</c:url>
			
				<c:url var="linkXLS" value="../../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="fast/${template}"/>
					<c:param name="reportType" value="xls"/>					
					<c:param name="filename" value="agentesLogados"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
				</c:url>
			
				<c:url var="linkCSV" value="../../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="fast/${template}"/>
					<c:param name="reportType" value="csv"/>					
					<c:param name="filename" value="agentesLogados"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
			</c:url>
			
			<%@ include file="../../include/export.jsp" %>	
							
								
								
						
						
				
			</c:otherwise>
		
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>