<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<h1><fmt:message key="reportactivitiesanalytical.title"/></h1>
		<c:choose>
			<c:when test="${empty param.afterDate}">
				<form method="post" name="formulario" action="reportActivitiesAnalytical.jsp" target="_self">
					<table class="query">
						<tr class="plain">
							<td class="query"><fmt:message key="reportactivities.from"/>:</td>
							<td class="query">
								<input name='afterDate' id='afterDate' type='text' size='10'/>
								<input name='afterTime' id='afterTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.afterDate.value.length == 0)
										document.formulario.afterDate.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value="00:00";
								-->
								</script>
								<fmt:message key="reportactivities.calendar" var="calendar"/>
								<img src="../../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('afterDate'),this);" />
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="reportactivities.to"/>:</td>
							<td class="query">
								<input name='beforeDate' id='beforeDate' type='text' size='10'/>
								<input name='beforeTime' id='beforeTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src="../../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('beforeDate'),this);" />
								<c:set var="calendar" value=""/>
							</td>
							<td class="query"></td>
						</tr>
						
						<tr class="plain">
							<c:choose>
								<c:when test="${sessionScope.role eq 'admin'}">
									<sql:query var="rs" dataSource="jdbc/ipcontactRO">
										SELECT group_id, group_name
										FROM groups
									</sql:query>
								</c:when>
								<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
									<sql:query var="rs" dataSource="jdbc/ipcontactRO">
										SELECT group_id, group_name 
										FROM groups 
										INNER JOIN supervisors_groups USING(group_id) 
										WHERE user_id='${sessionScope.username}';
									</sql:query>
								</c:when>
							</c:choose>
							<td class="query"><fmt:message key="reportactivities.groups"/>:</td>
							<td class="query">
								<select name="group">
									<c:forEach var="row" varStatus="stat" items="${rs.rows}">
										<option value="${row.group_id}">${row.group_name}</option>
									</c:forEach>
								</select> 
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
			    			<td class="query" colspan="3">
								<fmt:message key="reportactivities.submit" var="submit"/>
								<input class="boton" type="submit" value="${submit}"/>
								<c:set var="submit" value=""/>
			    		    </td>
			    		</tr>
					</table>
				</form>
			</c:when>
			<c:otherwise>
				
				<jsp:useBean id="activitiesAnalytical" class="ipcontact.fast.ReportActivitiesAnalyticalBean" scope="page">
					<jsp:setProperty name="activitiesAnalytical" property="*"/> 
					<c:set target='${activitiesAnalytical}' property='user' value='${sessionScope.username}'/>
					<c:set target='${activitiesAnalytical}' property='role' value='${sessionScope.role}'/>
				</jsp:useBean>
		
				<c:set var="table1" scope="session" value="${activitiesAnalytical.data1}"/>
				<c:set var="table2" scope="session" value="${activitiesAnalytical.data2}"/>
				
				<c:choose>
					<c:when test="${sessionScope.role eq 'admin'}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT group_id, group_name
							FROM groups
							WHERE group_id = ${param.group}
						</sql:query>
					</c:when>
					<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT group_id, group_name 
							FROM groups 
							INNER JOIN supervisors_groups USING(group_id) 
							WHERE user_id='${sessionScope.username}'
							AND group_id = ${param.group}
						</sql:query>
					</c:when>
				</c:choose>
				
				<h3>
					<table>
						<tr>
							<td><fmt:message key="reportactivities.group"/>:</td>
							<td>${rs.rows[0].group_name}</td>
						</tr>
						<tr>
							<td><fmt:message key="reportactivities.from"/>:</td>
							<td>${param.afterDate}</td>
							<td>${param.afterTime}</td>
						</tr>
						<tr>
							<td><fmt:message key="reportactivities.to"/>:</td>
							<td>${param.beforeDate}</td>
							<td>${param.beforeTime}</td>
						</tr>
					</table>
				</h3>
				
				<table class="data">	
				    <tr class="tit">
				    <th><fmt:message key="reportactivities.data.day"/></th>
					<th><fmt:message key="reportactivities.data.activeAgents"/></th>
					</tr>
				
				    <c:forEach var="row" varStatus="stat" items="${table1}">
						<c:choose>
					    	<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
					    	</c:when>
					    	<c:otherwise>
								<tr class="odd">
					    	</c:otherwise>
						</c:choose>	
							<td class="data">${row.Dia}</td>
							<td class="data">${row.agentes_activos}</td>
						</tr>	
				   </c:forEach>
				</table>
				
				<c:url var="linkPDF" value="../../servlet/ipcontact.Reports">
				    <c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="fast/activitiesAnalyticalActivos.xml"/>
				    <c:param name="reportType" value="pdf"/>					
				    <c:param name="filename" value="activitiesAnalytical"/>
				    <c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:param name="table" value="table1"/>
					<c:param name="debug" value="true"/>
				    <c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
				    </c:if>
				</c:url>

				<c:url var="linkXLS" value="../../servlet/ipcontact.Reports">
				    <c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="fast/activitiesAnalyticalActivos.xml"/>
				    <c:param name="reportType" value="xls"/>					
				    <c:param name="filename" value="activitiesAnalytical"/>
				    <c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				    <c:param name="table" value="table1"/>
				    <c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
				    </c:if>
				</c:url>

				<c:url var="linkCSV" value="../../servlet/ipcontact.Reports">
				    <c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="fast/activitiesAnalyticalActivos.xml"/>
				    <c:param name="reportType" value="csv"/>					
				    <c:param name="filename" value="activitiesAnalytical"/>
				    <c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				    <c:param name="table" value="table1"/>
				    <c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
				    </c:if>
				</c:url>
				
				<%@ include file="../../include/export.jsp" %>
				
				<br/>
				<br/>
				
				<table class="data">	
				    <tr class="tit">
				     <th><fmt:message key="reportactivities.data.day"/></th>
					<th><fmt:message key="reportactivities.data.inactiveAgents"/></th>
					</tr>
				
				    <c:forEach var="row" varStatus="stat" items="${table2}">
						<c:choose>
					    	<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
					    	</c:when>
					    	<c:otherwise>
								<tr class="odd">
					    	</c:otherwise>
						</c:choose>	
							<td class="data">${row.Dia}</td>
							<td class="data">${row.agentes_inactivos}</td>
						</tr>	
				   </c:forEach>
				</table>
					
				<c:url var="linkPDF" value="../../servlet/ipcontact.Reports">
				    <c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="fast/activitiesAnalyticalInactivos.xml"/>
				    <c:param name="reportType" value="pdf"/>					
				    <c:param name="filename" value="activitiesAnalytical"/>
				    <c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				    <c:param name="table" value="table2"/>
				    <c:param name="debug" value="true"/>
				    <c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
				    </c:if>
				</c:url>

				<c:url var="linkXLS" value="../../servlet/ipcontact.Reports">
				    <c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="fast/activitiesAnalyticalInactivos.xml"/>
				    <c:param name="reportType" value="xls"/>					
				    <c:param name="filename" value="activitiesAnalytical"/>
				    <c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				    <c:param name="table" value="table2"/>
				    <c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
				    </c:if>
				</c:url>

				<c:url var="linkCSV" value="../../servlet/ipcontact.Reports">
				    <c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="fast/activitiesAnalyticalInactivos.xml"/>
				    <c:param name="reportType" value="csv"/>					
				    <c:param name="filename" value="activitiesAnalytical"/>
				    <c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				    <c:param name="table" value="table2"/>
				    <c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
				    </c:if>
				</c:url>
				
				<%@ include file="../../include/export.jsp" %>
				
			</c:otherwise>
		</c:choose>
    </fmt:bundle>
</div>
</body>
</html>