<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<c:choose>
			<c:when test="${empty param.afterDate}">
				
				<sql:query var="rs" dataSource="jdbc/uras">
					SELECT DISTINCT queue 
					FROM bmg_blacklist_calls
					WHERE queue is not NULL 
					ORDER BY queue
				</sql:query>
				
				<h1><fmt:message key="reportblacklist.title"/></h1>
				<form method="get" name="formulario" action="reportBlacklist.jsp">
	 			
	 				<table class="query">
		            	<tr class="plain">
							<td class="query"> <fmt:message key="reportblacklist.from"/>: </td>
							<td class="query">
								<input name='afterDate' id='date' type='text' size='10'/>
								<input name='afterTime' id='afterTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.date.value.length == 0)
										document.formulario.date.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value="00:00";
								-->
								</script>
								<img src='../../calendar/calendar.jpg' title='<fmt:message key="reportblacklist.calendar"/>' alt='<fmt:message key="reportblacklist.calendar"/>' onclick="scwShow(document.getElementById('date'),this);" />
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"> <fmt:message key="reportblacklist.to"/>: </td>
							<td class="query">
								<input name='beforeDate' id='beforeDate' type='text' size='10'/>
								<input name='beforeTime' id='beforeTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src='../../calendar/calendar.jpg' title='<fmt:message key="reportblacklist.calendar"/>' alt='<fmt:message key="reportblacklist.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
							</td> 
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="reportblacklist.queue"/>:</td>
							<td class="query">
								<select name="queue">
									<option value="all" selected="selected"><fmt:message key="all"/></option>
									<c:forEach var="row" items="${rs.rows}">
										<option value="${row.queue}">${row.queue}</option>
									</c:forEach>
								</select>
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"> <fmt:message key="reportblacklist.phone"/>: </td>
							<td class="query"><input type="text" size="35" name="phone"/></td>
							<td class="query">
								<select name="phoneType">
									<option value="1" ><fmt:message key="equal"/></option>
									<option value="2" selected="selected"><fmt:message key="contain"/></option>
									<option value="3" ><fmt:message key="startswith"/></option>
									<option value="4" ><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="reportblacklist.numbercalls"/>: </td>
							<td class="query"><input type="text" size="35" name="numbercalls"/></td>
							<td class="query"/>
						<tr class="plain">
							<td class="query"> <fmt:message key="reportblacklist.groupby"/>: </td>
							<td class="query">
								<select name="group">
									<option value="no"><fmt:message key="reportblacklist.nogroup"/></option>
									<option value="hora"><fmt:message key="reportblacklist.hour"/></option>
									<option value="dia"><fmt:message key="reportblacklist.day"/></option>
									<option value="mes"><fmt:message key="reportblacklist.month"/></option>
								</select>
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
						    <td class="query"><fmt:message key="reportblacklist.results"/>:</td>
						    <td class="query">
							<input type="radio" name="rows" value="10"/><label>10</label>		
							<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
							<input type="radio" name="rows" value="50"/><label>50</label>		
						    </td>
						    <td class="query"></td>
						</tr>
						<tr class="plain">
			        		<td class="query" colspan="2">
			        			<input class="boton" type="submit" value="<fmt:message key='reportblacklist.submit'/>"/>
			            	</td>
			            	<td class="query"/>
			        	</tr>
					</table>
				</form>
			</c:when>
				
			<c:otherwise>
			
				<w:where var='conds'>
		    		<w:condition attribute='calldate' afterDate='${param.afterDate}' afterTime='${param.afterTime}'/>
		    		<w:condition attribute='calldate' beforeDate='${param.beforeDate}' beforeTime='${param.beforeTime}'/>
		    		<c:if test='${param.queue != "all"}'>
						<w:condition attribute='queue' value='${param.queue}'/>
		    		</c:if>
		    		<w:condition attribute='phone' comparator='${param.phoneType}' value='${param.phone}'/>
				</w:where>
				
				<c:set var="afterDateTokens"  value="${fn:split(param.afterDate,'/')}" />
				<c:set var="beforeDateTokens"  value="${fn:split(param.beforeDate,'/')}" />
				
				<c:choose>
					<c:when test="${param.group eq 'hora'}">
						<c:set var="group2" value="CAST(CAST(CONCAT(DATE(calldate), ' ', HOUR(calldate), ':00') AS DATETIME) AS CHAR) AS grupo2 "/>
					</c:when>
					<c:when test="${param.group eq 'dia'}">
						<c:set var="group2" value="DATE(calldate) AS grupo2 "/>
					</c:when>
					<c:when test="${param.group eq 'mes'}">
						<c:set var="group2" value="CAST(CONCAT(YEAR(calldate), '-', MONTH(calldate), '-01') AS DATE) AS grupo2 "/>
						<c:set var="conds"  value="${conds}AND CAST(CONCAT(YEAR(calldate), '-', MONTH(calldate), '-01') AS DATE) >= '${afterDateTokens[2]}-${afterDateTokens[1]}-01' "/>
						<c:set var="conds"  value="${conds}AND CAST(CONCAT(YEAR(calldate), '-', MONTH(calldate), '-01') AS DATE) <= '${beforeDateTokens[2]}-${beforeDateTokens[1]}-01' "/>
					</c:when>
					<c:otherwise>
						<c:set var="group2" value="1"/>
					</c:otherwise>
				</c:choose>
			
				<c:set var="offset" value="${param.offset}"/>

				<c:if test="${empty offset}">
		    		<c:set var="offset" value="0"/>
				</c:if>
				
				<c:set var="query" value="
					SELECT count(*) AS count, ${group2}
		    		FROM bmg_blacklist_calls 
		    		LEFT JOIN bmg_blacklist_detail using(phone)
					${conds}
					GROUP BY phone"
				/>
				
				
				<c:if test="${param.group ne 'no'}">
					<c:set var="query" value="${query}, grupo2"/>
				</c:if>
				
				<c:if test="${not empty param.numbercalls}">
					<c:set var="query" value="${query} 
						HAVING count >= '${param.numbercalls}'"/>
				</c:if>
				
				<sql:query var="rs" dataSource="jdbc/uras">
		    		${query} 
				</sql:query>
					
				<c:set var="count" value="0"/>
						
				<c:forEach var="row" varStatus="stat" items="${rs.rows}">
					<c:set var="count" value="${count + 1}"/>
				</c:forEach>

				<c:if test='${count > (offset + param.rows)}'>
		    		<c:set var="nextOffset" value="true"/>
				</c:if>
				
				<jsp:useBean id="report" class="ipcontact.fast.ReportBlacklistBean" scope="page">
					<jsp:setProperty name="report" property="*"/>
					<c:set target='${report}' property='rows' value='${param.rows}'/>
					<c:set target='${report}' property='offset' value='${offset}'/> 
				</jsp:useBean>
		
				<c:set var='table' scope="session" value='${report.data}'/>
				<c:set var='sql' scope="session" value='${report.sql}'/>
				
				<form method="post" action="reportBlacklist.jsp" name="jumpForm">
		    		<input type="hidden" name="afterDate" value="${param.afterDate}"/>
		    		<input type="hidden" name="afterTime" value="${param.afterTime}"/>
		    		<input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
		    		<input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
		    		<input type="hidden" name="queue" value="${param.queue}"/>
		    		<input type="hidden" name="phone" value="${param.phone}"/>
		    		<input type="hidden" name="phoneType" value="${param.phoneType}"/>
		    		<input type="hidden" name="numbercalls" value="${param.numbercalls}"/>
		    		<input type="hidden" name="group" value="${param.group}"/>
		   			<input type="hidden" name="result" value="${param.result}"/>
		    		<input type="hidden" name="offset" value=""/>
		    		<input type="hidden" name="rows" value="${param.rows}"/>	
		    	</form>
			
				<h3><fmt:message key="reportblacklist.title"/></h3>
				<h3>
					<table>
						<tr>
							<td><fmt:message key="reportblacklist.from"/>:</td>
							<td>${param.afterDate}</td>
							<td>${param.afterTime}</td>
						</tr>
						<tr>
							<td><fmt:message key="reportblacklist.to"/>:</td>
							<td>${param.beforeDate}</td>
							<td>${param.beforeTime}</td>
						</tr>
					</table>
				</h3>
				
				<table class="data">
					<tr class="tit">
						<c:choose>
							<c:when test="${param.group eq 'dia'}">
								<th> <fmt:message key="reportblacklist.day"/> </th>
							</c:when>
							<c:when test="${param.group eq 'hora'}">
								<th> <fmt:message key="reportblacklist.hour"/> </th>
							</c:when>
							<c:when test="${param.group eq 'mes'}">
								<th> <fmt:message key="reportblacklist.month"/> </th>
							</c:when>
							<c:otherwise>
								<th> <fmt:message key="reportblacklist.maxcalldate"/> </th>
							</c:otherwise>
						</c:choose>
						<th> <fmt:message key="reportblacklist.phone"/> </th>
						<th> <fmt:message key="reportblacklist.numbercalls"/> </th>
						<th> <fmt:message key="reportblacklist.dateinclude"/> </th>
						<th> <fmt:message key="reportblacklist.dateexclude"/> </th>
					</tr>
				
					<c:forEach var="row" varStatus="stat" items="${table}">
						<c:choose>	
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						
						<c:choose>
							<c:when test="${param.group ne 'no'}">
								<td class="data">${row.Grupo}</td>
							</c:when>
							<c:otherwise>
								<td class="data">${row.ultima_llamada}</td>
							</c:otherwise>
						</c:choose>
						<c:choose>
							<c:when test="${not empty row.phone}">
								<td class="data">${row.phone}</td>
							</c:when>
							<c:otherwise>
								<td class="data">-</td>
							</c:otherwise>
						</c:choose>
						<c:choose>
							<c:when test="${not empty row.cantidad_llamadas}">
								<td class="data">${row.cantidad_llamadas}</td>
							</c:when>
							<c:otherwise>
								<td class="data">-</td>
							</c:otherwise>
						</c:choose>
						<c:choose>
							<c:when test="${not empty row.date_include}">
								<td class="data">${row.date_include}</td>
							</c:when>
							<c:otherwise>
								<td class="data">-</td>
							</c:otherwise>
						</c:choose>
						<c:choose>
							<c:when test="${not empty row.date_exclude}">
								<td class="data">${row.date_exclude}</td>
							</c:when>
							<c:otherwise>
								<td class="data">-</td>
							</c:otherwise>
						</c:choose>
						</tr>
					</c:forEach>
				</table>
				
				<util:jump offset='${offset}' rows='${param.rows}' nextOffset='${nextOffset}'/>
				
				<c:choose>
					<c:when test="${param.group ne 'no'}">
						<c:choose>
							<c:when test="${param.group eq 'dia'}">
								<c:set var="template" value="reportblacklist_day.xml"/>
							</c:when>
							<c:when test="${param.group eq 'hora'}">
								<c:set var="template" value="reportblacklist_hour.xml"/>
							</c:when>
							<c:when test="${param.group eq 'mes'}">
								<c:set var="template" value="reportblacklist_month.xml"/>
							</c:when>
						</c:choose>
					</c:when>
					<c:otherwise>
						<c:set var="template" value="reportblacklist.xml"/>
					</c:otherwise>
				</c:choose>
		
				<c:url var="linkPDF" value="../../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="fast/${template}"/>
		    		<c:param name="reportType" value="pdf"/>					
		    		<c:param name="filename" value="report_blacklist"/>
		    		<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
		    		<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
		  			<c:if test="${not empty sessionScope.locale}">
			    		<c:param name="locale" value="${sessionScope.locale}"/>
		    		</c:if>
		    		<c:param name="db" value="java:comp/env/jdbc/uras"/>
				</c:url>

				<c:url var="linkXLS" value="../../servlet/ipcontact.Reports">
		    		<c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="fast/${template}"/>
		    		<c:param name="reportType" value="xls"/>					
		    		<c:param name="filename" value="report_blacklist"/>
		    		<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
		    		<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
		    		<c:if test="${not empty sessionScope.locale}">
			    		<c:param name="locale" value="${sessionScope.locale}"/>
		    		</c:if>
		    		<c:param name="db" value="java:comp/env/jdbc/uras"/>
				</c:url>

				<c:url var="linkCSV" value="../../servlet/ipcontact.Reports">
		    		<c:param name="reportFile" value="portrait-report.xml"/>
					<c:param name="template" value="fast/${template}"/>
		    		<c:param name="reportType" value="csv"/>					
		    		<c:param name="filename" value="report_blacklist"/>
		    		<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
		    		<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
		    		<c:if test="${not empty sessionScope.locale}">
			    		<c:param name="locale" value="${sessionScope.locale}"/>
		    		</c:if>
		    		<c:param name="db" value="java:comp/env/jdbc/uras"/>
				</c:url>

				<%@ include file="../../include/export.jsp" %>	
				
			</c:otherwise>
		</c:choose>
	
	</fmt:bundle>
</div>
</body>
</html>
	