<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<c:choose>
			<c:when test="${empty param.afterDate}">
				
			<sql:query var="rs" dataSource="jdbc/ipcontact">
				SELECT DISTINCT queue 
				FROM queue_users
				WHERE queue LIKE 'cc_bauducco%' OR queue = 'cc_hersheys'
				ORDER BY queue
			</sql:query>
				
			<h1><fmt:message key="reportqueuedata.title"/> Bauducco</h1>
			
			<form method="get" name="formulario" action="reportQueueDataBauducco.jsp">
	 			<table class="query">
		            <tr class="plain">
						<td class="query"> <fmt:message key="reportqueuedata.from"/>: </td>
						<td class="query">
							<input name='afterDate' id='date' type='text' size='10'/>
							<input name='afterTime' id='afterTime' type='text' size='5'/>
							<script type="text/javascript">
							<!--
								if (document.formulario.date.value.length == 0)
									document.formulario.date.value=getCurrentDate();
								if (document.formulario.afterTime.value.length == 0)
									document.formulario.afterTime.value="00:00";
							-->
							</script>
							<img src='../../calendar/calendar.jpg' title='<fmt:message key="reportqueuedata.calendar"/>' alt='<fmt:message key="reportqueuedata.calendar"/>' onclick="scwShow(document.getElementById('date'),this);" />
						</td>
					</tr>
					<tr class="plain">
						<td class="query"> <fmt:message key="reportqueuedata.to"/>: </td>
						<td class="query">
							<input name='beforeDate' id='beforeDate' type='text' size='10'/>
							<input name='beforeTime' id='beforeTime' type='text' size='5'/>
							<script type="text/javascript">
							<!--
								if (document.formulario.beforeDate.value.length == 0)
									document.formulario.beforeDate.value=getCurrentDate();
								if (document.formulario.beforeTime.value.length == 0)
									document.formulario.beforeTime.value=getCurrentTime();
							-->
							</script>
							<img src='../../calendar/calendar.jpg' title='<fmt:message key="reportqueuedata.calendar"/>' alt='<fmt:message key="reportqueuedata.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
						</td> 
					</tr>
					<tr class="plain">
						<td class="query"><fmt:message key="reportqueuedata.queue"/>:</td>
						<td class="query">
							<select name="queue">
								<option value="allbauducco" selected="selected"><fmt:message key="all"/></option>
								<c:forEach var="row" items="${rs.rows}">
									<option value="${row.queue}">${row.queue}</option>
								</c:forEach>
							</select>
						</td>
					</tr>
					<tr class="plain">
						<td class="query"> <fmt:message key="reportqueuedata.groupby"/>: </td>
						<td class="query">
							<select name="group">
								<option value="no"><fmt:message key="reportqueuedata.nogroup"/></option>
								<option value="horasuma"><fmt:message key="reportqueuedata.hoursum"/></option>
								<option value="hora"><fmt:message key="reportqueuedata.hour"/></option>
								<option value="dia"><fmt:message key="reportqueuedata.day"/></option>
								<option value="mes"><fmt:message key="reportqueuedata.month"/></option>
								<option value="trimes"><fmt:message key="reportqueuedata.trimester"/></option>
								<option value="semes"><fmt:message key="reportqueuedata.semester"/></option>
								<option value="anio"><fmt:message key="reportqueuedata.year"/></option>
							</select>
						</td>
					</tr>
					<tr class="plain">
						<td class="query"> <fmt:message key="reportqueuedata.fillwithzeros"/>: </td>
						<td class="query">
							<input type="checkbox" name="fill"/>
						</td>
					</tr>
					<tr class="plain">
			        	<td class="query" colspan="2">
			        		<input type='hidden' name='exceededTime' value='${sessionScope.serviceLevelTime}'/>
							<input type='hidden' name='queueTime' value='30'/>
			            	<input class="boton" type="submit" value="<fmt:message key='reportqueuedata.submit'/>"/>
			            </td>
			        </tr>
				</table>
			</form>
		</c:when>
				
		<c:otherwise>
			
			<jsp:useBean id="queueData" class="ipcontact.fast.ReportQueueDataBean" scope="page">
				<jsp:setProperty name="queueData" property="*"/> 
				<c:set target='${queueData}' property='user' value='${sessionScope.username}'/>
				<c:set target='${queueData}' property='role' value='${sessionScope.role}'/>
			</jsp:useBean>
		
			<c:set var='table' scope="session" value='${queueData.data}'/>
		
			<h3><fmt:message key="reportqueuedata.title"/></h3>
			<h3>
				<table>
					<tr>
						<td><fmt:message key="reportqueuedata.from"/>:</td>
						<td>${param.afterDate}</td>
						<td>${param.afterTime}</td>
					</tr>
					<tr>
						<td><fmt:message key="reportqueuedata.to"/>:</td>
						<td>${param.beforeDate}</td>
						<td>${param.beforeTime}</td>
					</tr>
				</table>
			</h3>
			
			<table class="data">
				<tr class="tit">
					<th> <fmt:message key="reportqueuedata.queue"/> </th>
					<c:choose>
						<c:when test="${param.group eq 'dia'}">
							<th> <fmt:message key="reportqueuedata.day"/> </th>
						</c:when>
						<c:when test="${param.group eq 'horasuma'}">
							<th> <fmt:message key="reportqueuedata.hoursum"/> </th>
						</c:when>
						<c:when test="${param.group eq 'hora'}">
							<th> <fmt:message key="reportqueuedata.hour"/> </th>
						</c:when>
						<c:when test="${param.group eq 'mes'}">
							<th> <fmt:message key="reportqueuedata.month"/> </th>
						</c:when>
						<c:when test="${param.group eq 'trimes'}">
							<th> <fmt:message key="reportqueuedata.trimester"/> </th>
						</c:when>
						<c:when test="${param.group eq 'semes'}">
							<th> <fmt:message key="reportqueuedata.semester"/> </th>
						</c:when>
						<c:when test="${param.group eq 'anio'}">
							<th> <fmt:message key="reportqueuedata.year"/> </th>
						</c:when>
					</c:choose>
					<th> <fmt:message key="reportqueuedata.data.received"/> </th>
					<th> <fmt:message key="reportqueuedata.data.answered"/> </th>
					<th> <fmt:message key="reportqueuedata.data.lost"/> </th>
					<th>Atendidas com Fila</th> 
					<th>Atendidas sem Fila</th>
					<th>Atendidas com tempo excedido</th>
					<th>Atendidas sem tempo excedido</th>
					<th> <fmt:message key="reportqueuedata.data.lostexceededtime"/> </th>
					<th> <fmt:message key="reportqueuedata.data.lostnoexceededtime"/> </th>
					<th> <fmt:message key="reportqueuedata.data.totalexceeded"/> </th>
					<th> <fmt:message key="reportqueuedata.data.durationaverage"/> </th>
					<th> <fmt:message key="reportqueuedata.data.maxdurationanswered"/> </th>
					<th> <fmt:message key="reportqueuedata.data.waitingaverageanswered"/> </th>
					<th> <fmt:message key="reportqueuedata.data.maxwaitinganswered"/> </th>
					<th> <fmt:message key="reportqueuedata.data.waitingaveragelost"/> </th>
					<th> <fmt:message key="reportqueuedata.data.maxwaitinglost"/> </th>
					<th> <fmt:message key="reportqueuedata.data.totalactivity"/> </th>
					<th> <fmt:message key="reportqueuedata.data.servicelevel"/> </th>
				</tr>
				
				<c:forEach var="row" varStatus="stat" items="${table}">
					<c:if test="${param.queue eq 'all' || not stat.last}">
						<c:choose>	
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						
						<c:choose>
							<c:when test="${not empty row.Cola}">
								<td class="data">${row.Cola}</td>
							</c:when>
							<c:otherwise>
								<td class="data"><fmt:message key="total"/></td>
							</c:otherwise>
						</c:choose>
						<c:if test="${param.group ne 'no'}">
							<c:choose>
								<c:when test="${not empty row.Grupo}">
									<td class="data">${row.Grupo}</td>
								</c:when>
								<c:otherwise>
									<td class="data"><fmt:message key="total"/></td>
								</c:otherwise>
							</c:choose>
						</c:if>
						<td class="data">${row.total}</td>
						<td class="data">${row.answered}</td>
						<td class="data">${row.lost}</td>
						<td class="data">${row.answered_queue}</td> 
						<td class="data">${row.answered_no_queue}</td> 
						<td class="data">${row.Atendidas_Tiempo_excedido_law}</td>
						<td class="data">${row.Atendidas_No_Tiempo_excedido_law}</td>
						<td class="data">${row.lost_exceeded}</td>
						<td class="data">${row.lost_not_exceeded}</td>
						<td class="data">${row.exceeded}</td>
						<td class="data">${row.answered_avg_time}</td>
						<td class="data">${row.answered_max_time}</td>
						<td class="data">${row.answered_avg_wait}</td>
						<td class="data">${row.answered_max_wait}</td>
						<td class="data">${row.lost_avg_wait}</td>
						<td class="data">${row.lost_max_wait}</td>
						<td class="data">${row.total_time_answered}</td>
						<td class="data">${row.sl}</td>		
						
						</tr>	
					</c:if>
				</c:forEach>				
			</table>	
			
			<c:choose>
				<c:when test="${param.group ne 'no'}">
					<c:choose>
						<c:when test="${param.group eq 'dia'}">
							<c:set var="template" value="bauducco_day.xml"/>
						</c:when>
						<c:when test="${param.group eq 'horasuma'}">
							<c:set var="template" value="bauducco_hoursum.xml"/>
						</c:when>
						<c:when test="${param.group eq 'hora'}">
							<c:set var="template" value="bauducco_hour.xml"/>
						</c:when>
						<c:when test="${param.group eq 'mes'}">
							<c:set var="template" value="bauducco_month.xml"/>
						</c:when>
						<c:when test="${param.group eq 'trimes'}">
							<c:set var="template" value="bauducco_trimester.xml"/>
						</c:when>
						<c:when test="${param.group eq 'semes'}">
							<c:set var="template" value="bauducco_semester.xml"/>
						</c:when>
						<c:when test="${param.group eq 'anio'}">
							<c:set var="template" value="bauducco_year.xml"/>
						</c:when>
					</c:choose>
				</c:when>
				<c:otherwise>
					<c:set var="template" value="bauducco.xml"/>
				</c:otherwise>
			</c:choose>
			
			<c:url var="linkPDF" value="../../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="landscape-report.xml"/>
				<c:param name="template" value="fast/${template}"/>
				<c:param name="reportType" value="pdf"/>					
				<c:param name="filename" value="colas"/>
				<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
				<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>
			
			<c:url var="linkXLS" value="../../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="landscape-report.xml"/>
				<c:param name="template" value="fast/${template}"/>
				<c:param name="reportType" value="xls"/>					
				<c:param name="filename" value="colas"/>
				<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
				<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>
			
			<c:url var="linkCSV" value="../../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="landscape-report.xml"/>
				<c:param name="template" value="fast/${template}"/>
				<c:param name="reportType" value="csv"/>					
				<c:param name="filename" value="colas"/>
				<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
				<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>
			
			<%@ include file="../../include/export.jsp" %>		

			<c:if test="${param.group ne 'no' && param.queue ne 'all'}">
				<fmt:message key="reportqueuedata.chart.processedcalls" var="titulo"/>
				<fmt:message key="reportqueuedata.chart.calls" var="tituloy"/>
				<fmt:message key="reportqueuedata.data.received" var="param1"/>
				<fmt:message key="reportqueuedata.data.answered" var="param2"/>
				<fmt:message key="reportqueuedata.data.lost" var="param3"/>

				<c:url var="chart1" value="../../servlet/ipcontact.QueueCharts">
					<c:param name="width" value="550"/>
					<c:param name="height" value="300"/>
					<c:param name="title" value="${titulo}"/>
					<c:param name="xtitle" value="${titulox}"/>
					<c:param name="ytitle" value="${tituloy}"/>
					<c:param name="numlines" value="3"/>
					<c:param name="param1" value="total"/>
					<c:param name="name1" value="${param1}"/>
					<c:param name="param2" value="answered"/>
					<c:param name="name2" value="${param2}"/>
					<c:param name="param3" value="lost"/>
					<c:param name="name3" value="${param3}"/>
				</c:url>

				<fmt:message key="reportqueuedata.chart.answering" var="titulo"/>
				<fmt:message key="reportqueuedata.chart.seconds" var="tituloy"/>
				<fmt:message key="reportqueuedata.data.durationaverage" var="param1"/>
				<fmt:message key="reportqueuedata.data.waitingaverageanswered" var="param2"/>
				<fmt:message key="reportqueuedata.data.waitingaveragelost" var="param3"/>

				<c:url var="chart2" value="../../servlet/ipcontact.QueueCharts">
					<c:param name="width" value="550"/>
					<c:param name="height" value="300"/>
					<c:param name="title" value="${titulo}"/>
					<c:param name="xtitle" value="${titulox}"/>
					<c:param name="ytitle" value="${tituloy}"/>
					<c:param name="numlines" value="3"/>
					<c:param name="param1" value="answered_avg_time"/>
					<c:param name="name1" value="${param1}"/>
					<c:param name="param2" value="answered_avg_wait"/>
					<c:param name="name2" value="${param2}"/>
					<c:param name="param3" value="lost_avg_wait"/>
					<c:param name="name3" value="${param3}"/>
				</c:url>

				<fmt:message key="reportqueuedata.chart.answering" var="titulo"/>
				<fmt:message key="reportqueuedata.chart.calls" var="tituloy"/>
				<fmt:message key="reportqueuedata.data.lostexceededtime" var="param1"/>
				<fmt:message key="reportqueuedata.data.lostnoexceededtime" var="param2"/>

				<c:url var="chart3" value="../../servlet/ipcontact.QueueCharts">
					<c:param name="width" value="550"/>
					<c:param name="height" value="300"/>
					<c:param name="title" value="${titulo}"/>
					<c:param name="xtitle" value="${titulox}"/>
					<c:param name="ytitle" value="${tituloy}"/>
					<c:param name="numlines" value="6"/>
					<c:param name="param1" value="lost_exceeded"/>
					<c:param name="name1" value="${param1}"/>
					<c:param name="param2" value="lost_not_exceeded"/>
					<c:param name="name2" value="${param2}"/>
					<c:param name="param3" value="answered_queue"/>
					<c:param name="name3" value="Atendidas com Fila"/>
					<c:param name="param4" value="answered_no_queue"/>
					<c:param name="name4" value="Atendidas sem Fila"/>
					<c:param name="param5" value="Atendidas_Tiempo_excedido"/>
					<c:param name="name5" value="Atendidas com tempo excedido"/>
					<c:param name="param6" value="Atendidas_No_Tiempo_excedido"/>
					<c:param name="name6" value="Atendidas sem tempo excedido"/>
				</c:url>  

				<fmt:message key="reportqueuedata.data.servicelevel" var="titulo"/>
				<fmt:message key="reportqueuedata.data.servicelevel" var="tituloy"/>
				<fmt:message key="reportqueuedata.data.servicelevel" var="param1"/>

				<c:url var="chart4" value="../../servlet/ipcontact.QueueCharts">
					<c:param name="width" value="550"/>
					<c:param name="height" value="300"/>
					<c:param name="title" value="${titulo}"/>
					<c:param name="xtitle" value="${titulox}"/>
					<c:param name="ytitle" value="${tituloy}"/>
					<c:param name="numlines" value="1"/>
					<c:param name="param1" value="sl"/>
					<c:param name="name1" value="${param1}"/>
				</c:url>

				<br/><br/>

				<table>
					 <tr>
						<td class="query">
							<img src="${chart1}"/>
						</td>
						<td class="query">
							<img src="${chart2}"/>
						</td>
					 </tr>
					 <tr>
						<td class="query">
							<img src="${chart3}"/>
						</td> 
						<td class="query">
							<img src="${chart4}"/>
						</td> 
					</tr>
				</table>
			</c:if>
		</c:otherwise>			
	</c:choose>
</fmt:bundle>
</div>
</body>
</html>


