<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
	
		<c:choose>
			<c:when test='${empty param.rows}'>
				<h1><fmt:message key="listconnections.title"/></h1>
				<form method="post" name="formulario" action="listConnections.jsp" target="_self">
					<table class="query">
						<tr class="plain">
							<c:choose>
								<c:when test="${sessionScope.role eq 'admin'}">
									<sql:query var="rs" dataSource="jdbc/ipcontactRO">
										SELECT first_name, last_name, username
										FROM agents
										INNER JOIN users ON username = user
										ORDER BY first_name
									</sql:query>

									<sql:query var="rsGroups" dataSource="jdbc/ipcontactRO">
										SELECT group_id, group_name
										FROM groups
										ORDER BY group_name
									</sql:query>
								</c:when>
								<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
									<sql:query var="rs" dataSource="jdbc/ipcontactRO">
										SELECT first_name, last_name, username
										FROM agents
										INNER JOIN users on username = user
										INNER JOIN supervisors_groups USING (group_id)
										WHERE user_id = '${sessionScope.username}'
										ORDER BY first_name
									</sql:query>
									
									<sql:query var="rsGroups" dataSource="jdbc/ipcontactRO">
										SELECT group_id, group_name
										FROM supervisors_groups 
										INNER JOIN groups USING (group_id)
										WHERE user_id = '${sessionScope.username}'
										ORDER BY group_name
									</sql:query>
								</c:when>
							</c:choose>
												
							<sql:query var="rs2" dataSource="jdbc/ipcontact">
								SELECT id, reason 
								FROM pause_reason
							</sql:query>
							
							<td class="query"><fmt:message key="listconnections.agent"/>:</td>
							<td class="query">
								<select name="agent">
									<option value="all" selected="selected"><fmt:message key="allm"/></option>
									<c:forEach var="row" varStatus="stat" items="${rs.rows}">
										<option value="${row.username}">${row.first_name} ${row.last_name}</option>
									</c:forEach>
								</select> 
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listconnections.group"/>:</td>
							<td class="query">
								<select name="group">
									<option value="all" selected="selected"><fmt:message key="allm"/></option>
									<c:forEach var="row" varStatus="stat" items="${rsGroups.rows}">
										<option value="${row.group_id}">${row.group_name}</option>
									</c:forEach>
								</select> 
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listconnections.from"/>:</td>
							<td class="query">
								<input name='afterDate' id='afterDate' type='text' size='10'/>
								<input name='afterTime' id='afterTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.afterDate.value.length == 0)
										document.formulario.afterDate.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value="00:00";
								-->
								</script>
								<img src='../calendar/calendar.jpg' title='<fmt:message key="listconnections.calendar"/>' alt='<fmt:message key="listconnections.calendar"/>' onclick="scwShow(document.getElementById('afterDate'),this);" />
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listconnections.to"/>:</td>
							<td class="query">
								<input name='beforeDate' id='beforeDate' type='text' size='10'/>
								<input name='beforeTime' id='beforeTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src='../calendar/calendar.jpg' title='<fmt:message key="listconnections.calendar"/>' alt='<fmt:message key="listconnections.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
							</td>
							<td class="query"></td>
						</tr>
						<c:if test="${sessionScope.role eq 'admin'}">
							<tr class="plain">
								<td class="query"><fmt:message key="listconnections.ip"/>:</td>
								<td class="query"><input type="text" size="35" name="ip"/></td>
								<td class="query">
									<select name="iptype">
										<option value="1" ><fmt:message key="equal"/></option>
										<option value="2" selected="selected"><fmt:message key="contain"/></option>
										<option value="3" ><fmt:message key="startswith"/></option>
										<option value="4" ><fmt:message key="endswith"/></option>
									</select> 
								</td>
							</tr>
						</c:if>
						<tr class="plain">
							<td class="query"><fmt:message key="listconnections.extension"/>:</td>
							<td class="query"><input type="text" size="5" name="extension"/></td>
							<td class="query">
								<select name="extentype">
									<option value="1" ><fmt:message key="equal"/></option>
									<option value="2" selected="selected"><fmt:message key="contain"/></option>
									<option value="3" ><fmt:message key="startswith"/></option>
									<option value="4" ><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listconnections.type"/>:</td>
							<td class="query">
								<select name="type">
									<option value="all" selected="selected"><fmt:message key="all"/></option>
									<option value="sessions"><fmt:message key="listconnections.sessions"/></option>
									<option value="pauses"><fmt:message key="listconnections.pauses"/></option>
									<c:if test="${not empty rs2.rows}">
										<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
												<option value="${row.id}"><fmt:message key="listconnections.pauses"/> - ${row.reason}</option>
										</c:forEach>
									</c:if>
								</select> 
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listconnections.results"/>:</td>
							<td class="query">
								<input type="radio" name="rows" value="10"/><label>10</label>		
								<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
								<input type="radio" name="rows" value="50"/><label>50</label>		
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query" colspan="3">
								<input class="boton" type="submit" name="submit" value="<fmt:message key="listconnections.submit"/>"/>
							</td>
						</tr>
					</table>
				</form>
			</c:when>
		
			<c:otherwise>
			
				<w:where var='conds1'>
					<w:condition condition='callinfo.agent IS NOT NULL'/>
					<w:condition attribute='calldate' afterDate='${param.afterDate}' afterTime='${param.afterTime}'/>
					<w:condition attribute='calldate' beforeDate='${param.beforeDate}' beforeTime='${param.beforeTime}'/>
				</w:where>
				
				<w:where var='conds2'>
					<w:condition attribute='logout' afterDate='${param.afterDate}' afterTime='${param.afterTime}'/>
					<w:condition attribute='logout' beforeDate='${param.beforeDate}' beforeTime='${param.beforeTime}'/>
				</w:where>
				
				<w:where var='conds3'>
					<c:choose>
					    <c:when test='${param.agent != "all"}'>
							<w:condition attribute='username' value='${param.agent}'/>
					    </c:when>
					    <c:otherwise>
							<c:if test="${sessionScope.role ne 'admin'}">
								<w:condition condition='username IN (
									SELECT username FROM agents INNER JOIN users on username = user
									INNER JOIN supervisors_groups USING (group_id)
									WHERE user_id = "${sessionScope.username}")'/>
							</c:if>
					    </c:otherwise>
					</c:choose>
					<c:choose>
					    <c:when test='${param.group != "all"}'>
							<w:condition attribute='group_id' value='${param.group}'/>
					    </c:when>
					    <c:otherwise>
							<c:if test="${sessionScope.role ne 'admin'}">
								<w:condition condition='group_id IN (
									SELECT group_id
									FROM supervisors_groups
									WHERE user_id = "${sessionScope.username}")'/>
							</c:if>
					    </c:otherwise>
					</c:choose>
					<c:if test="${sessionScope.role eq 'admin'}">
						<w:condition attribute='INET_NTOA(host)' comparator='${param.iptype}' value='${param.ip}'/>
					</c:if>
					<w:condition attribute='info' comparator='${param.extentype}' value='${param.extension}'/>
					<c:choose>
						<c:when test='${param.type == "sessions"}'>
							<w:condition attribute='type' value='0'/>
						</c:when>
						<c:when test='${param.type == "pauses"}'>
							<w:condition attribute='type' value='1'/>
						</c:when>
						<c:when test='${param.type != "all" && param.type != "sessions" && param.type != "pauses"}'>
							<w:condition attribute='P.reason' value='${param.type}'/>
						</c:when>
					</c:choose>
					<c:if test="${sessionScope.fast}">
						<w:condition attribute='logout' afterDate='${param.afterDate}' afterTime='${param.afterTime}'/>
						<w:condition attribute='logout' beforeDate='${param.beforeDate}' beforeTime='${param.beforeTime}'/>
					</c:if>
				</w:where>
		
				<c:set var="offset" value="${param.offset}"/>
		        
				<c:if test="${empty offset}">
				  <c:set var="offset" value="0"/>
				</c:if>		

				<c:choose>
					<c:when test="${sessionScope.fast}">
						<c:set var="sql" scope="session" value=
							"SELECT
								first_name,
								last_name,
								username,
								type,
								info,
								pr.reason AS reason,
								group_id,
								group_name,
								CAST(INET_NTOA(host) AS CHAR) AS hostf,
								DATE_FORMAT(login, '%d/%m/%Y %T') AS loginf,
								DATE_FORMAT(logout, '%d/%m/%Y %T') AS logoutf,
								CAST(TIMEDIFF(logout, login) AS CHAR) AS difftime
							FROM
								users_log AS P
								INNER JOIN users ON P.user = users.username
								INNER JOIN groups USING (group_id)
								LEFT JOIN pause_reason pr ON pr.id = P.reason
								${conds3}
							GROUP BY username, login"
						/>
					</c:when>
					<c:otherwise>
						<c:set var="sql" scope="session" value=
							"SELECT
								first_name,
								last_name,
								username,
								type,
								info,
								pr.reason AS reason,
								group_id,
								group_name,
								CAST(INET_NTOA(host) AS CHAR) AS hostf,
								DATE_FORMAT(login, '%d/%m/%Y %T') AS loginf,
								DATE_FORMAT(logout, '%d/%m/%Y %T') AS logoutf,
								CAST(TIMEDIFF(logout, login) AS CHAR) AS difftime,
								SUM(processed_calls) AS processed_calls,
								SUM(answered_calls) AS answered_calls,
								SUM(processed_calls) - SUM(answered_calls) AS lost_calls
							FROM (
								SELECT
									first_name,
									last_name,
									username,
									logout,
									login,
									type,
									host,
									info,
									reason,
									group_id,
									group_name,
									IF(ci_agent = users_log.user,1,COUNT(C.calldate)) AS processed_calls,
									IF(ci_agent = users_log.user,1,0) AS answered_calls
								FROM (
									users_log
									INNER JOIN users ON users_log.user = users.username
									INNER JOIN groups USING (group_id))
									LEFT JOIN (
										SELECT
											calldate,
											callinfo.agent AS ci_agent,
											agent_lost.agent AS al_agent,
											direction,
											cdr.uniqueid AS uid
										FROM cdr
										INNER JOIN callinfo USING(uniqueid)
										LEFT JOIN agent_lost USING(uniqueid)
										${conds1}
									) AS C
									ON (C.ci_agent = users_log.user OR C.al_agent = users_log.user) AND C.calldate > users_log.login
									AND C.calldate < users_log.logout
								${conds2}
								GROUP BY login, C.uid ORDER BY NULL
							) AS P
							LEFT JOIN pause_reason pr ON pr.id = P.reason
							${conds3}
							GROUP BY username, login"
						/>
					</c:otherwise>
				</c:choose>
				
				<sql:query var="rs" dataSource="jdbc/ipcontactRO">
					SELECT count(*) AS count FROM (${sql}) AS X
				</sql:query>
		
				<c:if test='${rs.rows[0].count > (offset + param.rows)}'>
				  <c:set var="nextOffset" value="true"/>
				</c:if>
							
				<sql:query var="rs" dataSource="jdbc/ipcontactRO">
					${sql} 
					LIMIT ${param.rows} OFFSET ${offset}  
				</sql:query>
		
				<h3><fmt:message key="listconnections.title"/></h3>
				
				<h3>
					<table>
						<tr>
							<td> <fmt:message key="listconnections.from"/>:</td>
							<td>${param.afterDate}</td>
							<td>${param.afterTime}</td>
						</tr>
						<tr>
							<td> <fmt:message key="listconnections.to"/>:</td>
							<td>${param.beforeDate}</td>
							<td>${param.beforeTime}</td>
						</tr>
					</table>
				</h3>
		
				<form method="post" action="listConnections.jsp" name="jumpForm">
					<input type="hidden" name="afterTime" value="${param.afterTime}"/>
					<input type="hidden" name="afterDate" value="${param.afterDate}"/>
					<input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
					<input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
					<input type="hidden" name="agent" value="${param.agent}"/>
					<c:if test="${sessionScope.role eq 'admin'}">
						<input type="hidden" name="ip" value="${param.ip}"/>
						<input type="hidden" name="iptype" value="${param.iptype}"/>
					</c:if>
					<input type="hidden" name="extension" value="${param.extension}"/>
					<input type="hidden" name="extentype" value="${param.extentype}"/>
					<input type="hidden" name="type" value="${param.type}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
		
				<table class="data">	
					<tr class="tit">
						<th><fmt:message key="listconnections.data.name"/></th>
						<th><fmt:message key="listconnections.group"/></th>
						<c:if test="${sessionScope.role eq 'admin'}">
							<th><fmt:message key="listconnections.data.ip"/></th>
						</c:if>
						<th><fmt:message key="listconnections.data.extension"/></th>
						<th><fmt:message key="listconnections.data.login"/></th>
						<th><fmt:message key="listconnections.data.logout"/></th>
						<th><fmt:message key="listconnections.data.time"/></th>
						<th><fmt:message key="listconnections.data.type"/></th>
						<c:if test="${not sessionScope.fast}">
							<th><fmt:message key="listconnections.data.processed"/></th>
							<th><fmt:message key="listconnections.data.answered"/></th>
							<th><fmt:message key="listconnections.data.lost"/></th>
						</c:if>
					</tr>
		
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<c:choose>
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>	
								<td class="data">${row.first_name} ${row.last_name} (${row.username})</td>
								<td class="data">${row.group_name}</td>
								<c:if test="${sessionScope.role eq 'admin'}">
									<td class="data">${row.hostf}</td>	
								</c:if>
								<td class="data">
									<c:choose>
										<c:when test="${empty row.info}">
											N/A
										</c:when>
										<c:otherwise>
											${row.info}
										</c:otherwise>
									</c:choose>
								</td>	
								<td class="data">${row.loginf}</td>	
								<td class="data">${row.logoutf}</td>	
								<td class="data">${row.difftime}</td>
														
								<c:choose>
									<c:when test="${row.type eq '0'}">
										<td class="data"><fmt:message key="listconnections.session"/></td>
									</c:when>
									<c:otherwise>
										<c:choose>
											<c:when test="${empty row.reason}">
												<td class="data"><fmt:message key="listconnections.pause"/></td>
											</c:when>
											<c:otherwise>
												<td class="data"><fmt:message key="listconnections.pause"/> (${row.reason})</td>
											</c:otherwise>
										</c:choose>
									</c:otherwise>
								</c:choose>
								<c:if test="${not sessionScope.fast}">
									<td class="data">${row.processed_calls}</td>
									<td class="data">${row.answered_calls}</td>
									<td class="data">${row.lost_calls}</td>
								</c:if>
					</tr>
					</c:forEach>
				</table>
		
				<util:jump offset='${offset}' rows='${param.rows}' nextOffset='${nextOffset}'/>
				
				<c:choose>
					<c:when test="${sessionScope.role eq 'admin'}">
					    <c:set var="template" value="connections_ip.xml"/>
					</c:when>
					<c:otherwise>
					    <c:set var="template" value="connections.xml"/>				
					</c:otherwise>
				</c:choose>

				<c:if test="${sessionScope.fast}">
					<c:set var="template" value="fast/${template}"/>
				</c:if>
				
				<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="${template}"/>
					<c:param name="reportType" value="pdf"/>					
					<c:param name="filename" value="conexiones"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
				</c:url>
				
				<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="${template}"/>
					<c:param name="reportType" value="xls"/>					
					<c:param name="filename" value="conexiones"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
				</c:url>
				
				<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="${template}"/>
					<c:param name="reportType" value="csv"/>					
					<c:param name="filename" value="conexiones"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
				</c:url>
				
				<%@ include file="../include/export.jsp" %>	
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>


