		<%pageContext.setAttribute("path","../");%>
		<%@ include file="../menu.jsp" %>

		<c:set var="hoursOfDay" value="24"/>
		<c:set var="daysOfMonth" value="30"/>

		<div id="right">
			<fmt:bundle basename="statistics">
				<h1><fmt:message key="listgraphs.title"/></h1>
		
				<c:choose>
					<c:when test='${empty param.range}'>
						 <c:choose>
							 <c:when test="${sessionScope.asterisk12}">
								 <sql:query var="rs" dataSource="jdbc/ipcontactRO">
									 SELECT number, info FROM pstnlines ORDER BY number
								 </sql:query>
							 </c:when>
							 <c:otherwise>
								 <sql:query var="rs" dataSource="jdbc/ipcontactRO">
									 SELECT number, info FROM pstnline ORDER BY number
								 </sql:query>
							 </c:otherwise>
						 </c:choose>

						<sql:query var="rsHunt" dataSource="jdbc/ipcontactRO">
							SELECT *
							FROM hunt
						</sql:query>
						
						<form method="post" name="formulario" action="listGraphs.jsp" target="_self">
							<table class="query">
								<tr class="plain">
									<td class="query"><fmt:message key="listgraphs.from"/>:</td>
									<td class="query">
										<input name='afterDate' id='afterDate' type='text' size='10'/>
										<input name='afterTime' id='afterTime' type='text' size='5'/>
										<script type="text/javascript">
										<!--
											if (document.formulario.afterDate.value.length == 0)
												document.formulario.afterDate.value=getCurrentDate();
											if (document.formulario.afterTime.value.length == 0)
												document.formulario.afterTime.value="00:00";
										-->
										</script>
										<img src='../calendar/calendar.jpg' title='<fmt:message key="listgraphs.calendar"/>' alt='<fmt:message key="listgraphs.calendar"/>' onclick="scwShow(document.getElementById('afterDate'),this);" />
									</td>
								</tr>
								<tr class="plain">
									<td class="query"><fmt:message key="listgraphs.to"/>:</td>
									<td class="query">
										<input name='beforeDate' id='beforeDate' type='text' size='10'/>
										<input name='beforeTime' id='beforeTime' type='text' size='5'/>
										<script type="text/javascript">
										<!--
											if (document.formulario.beforeDate.value.length == 0)
												document.formulario.beforeDate.value=getCurrentDate();
											if (document.formulario.beforeTime.value.length == 0)
												document.formulario.beforeTime.value=getCurrentTime();
										-->
										</script>
										<img src='../calendar/calendar.jpg' title='<fmt:message key="listgraphs.calendar"/>' alt='<fmt:message key="listgraphs.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
									</td>
								</tr>
				
							<c:if test="${!empty rs}">			
								<tr class="plain">
									<td class="query"><fmt:message key="listgraphs.pstn"/>:</td>
									<td class="query">
										<select name="line">
											<option value="all" selected="selected"><fmt:message key="all"/></option>
											<c:forEach var="row" items="${rs.rows}">
												<option value="${row.number}">${row.info}</option>
											</c:forEach>
											<c:forEach var="row" items="${rsHunt.rows}">
												<option value="hunt-${row.number}">Grupo: ${row.info}</option>
											</c:forEach>
										</select>
									</td>
								</tr>
							</c:if>
				
							<% 	
								Document doc;
								Element action;
								String [] [] result;
								
								doc = XMLHelper.newDocument();
								action = XMLHelper.newElement(doc, "query", "type", "get queues");
								doc.appendChild(action);
								result = net.actionArray(doc, 7);
								pageContext.setAttribute("result", result);
							%>
						 
								<tr class="plain">
									<td class="query"><fmt:message key="listgraphs.target"/>:</td>
									<td class="query">
										<select name="incoming">
											<option value="all" selected="selected"><fmt:message key="all"/></option>
											<option value="0"><fmt:message key="listgraphs.outgoing"/></option>
											<option value="1"><fmt:message key="listgraphs.incoming"/></option>
											<option value="2"><fmt:message key="listgraphs.internal"/></option>
											<option value="call">call center</option>
											<c:forEach var="row" items="${result}">
												<option value="${row[0]}">${row[0]}</option>
											</c:forEach>
										</select>
									</td>
								</tr>
				
								<tr class="plain">
									<td class="query"><fmt:message key="listgraphs.groupby"/>:</td>
									<td class="query">
										<select name="range">
											<option value="monthly" selected="selected"><fmt:message key="listgraphs.day"/></option>
											<option value="daily"><fmt:message key="listgraphs.hour"/></option>
											<option value="hourly"><fmt:message key="listgraphs.minute"/></option>
										</select>
									</td>
								</tr>
				
								<tr class="plain">
									<td class="query" colspan="3">
										<input class="boton" type="submit" name="submit" value="<fmt:message key="listgraphs.show"/>"/>
									</td>
								</tr>
							</table>
						</form>
					</c:when>
				
					<c:otherwise>
						<c:choose>
							<c:when test="${param.range == 'monthly'}">
								<fmt:message key="listgraphs.day" var="xtitle"/>
							</c:when>
							<c:when test="${param.range == 'daily'}">
								<fmt:message key="listgraphs.hour" var="xtitle"/>
							</c:when>
							<c:when test="${param.range == 'hourly'}">
								<fmt:message key="listgraphs.minute" var="xtitle"/>
							</c:when>
						</c:choose>
				
						<br/>
				
						<h3>
							<fmt:message key="listgraphs.results.title">
								<fmt:param value="${param.afterDate}"/>
								<fmt:param value="${param.afterTime}"/>
								<fmt:param value="${param.beforeDate}"/>
								<fmt:param value="${param.beforeTime}"/>
							</fmt:message>
							<c:if test="${param.line ne 'all'}">
								<br/>
								<c:choose>
									<c:when test="${fn:startsWith(param.line, \"hunt-\")}">
										<sql:query var="rs" dataSource="jdbc/ipcontactRO">
											SELECT info FROM hunt WHERE number = ${fn:substringAfter(param.line, "-")}
										</sql:query>
									</c:when>
									<c:otherwise>
										<c:choose>
											<c:when test="${sessionScope.asterisk12}">
												<sql:query var="rs" dataSource="jdbc/ipcontactRO">
													SELECT info FROM pstnlines WHERE number = ${param.line}
												</sql:query>
											</c:when>
											<c:otherwise>
												<sql:query var="rs" dataSource="jdbc/ipcontactRO">
													SELECT info FROM pstnline WHERE number = ${param.line}
												</sql:query>
											</c:otherwise>
										</c:choose>
									</c:otherwise>
								</c:choose>
								<fmt:message key="listgraphs.pstn"/>: ${rs.rows[0].info}
							</c:if>
							<c:if test="${param.incoming ne 'all'}">
								<br/>
								<fmt:message key="listgraphs.target"/>:
								<c:choose>
									<c:when test="${param.incoming eq '0'}">
										<fmt:message key="listgraphs.outgoing"/>
									</c:when>
									<c:when test="${param.incoming eq '1'}">
										<fmt:message key="listgraphs.incoming"/>
									</c:when>
									<c:when test="${param.incoming eq '2'}">
										<fmt:message key="listgraphs.internal"/>
									</c:when>
									<c:when test="${param.incoming eq 'call'}">
										call center
									</c:when>
									<c:otherwise>
										${param.incoming}
									</c:otherwise>
								</c:choose>
							</c:if>
							<br/>
							<fmt:message key="listgraphs.groupby"/>
							<c:choose>
								<c:when test="${param.range eq 'monthly'}">
									<fmt:message key="listgraphs.day"/>
								</c:when>
								<c:when test="${param.range eq 'daily'}">
									<fmt:message key="listgraphs.hour"/>
								</c:when>
								<c:when test="${param.range eq 'hourly'}">
									<fmt:message key="listgraphs.minute"/>
								</c:when>
							</c:choose>
						</h3>

						<fmt:message key="listgraphs.loading" var="loading"/>
						
						<table cellpadding="25">
							<tr>
								<td>
									<fmt:message key="listgraphs.number" var="ytitle"/>
									<fmt:message key="listgraphs.numberofcalls" var="title"/>
									
									<c:url var="chart1" value="../servlet/ipcontact.Charts">
										<c:param name="afterDate" value="${param.afterDate}"/>
										<c:param name="afterTime" value="${param.afterTime}"/>
										<c:param name="beforeDate" value="${param.beforeDate}"/>
										<c:param name="beforeTime" value="${param.beforeTime}"/>
										<c:param name="range" value="${param.range}"/>
										<c:param name="line" value="${param.line}"/>
										<c:param name="incoming" value="${param.incoming}"/>
										<c:param name="count" value="1"/>
										<c:param name="width" value="550"/>
										<c:param name="height" value="300"/>
										<c:param name="title" value="${title}"/>
										<c:param name="xtitle" value="${xtitle}"/>
										<c:param name="ytitle" value="${ytitle}"/>
									</c:url>
				
									<img src="${chart1}" alt="${loading}"/>
								</td>
							</tr>
				
							<tr>
								<td>
									<fmt:message key="listgraphs.minutes" var="ytitle"/>
									<fmt:message key="listgraphs.durationaverage" var="title"/>
									
									<c:url var="chart2" value="../servlet/ipcontact.Charts">
										<c:param name="afterDate" value="${param.afterDate}"/>
										<c:param name="afterTime" value="${param.afterTime}"/>
										<c:param name="beforeDate" value="${param.beforeDate}"/>
										<c:param name="beforeTime" value="${param.beforeTime}"/>
										<c:param name="range" value="${param.range}"/>
										<c:param name="line" value="${param.line}"/>
										<c:param name="incoming" value="${param.incoming}"/>
										<c:param name="count" value="0"/>
										<c:param name="width" value="550"/>
										<c:param name="height" value="300"/>
										<c:param name="title" value="${title}"/>
										<c:param name="xtitle" value="${xtitle}"/>
										<c:param name="ytitle" value="${ytitle}"/>
									</c:url>
				
									<img src="${chart2}" alt="${loading}"/>
								</td>
							</tr>
				
							<c:choose>
								<c:when test="${param.incoming == 'all'}">
									<tr>
										<td>
											<fmt:message key="listgraphs.callsdirection" var="title"/>
											<fmt:message key="listgraphs.incoming" var="in"/>
											<fmt:message key="listgraphs.outgoing" var="out"/>
											<fmt:message key="listgraphs.internal" var="loc"/>

											<c:url var="chart3" value="../servlet/ipcontact.Charts">
												<c:param name="afterDate" value="${param.afterDate}"/>
												<c:param name="afterTime" value="${param.afterTime}"/>
												<c:param name="beforeDate" value="${param.beforeDate}"/>
												<c:param name="beforeTime" value="${param.beforeTime}"/>
												<c:param name="range" value="pieDirection"/>
												<c:param name="line" value="${param.line}"/>
												<c:param name="width" value="550"/>
												<c:param name="height" value="300"/>
												<c:param name="title" value="${title}"/>
												<c:param name="in" value="${in}"/>
												<c:param name="out" value="${out}"/>
												<c:param name="loc" value="${loc}"/>
												<c:param name="incoming" value="${param.incoming}"/>
											</c:url>

											<img src="${chart3}" alt="${loading}"/>
										</td>
									</tr>
								</c:when>
								<c:when test="${param.incoming != '0' && param.incoming != '1' && param.incoming != '2'}">
									<tr>
										<td>
											<fmt:message key="listgraphs.calldistribution" var="title"/>
											<fmt:message key="listgraphs.lost" var="xtitle"/>
											<fmt:message key="listgraphs.taken" var="ytitle"/>
											 
											<c:url var="chart7" value="../servlet/ipcontact.Charts">
												<c:param name="afterDate" value="${param.afterDate}"/>
												<c:param name="afterTime" value="${param.afterTime}"/>
												<c:param name="beforeDate" value="${param.beforeDate}"/>
												<c:param name="beforeTime" value="${param.beforeTime}"/>
												<c:param name="range" value="pieQueue"/>
												<c:param name="line" value="${param.line}"/>
												<c:param name="width" value="550"/>
												<c:param name="height" value="300"/>
												<c:param name="title" value="${title}"/>
												<c:param name="xtitle" value="${xtitle}"/>
												<c:param name="ytitle" value="${ytitle}"/>
												<c:param name="incoming" value="${param.incoming}"/>
											</c:url>

											<img src="${chart7}" alt="${loading}"/>
										</td>
									</tr>
								</c:when>
							</c:choose>
				
							<c:choose>
								<c:when test="${param.incoming != '2' && (param.line == 'all' || fn:startsWith(param.line, \"hunt-\"))}">
									<tr>
										<td>
											<fmt:message key="listgraphs.pstnuse" var="title"/>

											<c:url var="chart4" value="../servlet/ipcontact.Charts">
												<c:param name="afterDate" value="${param.afterDate}"/>
												<c:param name="afterTime" value="${param.afterTime}"/>
												<c:param name="beforeDate" value="${param.beforeDate}"/>
												<c:param name="beforeTime" value="${param.beforeTime}"/>
												<c:param name="range" value="pieLine"/>
												<c:param name="width" value="550"/>
												<c:param name="height" value="300"/>
												<c:param name="incoming" value="${param.incoming}"/>
												<c:param name="title" value="${title}"/>
												<c:param name="line" value="${param.line}"/>
											</c:url>

											<img src="${chart4}" alt="${loading}"/>
										</td>
									</tr>
				
									<tr>
										<td>
											<fmt:message key="listgraphs.pstns" var="xtitle"/>
											<fmt:message key="listgraphs.percentage" var="ytitle"/>
											<fmt:message key="listgraphs.pstntime" var="title"/>

											<c:url var="chart5" value="../servlet/ipcontact.Charts">
												<c:param name="afterDate" value="${param.afterDate}"/>
												<c:param name="afterTime" value="${param.afterTime}"/>
												<c:param name="beforeDate" value="${param.beforeDate}"/>
												<c:param name="beforeTime" value="${param.beforeTime}"/>
												<c:param name="range" value="externalSum${param.range}"/>
												<c:param name="line" value="${param.line}"/>
												<c:param name="width" value="550"/>
												<c:param name="height" value="300"/>
												<c:param name="incoming" value="${param.incoming}"/>
												<c:param name="title" value="${title}"/>
												<c:param name="xtitle" value="${xtitle}"/>
												<c:param name="ytitle" value="${ytitle}"/>
												<c:param name="hoursOfDay" value="${hoursOfDay}"/>
												<c:param name="daysOfMonth" value="${daysOfMonth}"/>
											</c:url>

											<img src="${chart5}" alt="${loading}"/>
										</td>
									</tr>
								</c:when>
								<c:when test="${param.incoming != '2'}">
									<tr>
										<td>
											<fmt:message key="listgraphs.lineuse" var="title"/>
											<fmt:message key="listgraphs.inUse" var="inUse"/>
											<fmt:message key="listgraphs.noUse" var="noUse"/>
											<fmt:message key="listgraphs.minutes" var="minutes"/>
											<fmt:message key="listgraphs.hours" var="hours"/>

											<c:url var="chart6" value="../servlet/ipcontact.Charts">
												<c:param name="afterDate" value="${param.afterDate}"/>
												<c:param name="afterTime" value="${param.afterTime}"/>
												<c:param name="beforeDate" value="${param.beforeDate}"/>
												<c:param name="beforeTime" value="${param.beforeTime}"/>
												<c:param name="range" value="pieTime${param.range}"/>
												<c:param name="line" value="${param.line}"/>
												<c:param name="width" value="550"/>
												<c:param name="height" value="300"/>
												<c:param name="incoming" value="${param.incoming}"/>
												<c:param name="title" value="${title}"/>
												<c:param name="inUse" value="${inUse}"/>
												<c:param name="noUse" value="${noUse}"/>
												<c:param name="minutes" value="${minutes}"/>
												<c:param name="hours" value="${hours}"/>
											</c:url>

											<img src="${chart6}" alt="${loading}"/>
										</td>
									</tr>	
								</c:when>
							</c:choose>

							<c:if test="${param.incoming != '2' && param.line == 'all'}">
								<tr>
									<td>
										<fmt:message key="listgraphs.pstnhuntuse" var="title"/>

										<c:url var="chart7" value="../servlet/ipcontact.Charts">
											<c:param name="afterDate" value="${param.afterDate}"/>
											<c:param name="afterTime" value="${param.afterTime}"/>
											<c:param name="beforeDate" value="${param.beforeDate}"/>
											<c:param name="beforeTime" value="${param.beforeTime}"/>
											<c:param name="range" value="pieHuntLine"/>
											<c:param name="width" value="550"/>
											<c:param name="height" value="300"/>
											<c:param name="incoming" value="${param.incoming}"/>
											<c:param name="title" value="${title}"/>
											<c:param name="line" value="${param.line}"/>
										</c:url>

										<img src="${chart7}" alt="${loading}"/>
									</td>
								</tr>
							</c:if>
						</table>
					</c:otherwise>
				</c:choose>
			</fmt:bundle>
		</div>
	</body>
</html>

