<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<c:choose>
			<c:when test="${empty param.afterDate}">
				
				<sql:query var="rs" dataSource="jdbc/ipcontactRO">
					SELECT DISTINCT name, number 
					FROM vpbx 
					ORDER by name
				</sql:query>
				
				
				<h1><fmt:message key="groupextensions.title"/></h1>
				
				<form method="get" name="formulario" action="groupExtensions.jsp">
	 				<table class="query">
		            	<tr class="plain">
							<td class="query"> <fmt:message key="groupextensions.from"/>: </td>
							<td class="query">
								<input name='afterDate' id='date' type='text' size='10'/>
								<input name='afterTime' id='afterTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.date.value.length == 0)
										document.formulario.date.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value="00:00";
								-->
								</script>
								<img src='../../calendar/calendar.jpg' title='<fmt:message key="groupextensions.calendar"/>' alt='<fmt:message key="groupextensions.calendar"/>' onclick="scwShow(document.getElementById('date'),this);" />
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"> <fmt:message key="groupextensions.to"/>: </td>
							<td class="query">
								<input name='beforeDate' id='beforeDate' type='text' size='10'/>
								<input name='beforeTime' id='beforeTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src='../../calendar/calendar.jpg' title='<fmt:message key="reportqueuedata.calendar"/>' alt='<fmt:message key="reportqueuedata.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
							</td> 
							<td class="query"/>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="groupextensions.vpbx"/>:</td>
							<td class="query">
								<select name="vpbx">
								<option value="all" selected="selected"><fmt:message key="allm"/></option>
									<c:forEach var="row" items="${rs.rows}">
										<option value="${row.number}">${row.name}</option>
									</c:forEach>
								</select>
							</td>
							<td class="query"/>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="groupextensions.results"/>:</td>
							<td class="query">
								<select name="call">
									<option value="all" selected="selected"><fmt:message key="groupextensions.allcalls"/></option>
									<option value="callsgroup"><fmt:message key="groupextensions.callsgroups"/></option>
								</select>
							</td>
							<td class="query"/>
						</tr>
						
						
						
						<tr class="plain">
							<td class="query"> <fmt:message key="groupextensions.groupby"/>: </td>
							<td class="query">
								<select name="group">
									<option value="no"><fmt:message key="groupextensions.nogroup"/></option>
									<option value="hora"><fmt:message key="groupextensions.hour"/></option>
									<option value="dia"><fmt:message key="groupextensions.day"/></option>
								</select>
							</td>
							<td class="query"/>
						</tr>
						
						<tr class="plain">
			        		<td class="query" colspan="2">
			        			<input class="boton" type="submit" value="<fmt:message key='groupextensions.submit'/>"/>
			            	</td>
			            	<td class="query"/>
			        	</tr>
					</table>
				</form>
			</c:when>
				
			<c:otherwise>
				<c:choose>
					<c:when test="${param.call eq 'all'}">
						<w:where var='conds_fecha'>
		    				<w:condition attribute="calldate" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
							<w:condition attribute="calldate" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
		    			</w:where>
		    			<w:where var='conds'>
		    				<c:if test='${param.vpbx != "all"}'>
								<w:condition attribute='e.vpbx' value='${param.vpbx}'/>
		    				</c:if>
		    			</w:where>
		    		</c:when>
		    		<c:otherwise>
		    			<w:where var='conds'>
		    				<w:condition attribute="calldate" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
							<w:condition attribute="calldate" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
							<c:if test='${param.vpbx != "all"}'>
								<w:condition attribute='orig.vpbx' value='${param.vpbx}'/>
		    				</c:if>
		    			</w:where>
		    		</c:otherwise>
		    	</c:choose>
		    			
		    
		    	<c:set var="afterDateTokens"  value="${fn:split(param.afterDate,'/')}" />
				<c:set var="beforeDateTokens"  value="${fn:split(param.beforeDate,'/')}" />
		    
		    	<c:choose>
					<c:when test="${param.group eq 'hora'}">
						<c:set var="group1" value="CAST(CONCAT(DATE_FORMAT(calldate, '%d/%m/%Y'), ' ', HOUR(calldate), ':00') AS CHAR) AS Grupo "/>
						<c:set var="group2" value="CAST(CAST(CONCAT(DATE(calldate), ' ', HOUR(calldate), ':00') AS DATETIME) AS CHAR)"/>
					</c:when>
					<c:when test="${param.group eq 'dia'}">
						<c:set var="group1" value="DATE_FORMAT(calldate, '%d/%m/%Y') AS Grupo "/>
						<c:set var="group2" value="DATE(calldate)"/>
					</c:when>
				</c:choose>
		    	
				<!-- tarifas -->
				<%@ include file="../../include/sql/fees_fix_table.jsp" %>
				<sql:query var="rsReg" dataSource="jdbc/ipcontactRO">
		    		SELECT * FROM fees ORDER BY usedate DESC, usetime DESC, TIMEDIFF(end_date, start_date)
				</sql:query>

				<c:choose>
		    		<c:when test="${rsReg.rowCount == 0}">
						<c:set var="expressions" value="0"/>
		    		</c:when>
		    		<c:otherwise>
						<c:set var="expressions" value="SUM(CASE "/>
						<c:forEach var="row" varStatus="stat" items="${rsReg.rows}">
			    			<c:choose>
								<c:when test="${row.usetime and row.start_time <= row.end_time}">
				    				<c:set var="time1" value =" AND TIME(calldate) >= '${row.start_time}' AND TIME(calldate) <= '${row.end_time}'"/>
								</c:when>
								<c:otherwise>
				    				<c:set var="time1" value=""/>
								</c:otherwise>
			    			</c:choose>

			    			<c:choose>
								<c:when test="${row.usetime and row.start_time > row.end_time}">
				    				<c:set var="time2" value =" AND (TIME(calldate) >= '${row.start_time}' OR TIME(calldate) <= '${row.end_time}')"/>
								</c:when>
								<c:otherwise>
				    				<c:set var="time2" value=""/>
								</c:otherwise>
			    			</c:choose>

			    			<c:choose>
								<c:when test="${row.usedate}">
				    				<c:set var="date" value =" AND DATE(calldate) >= '${row.start_date}' AND DATE(calldate) <= '${row.end_date}'"/>
								</c:when>
								<c:otherwise>
				    				<c:set var="date" value=""/>
								</c:otherwise>
			    			</c:choose>

			    			<c:choose>
								<c:when test="${row.useday}">
				    				<c:set var="day" value =" AND DAYOFWEEK(calldate) IN (${row.days})"/>
								</c:when>
								<c:otherwise>
				    				<c:set var="day" value=""/>
								</c:otherwise>
			   		 		</c:choose>

			    			<c:set var="expressions" value="${expressions} when dst REGEXP '${row.expression}' and
								direction = 'out' ${time1} ${time2} ${date} ${day}
								then CEILING(billsec/${row.fraction_period} * ${row.price})"/>
						</c:forEach>
						<c:set var="expressions" value="${expressions} else 0 end)"/>
		    		</c:otherwise>
				</c:choose>
				<!-- end tarifas -->
				
				<!-- la variable sql es usada para generar los reportes -->
				<c:choose>
					<c:when test="${param.call eq 'all'}">
						<c:set var="query" scope="session" value=
							"SELECT t.grupo_interno AS grupo_interno, 
							CAST(SEC_TO_TIME(sum(duration)) AS CHAR) AS duracion, 
							count(*) AS cantidad_llamadas, 
							SUM(IF(direction='out',1,0)) AS salientes, 
							SUM(IF(direction='in',1,0)) AS entrantes , 
							CAST(SEC_TO_TIME(SUM(IF(direction='in',duration,0))) AS CHAR) AS tiempo_entrantes, 
							CAST(SEC_TO_TIME(SUM(IF(direction='out',duration,0))) AS CHAR) AS tiempo_salientes,
							${expressions} AS fee"
						/>
				
						<c:if test="${param.group ne 'no'}"> 
							<c:set var="query" scope="session" value="${query}, ${group1}"/>
						</c:if>
			
						<c:set var="query" scope="session" value="${query} FROM callinfo 
							INNER JOIN cdr using(uniqueid) 
							INNER JOIN 
								(SELECT e.number AS numero, e.vpbx, vpbx.name AS grupo_interno 
								FROM extension e 
								LEFT JOIN vpbx ON vpbx.number=e.vpbx
								${conds}
							) AS t ON (t.numero=cid OR (t.numero=dst AND cid NOT IN (select number from extension))) 
							${conds_fecha} 
							GROUP by t.vpbx"
						/>

						<c:if test="${param.group ne 'no'}"> 
							<c:set var="query" scope="session" value="${query}, ${group2}"/>
						</c:if>
					</c:when>
					<c:otherwise>
						<c:set var="query" scope="session" value=
							"SELECT grupo_origen.name AS grupo_origen, 
							grupo_destino.name AS grupo_destino, 
							CAST(SEC_TO_TIME(sum(duration)) AS CHAR) AS duracion, 
							count(*) AS cantidad_llamadas"
						/>
				
						<c:if test="${param.group ne 'no'}"> 
							<c:set var="query" scope="session" value="${query}, ${group1}"/>
						</c:if>
			
						<c:set var="query" scope="session" value="${query} FROM callinfo 
							INNER JOIN cdr using(uniqueid) 
							INNER JOIN extension orig ON orig.number=cid 
							INNER JOIN extension dest ON dest.number=dst 
							LEFT JOIN vpbx grupo_origen ON grupo_origen.number=orig.vpbx 
							LEFT JOIN vpbx grupo_destino ON grupo_destino.number=dest.vpbx
							${conds}
							GROUP by orig.vpbx, dest.vpbx"
						/>
							
						<c:if test="${param.group ne 'no'}"> 
							<c:set var="query" scope="session" value="${query}, ${group2}"/>
						</c:if>
					</c:otherwise>
				</c:choose>
					
				<c:set var="sql" scope="session" value="${query}"/>
				
				<sql:query var="rs" dataSource="jdbc/ipcontactRO">
					${sql}
				</sql:query>
				
				<h3><fmt:message key="groupextensions.title"/></h3>
				<h3>
					<table>
						<tr>
							<td><fmt:message key="groupextensions.from"/>:</td>
							<td>${param.afterDate}</td>
							<td>${param.afterTime}</td>
						</tr>
						<tr>
							<td><fmt:message key="groupextensions.to"/>:</td>
							<td>${param.beforeDate}</td>
							<td>${param.beforeTime}</td>
						</tr>
					</table>
				</h3>
				
				
				<table class="data">
					<tr class="tit">
						<c:choose>
							<c:when test="${param.call eq 'all'}">
								<th> <fmt:message key="groupextensions.group"/> </th>
							</c:when>
							<c:otherwise>
								<th> <fmt:message key="groupextensions.grouporig"/> </th>
								<th> <fmt:message key="groupextensions.groupdest"/> </th>
							</c:otherwise>
						</c:choose>
						<c:choose>
							<c:when test="${param.group eq 'dia'}">
								<th> <fmt:message key="groupextensions.day"/> </th>
							</c:when>
							<c:when test="${param.group eq 'hora'}">
								<th> <fmt:message key="groupextensions.hour"/> </th>
							</c:when>
						</c:choose>								
						<th> <fmt:message key="groupextensions.duration"/> </th>
						<th> <fmt:message key="groupextensions.count"/> </th>
						<c:if test="${param.call eq 'all'}">
							<th> <fmt:message key="groupextensions.countin"/> </th>
							<th> <fmt:message key="groupextensions.countout"/> </th>
							<th> <fmt:message key="groupextensions.timein"/> </th>
							<th> <fmt:message key="groupextensions.timeout"/> </th>
							<c:if test="${rsReg.rowCount != 0}">
			    				<th><fmt:message key="groupextensions.fee"/></th>
							</c:if>
						</c:if>
					</tr>
					
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<c:choose>	
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						
						<c:choose>
							<c:when test="${param.call eq 'all'}">
								<td class="data">${row.grupo_interno}</td>
							</c:when>
							<c:otherwise>
								<td class="data">${row.grupo_origen}</td>
								<td class="data">${row.grupo_destino}</td>
							</c:otherwise>
						</c:choose>
						<c:if test="${param.group ne 'no'}">
							<td class="data">${row.Grupo}</td>
						</c:if>
						<td class="data">${row.duracion}</td>
						<td class="data">${row.cantidad_llamadas}</td>
						<c:if test="${param.call eq 'all'}">
							<td class="data">${row.entrantes}</td>
							<td class="data">${row.salientes}</td>
							<td class="data">${row.tiempo_entrantes}</td>
							<td class="data">${row.tiempo_salientes}</td>
							<c:if test="${rsReg.rowCount != 0}">
				    			<td class="data">${row.fee}</td>
							</c:if>
						</c:if>
						</tr>
					</c:forEach>
				</table>
				
				
				<c:choose>
					<c:when test="${param.call eq 'all'}">
						<c:choose>
							<c:when test="${param.group ne 'no'}">
								<c:choose>
									<c:when test="${param.group eq 'dia'}">
										<c:set var="template" value="groupextensions_day.xml"/>
									</c:when>
									<c:when test="${param.group eq 'hora'}">
										<c:set var="template" value="groupextensions_hour.xml"/>
									</c:when>
								</c:choose>
							</c:when>
							<c:otherwise>
								<c:set var="template" value="groupextensions.xml"/>
							</c:otherwise>
						</c:choose>
					</c:when>
					<c:otherwise>
						<c:choose>
							<c:when test="${param.group ne 'no'}">
								<c:choose>
									<c:when test="${param.group eq 'dia'}">
										<c:set var="template" value="groupextensions_day_group.xml"/>
									</c:when>
									<c:when test="${param.group eq 'hora'}">
										<c:set var="template" value="groupextensions_hour_group.xml"/>
									</c:when>
								</c:choose>
							</c:when>
							<c:otherwise>
								<c:set var="template" value="groupextensions_group.xml"/>
							</c:otherwise>
						</c:choose>
					</c:otherwise>
				</c:choose>
						
				<c:url var="linkPDF" value="../../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="sadar/${template}"/>
					<c:param name="reportType" value="pdf"/>					
				<c:param name="filename" value="gruposInternos"/>
				<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
				<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>
			
			<c:url var="linkXLS" value="../../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="landscape-report.xml"/>
				<c:param name="template" value="sadar/${template}"/>
				<c:param name="reportType" value="xls"/>					
				<c:param name="filename" value="gruposInternos"/>
				<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
				<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>
			
			<c:url var="linkCSV" value="../../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="landscape-report.xml"/>
				<c:param name="template" value="sadar/${template}"/>
				<c:param name="reportType" value="csv"/>					
				<c:param name="filename" value="gruposInternos"/>
				<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
				<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>
			
			<%@ include file="../../include/export.jsp" %>	
						
			</c:otherwise>
		
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>